/**************************************************************************
  This is a library for Nokia 1.8" displays based on SPFD54124B drivers.
  Works with the Custom 1.8" Display Breakout board
  Check out the Github of Library for our tutorials and wiring diagrams.
  These displays use 9-bit SPI to communicate, 3 pins are required to
  interface.
  Abhishek Tiwari invests time and resources providing this open source code,
  please support Abhishek Tiwari and open-source hardware by Providing some Credits or mentions.
  Written by Abhishek Tiwari.

  This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 **************************************************************************/
#ifndef _IMAGE_H
#define _IMAGE_H
/*
use me: https://javl.github.io/image2cpp/
set canvas size : 125 X 110, int array has limits,
background color : transparent
brightness: 100
scaling: if you crop the image according to dimension then choose "original size", if not use scale to fit or you are toofani strech to fill canvas
flip : no need or may be use if image id flipped
output: arduino code
draw mode: horizonal-2 bytes per pixel(565)
generate code
copy output
*/

const uint16_t abhishek [125*110] PROGMEM = {
 // 'IMG_20190712_123122231_HDR', 125x110px
 0xbe38, 0xbe17, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe58, 0xbe38, 0xbe38, 0xbe59, 0xc659, 0xc679, 0xbe58, 0xc658, 0xbe58, 0xc658, 
  0xc658, 0xbe78, 0xbe58, 0xbe78, 0xbe78, 0xbe58, 0xbe58, 0xc678, 0xc658, 0xc678, 0xc658, 0xbe58, 0xc658, 0xc658, 0xbe58, 0xbe58, 
  0xbe58, 0xc658, 0xbe58, 0xbe58, 0xc658, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe38, 0xbe59, 0xbe58, 0xbe59, 0xbe58, 0xbe59, 
  0xbe59, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xc659, 0xbe59, 0xbe59, 0xbe59, 
  0xc659, 0xc659, 0xc659, 0xc659, 0xc659, 0xc659, 0xc67a, 0xce7a, 0xc67a, 0xc67a, 0xc67a, 0xc67a, 0xcebb, 0xcebb, 0xd6dc, 0xce9b, 
  0xc65a, 0xbe5a, 0xc65a, 0xc65a, 0xbe5a, 0xbe59, 0xc65a, 0xc67a, 0xc69a, 0xc69a, 0xc67a, 0xcebb, 0xcebb, 0xceba, 0xc69a, 0xc679, 
  0xc69a, 0xbe59, 0xc679, 0xc659, 0xc679, 0xc679, 0xc67a, 0xc67a, 0xc67a, 0xc69a, 0xc69a, 0xc67a, 0xc679, 0xc659, 0xc679, 0xc659, 
  0xc67a, 0xc65a, 0xc659, 0xc659, 0xbe39, 0xbe39, 0xbe59, 0xbe38, 0xbe38, 0xb618, 0xb618, 0xb5f7, 0xb5f7, 0xb618, 0xb618, 0xbe18, 
  0xbe38, 0xbe38, 0xbe38, 0xbe59, 0xbe38, 0xbe38, 0xbe58, 0xbe58, 0xbe58, 0xc658, 0xc659, 0xc658, 0xc678, 0xc658, 0xc658, 0xbe78, 
  0xc678, 0xc658, 0xbe58, 0xc658, 0xbe58, 0xbe58, 0xc678, 0xc678, 0xbe58, 0xc658, 0xc658, 0xbe58, 0xc658, 0xc658, 0xbe58, 0xbe58, 
  0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe58, 0xc659, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe58, 0xbe59, 0xbe59, 
  0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xc659, 0xc679, 0xbe59, 0xbe38, 0xc659, 0xc659, 0xc659, 
  0xc659, 0xc659, 0xc67a, 0xce7a, 0xce7a, 0xce7a, 0xce7a, 0xce7a, 0xce9b, 0xd6bb, 0xd6dc, 0xd6dc, 0xce9b, 0xce9b, 0xc67b, 0xce9b, 
  0xc67b, 0xc67b, 0xc67a, 0xc67a, 0xc67a, 0xc69a, 0xc67a, 0xc67a, 0xc67a, 0xce9b, 0xc67a, 0xc67a, 0xc69a, 0xce9a, 0xc67a, 0xc69a, 
  0xc69a, 0xc67a, 0xc69a, 0xc69a, 0xceba, 0xceba, 0xce9a, 0xce9a, 0xc679, 0xc679, 0xc67a, 0xc69a, 0xc67a, 0xc67a, 0xc65a, 0xc659, 
  0xc659, 0xbe59, 0xbe39, 0xbe39, 0xbe39, 0xbe38, 0xb618, 0xb618, 0xb5f7, 0xb5f7, 0xbe38, 0xb618, 0xbe18, 0xb617, 0xbe38, 0xbe38, 
  0xbe38, 0xbe38, 0xc659, 0xbe59, 0xc679, 0xbe58, 0xbe58, 0xc658, 0xc658, 0xc679, 0xc658, 0xbe58, 0xc678, 0xc658, 0xc658, 0xc658, 
  0xbe58, 0xc678, 0xbe58, 0xbe58, 0xbe58, 0xc658, 0xc658, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 
  0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe58, 0xbe38, 0xbe58, 0xbe58, 0xbe59, 0xbe58, 0xbe59, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 
  0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe39, 0xbe39, 0xbe59, 0xbe59, 0xbe59, 0xc659, 0xc659, 0xc659, 0xc659, 0xc67a, 0xc67a, 
  0xce7a, 0xce7a, 0xc67a, 0xc67a, 0xc67a, 0xc67a, 0xce9b, 0xcebb, 0xd6dc, 0xce9b, 0xce9b, 0xcebb, 0xcebc, 0xcebc, 0xcebc, 0xcedb, 
  0xcedb, 0xcebb, 0xcebb, 0xc69a, 0xce9a, 0xce9a, 0xce9a, 0xce9b, 0xce9a, 0xce9a, 0xce9a, 0xc69a, 0xce9a, 0xc69a, 0xc69a, 0xceba, 
  0xceba, 0xceba, 0xce9a, 0xc69a, 0xc69a, 0xc69a, 0xc69a, 0xc69a, 0xc69a, 0xc679, 0xc679, 0xc659, 0xc659, 0xbe39, 0xbe59, 0xbe39, 
  0xbe38, 0xbe39, 0xbe18, 0xb618, 0xb5f7, 0xb5f7, 0xb5f7, 0xbe17, 0xbe18, 0xbe38, 0xbe18, 0xbe38, 0xbe38, 0xbe58, 0xbe38, 0xbe58, 
  0xc659, 0xbe58, 0xbe58, 0xbe58, 0xc658, 0xbe58, 0xc679, 0xc678, 0xc658, 0xbe58, 0xc658, 0xc658, 0xbe58, 0xbe58, 0xbe37, 0xc678, 
  0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xc658, 0xc678, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe38, 0xbe58, 0xbe58, 0xbe58, 0xbe38, 
  0xc659, 0xbe59, 0xbe58, 0xbe58, 0xbe59, 0xbe58, 0xbe59, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe58, 0xbe59, 0xbe59, 0xbe58, 0xbe59, 
  0xbe59, 0xbe59, 0xbe59, 0xc659, 0xbe59, 0xbe38, 0xbe59, 0xc659, 0xc659, 0xc659, 0xc679, 0xc679, 0xc67a, 0xc65a, 0xc65a, 0xc65a, 
  0xc65a, 0xc65a, 0xc67a, 0xce7a, 0xcedb, 0xd6dc, 0xcebb, 0xcebc, 0xcedc, 0xd6dc, 0xd6dc, 0xd6fc, 0xdf3d, 0xdf1d, 0xd71c, 0xd6fc, 
  0xce9b, 0xcebb, 0xce9b, 0xcebb, 0xcebb, 0xcedb, 0xd6db, 0xcebb, 0xcebb, 0xce9a, 0xce9a, 0xce9a, 0xceba, 0xceba, 0xceba, 0xceba, 
  0xceba, 0xce9a, 0xce9a, 0xc69a, 0xce9a, 0xc69a, 0xc659, 0xc679, 0xc659, 0xc679, 0xc659, 0xbe39, 0xbe38, 0xbe38, 0xbe38, 0xbe18, 
  0xbe18, 0xb618, 0xb5f7, 0xadf7, 0xbe18, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe58, 0xbe59, 0xbe58, 0xbe58, 
  0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xc658, 0xc658, 0xbe58, 0xc658, 0xc658, 0xbe58, 0xc658, 0xc658, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 
  0xbe58, 0xbe58, 0xc658, 0xbe58, 0xc658, 0xbe58, 0xc658, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe58, 0xbe59, 0xbe58, 
  0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe59, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe59, 0xbe58, 0xbe59, 0xbe59, 0xbe39, 
  0xbe59, 0xbe59, 0xbe59, 0xc659, 0xc659, 0xc659, 0xc659, 0xc679, 0xc67a, 0xc67a, 0xc67a, 0xc65a, 0xc65a, 0xc65a, 0xc67a, 0xc67a, 
  0xce9b, 0xcebb, 0xd6dc, 0xd6dc, 0xd6fc, 0xd6fc, 0xd6dc, 0xd6dc, 0xd6fc, 0xdf3d, 0xdf3d, 0xd71c, 0xd6fc, 0xd71d, 0xd6fc, 0xd6fc, 
  0xd6db, 0xd6fc, 0xd6fb, 0xd6fc, 0xd6fb, 0xd6fb, 0xd6db, 0xd6db, 0xcedb, 0xcebb, 0xcedb, 0xceba, 0xcebb, 0xce9a, 0xc69a, 0xc69a, 
  0xc69a, 0xc69a, 0xc69a, 0xc679, 0xc67a, 0xc659, 0xbe59, 0xbe59, 0xbe59, 0xbe39, 0xbe18, 0xbe38, 0xb618, 0xb618, 0xb618, 0xb5f7, 
  0xadd7, 0xbe18, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xc658, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 
  0xbe58, 0xbe58, 0xc658, 0xbe58, 0xc658, 0xc679, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xc658, 0xbe58, 0xc658, 0xc658, 0xc658, 
  0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xc658, 0xc658, 0xbe58, 0xbe58, 0xbe38, 0xbe59, 0xbe59, 0xbe58, 0xbe38, 0xbe38, 0xc659, 
  0xc659, 0xc659, 0xbe38, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe58, 0xbe39, 0xbe39, 0xbe59, 0xbe59, 
  0xbe59, 0xc659, 0xc659, 0xc659, 0xc679, 0xc659, 0xc679, 0xc679, 0xc659, 0xc659, 0xc67a, 0xc67a, 0xce9b, 0xcebb, 0xcebb, 0xcebb, 
  0xd6fc, 0xdf1d, 0xdf1d, 0xd6fc, 0xd6fc, 0xd6fc, 0xdf1d, 0xdf3d, 0xdf3d, 0xdf3d, 0xdf1d, 0xd71c, 0xd6fc, 0xd6fc, 0xd71c, 0xd6fc, 
  0xd71c, 0xd6fb, 0xd6fc, 0xd6fc, 0xd6fb, 0xd6db, 0xcedb, 0xcedb, 0xcebb, 0xceba, 0xc69a, 0xc67a, 0xc67a, 0xc69a, 0xc69a, 0xc69a, 
  0xc69a, 0xc67a, 0xc659, 0xbe59, 0xbe59, 0xbe39, 0xbe38, 0xbe38, 0xbe18, 0xb618, 0xb618, 0xb5f7, 0xb5f7, 0xb5f7, 0xbe18, 0xbe17, 
  0xbe38, 0xbe38, 0xbe38, 0xbe58, 0xbe58, 0xbe59, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe58, 0xc658, 0xbe58, 0xc658, 0xbe58, 0xbe58, 
  0xc678, 0xc658, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xc658, 0xc658, 0xbe58, 0xc658, 0xc658, 0xbe58, 0xc658, 0xbe58, 0xbe58, 0xc658, 
  0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe38, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe38, 0xbe58, 0xbe38, 0xbe59, 0xbe58, 0xbe59, 
  0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe58, 0xbe59, 0xbe59, 0xbe58, 0xc659, 0xbe59, 0xc659, 0xbe59, 0xbe59, 0xbe59, 0xc659, 
  0xc659, 0xc679, 0xc679, 0xc659, 0xc659, 0xbe39, 0xc659, 0xc659, 0xc67a, 0xcebb, 0xcedb, 0xd6db, 0xd6db, 0xd6fc, 0xd6fc, 0xdf1d, 
  0xdf1d, 0xd6fc, 0xd71c, 0xd71d, 0xdf1d, 0xdf3d, 0xdf5d, 0xdf3d, 0xdf1c, 0xdf1c, 0xdf1c, 0xd71c, 0xd6fc, 0xdf1c, 0xd71c, 0xd71c, 
  0xd6fc, 0xd6fb, 0xd6fb, 0xcedb, 0xcedb, 0xceba, 0xce9a, 0xc69a, 0xc679, 0xc679, 0xc679, 0xc69a, 0xc69a, 0xce9a, 0xc659, 0xc679, 
  0xc659, 0xc659, 0xbe59, 0xbe39, 0xbe38, 0xbe38, 0xbe38, 0xbe18, 0xbe18, 0xb617, 0xb618, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 
  0xbe58, 0xbe38, 0xbe38, 0xbe58, 0xbe59, 0xbe58, 0xbe58, 0xbe58, 0xc658, 0xbe58, 0xbe58, 0xbe58, 0xc658, 0xbe58, 0xc658, 0xbe58, 
  0xc679, 0xbe58, 0xc658, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xc658, 0xc658, 0xbe58, 0xbe58, 0xbe38, 0xbe58, 0xbe58, 
  0xc658, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe38, 0xbe58, 0xbe58, 0xbe38, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 
  0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe59, 0xc659, 0xbe59, 0xbe59, 0xc659, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xc679, 0xc679, 0xc679, 
  0xc679, 0xc659, 0xbe59, 0xc659, 0xc67a, 0xc67a, 0xcebb, 0xd6db, 0xd6fc, 0xd6fc, 0xd71c, 0xdf1c, 0xdf3d, 0xdf3d, 0xd71d, 0xd71d, 
  0xdf3d, 0xdf3d, 0xdf3d, 0xdf3d, 0xd71c, 0xd71c, 0xdf1c, 0xdf1c, 0xdf1c, 0xd6fc, 0xd71c, 0xd71c, 0xd71c, 0xd6db, 0xd6db, 0xd6db, 
  0xd6db, 0xd6db, 0xceba, 0xc69a, 0xc679, 0xc679, 0xc679, 0xc679, 0xc67a, 0xc67a, 0xc67a, 0xc679, 0xc659, 0xc659, 0xbe59, 0xbe59, 
  0xbe39, 0xc659, 0xbe39, 0xbe38, 0xbe38, 0xb618, 0xb617, 0xb618, 0xbe18, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe58, 0xbe59, 
  0xbe38, 0xbe59, 0xbe59, 0xbe59, 0xbe58, 0xbe58, 0xc679, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xc658, 0xc658, 0xbe58, 0xc658, 
  0xbe58, 0xc678, 0xbe58, 0xc658, 0xc658, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 
  0xbe58, 0xbe59, 0xbe58, 0xbe38, 0xbe38, 0xbe38, 0xbe59, 0xbe58, 0xbe58, 0xbe59, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 
  0xc659, 0xbe59, 0xbe59, 0xbe59, 0xbe39, 0xbe59, 0xbe59, 0xbe38, 0xbe39, 0xbe59, 0xc659, 0xc679, 0xc679, 0xc659, 0xc659, 0xc659, 
  0xc659, 0xc67a, 0xc69a, 0xcebb, 0xd6fc, 0xd6fc, 0xd6fc, 0xdf1c, 0xdf3d, 0xd71c, 0xdf3d, 0xdf3d, 0xdf1d, 0xdf3d, 0xdf3d, 0xdf1d, 
  0xd71c, 0xdf3d, 0xdf1c, 0xd73d, 0xdf3d, 0xdf1c, 0xd6fc, 0xd6fc, 0xd6fc, 0xd6fc, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xcedb, 0xcebb, 
  0xc69a, 0xc67a, 0xc69a, 0xc67a, 0xc69a, 0xc679, 0xc69a, 0xc69a, 0xc679, 0xc679, 0xc679, 0xc659, 0xbe59, 0xbe59, 0xbe59, 0xbe38, 
  0xbe18, 0xbe18, 0xbe18, 0xbe18, 0xb618, 0xbe38, 0xbe38, 0xbe38, 0xc659, 0xbe38, 0xbe58, 0xbe58, 0xbe38, 0xc659, 0xbe58, 0xbe59, 
  0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xc658, 0xc658, 0xc658, 0xbe58, 0xc658, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xc658, 0xbe58, 
  0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xc659, 0xbe59, 0xbe38, 
  0xbe59, 0xbe59, 0xbe58, 0xbe38, 0xbe59, 0xbe58, 0xbe58, 0xbe38, 0xbe58, 0xbe58, 0xbe59, 0xc659, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 
  0xbe59, 0xbe59, 0xbe38, 0xbe59, 0xbe38, 0xbe39, 0xbe59, 0xc659, 0xc659, 0xc679, 0xc659, 0xc659, 0xc67a, 0xc67a, 0xc67a, 0xce9a, 
  0xd6db, 0xd6dc, 0xd6fc, 0xdf1c, 0xdf1c, 0xdf1d, 0xdf1c, 0xdf3d, 0xdf3d, 0xdf3d, 0xdf5d, 0xdf3d, 0xdf1d, 0xdf3d, 0xdf1c, 0xdf1c, 
  0xdf3d, 0xdf3d, 0xdf1d, 0xdf1c, 0xd6fc, 0xd6fc, 0xd6fc, 0xd6fc, 0xd6fb, 0xd6fb, 0xd6db, 0xcebb, 0xcebb, 0xc69a, 0xc67a, 0xc67a, 
  0xce9a, 0xceba, 0xc69a, 0xc67a, 0xc67a, 0xc679, 0xc679, 0xc679, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe39, 0xbe38, 0xbe38, 0xbe38, 
  0xbe38, 0xbe18, 0xbe38, 0xbe38, 0xbe38, 0xc659, 0xbe38, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xc659, 0xbe59, 0xbe59, 0xc658, 0xc679, 
  0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xc658, 0xc658, 0xc658, 0xbe58, 0xbe58, 0xc658, 0xbe58, 0xbe58, 0xbe58, 0xc658, 0xbe58, 0xbe58, 
  0xc658, 0xbe58, 0xbe58, 0xc658, 0xbe58, 0xc658, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe58, 0xbe59, 0xbe58, 0xbe59, 
  0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe39, 
  0xbe59, 0xbe39, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xc679, 0xc679, 0xc679, 0xc67a, 0xc67a, 0xc69a, 0xce9a, 0xd6db, 0xd6dc, 0xd6fc, 
  0xd71c, 0xdf3d, 0xdf1c, 0xdf3d, 0xdf3d, 0xdf3d, 0xdf5d, 0xe75e, 0xdf5d, 0xdf5d, 0xdf3d, 0xdf5d, 0xdf3d, 0xdf3d, 0xdf3d, 0xdf3d, 
  0xdf3d, 0xdf1d, 0xd71c, 0xd6fc, 0xd71c, 0xd6fc, 0xd6fb, 0xcedb, 0xcebb, 0xceba, 0xce9a, 0xc69a, 0xceba, 0xceba, 0xceba, 0xce9a, 
  0xce9a, 0xc69a, 0xc69a, 0xc69a, 0xc679, 0xc679, 0xc659, 0xbe59, 0xbe59, 0xbe39, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 
  0xbe38, 0xbe38, 0xbe38, 0xbe59, 0xbe58, 0xbe58, 0xbe59, 0xbe58, 0xbe59, 0xbe59, 0xc658, 0xc658, 0xbe58, 0xbe58, 0xc658, 0xbe58, 
  0xc679, 0xc658, 0xc679, 0xbe58, 0xc658, 0xbe58, 0xc679, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe58, 0xbe58, 0xc658, 0xbe58, 0xc658, 
  0xc658, 0xc658, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xc659, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe38, 0xbe58, 0xbe59, 0xbe59, 0xbe58, 
  0xbe59, 0xbe59, 0xbe58, 0xbe59, 0xbe59, 0xbe59, 0xbe38, 0xbe59, 0xc659, 0xbe59, 0xbe59, 0xc659, 0xbe59, 0xbe39, 0xbe38, 0xbe59, 
  0xc659, 0xbe59, 0xc659, 0xc659, 0xc67a, 0xc679, 0xc67a, 0xc69a, 0xc69a, 0xceba, 0xcebb, 0xd6dc, 0xd6fc, 0xdf1d, 0xdf3d, 0xdf3d, 
  0xdf3d, 0xdf3d, 0xdf5d, 0xdf5d, 0xe75d, 0xe77e, 0xe75e, 0xe75d, 0xdf5d, 0xdf5d, 0xdf5d, 0xdf5d, 0xdf5d, 0xdf3d, 0xdf3d, 0xdf3d, 
  0xdf1c, 0xdf1c, 0xd71c, 0xd6fc, 0xd6db, 0xcebb, 0xceba, 0xcebb, 0xce9a, 0xcebb, 0xcebb, 0xceba, 0xceba, 0xc69a, 0xc69a, 0xc69a, 
  0xc69a, 0xc679, 0xc679, 0xc679, 0xbe59, 0xc659, 0xbe59, 0xbe59, 0xbe39, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe58, 0xbe58, 0xbe58, 
  0xbe59, 0xc659, 0xc659, 0xc659, 0xbe58, 0xc659, 0xbe58, 0xc679, 0xbe58, 0xc658, 0xbe58, 0xc679, 0xc658, 0xc679, 0xc658, 0xbe58, 
  0xbe58, 0xc679, 0xc658, 0xc679, 0xc658, 0xc679, 0xc679, 0xc658, 0xc679, 0xbe58, 0xc658, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 
  0xbe58, 0xbe59, 0xc659, 0xbe59, 0xbe59, 0xc659, 0xbe59, 0xbe59, 0xbe59, 0xbe58, 0xbe38, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 
  0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe58, 0xc659, 0xc659, 0xbe59, 0xbe39, 0xc659, 0xbe39, 0xbe59, 0xbe59, 0xc659, 0xc659, 0xc659, 
  0xc679, 0xc67a, 0xc69a, 0xce9a, 0xce9a, 0xce9a, 0xceba, 0xcebb, 0xd6db, 0xd71c, 0xdf1d, 0xdf1d, 0xdf3d, 0xe75d, 0xe75e, 0xe75e, 
  0xe77e, 0xe77e, 0xe77e, 0xe77e, 0xe77e, 0xe75d, 0xe75d, 0xe77e, 0xe75e, 0xe75d, 0xe75d, 0xe75d, 0xdf3d, 0xdf3d, 0xd6fc, 0xd6fc, 
  0xd6fc, 0xd6db, 0xd6db, 0xcebb, 0xcebb, 0xceba, 0xceba, 0xcebb, 0xcedb, 0xceba, 0xceba, 0xce9a, 0xc69a, 0xc69a, 0xc69a, 0xc69a, 
  0xc679, 0xc659, 0xbe59, 0xbe59, 0xbe39, 0xbe58, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe58, 0xbe38, 0xbe58, 0xc659, 
  0xbe58, 0xbe58, 0xc658, 0xbe58, 0xbe58, 0xbe58, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc658, 
  0xc658, 0xc679, 0xbe58, 0xbe58, 0xbe58, 0xc658, 0xc658, 0xbe58, 0xc658, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 
  0xbe59, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe38, 0xbe38, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe58, 0xbe58, 0xbe59, 0xbe58, 
  0xbe59, 0xbe58, 0xbe59, 0xc659, 0xc659, 0xc659, 0xbe59, 0xc659, 0xc659, 0xc659, 0xc659, 0xc679, 0xc659, 0xc659, 0xc679, 0xc679, 
  0xc67a, 0xc69a, 0xc69a, 0xceba, 0xcedb, 0xd6dc, 0xd6fc, 0xdf1c, 0xdf3d, 0xdf5d, 0xe75d, 0xe77e, 0xef9e, 0xefbe, 0xefbe, 0xdf3c, 
  0xefbe, 0xefbf, 0xe77d, 0xefbf, 0xef9e, 0xe77d, 0xefbf, 0xe77d, 0x9514, 0xdf3d, 0xdf3d, 0xdf3d, 0xdf1c, 0xd6fc, 0xd6fb, 0xd6db, 
  0xd6db, 0xd6db, 0xcedb, 0xcebb, 0xcebb, 0xcebb, 0xceba, 0xceba, 0xce9a, 0xc69a, 0xc69a, 0xc679, 0xc679, 0xc679, 0xc659, 0xbe59, 
  0xc659, 0xbe58, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe59, 0xbe58, 0xbe58, 0xbe38, 0xbe58, 0xbe58, 0xbe58, 
  0xbe38, 0xbe58, 0xc658, 0xc679, 0xc658, 0xc658, 0xc679, 0xc679, 0xc679, 0xc679, 0xc658, 0xbe58, 0xc679, 0xc679, 0xc679, 0xc679, 
  0xc658, 0xbe58, 0xc658, 0xbe58, 0xc658, 0xc658, 0xbe58, 0xbe58, 0xbe38, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe58, 0xbe58, 
  0xbe58, 0xbe59, 0xbe59, 0xbe58, 0xbe58, 0xbe38, 0xbe59, 0xc659, 0xbe58, 0xbe58, 0xbe59, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe59, 
  0xbe59, 0xbe59, 0xc659, 0xc659, 0xc659, 0xc659, 0xbe59, 0xc659, 0xc659, 0xc659, 0xc679, 0xc679, 0xc67a, 0xc69a, 0xce9a, 0xceba, 
  0xcebb, 0xcebb, 0xd6db, 0xd6fc, 0xdf1c, 0xdf5d, 0xdf5d, 0xe75e, 0xe77e, 0x4a6a, 0x4228, 0x2965, 0x4209, 0xce79, 0x6b8e, 0x4228, 
  0x39a7, 0x5aeb, 0x39a7, 0x4207, 0x4a69, 0xbe17, 0xbe18, 0xdf3c, 0xdf3d, 0xdf3c, 0xdf1c, 0xd71c, 0xd6fc, 0xd6fb, 0xd6db, 0xcedb, 
  0xcedb, 0xcedb, 0xd6db, 0xcedb, 0xceba, 0xceba, 0xce9a, 0xce9a, 0xc67a, 0xc679, 0xc679, 0xc679, 0xbe59, 0xbe59, 0xbe59, 0xbe58, 
  0xbe38, 0xbe38, 0xb5f7, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xc659, 0xbe38, 0xbe58, 0xbe59, 0xc658, 0xbe58, 0xbe58, 0xbe58, 0xc658, 
  0xc659, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc658, 0xc679, 0xc679, 0xc659, 0xc658, 0xc679, 0xc679, 0xc658, 0xc679, 
  0xc658, 0xbe58, 0xc658, 0xc658, 0xbe59, 0xbe59, 0xbe59, 0xbe58, 0xbe58, 0xc659, 0xbe59, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 
  0xbe38, 0xbe59, 0xbe38, 0xbe38, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xc659, 0xbe59, 0xc659, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 
  0xbe59, 0xbe59, 0xc679, 0xc659, 0xc659, 0xbe59, 0xc659, 0xc679, 0xc679, 0xc67a, 0xc69a, 0xc69a, 0xceba, 0xceba, 0xcedb, 0xd6db, 
  0xd6fc, 0xd71c, 0xdf3d, 0xe75d, 0xe77d, 0x52cb, 0x1083, 0x2125, 0x31a7, 0x31a7, 0x10a3, 0x2125, 0x31a7, 0x18c4, 0x3187, 0x2145, 
  0x1082, 0x2104, 0x3166, 0x8451, 0xe77d, 0xe77d, 0xdf5d, 0xdf3d, 0xd71c, 0xd6fc, 0xd6fc, 0xd6fb, 0xd6db, 0xd6fb, 0xd6fb, 0xd6db, 
  0xcedb, 0xcedb, 0xceba, 0xceba, 0xce9a, 0xce9a, 0xc679, 0xc679, 0xc679, 0xbe59, 0xbe59, 0xbe58, 0xbe59, 0xbe58, 0xbe38, 0xbe38, 
  0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe58, 0xbe58, 0xbe38, 0xbe58, 0xc659, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xc659, 0xc679, 0xc658, 
  0xbe58, 0xc679, 0xc679, 0xc658, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc658, 0xbe58, 0xc679, 0xbe58, 
  0xc659, 0xbe59, 0xc659, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe58, 0xbe59, 0xbe59, 0xbe58, 0xbe58, 0xbe58, 0xbe38, 
  0xbe58, 0xc659, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe58, 0xbe59, 0xc659, 0xbe59, 0xbe59, 0xc659, 0xc659, 0xc659, 0xc659, 0xc659, 
  0xc659, 0xc659, 0xc659, 0xc659, 0xc679, 0xc67a, 0xc67a, 0xc67a, 0xce9a, 0xceba, 0xcebb, 0xd6db, 0xd6fb, 0xd71c, 0xdf3d, 0xdf3d, 
  0xe75e, 0x4229, 0x18c4, 0x0021, 0x0021, 0x1925, 0x18e4, 0x18e4, 0x2146, 0x31a7, 0x1905, 0x2146, 0x2966, 0x10a3, 0x0862, 0x18e4, 
  0x4249, 0x8c92, 0xdf5d, 0xe75d, 0xdf5d, 0xdf3d, 0xdf3c, 0xdf3c, 0xd71c, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6db, 0xcedb, 0xceba, 
  0xceba, 0xce9a, 0xc69a, 0xc69a, 0xc679, 0xc679, 0xc679, 0xbe59, 0xbe59, 0xbe58, 0xbe38, 0xbe38, 0xbe18, 0xbe38, 0xbe38, 0xbe38, 
  0xbe58, 0xbe38, 0xbe38, 0xbe59, 0xbe38, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xc658, 0xc659, 0xc658, 0xbe58, 0xc679, 0xc679, 0xc679, 
  0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xbe58, 0xc679, 0xc659, 0xc659, 0xbe58, 0xbe59, 0xbe59, 
  0xc659, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe58, 0xbe58, 0xbe38, 0xbe59, 0xbe59, 0xbe38, 0xbe59, 0xbe59, 0xbe58, 0xbe59, 0xbe38, 
  0xbe59, 0xbe59, 0xc659, 0xbe59, 0xc659, 0xbe59, 0xbe58, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xc659, 0xc659, 0xc659, 0xc659, 
  0xc679, 0xc679, 0xc69a, 0xc69a, 0xce9a, 0xceba, 0xcebb, 0xd6db, 0xd6fb, 0xd6fb, 0xdf1c, 0xdf3d, 0xdf3d, 0xe77e, 0x2966, 0x0862, 
  0x2126, 0x0001, 0x2125, 0x2146, 0x4aab, 0x2966, 0x2966, 0x2126, 0x10a3, 0x0882, 0x0042, 0x0862, 0x2104, 0x2966, 0x2945, 0xefbe, 
  0xe77d, 0xe75d, 0xdf5d, 0xdf5d, 0xdf3c, 0xdf3c, 0xd71c, 0xd6fc, 0xd6fb, 0xd6fb, 0xd6fb, 0xceba, 0xcedb, 0xce9a, 0xce9a, 0xce9a, 
  0xc69a, 0xc67a, 0xc679, 0xc679, 0xbe59, 0xbe59, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe58, 0xbe38, 0xbe38, 
  0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe58, 0xbe58, 0xc659, 0xc679, 0xc658, 0xc679, 0xc679, 0xc679, 0xc658, 0xc679, 0xc679, 0xc679, 
  0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc659, 0xc659, 0xc679, 0xc659, 0xc659, 0xbe59, 0xbe58, 0xbe59, 
  0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe58, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 
  0xbe38, 0xbe59, 0xc659, 0xbe59, 0xbe59, 0xc659, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xc659, 0xc659, 0xc659, 0xc65a, 0xc679, 0xc67a, 
  0xc69a, 0xceba, 0xceba, 0xcedb, 0xd6db, 0xd6fc, 0xd71c, 0xdf3d, 0xdf5d, 0xe75d, 0xe77e, 0x18c4, 0x31c8, 0x0021, 0x0883, 0x39e8, 
  0x1905, 0x2987, 0x39e8, 0x10a3, 0x0883, 0x18e5, 0x10a3, 0x39e8, 0x2966, 0x2145, 0x18e4, 0x2104, 0x31a6, 0xe79e, 0xe77e, 0xe77d, 
  0xe75d, 0xdf3d, 0xdf3c, 0xdf3c, 0xdf1c, 0xd6fc, 0xd6fb, 0xd6fb, 0xd6db, 0xcebb, 0xcebb, 0xce9a, 0xc69a, 0xc69a, 0xc67a, 0xbe59, 
  0xbe59, 0xbe59, 0xbe39, 0xbe59, 0xbe38, 0xbe38, 0xbe18, 0xbe38, 0xbe18, 0xbe38, 0xbe38, 0xbe38, 0xbe58, 0xbe59, 0xbe58, 0xc659, 
  0xbe59, 0xbe59, 0xbe59, 0xc658, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 
  0xc679, 0xc679, 0xc679, 0xc679, 0xc659, 0xc679, 0xc679, 0xbe58, 0xc659, 0xc679, 0xc658, 0xc658, 0xbe59, 0xbe58, 0xbe59, 0xbe58, 
  0xbe58, 0xbe58, 0xbe58, 0xbe38, 0xbe58, 0xbe38, 0xbe59, 0xbe59, 0xbe59, 0xbe58, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 
  0xc659, 0xc659, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xc659, 0xbe59, 0xc659, 0xc659, 0xc679, 0xc679, 0xc69a, 0xce9a, 0xceba, 0xcedb, 
  0xd6db, 0xd6fc, 0xd71c, 0xdf3c, 0xdf5d, 0xe75d, 0xe77e, 0xe79e, 0xdf1d, 0x2126, 0x0042, 0x2125, 0x1905, 0x18e5, 0x18e4, 0x18e5, 
  0x10a3, 0x10a3, 0x10a3, 0x0883, 0x0883, 0x18e4, 0x18e4, 0x2145, 0x10c3, 0x3186, 0xe77d, 0xe77e, 0xe77d, 0xe75d, 0xdf5d, 0xdf3d, 
  0xdf3c, 0xdf3c, 0xdf1c, 0xd71c, 0xd6fb, 0xd6db, 0xcedb, 0xceba, 0xceba, 0xceba, 0xc69a, 0xc69a, 0xc679, 0xc679, 0xbe59, 0xbe59, 
  0xbe38, 0xbe38, 0xbe38, 0xbe18, 0xbe38, 0xbe38, 0xbe58, 0xbe38, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xc659, 0xbe59, 0xc659, 0xbe59, 
  0xc679, 0xc679, 0xc658, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc658, 0xc679, 0xc679, 0xc679, 
  0xc679, 0xc679, 0xc679, 0xc679, 0xc658, 0xc679, 0xc659, 0xc659, 0xc679, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 
  0xbe38, 0xbe38, 0xbe59, 0xbe58, 0xbe58, 0xbe58, 0xbe38, 0xbe58, 0xbe59, 0xbe59, 0xc659, 0xbe59, 0xc659, 0xc659, 0xbe59, 0xbe59, 
  0xbe59, 0xc659, 0xc659, 0xbe59, 0xbe59, 0xc659, 0xc679, 0xc679, 0xc679, 0xc69a, 0xceba, 0xceba, 0xcedb, 0xd6db, 0xd6fc, 0xdf1c, 
  0xdf3d, 0xdf5d, 0xe77e, 0xe79e, 0xefbe, 0xf7bf, 0x2966, 0x2967, 0x0883, 0x2125, 0x10c4, 0x1905, 0x10a4, 0x0862, 0x10a4, 0x10a3, 
  0x0862, 0x0883, 0x0862, 0x10c3, 0x10a3, 0x10a3, 0x10a3, 0x6b8d, 0xe77e, 0xe77d, 0xdf5d, 0xdf5d, 0xdf5d, 0xdf3c, 0xdf1c, 0xdf1c, 
  0xd6fc, 0xd6fb, 0xcedb, 0xcedb, 0xcebb, 0xceba, 0xce9a, 0xc69a, 0xc679, 0xc679, 0xc659, 0xbe59, 0xbe59, 0xbe38, 0xbe18, 0xbe38, 
  0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe59, 0xbe59, 0xc658, 0xbe59, 0xc659, 0xbe59, 0xc679, 0xc679, 0xc679, 
  0xc658, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 
  0xc679, 0xc679, 0xc679, 0xc679, 0xbe59, 0xc679, 0xbe58, 0xbe58, 0xc658, 0xbe58, 0xbe59, 0xbe58, 0xbe59, 0xc659, 0xbe59, 0xbe59, 
  0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe38, 0xbe58, 0xc659, 0xc659, 0xbe59, 0xbe59, 0xc659, 0xbe59, 0xbe59, 
  0xc659, 0xc659, 0xc679, 0xc679, 0xc679, 0xc69a, 0xc69a, 0xceba, 0xcebb, 0xd6db, 0xd6fb, 0xd71c, 0xdf3c, 0xdf3d, 0xe77d, 0xe79e, 
  0xef9e, 0xefbf, 0xf7df, 0x9cf4, 0x2987, 0x2126, 0x08a3, 0x08a3, 0x0863, 0x0042, 0x0863, 0x10c4, 0x0883, 0x0883, 0x10a3, 0x10a4, 
  0x0882, 0x0883, 0x0882, 0x2965, 0x39e7, 0xe77d, 0xe77d, 0xe77d, 0xdf5d, 0xdf3d, 0xdf3c, 0xdf3c, 0xdf3c, 0xd6fc, 0xd6fc, 0xd6db, 
  0xd6db, 0xceba, 0xceba, 0xceba, 0xc69a, 0xc679, 0xc679, 0xc659, 0xbe59, 0xbe59, 0xbe39, 0xbe38, 0xbe38, 0xbe18, 0xbe38, 0xbe38, 
  0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe59, 0xc659, 0xc679, 0xc679, 0xc659, 0xc679, 0xc679, 0xc679, 
  0xc679, 0xc679, 0xc699, 0xc679, 0xc679, 0xc679, 0xc699, 0xc699, 0xc699, 0xc679, 0xc679, 0xc679, 0xc699, 0xc679, 0xc679, 0xc679, 
  0xc679, 0xc679, 0xc679, 0xc679, 0xbe58, 0xbe58, 0xc658, 0xc659, 0xc659, 0xc659, 0xbe59, 0xbe59, 0xbe58, 0xbe59, 0xbe58, 0xc659, 
  0xbe58, 0xbe59, 0xc659, 0xbe59, 0xc659, 0xbe38, 0xbe59, 0xc659, 0xbe59, 0xbe59, 0xbe59, 0xc659, 0xc659, 0xc659, 0xc659, 0xc679, 
  0xc679, 0xc679, 0xc67a, 0xce9a, 0xcebb, 0xcebb, 0xd6db, 0xd6fb, 0xd71c, 0xdf3d, 0xe75d, 0xe77e, 0xef9e, 0xefbe, 0xf7df, 0xf7ff, 
  0x4229, 0x2125, 0x0883, 0x0883, 0x0062, 0x10c4, 0x10a4, 0x0863, 0x0042, 0x0062, 0x0883, 0x0042, 0x10a3, 0x0042, 0x0041, 0x18e4, 
  0x0882, 0x2945, 0xdf3d, 0xe75d, 0xe77d, 0xe75d, 0xdf5d, 0xdf3d, 0xdf3c, 0xdf3c, 0xd71c, 0xd6fb, 0xd6fb, 0xd6db, 0xcebb, 0xceba, 
  0xceba, 0xc69a, 0xc67a, 0xc679, 0xc679, 0xbe59, 0xbe39, 0xbe38, 0xbe38, 0xbe18, 0xbe18, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe58, 
  0xbe58, 0xbe58, 0xbe59, 0xbe59, 0xbe59, 0xc659, 0xc659, 0xc679, 0xc659, 0xc659, 0xc679, 0xc679, 0xc679, 0xc699, 0xc699, 0xc699, 
  0xc699, 0xc699, 0xc699, 0xc699, 0xc699, 0xc699, 0xc699, 0xc699, 0xc679, 0xc679, 0xc699, 0xc699, 0xc699, 0xc679, 0xc679, 0xc679, 
  0xc679, 0xc679, 0xc659, 0xc679, 0xc659, 0xbe59, 0xc659, 0xc659, 0xc659, 0xc659, 0xc659, 0xc679, 0xc659, 0xbe59, 0xc659, 0xbe59, 
  0xbe59, 0xc659, 0xc659, 0xc679, 0xc659, 0xc659, 0xc659, 0xc659, 0xc659, 0xc659, 0xc659, 0xc659, 0xc679, 0xc67a, 0xc67a, 0xce9a, 
  0xce9a, 0xceba, 0xd6db, 0xd6fb, 0xd6fc, 0xdf1c, 0xdf3d, 0xe75d, 0xe77e, 0xef9e, 0xefbe, 0xf7df, 0xf7ff, 0x41e8, 0x10a3, 0x0883, 
  0x10e5, 0x0883, 0x0042, 0x0862, 0x0042, 0x0042, 0x0883, 0x0863, 0x0862, 0x0862, 0x0862, 0x18e4, 0x08a3, 0x0882, 0x2104, 0xe77d, 
  0xe77d, 0xe79e, 0xe77d, 0xdf5d, 0xdf3c, 0xdf3c, 0xdf3c, 0xd71c, 0xd6fb, 0xd6fb, 0xd6fb, 0xcedb, 0xceba, 0xceba, 0xc69a, 0xc67a, 
  0xc679, 0xc679, 0xc659, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe58, 0xbe38, 0xbe59, 0xbe59, 0xbe59, 
  0xbe59, 0xc659, 0xc679, 0xc679, 0xc679, 0xc679, 0xc659, 0xc679, 0xc679, 0xc699, 0xc699, 0xc699, 0xc699, 0xc699, 0xc699, 0xc679, 
  0xc699, 0xc699, 0xc699, 0xc69a, 0xc699, 0xc699, 0xc699, 0xc679, 0xc679, 0xc699, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 
  0xc679, 0xc679, 0xc659, 0xc659, 0xc659, 0xc659, 0xc659, 0xc659, 0xc659, 0xc659, 0xc679, 0xc659, 0xbe59, 0xc659, 0xc679, 0xc659, 
  0xc659, 0xc659, 0xc679, 0xc659, 0xc659, 0xc659, 0xc679, 0xc679, 0xc679, 0xc679, 0xc67a, 0xce9a, 0xce9a, 0xceba, 0xcebb, 0xd6db, 
  0xd6fb, 0xdf1c, 0xdf1c, 0xdf3d, 0xe75d, 0xef9e, 0xefbe, 0xefbf, 0xf7ff, 0xacb2, 0x3166, 0x10a4, 0x10a3, 0x0862, 0x0062, 0x0062, 
  0x0042, 0x0883, 0x0042, 0x0883, 0x0862, 0x0042, 0x0021, 0x0042, 0x0021, 0x0041, 0x0882, 0x18e4, 0xdf3c, 0xe77d, 0xe77d, 0xe77d, 
  0xdf5d, 0xdf5d, 0xdf3d, 0xdf3c, 0xdf1c, 0xd6fb, 0xd6fc, 0xd6fb, 0xcedb, 0xceba, 0xceba, 0xc69a, 0xc67a, 0xc679, 0xc679, 0xc659, 
  0xbe59, 0xbe38, 0xbe38, 0xbe18, 0xbe38, 0xbe38, 0xbe38, 0xbe58, 0xbe38, 0xbe58, 0xbe59, 0xc659, 0xc659, 0xc659, 0xbe59, 0xc679, 
  0xc679, 0xc679, 0xc679, 0xc679, 0xc699, 0xc699, 0xc679, 0xc699, 0xc699, 0xc699, 0xc699, 0xc699, 0xc699, 0xc699, 0xc699, 0xc699, 
  0xceba, 0xc699, 0xc699, 0xc699, 0xc679, 0xc699, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc659, 0xc679, 
  0xc679, 0xc679, 0xc679, 0xc659, 0xc679, 0xc679, 0xc659, 0xc659, 0xc679, 0xc679, 0xc659, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 
  0xc659, 0xc679, 0xc679, 0xc679, 0xc679, 0xc67a, 0xc679, 0xce9a, 0xc67a, 0xceba, 0xceba, 0xcebb, 0xd6db, 0xd6fb, 0xdf1c, 0xdf3c, 
  0xe75d, 0xe77d, 0xef9e, 0xf7bf, 0xf7bf, 0xf7df, 0x9bcd, 0x730b, 0x10c4, 0x18e4, 0x10a3, 0x0883, 0x10c4, 0x0883, 0x0883, 0x0862, 
  0x0021, 0x0042, 0x0042, 0x0021, 0x0021, 0x0041, 0x0883, 0x0882, 0x20e3, 0xe79d, 0xe79e, 0xe79e, 0xe77d, 0xe77d, 0xdf5d, 0xdf5d, 
  0xdf3c, 0xdf1c, 0xd71c, 0xd71c, 0xd6fb, 0xcedb, 0xcedb, 0xceba, 0xc69a, 0xc67a, 0xc679, 0xc659, 0xc679, 0xc659, 0xbe39, 0xbe38, 
  0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe58, 0xbe59, 0xbe59, 0xbe38, 0xc659, 0xc659, 0xc659, 0xc659, 0xc679, 0xc679, 0xc679, 
  0xc679, 0xc679, 0xc699, 0xc699, 0xc699, 0xc699, 0xceba, 0xc699, 0xc699, 0xc699, 0xceba, 0xce99, 0xceba, 0xceba, 0xceba, 0xceba, 
  0xce9a, 0xce9a, 0xc699, 0xc699, 0xc679, 0xce79, 0xc679, 0xc699, 0xc679, 0xc679, 0xc659, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 
  0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 
  0xc679, 0xc679, 0xc699, 0xce9a, 0xce9a, 0xce9a, 0xceba, 0xcebb, 0xd6db, 0xd6fb, 0xd6fc, 0xdf1c, 0xdf3d, 0xe75d, 0xef7d, 0xef9e, 
  0xefbe, 0xf7df, 0x5aab, 0x8b4b, 0x9bcd, 0x1905, 0x1905, 0x10c4, 0x0883, 0x0883, 0x0862, 0x0862, 0x0042, 0x0042, 0x0042, 0x0021, 
  0x0021, 0x0021, 0x0882, 0x0041, 0x0862, 0xad75, 0xdf5d, 0xe79e, 0xe77d, 0xe77d, 0xe77d, 0xdf5d, 0xdf5d, 0xdf5d, 0xdf1c, 0xdf1c, 
  0xd6fb, 0xd6fb, 0xd6db, 0xcebb, 0xceba, 0xce9a, 0xc679, 0xc679, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe39, 0xbe38, 0xb618, 0xbe38, 
  0xbe38, 0xbe58, 0xbe58, 0xbe59, 0xc659, 0xc658, 0xc679, 0xc659, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc699, 0xc699, 
  0xc699, 0xc699, 0xceba, 0xceba, 0xce99, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xce9a, 0xce9a, 
  0xce99, 0xc699, 0xc679, 0xc699, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc699, 0xc679, 
  0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc699, 0xc699, 0xce9a, 0xc699, 0xce9a, 
  0xce9a, 0xceba, 0xceba, 0xcebb, 0xd6db, 0xd6fb, 0xd6fb, 0xdf1c, 0xdf3c, 0xe73c, 0xe75d, 0xef7d, 0xef9e, 0xf7df, 0xf7df, 0x41a7, 
  0x7aa8, 0xac2e, 0x18e4, 0x18e4, 0xc4d0, 0x0882, 0x0862, 0x0863, 0x0863, 0x0042, 0x0042, 0x0021, 0x0021, 0x0021, 0x0042, 0x0862, 
  0x0862, 0x0862, 0xefbe, 0xe79e, 0xe79e, 0xe77d, 0xe79e, 0xe77d, 0xe77d, 0xdf5d, 0xdf5d, 0xdf3c, 0xdf3c, 0xd6fc, 0xd6fc, 0xd6db, 
  0xcedb, 0xceba, 0xce9a, 0xc69a, 0xc679, 0xc679, 0xc659, 0xc659, 0xbe39, 0xbe38, 0xbe38, 0xb617, 0xbe38, 0xbe38, 0xbe59, 0xc659, 
  0xbe58, 0xc659, 0xbe59, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc699, 0xc699, 0xc69a, 0xc699, 0xc699, 0xceba, 0xceba, 0xceba, 
  0xce99, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceda, 0xceda, 0xceba, 0xceba, 0xceba, 0xce9a, 0xce9a, 0xce9a, 0xce9a, 0xce99, 
  0xce99, 0xce99, 0xc679, 0xc699, 0xc699, 0xc699, 0xc699, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 
  0xc679, 0xc679, 0xc679, 0xc699, 0xc679, 0xce9a, 0xc699, 0xc679, 0xce9a, 0xce9a, 0xce9a, 0xce9a, 0xceba, 0xce9a, 0xceba, 0xceba, 
  0xd6db, 0xd6db, 0xd6fb, 0xd6fc, 0xdf1c, 0xdf3c, 0xe75d, 0xe77d, 0xef9e, 0xefbe, 0xf7df, 0xf7df, 0xffff, 0x8b6b, 0x938c, 0x2925, 
  0x6a26, 0x2840, 0x2861, 0x0842, 0x1083, 0x0022, 0x0042, 0x0042, 0x0041, 0x0042, 0x0021, 0x0041, 0x0041, 0x0862, 0x2145, 0xe79e, 
  0xe79e, 0xe79e, 0xe79e, 0xe77d, 0xe77d, 0xe77d, 0xdf5d, 0xdf5d, 0xdf3c, 0xdf1c, 0xd6fc, 0xd6db, 0xd6db, 0xcebb, 0xceba, 0xce9a, 
  0xc69a, 0xc679, 0xc679, 0xc659, 0xc659, 0xbe59, 0xbe39, 0xbe38, 0xbe38, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xc659, 
  0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc69a, 0xc69a, 0xce99, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 
  0xceba, 0xd6da, 0xd6db, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6db, 0xceba, 0xceba, 0xceba, 0xce9a, 0xce9a, 0xce99, 0xce9a, 0xc699, 0xce9a, 
  0xc699, 0xc699, 0xce9a, 0xce9a, 0xc699, 0xce9a, 0xc699, 0xc699, 0xce9a, 0xc699, 0xc699, 0xce9a, 0xc699, 0xc699, 0xc699, 0xc699, 
  0xce9a, 0xce9a, 0xce9a, 0xce9a, 0xce9a, 0xce9a, 0xce9a, 0xce9a, 0xceba, 0xceba, 0xceba, 0xceda, 0xd6db, 0xd6db, 0xd6db, 0xd6fc, 
  0xdf1c, 0xdf3c, 0xe73d, 0xe75d, 0xef7d, 0xef9e, 0xf7be, 0xf7df, 0xffff, 0xffff, 0xb490, 0x6a89, 0x3124, 0x932a, 0xd532, 0x5123, 
  0x3124, 0x0882, 0x0042, 0x0021, 0x0021, 0x0021, 0x0041, 0x0042, 0x0042, 0x0842, 0x0862, 0xf7de, 0xef9e, 0xe79e, 0xe79e, 0xe79e, 
  0xe79e, 0xe79e, 0xe77d, 0xdf5d, 0xdf5d, 0xdf3c, 0xdf3c, 0xdf1c, 0xd6fb, 0xcedb, 0xcebb, 0xceba, 0xceba, 0xce9a, 0xc67a, 0xc659, 
  0xbe59, 0xbe59, 0xbe38, 0xbe58, 0xbe38, 0xbe38, 0xbe38, 0xbe59, 0xbe59, 0xbe59, 0xbe79, 0xc679, 0xc679, 0xc679, 0xc659, 0xc679, 
  0xc699, 0xc699, 0xc69a, 0xc699, 0xc699, 0xce99, 0xce99, 0xceba, 0xce99, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xd6da, 0xd6db, 
  0xd6fa, 0xc575, 0xd71b, 0xd6fb, 0xceba, 0xceba, 0xceba, 0xceba, 0xce9a, 0xceba, 0xce99, 0xceba, 0xce9a, 0xc699, 0xc699, 0xce99, 
  0xce9a, 0xce9a, 0xc699, 0xce9a, 0xce9a, 0xce9a, 0xce9a, 0xc699, 0xce9a, 0xc699, 0xce9a, 0xce9a, 0xce9a, 0xce9a, 0xce9a, 0xceba, 
  0xceba, 0xceba, 0xceba, 0xceba, 0xceda, 0xceba, 0xceda, 0xd6db, 0xd6db, 0xd6db, 0xd6fb, 0xd6fb, 0xdf1c, 0xdf1c, 0xdf3d, 0xe75d, 
  0xe77d, 0xef9e, 0xef9e, 0xf7be, 0xf7df, 0xf7ff, 0xc532, 0x93ab, 0x5207, 0x832a, 0xabec, 0x9b09, 0x40c2, 0x59e6, 0x0842, 0x0042, 
  0x0021, 0x0021, 0x0001, 0x0041, 0x0021, 0x0021, 0x0021, 0x0862, 0xef9e, 0xe79e, 0xefbe, 0xe79e, 0xe79e, 0xe79e, 0xe77d, 0xe77d, 
  0xdf5d, 0xdf5d, 0xdf3c, 0xd71c, 0xd6fb, 0xd6db, 0xd6db, 0xcedb, 0xceba, 0xceba, 0xc69a, 0xc679, 0xbe79, 0xc659, 0xbe59, 0xbe38, 
  0xbe58, 0xbe38, 0xbe38, 0xbe59, 0xbe59, 0xbe59, 0xc659, 0xc679, 0xc659, 0xc679, 0xc679, 0xc699, 0xc699, 0xc699, 0xc69a, 0xc69a, 
  0xceba, 0xceba, 0xc699, 0xceba, 0xceba, 0xce99, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xd6da, 0xd6fb, 0xac4f, 0x9bac, 0x9cb2, 
  0xd6fb, 0xceda, 0xcedb, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xce9a, 0xceba, 0xceba, 0xce9a, 0xce9a, 0xce9a, 0xce9a, 0xce9a, 
  0xce9a, 0xce9a, 0xceba, 0xceba, 0xce9a, 0xce9a, 0xce9a, 0xce9a, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 
  0xceda, 0xceba, 0xd6db, 0xd6db, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fc, 0xdf1c, 0xdf1c, 0xdf3c, 0xe75d, 0xe75c, 0xe77d, 0xef9e, 0xefbe, 
  0xf7df, 0xf7ff, 0xf7ff, 0xa40d, 0x8b2a, 0x3985, 0x8b0a, 0xa36a, 0x92e8, 0x40e3, 0x51a5, 0x1082, 0x0042, 0x0021, 0x0022, 0x0862, 
  0x0863, 0x0042, 0x0862, 0x1082, 0x18c3, 0xe79e, 0xe79e, 0xe79e, 0xefbe, 0xe79e, 0xe77d, 0xe77d, 0xe77d, 0xdf5d, 0xdf3c, 0xdf3c, 
  0xd71c, 0xd6fb, 0xd6fb, 0xcefb, 0xcedb, 0xceba, 0xceba, 0xc69a, 0xc679, 0xc659, 0xbe59, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 
  0xbe59, 0xbe59, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc699, 0xc69a, 0xce9a, 0xce9a, 0xceba, 0xceba, 0xce9a, 
  0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceda, 0xceba, 0xceda, 0xd6fb, 0xd71b, 0x8ae9, 0x7a67, 0x93ad, 0xd6fb, 0xd6fb, 0xd6fb, 
  0xceda, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 
  0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceda, 0xceba, 0xd6db, 0xceda, 0xd6db, 0xd6db, 0xd6db, 0xd6fb, 0xd6fb, 
  0xd6fb, 0xd6fb, 0xd6fb, 0xd6fc, 0xdf1c, 0xdf1c, 0xdf3c, 0xe73d, 0xe75d, 0xef7d, 0xef9d, 0xef9e, 0xf7bf, 0xf7df, 0xffff, 0xffff, 
  0x832a, 0x6268, 0x3964, 0x82e8, 0xa36a, 0x3061, 0x4923, 0x51a5, 0x3965, 0x0021, 0x0021, 0x0883, 0x0041, 0x0862, 0x0041, 0x0021, 
  0x10a3, 0x4228, 0xefbe, 0xef9e, 0xe79e, 0xe79e, 0xe79e, 0xe79e, 0xe79e, 0xe77d, 0xdf5d, 0xdf3c, 0xdf3c, 0xd71c, 0xd71c, 0xd6fb, 
  0xcedb, 0xcedb, 0xceba, 0xc69a, 0xc69a, 0xc679, 0xc659, 0xbe59, 0xbe59, 0xbe38, 0xbe38, 0xbe38, 0xbe38, 0xbe59, 0xc679, 0xc659, 
  0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc679, 0xc69a, 0xceba, 0xce9a, 0xce9a, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceda, 
  0xceba, 0xceda, 0xceba, 0xceda, 0xceda, 0xd6da, 0xd6fb, 0x7227, 0x6a06, 0x6a89, 0xa430, 0xd6fb, 0xd6fb, 0xceda, 0xceda, 0xceda, 
  0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 
  0xceba, 0xceba, 0xceba, 0xceda, 0xd6db, 0xd6db, 0xd6db, 0xd6fb, 0xd6db, 0xd6db, 0xd6db, 0xd6fb, 0xd6fb, 0xd6fb, 0xd71b, 0xdf1c, 
  0xdf1c, 0xdf3c, 0xdf3c, 0xdf3d, 0xe75d, 0xe77d, 0xef7d, 0xef9e, 0xefbe, 0xf7be, 0xf7df, 0xffff, 0xf7ff, 0x6aca, 0x41a5, 0x3124, 
  0x7288, 0x7a87, 0x5144, 0x59a5, 0x61e5, 0x51e6, 0x0841, 0x0041, 0x0862, 0x0862, 0x0041, 0x0041, 0x0882, 0x1082, 0xf7de, 0xefbe, 
  0xefbe, 0xefbe, 0xe79e, 0xefbe, 0xe79e, 0xe77d, 0xe77d, 0xdf5d, 0xdf3c, 0xdf3c, 0xd71c, 0xd71c, 0xd6fb, 0xd6db, 0xd6db, 0xceba, 
  0xceba, 0xc69a, 0xc679, 0xc679, 0xc679, 0xbe59, 0xbe59, 0xbe38, 0xbe38, 0xbe38, 0xbe59, 0xc679, 0xc659, 0xc679, 0xc679, 0xc69a, 
  0xc699, 0xc699, 0xc69a, 0xc69a, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceda, 0xceba, 0xceba, 0xceda, 0xceda, 0xceda, 
  0xceda, 0xd6da, 0xd6fb, 0xd6fb, 0x7288, 0x5164, 0x5985, 0x7ac9, 0x8bce, 0xd6fb, 0xd6fb, 0xd6db, 0xceda, 0xceda, 0xceda, 0xceda, 
  0xceba, 0xd6db, 0xceda, 0xceda, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceda, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xd6db, 
  0xd6db, 0xd6db, 0xd6db, 0xd6fb, 0xd6db, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd71b, 0xdf1c, 0xdf1c, 0xdf1c, 0xdf3c, 0xdf3d, 
  0xe75d, 0xe75d, 0xe77d, 0xef7d, 0xef9e, 0xf7be, 0xf7be, 0xf7df, 0xf7ff, 0xf7ff, 0x5269, 0x49a6, 0x49a5, 0x6206, 0x7267, 0x6a06, 
  0x7267, 0x7a87, 0x6a47, 0x20a3, 0x0842, 0x0042, 0x0021, 0x0021, 0x0862, 0x0862, 0xad75, 0xef9e, 0xefbf, 0xefbe, 0xefbe, 0xe79e, 
  0xefbe, 0xe79e, 0xe77d, 0xe77d, 0xdf5d, 0xdf3c, 0xdf3c, 0xd71c, 0xd71c, 0xd6fb, 0xd6db, 0xcedb, 0xceba, 0xceba, 0xc69a, 0xc69a, 
  0xc679, 0xc679, 0xbe59, 0xbe59, 0xbe59, 0xbe39, 0xbe38, 0xc659, 0xc679, 0xc679, 0xc679, 0xc679, 0xc699, 0xc699, 0xc69a, 0xce9a, 
  0xceba, 0xce9a, 0xceba, 0xceba, 0xceba, 0xceba, 0xceba, 0xceda, 0xceda, 0xceda, 0xceda, 0xceda, 0xcedb, 0xd6da, 0xd6fb, 0xd6fb, 
  0xd6fb, 0xdf1a, 0x5984, 0x5163, 0x6206, 0x72a9, 0xc617, 0xd6fb, 0xd6db, 0xd6fb, 0xd6fb, 0xd6da, 0xceda, 0xceda, 0xceda, 0xceda, 
  0xd6da, 0xceba, 0xceda, 0xceba, 0xceda, 0xceba, 0xceba, 0xceda, 0xceda, 0xceda, 0xd6da, 0xd6da, 0xd6da, 0xceda, 0xd6db, 0xd6db, 
  0xd6db, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd71b, 0xdf1c, 0xdf1c, 0xdf1c, 0xdf3c, 0xdf3c, 0xdf3d, 0xe75d, 0xe75c, 0xe75d, 0xef7d, 
  0xef9d, 0xef9e, 0xefbe, 0xf7df, 0xf7df, 0xf7ff, 0xffff, 0xdedb, 0x3985, 0x4185, 0x4184, 0x6a46, 0x7246, 0x7aa8, 0x7aa8, 0x7267, 
  0x6247, 0x1082, 0x0021, 0x0021, 0x0882, 0x0862, 0x18e4, 0xf7ff, 0xefde, 0xefdf, 0xefbe, 0xef9e, 0xe79e, 0xe79e, 0xe79e, 0xe77d, 
  0xe77d, 0xdf5d, 0xdf3c, 0xdf3c, 0xd71c, 0xd71c, 0xd6fb, 0xcedb, 0xcedb, 0xceba, 0xceba, 0xc69a, 0xc69a, 0xbe79, 0xc679, 0xbe59, 
  0xbe59, 0xbe59, 0xbe59, 0xbe38, 0xc679, 0xc679, 0xc679, 0xc679, 0xc69a, 0xc69a, 0xc69a, 0xce9a, 0xceba, 0xceba, 0xceda, 0xceba, 
  0xceda, 0xcedb, 0xceda, 0xceda, 0xceba, 0xcedb, 0xcedb, 0xd6fb, 0xd6db, 0xd6db, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd71b, 0x61c5, 
  0x5164, 0x4964, 0x4143, 0x72a8, 0xf79c, 0xd71b, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6db, 0xd6da, 0xd6da, 0xd6da, 0xd6da, 
  0xd6da, 0xceda, 0xd6db, 0xd6db, 0xceda, 0xd6da, 0xd6da, 0xd6da, 0xd6db, 0xd6db, 0xd6db, 0xd6db, 0xd6db, 0xd6fb, 0xd6fb, 0xd6fb, 
  0xd71b, 0xd71b, 0xdf1c, 0xdf1c, 0xdf3c, 0xdf1c, 0xdf3c, 0xdf3c, 0xdf5c, 0xe75d, 0xe75d, 0xe77d, 0xef7d, 0xef9e, 0xefbe, 0xf7be, 
  0xf7de, 0xf7ff, 0xf7ff, 0xf7ff, 0xffff, 0x3965, 0x3945, 0x4185, 0x51a4, 0x7267, 0x82a8, 0x7a87, 0x7247, 0x6a26, 0x5a06, 0x4186, 
  0x18a3, 0x2125, 0x2146, 0x2145, 0x9d34, 0xefbe, 0xefbe, 0xef9e, 0xe79e, 0xe79e, 0xe79e, 0xe77d, 0xe77d, 0xe77d, 0xdf5d, 0xdf3c, 
  0xdf3c, 0xd71c, 0xd71c, 0xd6fb, 0xcedb, 0xcedb, 0xceba, 0xceba, 0xc69a, 0xc69a, 0xc679, 0xc679, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 
  0xbe39, 0xc679, 0xc679, 0xbe59, 0xc69a, 0xc69a, 0xce9a, 0xc699, 0xc69a, 0xceba, 0xceba, 0xceba, 0xceda, 0xcedb, 0xceda, 0xcedb, 
  0xcedb, 0xceda, 0xd6db, 0xd6db, 0xd6db, 0xcedb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0x5164, 0x4102, 0x4963, 
  0x6226, 0x7ae9, 0xbd12, 0xd71b, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6db, 0xd6da, 0xd6fb, 0xd6da, 0xd6da, 0xd6db, 0xd6db, 
  0xd6db, 0xd6da, 0xd6da, 0xd6da, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xdf1c, 0xdf1c, 0xdf1c, 0xdf1c, 0xdf3c, 
  0xdf3c, 0xdf3c, 0xdf3c, 0xdf5c, 0xe75d, 0xe77d, 0xe77d, 0xef7d, 0xef7d, 0xef9e, 0xef9e, 0xf7be, 0xf7be, 0xf7df, 0xf7ff, 0xf7ff, 
  0xffff, 0xe71c, 0x3985, 0x3123, 0x3124, 0x4964, 0x7a88, 0x82a8, 0x7a67, 0x6a47, 0x3966, 0x2125, 0x1905, 0x2146, 0x2146, 0x2126, 
  0x1105, 0x2146, 0x31c7, 0xef9e, 0xef9e, 0xe79e, 0xe79e, 0xe79e, 0xe77d, 0xe77d, 0xe77d, 0xdf5d, 0xdf3c, 0xdf3c, 0xd71c, 0xd6fb, 
  0xd6fb, 0xcedb, 0xceda, 0xceba, 0xc69a, 0xc679, 0xc69a, 0xc679, 0xc679, 0xbe59, 0xbe59, 0xbe58, 0xbe59, 0xbe38, 0xc679, 0xc679, 
  0xc69a, 0xc69a, 0xc69a, 0xc69a, 0xc69a, 0xceba, 0xceba, 0xceba, 0xceda, 0xcedb, 0xceba, 0xcedb, 0xd6db, 0xcedb, 0xd6fb, 0xcedb, 
  0xd6db, 0xd6db, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xdf1b, 0x5163, 0x4122, 0x5163, 0x6a46, 0x938b, 
  0xa44f, 0xd71c, 0xd71b, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6da, 0xd6db, 0xd6db, 0xd6da, 0xd6fb, 
  0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd71b, 0xd71b, 0xdf1c, 0xdf3c, 0xdf3c, 0xdf1c, 0xdf3c, 0xdf3c, 0xe75d, 
  0xe75d, 0xe75d, 0xe77d, 0xe77d, 0xef7d, 0xef9d, 0xef9d, 0xefbe, 0xefbe, 0xf7be, 0xf7de, 0xf7ff, 0xf7ff, 0xf7ff, 0x62ec, 0x526a, 
  0x4a2a, 0x5aed, 0x4a6b, 0x4aab, 0x3a09, 0x424a, 0x2146, 0x1905, 0x1926, 0x1905, 0x1905, 0x1905, 0x1925, 0x1905, 0x1905, 0x2986, 
  0xe79d, 0xef9e, 0xe79e, 0xe77e, 0xe77d, 0xe79e, 0xe77d, 0xdf5d, 0xdf3c, 0xdf3c, 0xd71c, 0xd71c, 0xd71c, 0xd71c, 0xd6fb, 0xceda, 
  0xcedb, 0xc69a, 0xceba, 0xc69a, 0xc679, 0xc679, 0xbe59, 0xbe59, 0xbe59, 0xbe58, 0xbe38, 0xc679, 0xc679, 0xc699, 0xc699, 0xce9a, 
  0xc67a, 0xce9a, 0xce9a, 0xceba, 0xceba, 0xceda, 0xceda, 0xd6db, 0xceda, 0xd6db, 0xd6db, 0xd6fb, 0xd6fb, 0xcedb, 0xd6fb, 0xd6fb, 
  0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xdf1c, 0x61e5, 0x4943, 0x4922, 0x5163, 0x6a46, 0x8309, 0xf7be, 0xdf1c, 
  0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6db, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 
  0xd71b, 0xd6fb, 0xd6fb, 0xd71b, 0xdf1c, 0xdf1c, 0xdf3c, 0xdf3c, 0xdf3c, 0xdf3c, 0xdf3c, 0xe75c, 0xe75c, 0xe75d, 0xe77d, 0xe77d, 
  0xe79d, 0xef9d, 0xef9d, 0xef9e, 0xefbe, 0xf7be, 0xf7be, 0xf7de, 0xf7df, 0xf7ff, 0x7bf0, 0x52cc, 0x52cc, 0x422a, 0x424a, 0x4209, 
  0x39e9, 0x422a, 0x3a09, 0x3a2a, 0x422a, 0x1905, 0x18e5, 0x10e5, 0x1925, 0x2146, 0x2166, 0x2966, 0x31a7, 0xe77d, 0xe77e, 0xe77e, 
  0xe77d, 0xe79e, 0xe77d, 0xe77d, 0xdf5d, 0xdf3c, 0xdf3c, 0xd71c, 0xd71c, 0xd6fb, 0xd6fb, 0xcedb, 0xcedb, 0xceba, 0xceba, 0xceba, 
  0xc679, 0xc679, 0xbe59, 0xbe59, 0xbe59, 0xbe58, 0xbe58, 0xbe58, 0xc679, 0xc679, 0xc679, 0xc699, 0xce9a, 0xc69a, 0xce9a, 0xceba, 
  0xceba, 0xceba, 0xceda, 0xceda, 0xceda, 0xcedb, 0xd6fb, 0xcedb, 0xcedb, 0xcedb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 
  0xd6fb, 0xd71b, 0xd6fb, 0xd6fb, 0xdf1c, 0x93ec, 0x4943, 0x4964, 0x4983, 0x59c4, 0x7aa7, 0x938b, 0xdf1c, 0xd71c, 0xd6fb, 0xd6fb, 
  0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd71b, 0xd71b, 0xdf1c, 
  0xdf1c, 0xdf3c, 0xdf3c, 0xdf1c, 0xdf3c, 0xdf3c, 0xdf3c, 0xdf3c, 0xe75d, 0xe75d, 0xe77d, 0xe77d, 0xe77d, 0xe77d, 0xef9e, 0xef9e, 
  0xef9e, 0xefbe, 0xf7de, 0xf7be, 0xf7df, 0xf7de, 0xf7df, 0x4a8b, 0x39c8, 0x2105, 0x4209, 0x4a6b, 0x4a6a, 0x39e9, 0x3a09, 0x39e9, 
  0x31c8, 0x3a09, 0x31c8, 0x2146, 0x31e9, 0x31e9, 0x1905, 0x1905, 0x29a8, 0x424a, 0xefbe, 0xef9d, 0xe77e, 0xe79e, 0xe77d, 0xe77d, 
  0xdf5d, 0xdf5d, 0xdf3c, 0xdf3c, 0xdf1c, 0xd71c, 0xd71c, 0xd6fb, 0xcedb, 0xceda, 0xceba, 0xceba, 0xc69a, 0xc69a, 0xc679, 0xc679, 
  0xc679, 0xbe59, 0xbe59, 0xbe59, 0xbe38, 0xc679, 0xc679, 0xc699, 0xc69a, 0xc69a, 0xceba, 0xceba, 0xceba, 0xceba, 0xcebb, 0xceba, 
  0xd6db, 0xceda, 0xd6fb, 0xceda, 0xd6fb, 0xd6fb, 0xcedb, 0xcedb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd71b, 0xd6fb, 0xd71c, 
  0xd71b, 0xd71b, 0xa40b, 0x6206, 0x4963, 0x5184, 0x59c4, 0x6205, 0x8b29, 0xa42e, 0xdf1c, 0xd71c, 0xd6fb, 0xd71b, 0xd6fb, 0xd6fb, 
  0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6db, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xdf1c, 0xdf1c, 0xdf1c, 0xdf3c, 0xdf5c, 
  0xdf1c, 0x5b2c, 0x52cb, 0x10c3, 0x52ab, 0x52ab, 0x4a6b, 0x39e8, 0x08a3, 0xffff, 0xef9e, 0xf7bf, 0x73cf, 0xef9e, 0xef9e, 0xc639, 
  0xf7bf, 0x5aec, 0xffff, 0xf7df, 0x0862, 0x4a8b, 0x2146, 0x2146, 0x39e9, 0x31c8, 0x3a09, 0x424a, 0x422a, 0x3a09, 0x2987, 0x422a, 
  0x3a09, 0x2146, 0x424a, 0x2967, 0x52cc, 0x2146, 0x29a8, 0x29a7, 0xc699, 0xe79d, 0xe77e, 0xe77d, 0xe75d, 0xe77d, 0xdf5d, 0xdf5d, 
  0xdf3c, 0xd71c, 0xd6fb, 0xd6fb, 0xd6fb, 0xceda, 0xceda, 0xceba, 0xceba, 0xc69a, 0xc69a, 0xc69a, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 
  0xbe38, 0xbe58, 0xbe58, 0xc679, 0xc699, 0xce9a, 0xc69a, 0xce9a, 0xceba, 0xceba, 0xceda, 0xcebb, 0xcedb, 0xcedb, 0xcedb, 0xceba, 
  0xcedb, 0xceda, 0xd6fb, 0xd6db, 0xd6db, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xdf1c, 0xd71b, 0xd71c, 0xd71c, 0xdf1b, 0x71c4, 
  0x59c5, 0x59c5, 0x51c4, 0x51c4, 0x59e4, 0x6a26, 0x93ac, 0xac6f, 0xd71c, 0xdf1c, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 
  0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xdf1c, 0xdf1c, 0xdf3c, 0xdf3c, 0xdf3c, 0xdf3c, 0xd6da, 0x4164, 0xc533, 0xddb4, 
  0x936c, 0x0862, 0x0862, 0x4a4a, 0x422a, 0x18c4, 0x4229, 0x4209, 0x39e8, 0x39c8, 0x4209, 0x3a09, 0x2966, 0x31a7, 0x5acc, 0x2987, 
  0x4229, 0x3a09, 0x10a4, 0x2105, 0x10a3, 0x39e8, 0x31a8, 0x39e9, 0x39e9, 0x31e8, 0x3a09, 0x31a8, 0x31e9, 0x0883, 0x3a09, 0x31c8, 
  0x31c8, 0x31c8, 0x422a, 0x1905, 0x4a8b, 0x424a, 0xe79d, 0xe79e, 0xe77d, 0xe77d, 0xdf5d, 0xdf5d, 0xdf3c, 0xdf3c, 0xd71b, 0xd6fb, 
  0xd6fb, 0xd6fb, 0xcedb, 0xceba, 0xceba, 0xceba, 0xc69a, 0xc69a, 0xc69a, 0xc679, 0xbe38, 0xbe59, 0xbe59, 0xbe38, 0xbe38, 0xc679, 
  0xc699, 0xc679, 0xc699, 0xc69a, 0xc69a, 0xceba, 0xceba, 0xceba, 0xceb9, 0xd6b9, 0xde78, 0xde98, 0xd6d9, 0xd6d9, 0xd6fa, 0xd6fb, 
  0xd6fb, 0xd6db, 0xd6fb, 0xd6db, 0xd71b, 0xd6fb, 0xd6fb, 0xd6fb, 0xd71b, 0xdf3b, 0xd655, 0xbcef, 0x93aa, 0x8b29, 0x82e8, 0x7aa7, 
  0x7266, 0x6a46, 0x6205, 0x7a87, 0xb46e, 0xdf1b, 0xdf1c, 0xdf1c, 0xd71b, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd6fb, 
  0xd6db, 0xd71b, 0xcedb, 0xd71b, 0xd6da, 0xc617, 0xc553, 0xbcaf, 0xc4d0, 0xb44e, 0xbc8e, 0xbcaf, 0xc4af, 0xc4cf, 0x9309, 0x0842, 
  0x2986, 0x39a8, 0x31c7, 0x31a7, 0x39c8, 0x31c7, 0x39e8, 0x39e9, 0x422a, 0x2946, 0x4229, 0x4209, 0x2946, 0x18e5, 0x39e9, 0x1083, 
  0x4a6b, 0x1905, 0x39e8, 0x2987, 0x39e8, 0x31c8, 0x0883, 0x422a, 0x31a8, 0x31c8, 0x2146, 0x0883, 0x2146, 0x3a09, 0x31a8, 0x422a, 
  0x1925, 0x10e4, 0x4a8b, 0x4a8a, 0xef9e, 0xe77d, 0xe75d, 0xdf5d, 0xdf5c, 0xdf3c, 0xdf3c, 0xdf3c, 0xd71c, 0xd6fb, 0xd6fb, 0xcedb, 
  0xcedb, 0xceba, 0xceba, 0xc69a, 0xc679, 0xc679, 0xbe79, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe38, 0xc679, 0xbe59, 0xbe59, 0xc679, 
  0xc69a, 0xc69a, 0xceba, 0xceba, 0xc511, 0xac4e, 0xa40e, 0x8b0a, 0x934a, 0x8ae9, 0x936a, 0xa3ec, 0xac4d, 0xa40d, 0xa42d, 0xa42d, 
  0xc510, 0xcd92, 0xcdb4, 0xcd73, 0xcd31, 0xbcef, 0xa3eb, 0x9bca, 0x9389, 0x8b29, 0x82e8, 0x8308, 0x7ae8, 0x7ac7, 0x7286, 0x6a26, 
  0x6205, 0x8b08, 0xac2e, 0xef1a, 0xbacc, 0xdefb, 0xd6fb, 0xd6fb, 0xd6fb, 0xd71b, 0xd6fb, 0xd6fb, 0xceba, 0xceb9, 0x9cb1, 0x9c2e, 
  0xac0e, 0xb44e, 0xb44e, 0xbc8f, 0xb44e, 0xac2d, 0xac0d, 0xb42d, 0xbc6e, 0xb40d, 0xb44d, 0xa3cb, 0x18c4, 0x0021, 0x2946, 0x2946, 
  0x2946, 0x31a7, 0x2105, 0x3187, 0x2946, 0x39e8, 0x1905, 0x2987, 0x2126, 0x18e5, 0x39e8, 0x31c8, 0x10a3, 0x2126, 0x18e5, 0x39e8, 
  0x2126, 0x31a8, 0x31c8, 0x31a8, 0x29a8, 0x3a09, 0x29a7, 0x39e8, 0x1905, 0x10a3, 0x31c8, 0x31c8, 0x31e9, 0x29c8, 0x2146, 0x2166, 
  0x426b, 0x2146, 0xe77d, 0xe75d, 0xdf5d, 0xdf3d, 0xdf3c, 0xd71c, 0xd71c, 0xd71c, 0xd6fb, 0xd6fb, 0xcedb, 0xcedb, 0xc6ba, 0xceba, 
  0xc69a, 0xc69a, 0xc679, 0xbe79, 0xbe59, 0xbe59, 0xbe59, 0xbe59, 0xbe38, 0xbe38, 0xb638, 0xbe79, 0xbe59, 0xbe79, 0xc69a, 0xc69a, 
  0xc69a, 0x938a, 0x8b29, 0x830a, 0x6206, 0x59a4, 0x6226, 0x59c4, 0x72a7, 0x7ac7, 0x7287, 0x59c4, 0x6a67, 0x8309, 0x8b29, 0x936a, 
  0x936a, 0x936a, 0x9b8a, 0x9349, 0x8b49, 0x8308, 0x7aa7, 0x72a7, 0x7266, 0x7287, 0x7266, 0x6a46, 0x6a46, 0x61e4, 0x6a26, 0x9349, 
  0xbc6e, 0xbc6e, 0xa105, 0x4a48, 0x10a3, 0xbd33, 0xa40d, 0xbc8f, 0xbc6e, 0xb44d, 0xac2d, 0xac0d, 0xabcc, 0xabec, 0xb40d, 0xac0c, 
  0xac0d, 0xa3ab, 0xa3ac, 0xabec, 0xabec, 0xa3cb, 0xabec, 0xb40c, 0x9b4a, 0x18e4, 0x10a3, 0x18c4, 0x2946, 0x2125, 0x2987, 0x2146, 
  0x2145, 0x0862, 0x2146, 0x2966, 0x3187, 0x10a3, 0x10c4, 0x18e5, 0x31c8, 0x10a3, 0x10c4, 0x2125, 0x31c8, 0x1905, 0x2967, 0x31a7, 
  0x2987, 0x2967, 0x31c8, 0x31a8, 0x31a8, 0x31a8, 0x10c4, 0x18e4, 0x3a09, 0x31c8, 0x31a8, 0x2987, 0x1905, 0x2166, 0x428b, 0x2966, 
  0xe77d, 0xdf5d, 0xdf3d, 0xdf5d, 0xdf3c, 0xd71c, 0xd71c, 0xd71c, 0xd6fb, 0xcedb, 0xcedb, 0xceba, 0xceba, 0xc69a, 0xc69a, 0xc679, 
  0xc679, 0xbe79, 0xbe59, 0xbe59, 0xbe58, 0xbe38, 0xb618, 0xb618, 0xb638, 0xbe58, 0xbe58, 0xbe58, 0xbe59, 0xbe79, 0x5a48, 0x6a47, 
  0x61c6, 0x4102, 0x4123, 0x4143, 0x51a4, 0x51a4, 0x59c4, 0x51a4, 0x59c5, 0x51a4, 0x61e5, 0x6a25, 0x6a26, 0x6a25, 0x7266, 0x7266, 
  0x7286, 0x7287, 0x6a46, 0x6a25, 0x6225, 0x6204, 0x6204, 0x6205, 0x6a25, 0x6205, 0x6a26, 0x6a26, 0x7246, 0x9329, 0x9b4a, 0x8a47, 
  0xe6eb, 0x31a7, 0x2946, 0x9b6a, 0x9329, 0x9309, 0x7a87, 0x934a, 0xa3ab, 0x9b8a, 0x9b6a, 0xa38a, 0xa38b, 0x9b8b, 0x9b8b, 0x934a, 
  0xa3ab, 0xa3ab, 0x936a, 0x9b6a, 0x9b4a, 0x8b09, 0x0841, 0x18c4, 0x18e4, 0x10a3, 0x10a3, 0x18e4, 0x1905, 0x2125, 0x0021, 0x18e4, 
  0x2946, 0x2105, 0x10c4, 0x18e4, 0x10a4, 0x2986, 0x2125, 0x10a4, 0x10a4, 0x2966, 0x18e4, 0x2125, 0x31a7, 0x2987, 0x2987, 0x2987, 
  0x31e8, 0x29a7, 0x31c8, 0x2126, 0x0883, 0x2967, 0x31a8, 0x1905, 0x2166, 0x29a7, 0x1905, 0x31e8, 0x31e9, 0x4a8a, 0xdf5d, 0xdf3c, 
  0xdf3c, 0xdf3c, 0xd71c, 0xd71c, 0xd6fb, 0xd6fb, 0xd6fb, 0xcedb, 0xceba, 0xceba, 0xc69a, 0xc679, 0xbe79, 0xbe79, 0xbe59, 0xbe59, 
  0xbe59, 0xbe59, 0xb638, 0xb618, 0xb618, 0xb618, 0xb618, 0xb638, 0xb638, 0xb638, 0xb659, 0xbe59, 0xbe59, 0xbe79, 0xbe79, 0xdf1b, 
  0x9451, 0x49a6, 0x4143, 0x4122, 0x4143, 0x4943, 0x4963, 0x51a4, 0x6205, 0x6205, 0x6a46, 0x7267, 0x7246, 0x7246, 0x7266, 0x7a87, 
  0x7266, 0x6a25, 0x6a25, 0x6205, 0x61e4, 0x6205, 0x6a25, 0x6a25, 0x6a26, 0x6a26, 0x7a66, 0x7a87, 0x7225, 0xde09, 0x1904, 0x2124, 
  0x8ae9, 0x82c8, 0x82e8, 0x82a8, 0x7266, 0x82c8, 0x8ae8, 0x8b09, 0x8ae8, 0x82c8, 0x82c8, 0x82e8, 0x82c8, 0x8b09, 0x8b08, 0x82c8, 
  0x82e8, 0x8ae8, 0x7a67, 0x0841, 0x18c3, 0x18c4, 0x10a3, 0x18c4, 0x18c4, 0x2104, 0x2125, 0x0021, 0x2105, 0x3187, 0x1083, 0x10a3, 
  0x18c4, 0x1905, 0x3187, 0x2986, 0x10c4, 0x2146, 0x2125, 0x18c4, 0x18e5, 0x2987, 0x31a8, 0x2966, 0x31a8, 0x2987, 0x31c8, 0x31c8, 
  0x2987, 0x18e5, 0x10a4, 0x2146, 0x2146, 0x29a7, 0x18e5, 0x2987, 0x2987, 0x2987, 0x3a29, 0xe75d, 0xdf5d, 0xdf3c, 0xdf3c, 0xd71c, 
  0xd71c, 0xd71c, 0xd6fb, 0xd6fb, 0xcedb, 0xceba, 0xc69a, 0xc69a, 0xc69a, 0xc679, 0xbe79, 0xbe59, 0xbe59, 0xbe59, 0xb638, 0xbe58, 
  0xb617, 0xadd7, 0xb618, 0xb617, 0xadf7, 0xb618, 0xb638, 0xb638, 0xb638, 0xb638, 0xb659, 0xbe79, 0xbe59, 0xbe79, 0xbe79, 0xbe58, 
  0xbe78, 0xdf1b, 0x4a28, 0x4965, 0x4964, 0x4943, 0x4102, 0x4122, 0x4101, 0x4922, 0x5163, 0x59c4, 0x6a46, 0x7aa7, 0x7aa7, 0x7aa7, 
  0x7266, 0x6a05, 0x6a45, 0x6a45, 0x7266, 0x6a26, 0x61e5, 0x6a05, 0x7225, 0x6964, 0xc5c5, 0x10a3, 0x0882, 0x82e8, 0x82a7, 0x7a87, 
  0x7a87, 0x7266, 0x7a67, 0x7a67, 0x7a87, 0x7266, 0x7246, 0x7a87, 0x7266, 0x7247, 0x7246, 0x6a26, 0x7246, 0x7246, 0x7246, 0x61e5, 
  0x1082, 0x1082, 0x1082, 0x10a3, 0x10a3, 0x10a3, 0x18e4, 0x2125, 0x0842, 0x2966, 0x2105, 0x0862, 0x2946, 0x18e4, 0x2966, 0x2145, 
  0x2125, 0x18e5, 0x2146, 0x2126, 0x10a3, 0x18e4, 0x2987, 0x2987, 0x2125, 0x31a8, 0x2987, 0x31c8, 0x2967, 0x2966, 0x31a8, 0x1905, 
  0x2967, 0x2967, 0x1905, 0x31c8, 0x2146, 0x10c4, 0x29a8, 0x2987, 0x4229, 0xdf3d, 0xdf3c, 0xdf3c, 0xd71c, 0xd71c, 0xd6fb, 0xd6fb, 
  0xd6db, 0xcedb, 0xcedb, 0xceba, 0xceba, 0xc69a, 0xc679, 0xbe59, 0xbe79, 0xbe59, 0xbe59, 0xbe58, 0xb658, 0xadb6, 0xadb6, 0xadd7, 
  0xadd7, 0xadf7, 0xadf7, 0xb618, 0xb618, 0xae18, 0xb638, 0xb638, 0xb638, 0xb638, 0xbe59, 0xbe58, 0xb638, 0xadf7, 0xadf7, 0xadf7, 
  0xadf7, 0xadd6, 0x9bcc, 0x4922, 0x4122, 0x4122, 0x4963, 0x51a4, 0x59c4, 0x6205, 0x6a46, 0x6a25, 0x59c4, 0x61e4, 0x6205, 0x7246, 
  0x6a25, 0x6a25, 0x6a25, 0x6a05, 0x69e5, 0x6a25, 0x8945, 0xace3, 0x0861, 0x0861, 0x6a26, 0x6a26, 0x6a26, 0x7246, 0x6a05, 0x6a25, 
  0x6205, 0x61e5, 0x6a26, 0x6a26, 0x6a26, 0x61c4, 0x6a05, 0x6205, 0x61e5, 0x61e5, 0x59c4, 0x5983, 0x4123, 0x0021, 0x0862, 0x0841, 
  0x0862, 0x0862, 0x0841, 0x0862, 0x1082, 0x0862, 0x18c3, 0x0862, 0x0021, 0x1083, 0x18e4, 0x2966, 0x2125, 0x18c4, 0x2125, 0x2146, 
  0x2125, 0x0882, 0x10c4, 0x2967, 0x2946, 0x2146, 0x2966, 0x39e8, 0x39e9, 0x2967, 0x31a8, 0x3a09, 0x2146, 0x31a7, 0x2987, 0x1905, 
  0x2146, 0x1905, 0x2166, 0x2987, 0x1905, 0x31c8, 0x31c8, 0xe75d, 0xdf3c, 0xdf3c, 0xd71c, 0xd71c, 0xd6fb, 0xb4b0, 0xcedb, 0xcedb, 
  0xceba, 0xceba, 0xc69a, 0xc679, 0xc679, 0xbe59, 0xbe59, 0xbe59, 0xbe58, 0xbe59, 0x9d55, 0xa575, 0xa596, 0xadd7, 0xadd7, 0xadd7, 
  0xadf7, 0xadf7, 0xadf7, 0xadf7, 0xadf7, 0xadd7, 0xa5b6, 0xa596, 0xa5b6, 0xadd6, 0xadd6, 0xadd6, 0xadd7, 0xa5b6, 0xbdd5, 0x9bec, 
  0x6a66, 0x6225, 0x51c4, 0x5183, 0x51a3, 0x51a4, 0x51c4, 0x51a4, 0x5183, 0x4963, 0x5183, 0x4963, 0x5163, 0x59a3, 0x59a4, 0x61c4, 
  0x61e5, 0x59c4, 0x61e5, 0x88a4, 0xc5ac, 0x0021, 0x0041, 0x59c4, 0x59c4, 0x61e5, 0x61e5, 0x59c4, 0x59a4, 0x59c4, 0x61e5, 0x59a4, 
  0x61c5, 0x59a4, 0x59a4, 0x61e5, 0x5983, 0x5984, 0x5183, 0x5163, 0x4943, 0x0800, 0x0841, 0x10a3, 0x0862, 0x0862, 0x0862, 0x0882, 
  0x0841, 0x1083, 0x0862, 0x0021, 0x0021, 0x18c3, 0x18e4, 0x2946, 0x2946, 0x1904, 0x18e4, 0x18e4, 0x2146, 0x2125, 0x0862, 0x10c4, 
  0x2146, 0x0862, 0x18e4, 0x2146, 0x39e8, 0x31a8, 0x2966, 0x39e8, 0x39e9, 0x2966, 0x2125, 0x2126, 0x2126, 0x31c8, 0x29a7, 0x2146, 
  0x2125, 0x18e5, 0x2146, 0x2166, 0x2966, 0xe75c, 0xdf3c, 0xd71c, 0xd71c, 0xd658, 0x8b8b, 0xcedb, 0xcedb, 0xceba, 0xc69a, 0xc69a, 
  0xc69a, 0xc679, 0xc679, 0xbe59, 0xbe59, 0xbe58, 0xb638, 0x9d55, 0x9d75, 0x9d75, 0x9d75, 0xa596, 0xa596, 0xa5b6, 0xa5b6, 0xa5b6, 
  0xa5b6, 0xa5b6, 0xa596, 0xa596, 0xa595, 0xa5b6, 0xa5b6, 0xa595, 0xcdd4, 0xc4f0, 0xa40c, 0x8329, 0x7aa7, 0x7287, 0x6a45, 0x61e5, 
  0x51a4, 0x4963, 0x4122, 0x4142, 0x4963, 0x5183, 0x59a4, 0x59a4, 0x59c4, 0x61e4, 0x6205, 0x59c4, 0x59c4, 0x59a3, 0x59a4, 0x5143, 
  0x6123, 0x41e3, 0x0021, 0x0000, 0x5183, 0x5984, 0x5163, 0x5984, 0x51a4, 0x59a4, 0x5183, 0x5183, 0x5184, 0x5183, 0x5184, 0x59a4, 
  0x5983, 0x5163, 0x4943, 0x5164, 0x4943, 0x4964, 0x0000, 0x0000, 0x0821, 0x0862, 0x0862, 0x0862, 0x1082, 0x0862, 0x0842, 0x0841, 
  0x0021, 0x0862, 0x10c3, 0x2945, 0x2946, 0x1904, 0x1904, 0x2125, 0x10c3, 0x1904, 0x2125, 0x0042, 0x10c4, 0x2126, 0x10a4, 0x1905, 
  0x2126, 0x2146, 0x2146, 0x2987, 0x2146, 0x2967, 0x31c8, 0x1905, 0x2125, 0x2987, 0x1925, 0x39e9, 0x3a09, 0x2166, 0x31a7, 0x31a8, 
  0x2146, 0x2146, 0x834b, 0xdf1b, 0xd71c, 0xd6fb, 0xc510, 0x838c, 0xcedb, 0xcedb, 0xc69a, 0xc69a, 0xc699, 0xc69a, 0xbe79, 0xbe79, 
  0xbe79, 0xbe59, 0xbe58, 0xbe58, 0x9d75, 0x9d55, 0x9d55, 0x9d54, 0x9d75, 0x9d75, 0xa595, 0x9d75, 0x9d75, 0x9d75, 0xa554, 0xce35, 
  0xd5f3, 0xc510, 0xbccf, 0xac2d, 0x8b4a, 0x7ac8, 0x7ac8, 0x72a7, 0x7287, 0x6a46, 0x6225, 0x7287, 0x6a46, 0x6205, 0x59e5, 0x7267, 
  0x6226, 0x61e5, 0x61e5, 0x59c4, 0x59c4, 0x59a4, 0x5183, 0x5183, 0x5984, 0x5983, 0x5984, 0x5163, 0x5862, 0x38a0, 0x1061, 0x0000, 
  0x0840, 0x4122, 0x4943, 0x4963, 0x5183, 0x4963, 0x4963, 0x4943, 0x4922, 0x4943, 0x4963, 0x4102, 0x5163, 0x4122, 0x4943, 0x4922, 
  0x4963, 0x4923, 0x30e3, 0x0000, 0x0841, 0x0841, 0x0021, 0x0041, 0x0821, 0x0021, 0x0821, 0x0000, 0x0000, 0x0021, 0x18c3, 0x18c4, 
  0x2125, 0x18c4, 0x18c4, 0x18e4, 0x2125, 0x18e4, 0x18e4, 0x10a3, 0x0041, 0x10c3, 0x10a3, 0x10e4, 0x1905, 0x1905, 0x1905, 0x18e5, 
  0x2145, 0x2126, 0x2146, 0x2125, 0x3a09, 0x2167, 0x2146, 0x2987, 0x2146, 0x2987, 0x422a, 0x39e8, 0x39e8, 0x31e8, 0x10c3, 0x6a46, 
  0x7ae9, 0xd6fa, 0xbcf0, 0x93ab, 0xd71a, 0xcedb, 0xcedb, 0xc69a, 0xc69a, 0xc69a, 0xc679, 0xc679, 0xbe79, 0xbe59, 0xbe59, 0xbe58, 
  0xbe58, 0x9d34, 0x9534, 0x9534, 0x9d54, 0x9d54, 0x9533, 0x9d33, 0xd5f5, 0xddb3, 0xac4d, 0x9b6a, 0x9328, 0x9b8a, 0x9baa, 0x9349, 
  0x7aa7, 0x6205, 0x6206, 0x61e5, 0x59e5, 0x6205, 0x5a05, 0x59c4, 0x51a3, 0x4122, 0x4102, 0x38e1, 0x4102, 0x51a4, 0x4983, 0x4983, 
  0x4963, 0x4943, 0x4942, 0x4963, 0x5183, 0x5163, 0x4943, 0x4983, 0x4943, 0x6842, 0x8bc0, 0x0000, 0x0020, 0x28c2, 0x4123, 0x4943, 
  0x4123, 0x4122, 0x4102, 0x3902, 0x4102, 0x38e2, 0x3902, 0x38e2, 0x4102, 0x4123, 0x4122, 0x4122, 0x4123, 0x4123, 0x3944, 0x0020, 
  0x0841, 0x0841, 0x0841, 0x0021, 0x0821, 0x0021, 0x0041, 0x0041, 0x0021, 0x0001, 0x0021, 0x0841, 0x0862, 0x1082, 0x10a3, 0x10a3, 
  0x18e4, 0x18e4, 0x18e4, 0x10a3, 0x18c4, 0x0021, 0x1083, 0x1083, 0x0883, 0x1083, 0x10c3, 0x10c4, 0x1905, 0x1904, 0x1904, 0x18e4, 
  0x10c4, 0x2146, 0x39e9, 0x2146, 0x31e8, 0x1925, 0x2987, 0x31a7, 0x3a08, 0x31c8, 0x2987, 0x2903, 0x51a4, 0x5a05, 0x6a87, 0x836b, 
  0x9bac, 0xd6fa, 0xcedb, 0xceba, 0xceba, 0xc69a, 0xc69a, 0xc679, 0xc679, 0xbe59, 0xc679, 0xbe59, 0xbe59, 0xbe58, 0x8cd2, 0x94f3, 
  0x8cf2, 0x8cd2, 0x94f2, 0xcd12, 0xabcd, 0x82a8, 0x82a8, 0x7246, 0x5163, 0x59e4, 0x7266, 0x6a46, 0x6225, 0x51a4, 0x4963, 0x4102, 
  0x4963, 0x4163, 0x4963, 0x4122, 0x4143, 0x3922, 0x4123, 0x4143, 0x4963, 0x4983, 0x51a4, 0x4122, 0x4142, 0x4943, 0x4963, 0x4963, 
  0x4942, 0x4142, 0x4142, 0x4142, 0x4963, 0x3881, 0x38c1, 0x20c1, 0x0000, 0x0020, 0x3902, 0x4102, 0x4122, 0x3902, 0x4102, 0x38e2, 
  0x38e2, 0x3922, 0x38e2, 0x38e2, 0x38e2, 0x38e2, 0x38e2, 0x3944, 0x9cb1, 0xad33, 0x0840, 0x0020, 0x0881, 0x0861, 0x0020, 0x0020, 
  0x0020, 0x0020, 0x0841, 0x0021, 0x0821, 0x0000, 0x0000, 0x0000, 0x0862, 0x0842, 0x1082, 0x10a3, 0x10a3, 0x10a3, 0x18e3, 0x0882, 
  0x1083, 0x1083, 0x0842, 0x1083, 0x0882, 0x0862, 0x1083, 0x10a3, 0x10a3, 0x10c4, 0x18e4, 0x1904, 0x18e4, 0x18e4, 0x18e4, 0x2966, 
  0x2987, 0x2126, 0x2966, 0x1905, 0x1905, 0x2966, 0x3a09, 0x31e8, 0x4963, 0x4963, 0x4984, 0x59e5, 0x6247, 0x2145, 0x5268, 0xcedb, 
  0xcedb, 0xceba, 0xc6ba, 0xc69a, 0xc69a, 0xc679, 0xbe79, 0xbe59, 0xbe58, 0xbe58, 0xb638, 0x8c91, 0x8c91, 0x8cd2, 0x94f2, 0xa3ee, 
  0x8ae9, 0x936c, 0x7247, 0x5164, 0x4963, 0x3922, 0x4122, 0x4963, 0x4983, 0x4983, 0x4142, 0x3902, 0x30c1, 0x4143, 0x38e1, 0x7aa7, 
  0x5183, 0x4983, 0x4983, 0x4143, 0x4123, 0x3902, 0x38e2, 0x4122, 0x4942, 0x4943, 0x4943, 0x4963, 0x4122, 0x4122, 0x4142, 0x4142, 
  0x4963, 0x4943, 0x5841, 0x7b03, 0x0020, 0x0000, 0x0040, 0x3102, 0x3123, 0x3943, 0x3923, 0x3903, 0x3102, 0x28c2, 0x20e2, 0x6b2b, 
  0x8c6f, 0x5b0b, 0x742f, 0x742f, 0x8cb1, 0x94b1, 0x9d33, 0x8cb1, 0x94f2, 0x9512, 0x8cf2, 0x0000, 0x0061, 0x0041, 0x0041, 0x0041, 
  0x0000, 0x0000, 0x0000, 0x0041, 0x0821, 0x0842, 0x0842, 0x1082, 0x10c3, 0x1082, 0x1082, 0x1082, 0x0862, 0x10a3, 0x0021, 0x0841, 
  0x1082, 0x0842, 0x0862, 0x0882, 0x0882, 0x10a3, 0x10a3, 0x10c3, 0x10c3, 0x10c3, 0x1083, 0x10a3, 0x10a3, 0x10e4, 0x18e4, 0x10c4, 
  0x10c3, 0x10a2, 0x10a3, 0x3a09, 0x2125, 0x4163, 0x4964, 0x51a4, 0x51c5, 0x28e2, 0x1903, 0xcedb, 0xcedb, 0xceba, 0xc6ba, 0xc69a, 
  0xc679, 0xc69a, 0xbe79, 0xbe79, 0xbe59, 0xbe59, 0xbe58, 0xbe58, 0x7c50, 0x8cb1, 0x8c91, 0x8470, 0x6aea, 0x6a05, 0x6a27, 0x51c5, 
  0x3903, 0x4144, 0x28c2, 0x9cd1, 0xa4f2, 0x9490, 0x8c70, 0x944e, 0xd5b3, 0x9bab, 0x59c4, 0x59a3, 0x5183, 0x4983, 0x4983, 0x4983, 
  0x4983, 0x4963, 0x4122, 0x4984, 0x51a4, 0x51a4, 0x4963, 0x4943, 0x4142, 0x4143, 0x4983, 0x49a4, 0x3943, 0x942f, 0x4881, 0x59c3, 
  0x73ad, 0x73ef, 0x8470, 0x8490, 0x8490, 0x8c90, 0x8c90, 0x8450, 0x8450, 0x7c2f, 0x7c4f, 0x8470, 0x8470, 0x7c4f, 0x7c70, 0x742f, 
  0x7c70, 0x8491, 0x84b1, 0x84b1, 0x8cd1, 0x8cd1, 0x84b1, 0x8cd1, 0x9513, 0x8cd2, 0x9512, 0x94f2, 0x9533, 0x9d33, 0x8c91, 0x6b8d, 
  0x0861, 0x2986, 0x31c7, 0x0020, 0x0882, 0x0862, 0x0862, 0x1082, 0x0842, 0x0862, 0x18c3, 0x0021, 0x0862, 0x0841, 0x0862, 0x0862, 
  0x0862, 0x0862, 0x0862, 0x1082, 0x1082, 0x0862, 0x10a3, 0x1083, 0x10a3, 0x1083, 0x0883, 0x10c3, 0x10a3, 0x10a3, 0x1082, 0x10a2, 
  0x18c3, 0x0882, 0x4164, 0x4163, 0x4164, 0x3923, 0x1081, 0x31c6, 0xceda, 0xceba, 0xceba, 0xceba, 0xc69a, 0xc679, 0xc679, 0xc679, 
  0xbe59, 0xbe79, 0xbe59, 0xb658, 0xbe58, 0x8471, 0x94f2, 0x8491, 0x8450, 0x8cb1, 0x848f, 0x84b0, 0x8cb0, 0x84b0, 0x8470, 0x8470, 
  0x8491, 0x8cb1, 0xad31, 0xd5d2, 0xac2c, 0x7245, 0x4122, 0x4122, 0x4143, 0x4143, 0x4122, 0x4142, 0x4122, 0x4142, 0x4142, 0x4163, 
  0x4964, 0x4963, 0x4963, 0x4142, 0x4963, 0x4963, 0x4164, 0x6b6c, 0x8470, 0x8cd1, 0x8470, 0x8470, 0x8450, 0x7c50, 0x8470, 0x8470, 
  0x7c6f, 0x7c4f, 0x8470, 0x94b1, 0x9491, 0x94d2, 0x8450, 0x7c4f, 0x8490, 0x8470, 0x742f, 0x740f, 0x7430, 0x7450, 0x7c50, 0x7c50, 
  0x7c50, 0x8490, 0x94f2, 0x8cb1, 0x8cd2, 0x8cf2, 0x8cd1, 0x9512, 0x94f2, 0x94f2, 0x9512, 0x9512, 0x9512, 0x9d54, 0x9d33, 0x9d54, 
  0x8cd2, 0x0862, 0x0021, 0x0841, 0x0841, 0x0841, 0x0041, 0x0841, 0x0041, 0x0000, 0x0020, 0x0861, 0x0841, 0x0841, 0x0862, 0x0862, 
  0x0862, 0x0842, 0x0842, 0x0862, 0x1082, 0x1082, 0x1082, 0x0882, 0x1083, 0x10a3, 0x1062, 0x10a2, 0x0882, 0x0882, 0xc69a, 0xc69a, 
  0xbe59, 0x18a2, 0x0840, 0x5aea, 0x2984, 0xcedb, 0xceba, 0xc69a, 0xc69a, 0xc69a, 0xc69a, 0xc679, 0xc659, 0xbe79, 0xbe58, 0xbe58, 
  0xbe58, 0xb658, 0x8450, 0x7c2f, 0x7c2f, 0x7c50, 0x8470, 0x7c50, 0x8470, 0x8470, 0x8470, 0x8490, 0x8c70, 0xd634, 0xbccf, 0xa3ca, 
  0x8b08, 0x6a45, 0x51c4, 0x4163, 0x30c1, 0x3103, 0x3923, 0x9c70, 0xa40c, 0x59a4, 0x51a4, 0x4963, 0x4122, 0x3902, 0x4143, 0x4984, 
  0x734b, 0x73ad, 0x8c90, 0x8c70, 0x94b1, 0x8450, 0x8450, 0x7c2f, 0x8470, 0x8450, 0x7c2f, 0x8c91, 0x8cb1, 0x7c4f, 0x744f, 0x7c4f, 
  0x8c91, 0x94b1, 0x8470, 0x7c50, 0x742f, 0x7c4f, 0x742f, 0x742f, 0x7c50, 0x7430, 0x7c50, 0x7c50, 0x7c91, 0x7c70, 0x8490, 0x94f1, 
  0x8cd1, 0x8cb1, 0x8cb1, 0x8cb1, 0x8cd2, 0x94f2, 0x9513, 0x8cd1, 0x9513, 0x8cd2, 0x9d33, 0x9512, 0x9533, 0x7c0f, 0x0021, 0x0000, 
  0x0000, 0x0821, 0x0821, 0x0041, 0x0841, 0x0021, 0x0021, 0x0001, 0x0001, 0x0021, 0x0821, 0x0821, 0x0841, 0x0841, 0x0862, 0x0862, 
  0x0862, 0x0882, 0x0862, 0x0862, 0x0862, 0x10a3, 0x10a3, 0x10a3, 0x10a3, 0x10a3, 0x10c3, 0xc67a, 0xbe7a, 0xbe5a, 0xc679, 0x49a5, 
  0xce9a, 0xc699, 0xc69a, 0xc69a, 0xc69a, 0xc69a, 0xc679, 0xc679, 0xbe59, 0xc659, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0x8470, 
  0x8450, 0x8470, 0x8470, 0x8470, 0x8470, 0x8450, 0x844f, 0x840e, 0xcd32, 0xa3ab, 0x8b09, 0x61c4, 0x59e4, 0x59e4, 0x51c4, 0x4983, 
  0x4123, 0x6b2b, 0x8c90, 0x842e, 0xbcef, 0x8349, 0x72a7, 0x6a66, 0x51c4, 0x4964, 0x8c0e, 0x94b1, 0x8cb1, 0x8c90, 0x8470, 0x8c91, 
  0x9cf2, 0x94b1, 0x7c50, 0x7c2f, 0x7c50, 0x7c50, 0x8470, 0x8c91, 0x8c70, 0x7c50, 0x7c2f, 0x7c6f, 0x7c2f, 0x8c91, 0x9491, 0x8470, 
  0x7c4f, 0x7c30, 0x742f, 0x6bef, 0x740f, 0x6bef, 0x740f, 0x6bef, 0x742f, 0x7c70, 0x7c70, 0x8490, 0x8490, 0x8490, 0x94f2, 0x8cb1, 
  0x8491, 0x8cb1, 0x8cb1, 0x8cd1, 0x94f2, 0x9513, 0x8cd2, 0x9512, 0x9d53, 0x9532, 0x3a08, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 
  0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0021, 0x0021, 0x0021, 0x0021, 0x0841, 0x0841, 0x0862, 0x0842, 0x0862, 0x0862, 0x0862, 
  0x0862, 0x1082, 0x18e4, 0x18e4, 0x18e4, 0x10c3, 0x10a3, 0xbe39, 0xb639, 0xb639, 0xbe59, 0xbe59, 0xd6da, 0xbe79, 0xbe79, 0xbe79, 
  0xbe59, 0xc659, 0xbe59, 0xbe39, 0xbe59, 0xbe59, 0xbe58, 0xbe58, 0xbe58, 0xbe58, 0xb638, 0xbe58, 0x7c2f, 0x7c0f, 0x7c0f, 0x842f, 
  0x8470, 0x7c4f, 0x7c2f, 0xcd34, 0x9b4b, 0x69c5, 0x6a06, 0x61a5, 0x51a4, 0x4963, 0x49a4, 0x5a47, 0x8c6f, 0x8c90, 0x8470, 0xd614, 
  0xbcae, 0x82e8, 0x7ae8, 0x6a46, 0x51a4, 0x3102, 0x8470, 0x8470, 0x8470, 0x8450, 0x8450, 0x94b1, 0x8c90, 0x9cf1, 0x8cb1, 0x8470, 
  0x7c2f, 0x7c0f, 0x7c2f, 0x8450, 0x842f, 0x9491, 0x8470, 0x740f, 0x6bee, 0x7c4f, 0x7c4f, 0x7c2f, 0x740f, 0x6bce, 0x6bce, 0x6bef, 
  0x6bce, 0x6bee, 0x740f, 0x742f, 0x6bee, 0x742f, 0x7c4f, 0x8490, 0x7c4f, 0x8490, 0x8470, 0x8470, 0x8c91, 0x8cb1, 0x94f2, 0x94f2, 
  0x8cd1, 0x8cf2, 0x8cd1, 0x8cd1, 0x84b1, 0x9553, 0x9532, 0x0881, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 
  0x0001, 0x0000, 0x0021, 0x0021, 0x0041, 0x0841, 0x0841, 0x0841, 0x0862, 0x0862, 0x0841, 0x0862, 0x0862, 0x0882, 0x1082, 0x18c4, 
  0x18e4, 0x10e4, 0x18e4, 0x5b2c, 0xb639, 0xb639, 0xb639, 0xb618, 0xb5f8, 0xb638, 0xb638, 0xb638, 0xbe59, 0xbe59, 0xbe39, 0xbe59, 
  0xbe38, 0xb618, 0xb618, 0xb618, 0xb618, 0xb638, 0xbe38, 0xbe38, 0xb638, 0x7c0f, 0x740f, 0x7c0f, 0x740f, 0x7c0f, 0x7c2f, 0x7c0f, 
  0x92ca, 0x930a, 0x82c9, 0x5144, 0x4923, 0x49c5, 0x846f, 0x846f, 0x7c2f, 0x8450, 0xde96, 0xc52f, 0x8b48, 0x7266, 0x6205, 0x59c4, 
  0x4144, 0x7c0e, 0x8cb1, 0x7c2f, 0x8470, 0x7c2f, 0x8450, 0x8cb1, 0x8c90, 0x846f, 0x7c4f, 0x7c50, 0x8450, 0x7c4f, 0x842f, 0x8450, 
  0x8c70, 0x8c70, 0x8c70, 0x7c2f, 0x7c2f, 0x7c4f, 0x740e, 0x740e, 0x742f, 0x740f, 0x7c50, 0x740f, 0x6bee, 0x742e, 0x740f, 0x6bee, 
  0x6bee, 0x7c2f, 0x8cb0, 0x8490, 0x844f, 0x846f, 0x8cb1, 0x8c91, 0x8470, 0x8450, 0x8450, 0x8cb1, 0x8490, 0x8450, 0x94f2, 0x84b1, 
  0x8cd0, 0x8d12, 0x8cf1, 0x8cd2, 0x0882, 0x1082, 0x0021, 0x0000, 0x0000, 0x0001, 0x0000, 0x0021, 0x0000, 0x0021, 0x0021, 0x0001, 
  0x0000, 0x0021, 0x0841, 0x0021, 0x0041, 0x0041, 0x0841, 0x0861, 0x0041, 0x0862, 0x1082, 0x1082, 0x10a4, 0x10c3, 0x10c3, 0x18e4, 
  0xb638, 0xb618, 0xb618, 0xb618, 0xb5f8, 0xbe58, 0xadf7, 0xadf7, 0xb618, 0xb638, 0xb618, 0xb638, 0xb617, 0xb5f7, 0xadf7, 0xb618, 
  0xae17, 0xb617, 0xadf7, 0xb617, 0xadf7, 0xb617, 0x7bef, 0x73ce, 0x7c2f, 0x7c2f, 0x7c2f, 0x7c2f, 0x7c0e, 0x6a27, 0x59a4, 0x49a4, 
  0x844f, 0x7c2f, 0x7c4f, 0x846f, 0x946e, 0xddb2, 0xb44d, 0x82c7, 0x7ac7, 0x6a25, 0x5183, 0x4943, 0x8c4f, 0x8450, 0x8470, 0x8450, 
  0x8470, 0x8470, 0x8c90, 0x8c70, 0x8c70, 0x8c90, 0x8450, 0x7c2f, 0x73ee, 0x7c2f, 0x8450, 0x7c2f, 0x8c70, 0x7bee, 0x7c0f, 0x842f, 
  0x7c2f, 0x7c0e, 0x740f, 0x6bee, 0x7c50, 0x740f, 0x740f, 0x7c2f, 0x6bef, 0x6bee, 0x740e, 0x7c0f, 0x6bce, 0x7c4f, 0x7c2f, 0x7c2f, 
  0x7c4f, 0x7c2f, 0x846f, 0x8c90, 0x8470, 0x844f, 0x8470, 0x7c4f, 0x7c50, 0x8470, 0x7c50, 0x8490, 0x7c70, 0x84d0, 0x84b0, 0x84d1, 
  0x8cd1, 0x0861, 0x1082, 0x0021, 0x0000, 0x0021, 0x0000, 0x0021, 0x0021, 0x0001, 0x0021, 0x0041, 0x0821, 0x0001, 0x0021, 0x0021, 
  0x0021, 0x0001, 0x0021, 0x0021, 0x0021, 0x0041, 0x0841, 0x0841, 0x0862, 0x10a3, 0x0883, 0x10a3, 0x8cd2, 0xa594, 0xadf7, 0xadd7, 
  0xadd7, 0xa5b6, 0xa596, 0xadd7, 0xa5b6, 0xadd7, 0xa5b6, 0xa5b6, 0xadf7, 0xadd7, 0xadd7, 0xadd7, 0xadd7, 0xa5b6, 0xadf7, 0xadd7, 
  0xadd7, 0xadd6, 0xadf6, 0x7c2f, 0x7c2f, 0x7c0f, 0x73ee, 0x6bad, 0x7c2f, 0x8450, 0x844f, 0x7c2e, 0x73ce, 0x73ee, 0x7c0f, 0x8470, 
  0xccf1, 0x9b4a, 0x7a46, 0x69e5, 0x5143, 0x51c4, 0x51a5, 0x842f, 0x8c70, 0x8450, 0x8470, 0x8450, 0x8470, 0x8470, 0x7c2f, 0x7c0f, 
  0x8c70, 0x7c2f, 0x844f, 0x842f, 0x846f, 0x7c4f, 0x8470, 0x8470, 0x8490, 0x73ee, 0x7c4f, 0x7c4f, 0x7c2f, 0x844f, 0x7c2f, 0x73ce, 
  0x6bce, 0x6bce, 0x63ad, 0x6bce, 0x6bce, 0x63ae, 0x73ee, 0x6bad, 0x73ce, 0x740e, 0x8470, 0x8450, 0x8470, 0x844f, 0x8c90, 0x844f, 
  0x844f, 0x8c90, 0x94d1, 0x7c2f, 0x7c2f, 0x7c30, 0x742f, 0x7c30, 0x8470, 0x7c70, 0x7c70, 0x8cd0, 0x8cd1, 0x8cd1, 0x0862, 0x0862, 
  0x0841, 0x0021, 0x0001, 0x0841, 0x0000, 0x0841, 0x0041, 0x0021, 0x0021, 0x0041, 0x0041, 0x0021, 0x0021, 0x0021, 0x0021, 0x0021, 
  0x0021, 0x0021, 0x0021, 0x0841, 0x0821, 0x0862, 0x1062, 0x1082, 0x5b2b, 0x8490, 0x8cd1, 0x8491, 0xa575, 0x9d55, 0xa596, 0xa596, 
  0xa575, 0xa5b6, 0xa5b6, 0xa5b6, 0xa576, 0x9d75, 0xa596, 0xa5b6, 0xa5b6, 0xadd7, 0xa5b6, 0xa5b6, 0xadb6, 0xa5b6, 0xa5b6, 0xa5b6, 
  0x6b8d, 0x73ce, 0x73ce, 0x73ee, 0x7c2f, 0x7c0e, 0x7c2f, 0x7c0e, 0x7c2f, 0x844f, 0x8470, 0x8450, 0x7bed, 0x8ae9, 0x7aa9, 0x4943, 
  0x5164, 0x9470, 0x7c2f, 0x73ee, 0x842f, 0x842f, 0x8470, 0x7c0f, 0x8470, 0x7c0f, 0x7c2f, 0x844f, 0x8c90, 0x844f, 0x8490, 0x844f, 
  0x7c0f, 0x7c2f, 0x7c2f, 0x73ee, 0x7c0f, 0x73ee, 0x6bcd, 0x7c4f, 0x740e, 0x7c2f, 0x7c4e, 0x7c0e, 0x7c0f, 0x63ad, 0x73ce, 0x742f, 
  0x6bee, 0x740f, 0x73ee, 0x740e, 0x6bcd, 0x73ee, 0x740e, 0x73ee, 0x7bee, 0x844f, 0x7c0e, 0x844f, 0x7c2f, 0x844f, 0x846f, 0x846f, 
  0x844f, 0x8cb1, 0x8450, 0x7c4f, 0x8cb1, 0x8cb1, 0x7c70, 0x94f1, 0x94f1, 0x8490, 0x8491, 0x1082, 0x0862, 0x1082, 0x0000, 0x0001, 
  0x0001, 0x0021, 0x0000, 0x0862, 0x0841, 0x0021, 0x0842, 0x0842, 0x0021, 0x0021, 0x0021, 0x0041, 0x0021, 0x0001, 0x0021, 0x0021, 
  0x0021, 0x0841, 0x1082, 0x0862, 0x10a2, 0x8cb1, 0x7c50, 0x8cb0, 0x8c90, 0x8470, 0x8470, 0x8491, 0x7c50, 0x9d34, 0x9d55, 0x9d75, 
  0xa5b6, 0xa596, 0xa596, 0x9d75, 0x9d55, 0x9d75, 0xa5b6, 0x9d55, 0xa595, 0xa596, 0x9d75, 0xa595, 0xa596, 0x73ee, 0x73ee, 0x7c0e, 
  0x842f, 0x7c0f, 0x7bee, 0x73ee, 0x7c0e, 0x7c0e, 0x844f, 0x7c0f, 0x7c0f, 0x7c0f, 0x842e, 0x7c0e, 0x844f, 0x7c2f, 0x7c0e, 0x7c2f, 
  0x7c2f, 0x7c2f, 0x7c2f, 0x7c2f, 0x7c0f, 0x8450, 0x7c2f, 0x73ee, 0x7c0f, 0x7c2f, 0x7c2f, 0x8470, 0x7c2f, 0x73ee, 0x7c4f, 0x844f, 
  0x7c2e, 0x7c2f, 0x740e, 0x7c2e, 0x7c0e, 0x7c0e, 0x73ee, 0x7c0e, 0x7c0f, 0x73ee, 0x73ee, 0x740f, 0x6bce, 0x6bce, 0x6b8d, 0x6bad, 
  0x73ee, 0x7c2f, 0x7c0e, 0x6b8d, 0x73ee, 0x7c2f, 0x7c0e, 0x7c0f, 0x7c2e, 0x73ee, 0x742f, 0x7c4f, 0x846f, 0x740f, 0x7c4f, 0x7c2f, 
  0x7c70, 0x7c2f, 0x742f, 0x8490, 0x8490, 0x94f1, 0x8cb1, 0x9d32, 0x10c3, 0x1082, 0x0842, 0x0021, 0x0841, 0x0000, 0x0021, 0x0000, 
  0x0000, 0x0862, 0x0841, 0x0821, 0x0021, 0x0021, 0x0841, 0x0021, 0x0021, 0x0021, 0x0821, 0x0021, 0x0021, 0x0841, 0x0862, 0x1082, 
  0x10a2, 0x3185, 0x7c4f, 0x8470, 0x7c4f, 0x8430, 0x740f, 0x740f, 0x73ee, 0x8cb1, 0x8cd2, 0x94f3, 0x8cf3, 0x8cf3, 0x9d54, 0x8cf3, 
  0x9d54, 0x9514, 0x9514, 0x9534, 0x9534, 0x9d54, 0x9d34, 0x9d75, 0xa575, 0x9d75, 0x7c0e, 0x7bee, 0x7c0e, 0x7c0e, 0x73ee, 0x73ee, 
  0x7bee, 0x73ee, 0x73ce, 0x73ee, 0x73ee, 0x7c0f, 0x73ee, 0x7c0f, 0x73ee, 0x7bee, 0x73ce, 0x73ee, 0x73ce, 0x7c0f, 0x844f, 0x73ee, 
  0x7c0e, 0x7c2f, 0x73ee, 0x7c2f, 0x842f, 0x844f, 0x7c2e, 0x846f, 0x7c2e, 0x844f, 0x844f, 0x7c0e, 0x7c0e, 0x73cd, 0x73ce, 0x73ee, 
  0x740e, 0x73ee, 0x7c0e, 0x7c0e, 0x7c0e, 0x73ee, 0x740f, 0x740f, 0x636c, 0x6bcd, 0x740e, 0x6b8d, 0x740e, 0x7c2e, 0x740e, 0x7c0e, 
  0x844f, 0x7c2f, 0x7c0e, 0x73ce, 0x73ee, 0x7c2f, 0x844f, 0x7c2f, 0x740f, 0x7c2f, 0x6bed, 0x7c4f, 0x740e, 0x8490, 0x8470, 0x8470, 
  0x8cb0, 0x94f1, 0x94f1, 0x9d31, 0x9511, 0x3186, 0x1082, 0x18c3, 0x0021, 0x0000, 0x0021, 0x0000, 0x0841, 0x0000, 0x0021, 0x0862, 
  0x0021, 0x0041, 0x0821, 0x0001, 0x0021, 0x0021, 0x0021, 0x0021, 0x0041, 0x0021, 0x0841, 0x0841, 0x10c3, 0x2145, 0x8c90, 0x8450, 
  0x94d1, 0x8490, 0x8450, 0x7c4f, 0x6bce, 0x6bae, 0x638d, 0x742f, 0x73ef, 0x94f3, 0x84b2, 0x84b2, 0x84b2, 0x84b2, 0x8cb2, 0x8cd3, 
  0x8cb2, 0x9513, 0x9d55, 0x9514, 0x9514, 0x9514, 0x9534, 0x73ce, 0x73ad, 0x6bad, 0x73ce, 0x6b8d, 0x73ce, 0x73cd, 0x7bee, 0x7c0e, 
  0x73ee, 0x73ce, 0x73ce, 0x73ce, 0x73ce, 0x73ee, 0x7bee, 0x73ce, 0x844f, 0x844f, 0x7bee, 0x844f, 0x846f, 0x844f, 0x848f, 0x844f, 
  0x7c0f, 0x740e, 0x73ee, 0x7c0f, 0x8c90, 0x7c0e, 0x73ce, 0x740e, 0x7c4f, 0x7c2f, 0x94b0, 0x8c70, 0x8c70, 0x73ce, 0x6bad, 0x73ad, 
  0x73ee, 0x7c0e, 0x73ee, 0x740e, 0x6bce, 0x6bcd, 0x73ed, 0x6bcc, 0x7c0e, 0x73ee, 0x6bad, 0x842e, 0x7c0e, 0x73ee, 0x73ee, 0x73ee, 
  0x740e, 0x636c, 0x740e, 0x7c2f, 0x7c2e, 0x73ee, 0x742e, 0x7c6f, 0x7c6f, 0x740e, 0x8490, 0x8470, 0x8caf, 0x9511, 0x94d0, 0x8cb0, 
  0x9531, 0x9510, 0x1904, 0x0882, 0x0841, 0x0021, 0x0000, 0x0021, 0x0841, 0x0000, 0x1083, 0x0000, 0x0000, 0x0862, 0x0021, 0x0021, 
  0x0021, 0x0021, 0x0041, 0x0021, 0x0021, 0x0021, 0x0841, 0x0841, 0x0841, 0x1082, 0x2124, 0x846f, 0x73ee, 0x7c2f, 0x846f, 0x7c2f, 
  0x8490, 0x63ad, 0x638e, 0x638d, 0x6bcd, 0x6bce, 0x63ad, 0x8cd2, 0x8cd2, 0x7c2f, 0x634b, 0x634c, 0x8491, 0x8c91, 0x8cb2, 0x8cd3, 
  0x8cd2, 0x9d34, 0x8cd1, 0x9533, 0x6b8d, 0x6b6c, 0x6bad, 0x634c, 0x73cd, 0x73ed, 0x7c0e, 0x73ed, 0x73ee, 0x73cd, 0x7c0e, 0x73ee, 
  0x7c2f, 0x73cd, 0x840f, 0x8c90, 0x8c70, 0x840f, 0x8c50, 0x8cb1, 0x842f, 0x73ee, 0x7c2e, 0x7c0e, 0x844f, 0x73ad, 0x7c0f, 0x8c70, 
  0x9cd1, 0x8c4f, 0x8c70, 0x7c0e, 0x73ce, 0x7c0e, 0x844f, 0x842f, 0x8c4f, 0x842e, 0x842f, 0x7c0f, 0x6bad, 0x73ce, 0x73ce, 0x73ce, 
  0x73ee, 0x6bad, 0x6bad, 0x7c4e, 0x7c0e, 0x634c, 0x7bee, 0x73cd, 0x840f, 0x7bee, 0x6b8d, 0x73ad, 0x6b8d, 0x6bad, 0x6bcd, 0x7c4e, 
  0x6bcd, 0x844f, 0x7c2e, 0x73cd, 0x73cd, 0x848f, 0x8cb0, 0x8cb0, 0x8cd0, 0x8c8f, 0x844f, 0x8490, 0x848f, 0x7c4f, 0x8490, 0x10c3, 
  0x1082, 0x10c3, 0x0021, 0x0021, 0x0000, 0x0841, 0x0000, 0x0000, 0x0862, 0x0021, 0x0021, 0x0041, 0x0021, 0x0821, 0x0021, 0x0821, 
  0x0862, 0x0841, 0x0841, 0x0862, 0x0021, 0x0041, 0x1082, 0x1903, 0x844f, 0x638d, 0x842f, 0x7c0f, 0x844f, 0x73ed, 0x73ee, 0x7c50, 
  0x73ee, 0x73ee, 0x6bad, 0x6bce, 0x63ad, 0x7c4f, 0x6b8d, 0x6ba9, 0x7c2d, 0x634b, 0x6bc9, 0x7c4d, 0x8492, 0x6bcb, 0x94d2, 0x6bca, 
  0x8cd2, 0x6bad, 0x6bad, 0x740d, 0x73ed, 0x73ed, 0x7c2e, 0x73ed, 0x6bac, 0x73ed, 0x6bac, 0x740e, 0x740e, 0x73ee, 0x8c6f, 0x842f, 
  0x842f, 0x73ee, 0x73ee, 0x7c0e, 0x846f, 0x8c90, 0x8c6f, 0x7c0e, 0x7c0e, 0x8c4f, 0x844f, 0x94b1, 0x9490, 0x946f, 0x9cb0, 0x9490, 
  0x73ee, 0x73ce, 0x840e, 0x842e, 0x842f, 0x842f, 0x7c0e, 0x8c6f, 0x7bee, 0x7bee, 0x73ce, 0x73ce, 0x7c0f, 0x6bad, 0x73ee, 0x6bad, 
  0x6b8d, 0x6bad, 0x73ee, 0x7c0e, 0x7c0e, 0x73cd, 0x73cd, 0x7c0e, 0x7bee, 0x7c2e, 0x7c2e, 0x7c4e, 0x7c2e, 0x740e, 0x7c2e, 0x7c2e, 
  0x844f, 0x844e, 0x7c0e, 0x844e, 0x7c2e, 0x7c2e, 0x844f, 0x7c2e, 0x7c4e, 0x7c2f, 0x8490, 0x73ee, 0x10a3, 0x10a3, 0x1082, 0x0841, 
  0x0862, 0x0021, 0x0000, 0x0862, 0x0000, 0x0021, 0x0000, 0x0021, 0x0021, 0x0021, 0x0021, 0x0001, 0x0021, 0x0021, 0x0041, 0x0021, 
  0x0882, 0x0841, 0x0862, 0x10c3, 0x844f, 0x844f, 0x73ee, 0x7c0e, 0x7bee, 0x7bef, 0x842e, 0x73ed, 0x73ee, 0x7c2e, 0x7c0e, 0x7c2e, 
  0x6bcd, 0x63ad, 0x6bce, 0x73ca, 0x6b88, 0x73e9, 0x8c8d, 0x73e7, 0x94ef, 0x8471, 0x73ce, 0x8471, 0x7c0e, 0x8c91, 0x6b8c, 0x6bac, 
  0x7c0d, 0x73ad, 0x6b8d, 0x636c, 0x638c, 0x6bcd, 0x6bad, 0x6bcd, 0x740e, 0x740d, 0x7c0e, 0x844f, 0x7c0e, 0x7c0e, 0x8c8f, 0x7c0e, 
  0x7c0e, 0x848f, 0x7c0e, 0x844f, 0x73ed, 0x7c0e, 0x840e, 0x8c70, 0x9490, 0x8c90, 0x8c6f, 0x8c6f, 0x8c50, 0x7c0e, 0x842e, 0x842e, 
  0x842e, 0x840e, 0x8c2e, 0x840e, 0x844f, 0x840e, 0x8c4f, 0x842f, 0x7bee, 0x73cd, 0x73ce, 0x6bad, 0x634c, 0x73ad, 0x73ee, 0x7bee, 
  0x6b8c, 0x842f, 0x7bee, 0x7bee, 0x6bad, 0x73ee, 0x73ed, 0x6bad, 0x73ed, 0x73cd, 0x6bad, 0x6bcd, 0x7c0e, 0x6bcc, 0x7c2e, 0x8c8f, 
  0x848f, 0x742e, 0x7c2e, 0x7c2e, 0x8490, 0x846f, 0x8490, 0x7c4f, 0x94f2, 0x1082, 0x10a3, 0x0841, 0x1082, 0x0863, 0x0842, 0x0001, 
  0x0000, 0x0882, 0x0000, 0x0001, 0x0000, 0x0041, 0x0021, 0x0021, 0x0882, 0x0041, 0x0041, 0x0842, 0x0021, 0x0862, 0x18c3, 0x10a3, 
  0x2985, 0x842f, 0x8c8f, 0x73ee, 0x740e, 0x73ee, 0x848f, 0x844e, 0x6bac, 0x73cd, 0x73ed, 0x638c, 0x7c2e, 0x6bac, 0x5b6c, 0x6bac, 
  0x6b87, 0x7c09, 0x73ac, 0x6308, 0x6369, 0x844f, 0x7c4c, 0x634b, 0x8c91, 0x8470, 0x8470, 0x6bcc, 0x73cc, 0x638c, 0x5b2b, 0x636c, 
  0x636c, 0x638c, 0x636c, 0x6b8d, 0x638c, 0x6bcd, 0x6bad, 0x6bad, 0x73ed, 0x7c2e, 0x73ed, 0x7c2e, 0x6bcd, 0x6bad, 0x6bad, 0x6bcd, 
  0x7c0e, 0x7c0e, 0x7c0e, 0x9cd1, 0x840e, 0x8c6f, 0x8c6f, 0x842f, 0x8c4f, 0x9470, 0x8c90, 0x8c4f, 0x842e, 0x94b0, 0x844e, 0x842e, 
  0x842e, 0x7bcd, 0x8c6f, 0x7bed, 0x7c0e, 0x7c2e, 0x7c0e, 0x73ae, 0x6bad, 0x7c0e, 0x73ce, 0x7c2e, 0x7c2d, 0x842e, 0x73cd, 0x6b8c, 
  0x73ac, 0x7bed, 0x842d, 0x844d, 0x842d, 0x7c0d, 0x846e, 0x844e, 0x7c4e, 0x846f, 0x7c2e, 0x846e, 0x73ed, 0x7c0e, 0x73ee, 0x740d, 
  0x7c4e, 0x844e, 0x846e, 0x84af, 0x8cd0, 0x4228, 0x1082, 0x10c3, 0x1082, 0x0882, 0x1083, 0x10a3, 0x0842, 0x0000, 0x0000, 0x0862, 
  0x0000, 0x0041, 0x0001, 0x0021, 0x0841, 0x0021, 0x0041, 0x1083, 0x0862, 0x0842, 0x0842, 0x0882, 0x18c3, 0x7c0f, 0x848f, 0x740d, 
  0x73ee, 0x7c2f, 0x7c0d, 0x7c2e, 0x73cd, 0x73ed, 0x740d, 0x7c0d, 0x73cd, 0x6b8c, 0x6bac, 0x638c, 0x73cc, 0x6b8b, 0x6b8a, 0x6b69, 
  0x5ac8, 0x4225, 0x5b45, 0x7bed, 0x8c70, 0x8470, 0x7c2f, 0x844a, 0x636b, 0x6bac, 0x6b8c, 0x6bac, 0x638c, 0x6bad, 0x6b8d, 0x6b8d, 
  0x6b8c, 0x6bad, 0x638d, 0x6bce, 0x6bad, 0x6bcd, 0x638c, 0x6b8d, 0x638d, 0x638d, 0x6bad, 0x6bad, 0x740e, 0x73ed, 0x740d, 0x7c2e, 
  0x842e, 0x7c0e, 0x8c4f, 0x73cd, 0x8c4f, 0x8c4f, 0x8c2f, 0x73ad, 0x7c0e, 0x7bed, 0x7bee, 0x7c2e, 0x7c0d, 0x7c0d, 0x842e, 0x7c0e, 
  0x7bee, 0x7c0d, 0x7c2d, 0x7bed, 0x844f, 0x740d, 0x6bcb, 0x73ec, 0x7c0d, 0x73ec, 0x7c0d, 0x7c0d, 0x7c0d, 0x842d, 0x73ec, 0x7c0e, 
  0x73ac, 0x7c2e, 0x740d, 0x7c0e, 0x6b8c, 0x73cd, 0x7c0e, 0x7c2e, 0x73ed, 0x848f, 0x848f, 0x7c4e, 0x7c4e, 0x7c4e, 0x8caf, 0x8ccf, 
  0x8c8f, 0x8caf, 0x18c3, 0x1083, 0x2104, 0x1062, 0x0821, 0x0862, 0x10a3, 0x0882, 0x0041, 0x0000, 0x0021, 0x0021, 0x0000, 0x0041, 
  0x0000, 0x0000, 0x0862, 0x0021, 0x0021, 0x0021, 0x0862, 0x0021, 0x0862, 0x10c3, 0x636c, 0x7c2e, 0x8caf, 0x636c, 0x846e, 0x7bed, 
  0x73ad, 0x73cd, 0x73cc, 0x844d, 0x7c0c, 0x846d, 0x7bed, 0x73cd, 0x73cc, 0x6b4b, 0x73ca, 0x94eb, 0x8449, 0x7bcb, 0x5b09, 0x5ae7, 
  0x5b05, 0x5b0a, 0x8430, 0x846f, 0x5304, 0x636c, 0x6bac, 0x6b8c, 0x638c, 0x73ad, 0x73cd, 0x6bad, 0x6bad, 0x73ad, 0x73ce, 0x6b8d, 
  0x5b4b, 0x6b8c, 0x6b8c, 0x7c0f, 0x73ed, 0x6bcd, 0x6bce, 0x638c, 0x6bad, 0x6bcd, 0x6bcd, 0x73ed, 0x73ed, 0x63ac, 0x73cd, 0x7c2e, 
  0x7c0e, 0x73ed, 0x73ed, 0x7c2e, 0x7c0d, 0x7c2d, 0x7c2e, 0x7bee, 0x73cd, 0x73ed, 0x842d, 0x73ac, 0x6bac, 0x73cd, 0x6bac, 0x73cc, 
  0x73cc, 0x844d, 0x7c4d, 0x740c, 0x6bab, 0x73ed, 0x7c0d, 0x7c2d, 0x6bac, 0x7c2d, 0x842e, 0x73ac, 0x73cd, 0x6b8c, 0x7bed, 0x73ad, 
  0x6b8c, 0x73ed, 0x636c, 0x6b8d, 0x6b8c, 0x6bac, 0x6bcd, 0x7c2e, 0x7c2e, 0x6bcd, 0x84af, 0x848e, 0x846e, 0x94ef, 0x8caf, 0x10a3, 
  0x18c3, 0x18c3, 0x0862, 0x0862, 0x0821, 0x0842, 0x10a3, 0x10a3, 0x0041, 0x0000, 0x0041, 0x0000, 0x0000, 0x0021, 0x0001, 0x0021, 
  0x0000, 0x0862, 0x0021, 0x0021, 0x1083, 0x10a3, 0x18e4, 0x31c7, 0x740d, 0x7c6e, 0x7c4d, 0x7c0d, 0x844e, 0x842e, 0x844e, 0x844e, 
  0x73cc, 0x6b8b, 0x6b6b, 0x6b8b, 0x73ab, 0xa551, 0x6b69, 0x8449, 0x73e5, 0x94eb, 0x8468, 0x6b66, 0x6328, 0x5ae4, 0x6344, 0x8467, 
  0x73ca, 0x6348, 0x632b, 0x6b8c, 0x6b8c, 0x6bad, 0x6b8d, 0x73cd, 0x7c0e, 0x7c2e, 0x7bed, 0x842e, 0x73ed, 0x73cd, 0x7c0d, 0x73ed, 
  0x7c0d, 0x73ec, 0x7c4d, 0x7c0d, 0x6b8d, 0x634c, 0x636c, 0x6bad, 0x636c, 0x5b4b, 0x5b6c, 0x5b4c, 0x6bcd, 0x73ed, 0x740d, 0x6bcc, 
  0x73ec, 0x73ec, 0x7c0d, 0x636b, 0x6b8c, 0x740d, 0x6bab, 0x73ec, 0x73cc, 0x638b, 0x636b, 0x638b, 0x73cc, 0x7c2d, 0x6bac, 0x6bab, 
  0x6b8b, 0x6bab, 0x73ed, 0x73ac, 0x73cc, 0x73cb, 0x73cb, 0x7c0c, 0x6b8b, 0x6bac, 0x634b, 0x6b8c, 0x6b6c, 0x6b8c, 0x73ed, 0x73cd, 
  0x7c0e, 0x73cd, 0x638c, 0x6b8c, 0x740d, 0x73ed, 0x5b6b, 0x848e, 0x7c6d, 0x7c2d, 0x844e, 0x8c6f, 0x1082, 0x18e4, 0x0862, 0x0841, 
  0x0821, 0x0841, 0x0841, 0x0862, 0x0882, 0x18e4, 0x0042, 0x0000, 0x0021, 0x0021, 0x0000, 0x0041, 0x0021, 0x0021, 0x0000, 0x0021, 
  0x10a3, 0x10a3, 0x10a3, 0x0000, 0x31a8, 0x8cce, 0x740c, 0x7bed, 0x73ad, 0x73cd, 0x6b6b, 0x73ac, 0x6b6b, 0x5b0a, 0x5b0a, 0x6bca, 
  0x73ab, 0x632a, 0x6309, 0x5ae7, 0x6bc5, 0x6347, 0x73e7, 0x73e6, 0x6365, 0x73a6, 0x8469, 0x8c8a, 0x6b86, 0x6365, 0x5b25, 0x73cd, 
  0x73ec, 0x73ec, 0x7c0d, 0x73ac, 0x7c2d, 0x7c2e, 0x6bac, 0x6bcc, 0x6bac, 0x6bac, 0x7c0d, 0x636b, 0x6bac, 0x6bcc, 0x6bac, 0x638b, 
  0x6bac, 0x740c, 0x73ed, 0x73ed, 0x5b4c, 0x5b2b, 0x6b8d, 0x5b2b, 0x5b4b, 0x6bcd, 0x73ed, 0x73ed, 0x6bcc, 0x6bcc, 0x6b8c, 0x638c, 
  0x740d, 0x6bac, 0x740d, 0x73ec, 0x636b, 0x636b, 0x634b, 0x636b, 0x73cc, 0x6bcc, 0x6bab, 0x6bac, 0x636b, 0x740d, 0x6b8b, 0x632a, 
  0x73cc, 0x740c, 0x7c0c, 0x73ac, 0x6bac, 0x634b, 0x634b, 0x6b8c, 0x73cc, 0x7c0d, 0x73ac, 0x6bac, 0x634c, 0x63ac, 0x73ed, 0x6bcc, 
  0x73ed, 0x7c2d, 0x848e, 0x7c4d, 0x73ed, 0x7c4d, 0x846d, 0x740d, 0x2124, 0x2105, 0x2966, 0x10a3, 0x1082, 0x0021, 0x0841, 0x0821, 
  0x0021, 0x0841, 0x0862, 0x18e4, 0x10c3, 0x0000, 0x0000, 0x2125, 0x0000, 0x0000, 0x0001, 0x0021, 0x0021, 0x0000, 0x0000, 0x0841, 
  0x0062, 0x31c8, 0x8cad, 0x7c0c, 0x7c0d, 0x73ac, 0x7beb, 0x7beb, 0x6b8b, 0x636b, 0x5ae9, 0x5b08, 0x844b, 0x5ae9, 0x52c9, 0x52a8, 
  0x6347, 0x7c09, 0x7c0a, 0x6b68, 0x7c09, 0x7c07, 0x6b68, 0x6327, 0x9d0d, 0x844b, 0x7bc9, 0x8c69, 0x6bac, 0x638b, 0x73ec, 0x73cc, 
  0x6bab, 0x638a, 0x6bcb, 0x6bcc, 0x6bcc, 0x6bac, 0x638b, 0x638b, 0x634b, 0x636b, 0x6b8c, 0x6bac, 0x73ec, 0x73ec, 0x7c2d, 0x7c2d, 
  0x73cc, 0x7c2d, 0x6bac, 0x73ed, 0x6bcc, 0x6bcc, 0x740d, 0x73cd, 0x6bac, 0x5b6c, 0x6bac, 0x63ab, 0x638b, 0x73ec, 0x6b8b, 0x740d, 
  0x73eb, 0x73ec, 0x7c2d, 0x7c0c, 0x73cc, 0x6bac, 0x634b, 0x5309, 0x5b4b, 0x636b, 0x6b8c, 0x634b, 0x636a, 0x6bcb, 0x7bcc, 0x636a, 
  0x740c, 0x636b, 0x6b8c, 0x634b, 0x636b, 0x636b, 0x73cd, 0x73ac, 0x73ac, 0x634c, 0x5b2b, 0x638c, 0x6bcc, 0x73ed, 0x848e, 0x6bcb, 
  0x6bcc, 0x6bcd, 0x73ec, 0x7c2d, 0x740d, 0x10a3, 0x2145, 0x18e4, 0x18c3, 0x0882, 0x1083, 0x0842, 0x0021, 0x0021, 0x0021, 0x0841, 
  0x0862, 0x10a3, 0x18e4, 0x10a3, 0x0000, 0x0000, 0x10a3, 0x2946, 0x10c3, 0x18e4, 0x0862, 0x0021, 0x0000, 0x10a3, 0x39e8, 0x7c2b, 
  0x846b, 0x73ca, 0x73ab, 0x9d4c, 0x6384, 0x8cab, 0x5288, 0x5b09, 0x6bc7, 0x6ba7, 0x7c08, 0x5286, 0x948f, 0x6b68, 0x52a6, 0x6b67, 
  0x7bca, 0x52a8, 0x94ad, 0x6325, 0x6328, 0x5ac7, 0x7389, 0x6349, 0x5b24, 0x638b, 0x6bab, 0x6bcb, 0x6bab, 0x6bcb, 0x6bab, 0x6bab, 
  0x5b2a, 0x634b, 0x638c, 0x636b, 0x6bcb, 0x6bcb, 0x7c4d, 0x73cb, 0x740c, 0x740c, 0x73ec, 0x6bac, 0x6bab, 0x7c0c, 0x7c2d, 0x73cc, 
  0x7c0d, 0x6bcc, 0x638b, 0x6bad, 0x5b4b, 0x638c, 0x6bac, 0x63ab, 0x5b4a, 0x73cc, 0x6bcc, 0x73ec, 0x740c, 0x740c, 0x6b8c, 0x5b2a, 
  0x634a, 0x6b8b, 0x636c, 0x6bac, 0x6b8c, 0x634b, 0x6bcc, 0x634b, 0x6bcc, 0x6bab, 0x6bab, 0x73cb, 0x73cc, 0x6b8b, 0x6bac, 0x5b0b, 
  0x5b0b, 0x530a, 0x6bcc, 0x6b8c, 0x6b8c, 0x6b8c, 0x636c, 0x636c, 0x6bcd, 0x6bcc, 0x7c2d, 0x7c2c, 0x740d, 0x6bac, 0x73ed, 0x73ec, 
  0x7c4d, 0x846e, 0x18e4, 0x2125, 0x0882, 0x0862, 0x0862, 0x1083, 0x1083, 0x1082, 0x0862, 0x0842, 0x0041, 0x0841, 0x0862, 0x0883, 
  0x10c3, 0x2105, 0x10c4, 0x0000, 0x0001, 0x0021, 0x0882, 0x10c4, 0x2146, 0x2987, 0x2146, 0x2987, 0x73ca, 0x94ea, 0x7c0c, 0x7c0b, 
  0x7c49, 0x7bea, 0x6b8a, 0x6b6a, 0x5aea, 0x7c2b, 0x5ae7, 0x7c08, 0x6b88, 0x5ac7, 0x8c6a, 0xb5ce, 0x6347, 0x842a, 0x6b6a, 0x7c28, 
  0x73a9, 0x7bac, 0x8c6e, 0x5ae8, 0x8c8d, 0x6b86, 0x5b2a, 0x638b, 0x6bab, 0x638a, 0x6bab, 0x5b4b, 0x5b2a, 0x5b2b, 0x530a, 0x530a, 
  0x63ab, 0x6bcb, 0x73cb, 0x73cc, 0x6bab, 0x636b, 0x636b, 0x5b4b, 0x6bcc, 0x638b, 0x6bac, 0x6bac, 0x636b, 0x73cc, 0x73cc, 0x740c, 
  0x52c9, 0x636c, 0x5b4b, 0x638c, 0x638b, 0x63ab, 0x740c, 0x740c, 0x73ec, 0x6bab, 0x6bab, 0x636b, 0x5b0a, 0x636b, 0x636b, 0x5b2b, 
  0x6b8c, 0x6bcc, 0x6b8c, 0x636b, 0x6b8b, 0x5b4a, 0x636b, 0x6baa, 0x6bab, 0x73cc, 0x6b6c, 0x52ea, 0x636b, 0x632b, 0x6b8c, 0x5b0a, 
  0x6b6c, 0x6b8c, 0x634b, 0x5b2b, 0x6bac, 0x634b, 0x638b, 0x6bab, 0x740c, 0x73cc, 0x742d, 0x742d, 0x7c6d, 0x848d, 0x7c6e, 0x2166, 
  0x2125, 0x10c3, 0x0862, 0x0862, 0x0882, 0x10a3, 0x10a3, 0x10a3, 0x10a3, 0x10a3, 0x0883, 0x0882, 0x1083, 0x1082, 0x10c4, 0x18e4, 
  0x2125, 0x2125, 0x10c3, 0x18e4, 0x1905, 0x2146, 0x2125, 0x1905, 0x4a89, 0x73ea, 0x8cc9, 0x6b69, 0x6baa, 0x94e9, 0x7c46, 0x7c27, 
  0x7c0a, 0x52a9, 0x5ac9, 0x5ae8, 0x6308, 0x6309, 0x842a, 0x73a9, 0x5ae5, 0x8429, 0x83eb, 0x6b49, 0x4aa3, 0x52a5, 0x5b05, 0x5268, 
  0x4a47, 0x632a, 0x83ee, 0x634b, 0x638b, 0x6b8b, 0x6bab, 0x636b, 0x5b4b, 0x5b2b, 0x530b, 0x5b2b, 0x73cb, 0x6bcb, 0x636b, 0x6bab, 
  0x5b2a, 0x52ca, 0x52ea, 0x5b2b, 0x530a, 0x5b2b, 0x5b2a, 0x5b0a, 0x634b, 0x73cc, 0x7c2d, 0x7c0c, 0x7c0c, 0x73cc, 0x6beb, 0x5b6b, 
  0x530a, 0x6bcc, 0x6bec, 0x6bab, 0x6bcb, 0x73ec, 0x6bab, 0x638b, 0x5b4b, 0x5b0a, 0x634b, 0x73cd, 0x5b2b, 0x634b, 0x6b8b, 0x73ec, 
  0x73ec, 0x5b2a, 0x52e9, 0x636a, 0x6bab, 0x636a, 0x6b8b, 0x6b8b, 0x6bac, 0x636b, 0x634b, 0x6b8c, 0x6b8c, 0x5b2b, 0x636c, 0x740d, 
  0x5b2a, 0x73ec, 0x63ac, 0x63ab, 0x740c, 0x740d, 0x73ed, 0x7c6d, 0x848d, 0x742c, 0x7c4d, 0x6bad, 0x2125, 0x10c4, 0x1904, 0x18c3, 
  0x0862, 0x0842, 0x0842, 0x1083, 0x10a3, 0x10c3, 0x1083, 0x0862, 0x0882, 0x0882, 0x0882, 0x0882, 0x10a3, 0x10c3, 0x18c4, 0x2126, 
  0x2146, 0x1905, 0x18e4, 0x10c3, 0x18e4, 0x7c2c, 0x9ced, 0x6b88, 0x73cb, 0x5b09, 0x8449, 0x73ea, 0x73e7, 0x6347, 0x6326, 0x9d0b, 
  0x846a, 0x5ae8, 0x5aa7, 0x6ba4, 0x9cec, 0x7c29, 0x6348, 0x6b88, 0x73aa, 0x5287, 0x5ae9, 0x5288, 0x52a9, 0x5289, 0x4227, 0x4a68, 
  0x636b, 0x5b0a, 0x636b, 0x636b, 0x52ea, 0x5b4b, 0x5b2a, 0x4aea, 0x63ab, 0x6bac, 0x5b2b, 0x52ea, 0x5b6a, 0x530a, 0x4aea, 0x6bac, 
  0x6bac, 0x6b8d, 0x5b0a, 0x52e9, 0x73cb, 0x73ec, 0x7bed, 0x73ac, 0x73ac, 0x6b8c, 0x6bac, 0x6bab, 0x6bab, 0x5b2a, 0x638b, 0x5b2b, 
  0x5b2a, 0x5b4a, 0x638b, 0x636b, 0x634a, 0x6bac, 0x5b2a, 0x6b8c, 0x52ca, 0x73cd, 0x73ec, 0x636a, 0x63aa, 0x6bab, 0x6bab, 0x6b8c, 
  0x636b, 0x73cb, 0x5b09, 0x73ed, 0x636b, 0x5b2b, 0x5b2b, 0x5b4a, 0x52ea, 0x5b2b, 0x52ea, 0x52ea, 0x5b0a, 0x6bcb, 0x638b, 0x636b, 
  0x636b, 0x73ed, 0x638b, 0x6bcb, 0x6bab, 0x7c2c, 0x7c4d, 0x740c, 0x4a8a, 0x31a7, 0x18e4, 0x18e4, 0x0862, 0x0041, 0x0842, 0x0041, 
  0x0862, 0x0882, 0x10c4, 0x10a3, 0x10a3, 0x0862, 0x0862, 0x0882, 0x10a3, 0x0883, 0x10a3, 0x10a3, 0x10a3, 0x1083, 0x2105, 0x18e4, 
  0x18e4, 0x1904, 0x5aea, 0x7c0c, 0x632a, 0x6329, 0x52c9, 0x8449, 0x8c89, 0x94ea, 0x6b68, 0x6b68, 0x8446, 0x7406, 0x738a, 0x6b89, 
  0x94ea, 0x6b87, 0x6ba7, 0x7c2b, 0x5ae9, 0x62ea, 0x4226, 0x6b8a, 0x5b08, 0x5ae9, 0x4a87, 0x4a87, 0x5b08, 0x5b2a, 0x5b4a, 0x5b4b, 
  0x636b, 0x636b, 0x638b, 0x636b, 0x5b49, 0x5329, 0x52ea, 0x530a, 0x63ac, 0x5b4a, 0x5b4b, 0x6bcb, 0x5b4a, 0x5b2a, 0x6bab, 0x73cc, 
  0x6bab, 0x6b8b, 0x73cc, 0x73ed, 0x6bad, 0x738d, 0x73ac, 0x73ab, 0x6b8b, 0x638a, 0x532a, 0x52ea, 0x4aea, 0x52e9, 0x6bcc, 0x6bcc, 
  0x634b, 0x5b2a, 0x634b, 0x6b8c, 0x6b8c, 0x6b8c, 0x6bcc, 0x6baa, 0x636a, 0x5b0a, 0x5b2b, 0x634b, 0x638b, 0x6b8b, 0x636b, 0x5b2a, 
  0x5b0a, 0x5b0a, 0x5b2a, 0x634b, 0x52ea, 0x4ac9, 0x52c9, 0x634b, 0x636b, 0x6bcc, 0x638b, 0x530a, 0x530a, 0x6bac, 0x63ac, 0x638b, 
  0x740c, 0x7c2c, 0x846c, 0x844d, 0x848d, 0x1904, 0x10c4, 0x2987, 0x0841, 0x0001, 0x0841, 0x0862, 0x0883, 0x0021, 0x0021, 0x0842, 
  0x10a3, 0x2105, 0x1905, 0x10c3, 0x10a3, 0x10a3, 0x10a3, 0x10a3, 0x10c3, 0x10a3, 0x1082, 0x1083, 0x1904, 0x18e4, 0x31a7, 0x6b4b, 
  0x6349, 0x52c9, 0x4a48, 0x8469, 0x7c47, 0x7c09, 0x6b68, 0x6308, 0x8c4d, 0x6346, 0x6346, 0x6b69, 0x6329, 0x52e5, 0x846a, 0x52c4, 
  0x6ba7, 0x73c9, 0x630a, 0x5ac8, 0x5b08, 0x6b89, 0x6349, 0x5ae8, 0x6366, 0x7c09, 0x638a, 0x4ac9, 0x4ac9, 0x634b, 0x634a, 0x5b4a, 
  0x5b2a, 0x636a, 0x5b0a, 0x5b4b, 0x5b4a, 0x5b4b, 0x532a, 0x5b4b, 0x4ac9, 0x6b8b, 0x73ec, 0x6bab, 0x6b8c, 0x73ec, 0x6b8b, 0x636b, 
  0x73cb, 0x636a, 0x7bec, 0x6b6b, 0x7beb, 0x73ec, 0x73ab, 0x5b2a, 0x638a, 0x5309, 0x638b, 0x52e9, 0x632a, 0x636b, 0x7c2e, 0x5b0a, 
  0x73ec, 0x6b8b, 0x73cb, 0x6bab, 0x5b09, 0x5b4a, 0x52ea, 0x5b0a, 0x5b0a, 0x5b0a, 0x52e9, 0x634b, 0x6bab, 0x5b2a, 0x6bac, 0x5b0a, 
  0x6bcc, 0x636b, 0x638a, 0x6bab, 0x6bab, 0x73ec, 0x638b, 0x5b2b, 0x5b2a, 0x742c, 0x740c, 0x6bcb, 0x7c4d, 0x7c0d, 0x844d, 0x8c6c, 
  0x94ad, 0x846d, 0x2966, 0x2125, 0x10a3, 0x0041, 0x0862, 0x18c4, 0x0842, 0x0883, 0x10c4, 0x0883, 0x0862, 0x0021, 0x0021, 0x18e4, 
  0x18e4, 0x10c4, 0x0862, 0x10a3, 0x1083, 0x0882, 0x1083, 0x10a3, 0x1082, 0x10c3, 0x1904, 0x2125, 0x7bec, 0x94ad, 0x6b6b, 0x842c, 
  0x7c08, 0x5ae8, 0x9ced, 0x6328, 0xadad, 0x5ac8, 0x6b4b, 0x7bcc, 0x6b6a, 0x6b4a, 0x6348, 0x5ae8, 0x52c9, 0x4a87, 0x73e8, 0x5ae8, 
  0x6b8a, 0x73cc, 0x6b6b, 0x5b44, 0x7408, 0x52c6, 0x844a, 0x6349, 0x52e9, 0x634a, 0x5b2a, 0x634a, 0x636b, 0x5b2a, 0x4ae9, 0x5b2a, 
  0x5b4a, 0x6bcb, 0x5b4a, 0x6bab, 0x6baa, 0x73cb, 0x73ec, 0x6baa, 0x638a, 0x52e9, 0x6bab, 0x636a, 0x6b8b, 0x73ab, 0x73ab, 0x73cc, 
  0x7c0c, 0x636a, 0x6b8b, 0x6b8b, 0x73cb, 0x6bab, 0x5b2a, 0x5b8a, 0x5309, 0x634b, 0x6b8a, 0x73ec, 0x740c, 0x73ec, 0x6b8c, 0x634a, 
  0x6bab, 0x73cc, 0x73ec, 0x73cb, 0x6bcb, 0x740b, 0x73cb, 0x73ec, 0x73ec, 0x6bab, 0x6bab, 0x6bca, 0x740b, 0x6baa, 0x740b, 0x638a, 
  0x6baa, 0x5329, 0x63ab, 0x73ec, 0x6b8b, 0x638a, 0x6b89, 0x842d, 0x73cb, 0x8c2d, 0x8c2d, 0x7bec, 0x842c, 0x842c, 0x8c4d, 0x31a7, 
  0x2145, 0x1082, 0x0862, 0x0882, 0x18c4, 0x10c3, 0x0041, 0x0862, 0x18c4, 0x1904, 0x10a3, 0x0883, 0x0001, 0x0862, 0x2125, 0x18c4, 
  0x0883, 0x10a3, 0x10a3, 0x1083, 0x10a3, 0x1082, 0x10c3, 0x18e3, 0x1925, 0x842b, 0x7bca, 0x73aa, 0x6b8a, 0x6b6a, 0x6b49, 0x73a9, 
  0x8c4b, 0x6b69, 0x94aa, 0x738a, 0x6b4b, 0x39c5, 0x6b6b, 0x5ae9, 0x73eb, 0x5b06, 0x6bc8, 0x4a84, 0x73ab, 0x5ae8, 0x5b68, 0x52c8, 
  0x73ab, 0x6b67, 0x5ae8, 0x6326, 0x52c8, 0x4a88, 0x4a88, 0x5309, 0x5b09, 0x636b, 0x636b, 0x4aa9, 0x52e9, 0x5b6a, 0x5b69, 0x5b29, 
  0x6bca, 0x73eb, 0x6b8a, 0x638b, 0x634a, 0x634a, 0x636a, 0x636b, 0x6bab, 0x73eb, 0x6bab, 0x634a, 0x634b, 0x6b6c, 0x7bec, 0x6b6a, 
  0x73cc, 0x6bab, 0x6bab, 0x636b, 0x638a, 0x636a, 0x636b, 0x73cc, 0x636a, 0x6bcb, 0x636b, 0x5b0a, 0x636a, 0x5b4a, 0x632b, 0x7bec, 
  0x73cb, 0x638a, 0x6369, 0x636a, 0x6bca, 0x740b, 0x6bab, 0x73cc, 0x5b29, 0x634a, 0x634a, 0x634a, 0x6b8b, 0x6b8b, 0x6baa, 0x6baa, 
  0x7c2c, 0x8c4d, 0x842d, 0x8c4c, 0x840d, 0x8c4d, 0x8c4d, 0x840d, 0x7bcc, 0x842c, 0x8c4d, 0x738b, 0x3a08, 0x18e4, 0x0862, 0x0862, 
  0x1904, 0x0862, 0x1905, 0x1905, 0x10a3, 0x10a3, 0x10c3, 0x1904, 0x2125, 0x10c4, 0x0883, 0x0042, 0x2105, 0x2146, 0x0862, 0x10a3, 
  0x18e4, 0x10a3, 0x10a2, 0x10a2, 0x10c3, 0x2987, 0x7bcb, 0x7bcb, 0x736a, 0x73aa, 0x844c, 0x7c28, 0x6347, 0x6b89, 0x6328, 0x738b, 
  0x6b4a, 0x6b4b, 0x6b4a, 0x6347, 0x7bcc, 0x6329, 0x52a7, 0x5b09, 0x39e6, 0x5ae8, 0x7bed, 0x632a, 0x6348, 0x6348, 0x6349, 0x6b6b, 
  0x4a66, 0x634a, 0x5b09, 0x6baa, 0x638a, 0x636a, 0x5b29, 0x6bca, 0x6bcb, 0x5b49, 0x5b49, 0x6bca, 0x73ea, 0x638a, 0x634a, 0x5b6a, 
  0x5b4a, 0x5b2a, 0x73eb, 0x740a, 0x740b, 0x6389, 0x5b6a, 0x5309, 0x6b8b, 0x5b2a, 0x738c, 0x6b8b, 0x73eb, 0x636a, 0x740b, 0x6bab, 
  0x73cd, 0x636b, 0x636a, 0x636b, 0x636a, 0x638b, 0x638a, 0x5b0a, 0x6b8b, 0x52ea, 0x634b, 0x634b, 0x634b, 0x5b49, 0x6baa, 0x638a, 
  0x6bca, 0x63aa, 0x636a, 0x6bcb, 0x636a, 0x636a, 0x5b0a, 0x740b, 0x7beb, 0x73ab, 0x7c2b, 0x7c2b, 0x7c2c, 0x842c, 0x7bec, 0x8c6c, 
  0x8c4d, 0x840c, 0x8c4c, 0x842c, 0x7bcc, 0x7c0c, 0x846c, 0x842b, 0x738b, 0x2966, 0x1904, 0x0862, 0x10c4, 0x2146, 0x18c4, 0x18c4, 
  0x1905, 0x2125, 0x1904, 0x10c4, 0x18e4, 0x10c4, 0x18e4, 0x10c4, 0x18e4, 0x0041, 0x10c4, 0x2146, 0x10a3, 0x0883, 0x10a3, 0x10c3, 
  0x10a3, 0x0862, 0x31a7, 0x6309, 0x6b6a, 0x8c4d, 0x7bea, 0x7bea, 0x6307, 0x842b, 0x8c8d, 0x6329, 0x52a8, 0x4226, 0x5ac9, 0x6308, 
  0x5b06, 0x6ba9, 0x52c8, 0x6b6c, 0x5268, 0x39c5, 0x5288, 0x73e9, 0x73c9, 0x4a47, 0x6b4b, 0x634a, 0x6368, 0x5b09, 0x52e9, 0x5b2a, 
  0x5b49, 0x6349, 0x636a, 0x636a, 0x6bca, 0x6baa, 0x73ea, 0x6bc9, 0x6bca, 0x6ba9, 0x4ac7, 0x5329, 0x5b4a, 0x5329, 0x634a, 0x634a, 
  0x5b49, 0x6389, 0x638a, 0x634a, 0x5b4a, 0x5309, 0x52c9, 0x5b0a, 0x5b0a, 0x632b, 0x6b8a, 0x63aa, 0x73cb, 0x5b0a, 0x5b2a, 0x5b4a, 
  0x5b2b, 0x634b, 0x5b2a, 0x636b, 0x4aa9, 0x52ea, 0x6b8b, 0x6b6b, 0x5aea, 0x636b, 0x6bac, 0x73eb, 0x5b49, 0x5b49, 0x73cb, 0x7c0c, 
  0x7beb, 0x73cb, 0x7c0c, 0x7bed, 0x73cb, 0x73cb, 0x7bec, 0x7bea, 0x73aa, 0x73a9, 0x8c4c, 0x7beb, 0x842b, 0x7c0b, 0x7c0b, 0x7bcb, 
  0x7bcc, 0x840c, 0x7c0b, 0x73ea, 0x840c, 0x7bcd, 0x2125, 0x10a3, 0x2146, 0x31a7, 0x18e4, 0x18c4, 0x18e4, 0x2125, 0x2146, 0x2125, 
  0x1905, 0x2125, 0x2125, 0x18e4, 0x1905, 0x2126, 0x18e4, 0x1083, 0x1083, 0x10a3, 0x10a3, 0x0841, 0x0000, 0x10a3, 0x31a7, 0x4249, 
  0x5ae9, 0x7c0a, 0x8c4c, 0x7beb, 0x844a, 0x7c09, 0x7bea, 0x4246, 0x846c, 0x7c08, 0x4204, 0x6b68, 0x94cc, 0x842a, 0x8469, 0x73e9, 
  0x5b0a, 0x52a9, 0x5b24, 0x4205, 0x6ba9, 0x8c6c, 0x73ca, 0x52e6, 0x6349, 0x3a24, 0x5b08, 0x634a, 0x5b2a, 0x5b29, 0x6349, 0x5b28, 
  0x5b48, 0x6b89, 0x6ba9, 0x73ca, 0x6389, 0x6389, 0x6368, 0x5b48, 0x638a, 0x4ac8, 0x6bcb, 0x5b69, 0x5309, 0x52c9, 0x636b, 0x5b2a, 
  0x5b2a, 0x4ac9, 0x42a8, 0x5b2a, 0x634a, 0x52c9, 0x52c9, 0x6baa, 0x634a, 0x5b29, 0x5b6a, 0x6bcb, 0x636a, 0x5b2a, 0x52c9, 0x5b0a, 
  0x52c9, 0x634b, 0x632b, 0x6baa, 0x73cb, 0x73ad, 0x6b6c, 0x634b, 0x5b69, 0x73cb, 0x5b29, 0x7bec, 0x73ca, 0x844c, 0x73cb, 0x634b, 
  0x6b6b, 0x6329, 0x7c0b, 0x846c, 0x6baa, 0x73ea, 0x7c0b, 0x73ab, 0x6349, 0x6b8a, 0x5ae8, 0x6b8a, 0x6b6a, 0x840c, 0x7bcb, 0x844b, 
  0x7c0b, 0x842c, 0x738b, 0x4229, 0x31c8, 0x2966, 0x18e4, 0x10a3, 0x18c4, 0x18e4, 0x18e4, 0x1905, 0x1905, 0x2126, 0x2126, 0x2126, 
  0x10c3, 0x10a3, 0x10a3, 0x10a3, 0x0862, 0x0862, 0x0000, 0x0000, 0x0862, 0x1905, 0x29a7, 0x29a7, 0x5b09, 0x7bea, 0x7c0a, 0x7bea, 
  0x7bca, 0x73ca, 0x8caa, 0x6b88, 0x5ae8, 0x6b4a, 0x73ab, 0x6347, 0x7c09, 0x6b68, 0x73e8, 0x5b24, 0x6366, 0x6bc8, 0x52e3, 0x7c0a, 
  0x7407, 0x6ba6, 0x73c8, 0x5b08, 0x4a87, 0x7bec, 0x73ab, 0x634b, 0x5ac9, 0x7be9, 0x73e9, 0x5b28, 0x5b28, 0x73ca, 0x73cb, 0x6b69, 
  0x73c9, 0x6baa, 0x73eb, 0x6baa, 0x6389, 0x52e9, 0x5b2a, 0x5b49, 0x638a, 0x638a, 0x5b4a, 0x52e9, 0x52ea, 0x638b, 0x5309, 0x4288, 
  0x636a, 0x4ae8, 0x6bcb, 0x52c9, 0x5329, 0x5b4a, 0x634a, 0x5b6a, 0x4ac9, 0x5b49, 0x6beb, 0x530a, 0x52e9, 0x634b, 0x5b0a, 0x6b4b, 
  0x6baa, 0x6b8b, 0x630b, 0x630b, 0x634b, 0x5b49, 0x638a, 0x73ac, 0x73ea, 0x6baa, 0x632a, 0x5b0a, 0x73ca, 0x73ea, 0x7c0b, 0x842b, 
  0x842b, 0x7beb, 0x842c, 0x8c6c, 0x73cb, 0x6349, 0x7beb, 0x4a67, 0x6329, 0x5ac8, 0x7c2a, 0x6b8a, 0x6349, 0x7c0b, 0x7c0b, 0x5b09, 
  0x10a3, 0x10a3, 0x10a3, 0x0882, 0x10a3, 0x10c3, 0x0862, 0x1082, 0x0882, 0x1083, 0x10a3, 0x10c4, 0x0021, 0x0021, 0x0000, 0x0001, 
  0x0021, 0x0000, 0x0021, 0x0001, 0x0021, 0x1905, 0x2987, 0x2987, 0x31a7, 0x7c29, 0x8cc9, 0x7c09, 0x73c9, 0x7c0b, 0x6348, 0x6b68, 
  0x6326, 0x6348, 0x52e7, 0x73e8, 0x6ba8, 0x6b69, 0x8449, 0x8488, 0x73e7, 0x5b47, 0x7c49, 0x73c8, 0x73e9, 0x6b87, 0x73a9, 0x6b89, 
  0x6ba9, 0x5b27, 0x6b8a, 0x840d, 0x5267, 0x6b69, 0x6b69, 0x7389, 0x6ba9, 0x6389, 0x73aa, 0x6349, 0x73cb, 0x73ab, 0x73ab, 0x73ab, 
  0x7bcc, 0x7c0c, 0x7bec, 0x6b8c, 0x636a, 0x638a, 0x5b29, 0x5329, 0x5b2a, 0x4ac9, 0x530a, 0x4ac9, 0x4a88, 0x5b49, 0x6bab, 0x5b09, 
  0x636b, 0x52ea, 0x4aa9, 0x5309, 0x5b2a, 0x5b4a, 0x5b2a, 0x4ac8, 0x6b8b, 0x5b2a, 0x6bab, 0x6b8c, 0x52e9, 0x6baa, 0x632b, 0x634b, 
  0x52e9, 0x52e9, 0x5b49, 0x636a, 0x6b6b, 0x6b8a, 0x6368, 0x6349, 0x7beb, 0x7bea, 0x7bea, 0x842c, 0x7beb, 0x73aa, 0x73aa, 0x6b69, 
  0x73ca, 0x6b8a, 0x842b, 0x7bab, 0x52a8, 0x632a, 0x52c7, 0x7c0a, 0x844a, 0x5b47, 0x6388, 0x73ea, 0x6b8a, 0x2145, 0x2966, 0x1925, 
  0x18e4, 0x10a3, 0x10a3, 0x0041, 0x0841, 0x0841, 0x0862, 0x0841, 0x0882, 0x10a3, 0x0883, 0x0862, 0x0041, 0x0862, 0x0883, 0x18e4, 
  0x2125, 0x2146, 0x2967, 0x29a8, 0x31a8, 0x2987, 0x7c2a, 0x8449, 0x6ba7, 0x8cca, 0x6ba6, 0x7c26, 0x6347, 0x7c2a, 0x8468, 0x6bc7, 
  0x7408, 0x7c29, 0x6b67, 0x7bc9, 0x8428, 0x52e6, 0x73e8, 0x73c8, 0x73c8, 0x6387, 0x52c7, 0x5ae7, 0x6347, 0x6386, 0x6ba8, 0x948d, 
  0x9cad, 0x6b07, 0x7389, 0x6b69, 0x6349, 0x6ba9, 0x6b89, 0x7bea, 0x738a, 0x738b, 0x6b8b, 0x73ac, 0x738b, 0x73ac, 0x840c, 0x73cb, 
  0x842c, 0x7c0c, 0x7beb, 0x6baa, 0x6baa, 0x6baa, 0x636a, 0x740b, 0x740a, 0x63aa, 0x5b4a, 0x6369, 0x5b69, 0x636a, 0x6bab, 0x52e9, 
  0x5b4a, 0x4ac8, 0x740b, 0x6bcb, 0x52c9, 0x73cb, 0x5b49, 0x5b0a, 0x5309, 0x636a, 0x6baa, 0x5b29, 0x638a, 0x52c9, 0x5b4a, 0x52e8, 
  0x634a, 0x73aa, 0x6ba9, 0x740a, 0x844b, 0x8c6b, 0x844b, 0x842b, 0x6b4a, 0x634a, 0x73cb, 0x73ca, 0x73ea, 0x73ca, 0x7c0a, 0x840b, 
  0x736b, 0x6b2a, 0x6b2a, 0x7c2b, 0x844a, 0x73c9, 0x6b89, 0x6ba9, 0x6ba9, 0x7bca, 0x31c8, 0x10a3, 0x18c4, 0x0862, 0x0041, 0x10a3, 
  0x10a3, 0x0882, 0x0041, 0x0000, 0x0021, 0x0000, 0x0021, 0x0021, 0x0862, 0x0882, 0x1083, 0x10c4, 0x18e5, 0x2125, 0x2146, 0x2166, 
  0x2987, 0x2146, 0x2966, 0x5b0a, 0x7bea, 0x7bea, 0x6345, 0x7be9, 0x7c08, 0x8c8a, 0x6b88, 0x6367, 0x6ba7, 0x7c29, 0x6b87, 0x6b66, 
  0x8469, 0x8489, 0x842b, 0x52c6, 0x6386, 0x6366, 0x5ae6, 0x73c9, 0x52c7, 0x6366, 0x5b27, 0x6346, 0x73c6, 0x7be8, 0x7bc8, 0x6348, 
  0x73aa, 0x6349, 0x6348, 0x6b89, 0x73aa, 0x73aa, 0x6b4a, 0x634a, 0x6ba9, 0x740a, 0x7c0b, 0x6b6a, 0x73aa, 0x73cc, 0x73ab, 0x73cb, 
  0x73cb, 0x7beb, 0x73cb, 0x6baa, 0x6b8a, 0x6b8b, 0x7c2b, 0x5b28, 0x73eb, 0x4267, 0x636b, 0x5b4a, 0x636a, 0x4aa8, 0x4aa8, 0x638a, 
  0x6bab, 0x5b09, 0x6baa, 0x63ab, 0x6bcb, 0x636a, 0x638a, 0x6369, 0x5b29, 0x5b49, 0x73cc, 0x4aa8, 0x73ca, 0x73cb, 0x73aa, 0x73ca, 
  0x73ca, 0x73c9, 0x6349, 0x6b8a, 0x6b6a, 0x6329, 0x73aa, 0x7c0b, 0x6349, 0x6b89, 0x6369, 0x73ca, 0x7bca, 0x6b2a, 0x73aa, 0x6b4a, 
  0x5ac9, 0x6b88, 0x6b89, 0x844a, 0x7c0a, 0x6348, 0x840c, 0x2987, 0x31c8, 0x1925, 0x10a3, 0x1905, 0x10a3, 0x0041, 0x0862, 0x10c3, 
  0x0042, 0x0862, 0x0041, 0x0821, 0x0021, 0x0021, 0x0841, 0x0841, 0x0841, 0x0862, 0x0862, 0x1083, 0x10c4, 0x10a4, 0x2125, 0x2146, 
  0x4229, 0x73ca, 0x6b4a, 0x6328, 0x73ca, 0x4a65, 0x846b, 0x52c6, 0x73c6, 0x6367, 0x6347, 0x73ca, 0x7c28, 0x9d2c, 0x73e7, 0x52a6, 
  0x4a66, 0x6344, 0x6bc7, 0x73e8, 0x5ae7, 0x6328, 0x5ae8, 0x5ac8, 0x52a8, 0x7c0d, 0x4245, 0x52e4, 0x6328, 0x6329, 0x5ae8, 0x6b49, 
  0x8c2c, 0x840c, 0x842b, 0x946e, 0x73ea, 0x6388, 0x6ba9, 0x6ba9, 0x738b, 0x5b09, 0x632a, 0x634b, 0x6b8b, 0x6b8a, 0x6b8b, 0x73cb, 
  0x7beb, 0x6b6b, 0x7bec, 0x7beb, 0x73ea, 0x5b29, 0x63aa, 0x6b8b, 0x73eb, 0x6ba9, 0x3a27, 0x4ac9, 0x636a, 0x6b8a, 0x6baa, 0x6b8b, 
  0x6baa, 0x63ab, 0x6bab, 0x5b49, 0x740a, 0x6b89, 0x7c4b, 0x7c2b, 0x7c0b, 0x7c0b, 0x7c0c, 0x6b89, 0x7bcb, 0x73cb, 0x73ca, 0x5b29, 
  0x6309, 0x7c0b, 0x7c2a, 0x7c0a, 0x634a, 0x634a, 0x6349, 0x52e7, 0x6b49, 0x6b6a, 0x7beb, 0x73cb, 0x5b28, 0x5ae8, 0x73a9, 0x5ae8, 
  0x73e9, 0x73aa, 0x7bea, 0x8c4e, 0x31c8, 0x2125, 0x2146, 0x2146, 0x18e4, 0x10c3, 0x10a3, 0x10a3, 0x0862, 0x0041, 0x18e4, 0x0882, 
  0x0882, 0x0041, 0x0021, 0x0041, 0x0862, 0x0862, 0x0882, 0x0883, 0x10a3, 0x18c4, 0x18e4, 0x18e5, 0x2125, 0x31a7, 0x52a8, 0x5b08, 
  0x6349, 0x6369, 0x6386, 0x5b27, 0x6ba8, 0x6348, 0x6bc7, 0x3a05, 0x632a, 0x8469, 0x6b87, 0x94ec, 0x6329, 0x844d, 0x6347, 0x7c09, 
  0x846b, 0x4aa6, 0x5ae8, 0x52a7, 0x73ac, 0x632a, 0x4a86, 0x31a3, 0x62e9, 0x6b49, 0x6349, 0x6309, 0x842d, 0x8c2e, 0x8c4e, 0x9cd0, 
  0x9ccf, 0x73e9, 0x6bc9, 0x6bc9, 0x5b08, 0x5ae9, 0x52c8, 0x7beb, 0x632a, 0x632a, 0x6b6a, 0x634a, 0x73cc, 0x6b8b, 0x630a, 0x632a, 
  0x6b6b, 0x6349, 0x52e9, 0x634a, 0x5b29, 0x6369, 0x6349, 0x6369, 0x52c9, 0x6b8b, 0x5b29, 0x5b28, 0x52e9, 0x6369, 0x52c7, 0x73eb, 
  0x6369, 0x73ea, 0x6369, 0x6bc9, 0x7beb, 0x73ab, 0x6baa, 0x73aa, 0x7bcc, 0x738a, 0x73ea, 0x7c2a, 0x52a8, 0x7c0c, 0x73c9, 0x6349, 
  0x632a, 0x52a8, 0x52c8, 0x52e8, 0x5b28, 0x7bea, 0x634a, 0x5b09, 0x634a, 0x73e9, 0x7409, 0x740a, 0x52a7, 0x73ea, 0x6309, 0x8c4c, 
  0x3a09, 0x3a09, 0x10e4, 0x0882, 0x2125, 0x1925, 0x10c3, 0x1904, 0x2105, 0x18e4, 0x10a3, 0x0041, 0x0862, 0x18e4, 0x10a3, 0x18e4, 
  0x10c4, 0x18e4, 0x10e4, 0x10c3, 0x0883, 0x10a3, 0x1083, 0x10a3, 0x18e5, 0x1905, 0x2145, 0x52a8, 0x73ca, 0x73c9, 0x5ae7, 0x7408, 
  0x8489, 0x8469, 0x846a, 0x7c2a, 0x5ae7, 0x4a47, 0x5ae7, 0x950b, 0x94ac, 0x6b2a, 0x5ac8, 0x6345, 0x73e8, 0x6369, 0x738b, 0x4a67, 
  0x5288, 0x6309, 0x7be8, 0x5ac8, 0x5ae9, 0x5ac8, 0x6328, 0x6b89, 0x6b69, 0x6b4a, 0x7bcc, 0x7bcc, 0x7bed, 0x6baa, 0x6368, 0x5b48, 
  0x6b89, 0x6328, 0x52c9, 0x6b89, 0x738a, 0x73c9, 0x73e9, 0x6b69, 0x6b6b, 0x7c2b, 0x73cb, 0x636a, 0x6bab, 0x634b, 0x6b8b, 0x634a, 
  0x73cb, 0x6b4a, 0x52c8, 0x52e8, 0x6b8a, 0x5309, 0x530a, 0x5b09, 0x52c8, 0x5b2a, 0x6bcb, 0x73ea, 0x6b89, 0x7c0a, 0x6348, 0x5b08, 
  0x73eb, 0x6b6b, 0x630a, 0x5b08, 0x6b6a, 0x632a, 0x6b6a, 0x6b68, 0x73c9, 0x73ab, 0x7bec, 0x6b8a, 0x5b09, 0x4aa8, 0x4247, 0x6b8a, 
  0x848a, 0x7c0a, 0x738a, 0x5ac8, 0x6309, 0x52c8, 0x7409, 0x73e8, 0x7c2a, 0x6b8a, 0x73ab, 0x7bca, 0x634a, 0x424a, 0x2146, 0x2146, 
  0x0883, 0x0041, 0x0842, 0x10c4, 0x18e4, 0x10c3, 0x18e4, 0x18e4, 0x10c3, 0x0882, 0x0842, 0x0862, 0x1905, 0x18e4, 0x2146, 0x1905, 
  0x10a3, 0x1083, 0x10a3, 0x18c4, 0x10c4, 0x10c4, 0x18e4, 0x18e4, 0x4a68, 0x6369, 0x7c46, 0x6b68, 0x6ba8, 0x7c0a, 0x5b26, 0x73ea, 
  0x6b87, 0x6385, 0x6387, 0x5b47, 0x8cca, 0x6ba8, 0x6b68, 0x6ba6, 0x4224, 0x8cca, 0x7c2a, 0x5ae7, 0x52e5, 0x6329, 0x4a66, 0x5ae8, 
  0x4a47, 0x4246, 0x4225, 0x5b08, 0x5b07, 0x52c8, 0x5aea, 0x632a, 0x8c4e, 0x73ab, 0x6389, 0x6389, 0x5307, 0x6368, 0x73ca, 0x5ae9, 
  0x5b08, 0x634a, 0x6349, 0x6368, 0x740a, 0x6ba9, 0x6ba9, 0x7c4b, 0x73c9, 0x6349, 0x5b09, 0x632a, 0x6b8b, 0x73cb, 0x6b8a, 0x73cb, 
  0x6349, 0x4ac7, 0x52e9, 0x4267, 0x5b29, 0x6b8b, 0x6bab, 0x6389, 0x6baa, 0x6369, 0x73c9, 0x73c9, 0x6baa, 0x6b8b, 0x630a, 0x6ba9, 
  0x6b89, 0x73cb, 0x6b6a, 0x73e9, 0x6bc9, 0x6328, 0x7bec, 0x73cc, 0x5ae8, 0x52a8, 0x4a88, 0x5328, 0x5308, 0x7408, 0x6ba6, 0x6b6a, 
  0x52a7, 0x73c9, 0x6bc9, 0x6bc8, 0x5b48, 0x5b48, 0x6b6a, 0x6309, 0x842b, 0x3a09, 0x2987, 0x1905, 0x1904, 0x2966, 0x1905, 0x1904, 
  0x08a3, 0x1905, 0x1905, 0x18e4, 0x18e4, 0x18e4, 0x18e4, 0x1904, 0x1083, 0x0862, 0x0862, 0x10e4, 0x2966, 0x2146, 0x2126, 0x2987, 
  0x2126, 0x10c4, 0x18e4, 0x1905, 0x1905, 0x31c6, 0x8c8b, 0x7404, 0xadac, 0x8468, 0x73e9, 0x6b69, 0x5b07, 0x73a9, 0x6ba6, 0x7407, 
  0x6367, 0x7c29, 0x73e9, 0x5ae6, 0x6308, 0x4aa3, 0x6365, 0x94cd, 0x52a8, 0x6345, 0x52a5, 0x6b88, 0x4226, 0x5ac9, 0x52a6, 0x4a86, 
  0x52e7, 0x6349, 0x3a06, 0x5aca, 0x632a, 0x7bcd, 0x6389, 0x6388, 0x5b27, 0x5b47, 0x6bc9, 0x6368, 0x5b09, 0x6329, 0x52e9, 0x6b8a, 
  0x6bc9, 0x6baa, 0x634a, 0x6b8a, 0x6baa, 0x6ba9, 0x73c9, 0x73aa, 0x634a, 0x634a, 0x6369, 0x632a, 0x6b8b, 0x73aa, 0x6389, 0x6beb, 
  0x3a26, 0x4268, 0x52c9, 0x634a, 0x6369, 0x5b28, 0x6b88, 0x6ba9, 0x6ba9, 0x6b8a, 0x6369, 0x5b28, 0x6b89, 0x6ba8, 0x73c9, 0x6347, 
  0x5b08, 0x6389, 0x632a, 0x7bac, 0x7bed, 0x6329, 0x5ac9, 0x52c8, 0x5328, 0x5ba4, 0x7406, 0x73c9, 0x7447, 0x5b27, 0x73e9, 0x73e9, 
  0x6bc8, 0x4ac7, 0x4266, 0x844a, 0x73ca, 0x7beb, 0x1905, 0x2125, 0x1905, 0x10a3, 0x10c4, 0x2125, 0x2146, 0x2125, 0x1904, 0x18e4, 
  0x1904, 0x1905, 0x18e4, 0x0882, 0x0862, 0x0862, 0x0861, 0x0842, 0x0842, 0x0841, 0x0842, 0x0041, 0x0041, 0x0862, 0x10a4, 0x2126, 
  0x1905, 0x10c3, 0x2965, 0x7c09, 0x63a4, 0x6366, 0x950a, 0x950a, 0x7c29, 0x73a8, 0x73e7, 0x73e9, 0x52c6, 0x6b68, 0x73e8, 0x6b69, 
  0x6b6a, 0x5ae9, 0x73ab, 0x6367, 0x4aa5, 0x5b07, 0x3184, 0x6307, 0x6b86, 0x6347, 0x5ac8, 0x4a66, 0x6328, 0x52c8, 0x4226, 0x39e6, 
  0x5289, 0x52a9, 0x73ac, 0x52e7, 0x5b27, 0x5b27, 0x6368, 0x5b47, 0x6368, 0x6388, 0x5b28, 0x4aa7, 0x5ae8, 0x6329, 0x634a, 0x636a, 
  0x5b09, 0x6349, 0x73ca, 0x6b69, 0x5ae8, 0x634a, 0x5b09, 0x6bc9, 0x6bca, 0x5b09, 0x634a, 0x6329, 0x636a, 0x6baa, 0x5b08, 0x6b8a, 
  0x636a, 0x5b48, 0x6b89, 0x6b89, 0x5b08, 0x5b29, 0x52c7, 0x73e9, 0x6368, 0x52e8, 0x6368, 0x73a9, 0x6369, 0x5b68, 0x5307, 0x52a8, 
  0x73ec, 0x73cc, 0x52a8, 0x52c8, 0x4aa7, 0x7428, 0x6c06, 0x5305, 0x7427, 0x63c6, 0x7c69, 0x6388, 0x7c4b, 0x6bc9, 0x52c7, 0x7c4b, 
  0x73e9, 0x6b6a, 0x4a49, 0x31c8, 0x2125, 0x31a8, 0x2125, 0x1905, 0x18e4, 0x1083, 0x18e4, 0x10a3, 0x10a3, 0x0882, 0x0862, 0x0862, 
  0x10c3, 0x10a3, 0x18e4, 0x10a3, 0x18e4, 0x10a3, 0x10a3, 0x18e4, 0x10a3, 0x10a3, 0x1083, 0x1083, 0x10a3, 0x10c3, 0x18e4, 0x2964, 
  0x6b87, 0x6b87, 0x6b86, 0xa56d, 0xb5cf, 0x848a, 0x8cea, 0x5b63, 0x7c28, 0x6b86, 0x7c0b, 0x73c7, 0x6368, 0x6b86, 0x6b87, 0x52c8, 
  0x5b09, 0x5b06, 0x5b07, 0x4a83, 0x2963, 0x6b6a, 0x3a03, 0x5285, 0x4225, 0x73c9, 0x5b09, 0x5ae9, 0x4a68, 0x3a07, 0x4a68, 0x638a, 
  0x6388, 0x5307, 0x4aa6, 0x5b07, 0x52e6, 0x5b27, 0x5b68, 0x5b48, 0x6388, 0x52c8, 0x634a, 0x52c8, 0x52c9, 0x5b09, 0x5b08, 0x73ca, 
  0x6b6a, 0x6349, 0x5b09, 0x638a, 0x5308, 0x5b49, 0x6369, 0x5ac9, 0x6329, 0x5ae9, 0x5309, 0x5b29, 0x6369, 0x5b48, 0x5b48, 0x5b28, 
  0x6368, 0x6b89, 0x6b89, 0x6b88, 0x5b29, 0x52c8, 0x634a, 0x52a8, 0x5ae9, 0x5b29, 0x4ae7, 0x5b47, 0x5347, 0x6388, 0x6b8a, 0x5ac9, 
  0x4a88, 0x7409, 0x6c25, 0x3a03, 0x6bc6, 0x63c7, 0x6be8, 0x7c88, 0x63e4, 0x6386, 0x5b84, 0x6c05, 0x8d09, 0x9d49, 0x842d, 0x31e8, 
  0x31c8, 0x2146, 0x2146, 0x2987, 0x18c4, 0x18c4, 0x0882, 0x10a3, 0x10a3, 0x10a3, 0x10a3, 0x10a3, 0x10a3, 0x10a3, 0x10c3, 0x18c4, 
  0x10c3, 0x10c3, 0x18e4, 0x18e4, 0x18e4, 0x1904, 0x1905, 0x10c4, 0x1904, 0x1904, 0x18e4, 0x1904, 0x2945, 0x7409, 0x73e8, 0x52c5, 
  0x73c8, 0x7c09, 0x52c5, 0x94ec, 0x63a4, 0x7be8, 0x73a7, 0x6ba7, 0x6ba6, 0x73c7, 0x5b06, 0x5b26, 0x52c5, 0x7407, 0x4a84, 0x52c8, 
  0x6b6a, 0x6b87, 0x7408, 0x6b6b, 0x6308, 0x6b29, 0x5b07, 0x5308, 0x4a68, 0x4a68, 0x4207, 0x738c, 0x5347, 0x5b47, 0x5327, 0x5307, 
  0x5b68, 0x6388, 0x6388, 0x52e6, 0x6be9, 0x5328, 0x52e9, 0x5289, 0x5aea, 0x4aa8, 0x4a88, 0x52a8, 0x52a8, 0x5ac9, 0x6329, 0x73eb, 
  0x52c8, 0x4a88, 0x5b29, 0x5308, 0x5b29, 0x5b29, 0x5ae9, 0x6369, 0x6389, 0x6389, 0x5307, 0x52e7, 0x6388, 0x6348, 0x73ca, 0x6ba9, 
  0x6349, 0x6b8a, 0x6b6a, 0x52a8, 0x6389, 0x4a87, 0x42a6, 0x4ae7, 0x4ac6, 0x52e6, 0x5b08, 0x7bcc, 0x5ac9, 0x52a8, 0x5b83, 0x42c1, 
  0x8487, 0x6b88, 0x6c07, 0x7428, 0x6c06, 0x7467, 0x7467, 0x7c68, 0x63e4, 0x7465, 0x8cca, 0x6b6c, 0x29a7, 0x2145, 0x2166, 0x18e4, 
  0x10a3, 0x0882, 0x0882, 0x0862, 0x10a3, 0x0882, 0x0882, 0x10c3, 0x10c3, 0x10a3, 0x10a3, 0x10a3, 0x10a3, 0x0882, 0x10a3, 0x10a3, 
  0x10a3, 0x10a3, 0x10c4, 0x10c4, 0x18e4, 0x18e4, 0x10c3, 0x1905, 0x18e4, 0x2145, 0x6ba8, 0x6347, 0x8caa, 0x73e7, 0x7c2a, 0x6b87, 
  0x7c28, 0x7c28, 0x844a, 0x6b87, 0x8489, 0x7406, 0x7c47, 0x8d0a, 0x6b86, 0x5b24, 0x6ba7, 0x5b26, 0x6328, 0x52c7, 0x6b4b, 0x5b25, 
  0x73e8, 0x39c5, 0x840c, 0x73e9, 0x5b28, 0x4247, 0x3a06, 0x52a9, 0x5b48, 0x5b67, 0x5307, 0x4ae6, 0x4b06, 0x5327, 0x5348, 0x6389, 
  0x5b68, 0x5b47, 0x5b68, 0x3a06, 0x4248, 0x4247, 0x4268, 0x4a88, 0x5aea, 0x52c9, 0x52c9, 0x5b29, 0x6b89, 0x6349, 0x4aa8, 0x4a88, 
  0x4ac8, 0x5b49, 0x5b29, 0x6389, 0x63aa, 0x4287, 0x5308, 0x6389, 0x5306, 0x5b27, 0x6ba9, 0x6b89, 0x5b09, 0x52e7, 0x4ac7, 0x740a, 
  0x5b28, 0x5b29, 0x4a87, 0x52e8, 0x4287, 0x5b47, 0x4aa6, 0x5b09, 0x738c, 0x7bcd, 0x5ae8, 0x6388, 0x3221, 0x7427, 0x7c48, 0x8d0a, 
  0x5306, 0x4284, 0x5323, 0x7446, 0x6be7, 0x6bc8, 0x7444, 0x7427, 0x31c8, 0x2987, 0x2987, 0x0882, 0x0862, 0x0882, 0x10a3, 0x0882, 
  0x0862, 0x10a3, 0x10a3, 0x10a3, 0x0862, 0x1082, 0x1082, 0x1083, 0x18e4, 0x10c3, 0x10c3, 0x10c3, 0x18c4, 0x18e4, 0x10c3, 0x10a3, 
  0x10a3, 0x10e4, 0x1905, 0x1904, 0x18e4, 0x18e4, 0x2165, 0x6367, 0x8ccb, 0x7c49, 0x6bc8, 0x8489, 0x73e7, 0x7c09, 0x5ae5, 0x6347, 
  0x6ba8, 0x5ae7, 0x5b05, 0x52c5, 0x5324, 0x52c7, 0x4225, 0x52a6, 0x52a5, 0x6347, 0x6308, 0x5b08, 0x4a87, 0x4a67, 0x5ae9, 0x52a8, 
  0x52a8, 0x5ae7, 0x4a88, 0x39e6, 0x738c, 0x4b07, 0x42a6, 0x42a6, 0x4b07, 0x4286, 0x3a86, 0x5b48, 0x4286, 0x4ae7, 0x4ae7, 0x5307, 
  0x5b48, 0x6388, 0x6bc8, 0x7409, 0x52e8, 0x4ac8, 0x52e9, 0x52e9, 0x5b29, 0x6369, 0x6baa, 0x6b8b, 0x52c9, 0x52c9, 0x4ac7, 0x6bca, 
  0x6bca, 0x52e8, 0x4246, 0x4ac7, 0x5307, 0x63a8, 0x52e7, 0x6367, 0x52e8, 0x52c8, 0x4ac7, 0x5b27, 0x5b27, 0x6388, 0x52e8, 0x5346, 
  0x4266, 0x4287, 0x63c7, 0x6388, 0x73cc, 0x73ad, 0x8c4f, 0x7c89, 0x6b89, 0x5325, 0x7406, 0x4b01, 0x6bc6, 0x6c23, 0x42a4, 0x4ae4, 
  0x63c5, 0x5ba4, 0x84c8, 0x5b26, 0x3a27, 0x29a7, 0x2966, 0x10e4, 0x10a3, 0x1904, 0x10a3, 0x0041, 0x0041, 0x0882, 0x10c3, 0x0861, 
  0x0882, 0x1082, 0x10a3, 0x0882, 0x0862, 0x0882, 0x10a3, 0x10a2, 0x0882, 0x1083, 0x10a3, 0x10c3, 0x10c4, 0x18e4, 0x10c4, 0x1904, 
  0x1904, 0x18c3, 0x18e4, 0x2145, 0x6bc7, 0x7c49, 0x8488, 0x7c27, 0x6385, 0x6ba6, 0x73c6, 0x73e7, 0x73c7, 0x6348, 0x6328, 0x5ae7, 
  0x5b07, 0x73a9, 0x5ae6, 0x5b08, 0x4245, 0x73c6, 0x6345, 0x738a, 0x52a6, 0x73e6, 0x5303, 0x4227, 0x73c9, 0x4a47, 0x5ae8, 0x4a67, 
  0x4a47, 0x6b6b, 0x4286, 0x4266, 0x3a25, 0x3a25, 0x4ae7, 0x42c6, 0x5307, 0x4ae6, 0x4ac6, 0x3a45, 0x4ac7, 0x5328, 0x6ba9, 0x6ba9, 
  0x6bc8, 0x4ac7, 0x5b28, 0x4267, 0x52e9, 0x4267, 0x4a67, 0x5b09, 0x5ae9, 0x4ac8, 0x5b28, 0x52c8, 0x52c8, 0x4a87, 0x6baa, 0x4ac7, 
  0x52e7, 0x5b28, 0x5307, 0x6bc8, 0x7409, 0x6bc9, 0x6368, 0x6baa, 0x5b27, 0x6c27, 0x63c6, 0x63a7, 0x4b03, 0x5b27, 0x5b87, 0x5346, 
  0x5b27, 0x5b09, 0x94b0, 0x7c2d, 0x63c5, 0x6c26, 0x5b82, 0x6bc4, 0x7446, 0x5303, 0x4b22, 0x7446, 0x7ca7, 0x6388, 0x4283, 0x7c68, 
  0x6385, 0x530b, 0x29a7, 0x2987, 0x2125, 0x1905, 0x1905, 0x1904, 0x0882, 0x0001, 0x0000, 0x0000, 0x0862, 0x0862, 0x1062, 0x10a3, 
  0x10a3, 0x0882, 0x0882, 0x0882, 0x0882, 0x10a3, 0x10a3, 0x1083, 0x10a3, 0x10c3, 0x10c3, 0x10c4, 0x10a3, 0x10c3, 0x10c3, 0x1904, 
  0x2966, 0x6bc7, 0x7c27, 0x7c27, 0x6ba6, 0x73c7, 0x7c47, 0x73c8, 0x6365, 0x6365, 0x5b26, 0x5b27, 0x4a86, 0x73c9, 0x6346, 0x73a8, 
  0x5286, 0x5b25, 0x73c7, 0x52a6, 0x52a4, 0x52c5, 0x3a02, 0x52e4, 0x5b26, 0x4a67, 0x4206, 0x5288, 0x5ac9, 0x632b, 0x52e9, 0x4a87, 
  0x3a46, 0x31e5, 0x3a45, 0x3a86, 0x4286, 0x5b48, 0x4b06, 0x5347, 0x52e7, 0x3a45, 0x4ae7, 0x52c8, 0x52c8, 0x52c7, 0x6389, 0x5308, 
  0x6369, 0x4aa7, 0x4a68, 0x4aa8, 0x6369, 0x52c9, 0x5b09, 0x6369, 0x52e8, 0x4aa7, 0x5b48, 0x7409, 0x7409, 0x73e8, 0x73e8, 0x7c29, 
  0x7409, 0x6ba8, 0x6bc8, 0x6be9, 0x5b27, 0x63c7, 0x5346, 0x42c4, 0x5345, 0x5342, 0x63a5, 0x63a7, 0x4aa6, 0x5b27, 0x4246, 0x842d, 
  0x7447, 0x5ba4, 0x5363, 0x5342, 0x7407, 0x5b65, 0x5323, 0x42e2, 0x5b68, 0x8d07, 0x42a1, 0x5b44, 0x7c68, 0x7c68, 0x2147, 0x10a4, 
  0x0001, 0x0021, 0x0021, 0x0042, 0x0042, 0x0042, 0x0042, 0x0022, 0x0842, 0x0000, 0x0000, 0x0882, 0x0862, 0x10a2, 0x10a3, 0x10c3, 
  0x18e4, 0x18e4, 0x18c4, 0x18c4, 0x18e4, 0x10c3, 0x10a3, 0x10a3, 0x10a3, 0x10a3, 0x08a3, 0x10a3, 0x10e4, 0x2125, 0x94eb, 0x73e6, 
  0x73c7, 0x8cab, 0x6b86, 0x6326, 0x6366, 0x6ba6, 0x6386, 0x4aa5, 0x6365, 0x6385, 0x7c28, 0x6368, 0x5b06, 0x6b69, 0x6b6a, 0x3a04, 
  0x39e4, 0x52c5, 0x73c6, 0x6346, 0x6ba6, 0x4281, 0x5b44, 0x73e7, 0x6348, 0x6329, 0x73ac, 0x6b6b, 0x5ae9, 0x4267, 0x3205, 0x3225, 
  0x3225, 0x4ae7, 0x4ae7, 0x4ae7, 0x4ae6, 0x5b28, 0x5b48, 0x4287, 0x4268, 0x4227, 0x4a87, 0x4ac7, 0x4267, 0x4247, 0x4247, 0x5b49, 
  0x6baa, 0x6b88, 0x52c8, 0x6388, 0x52c7, 0x7beb, 0x73ab, 0x7409, 0x63a7, 0x73e9, 0x6b88, 0x73e9, 0x73c9, 0x6ba9, 0x6367, 0x7c69, 
  0x7c69, 0x63a7, 0x5b27, 0x5364, 0x9549, 0x3a80, 0x3a64, 0x5325, 0x7486, 0x4ac4, 0x6c05, 0x52e8, 0x7427, 0x4b03, 0x5324, 0x42c1, 
  0x63a5, 0x3a81, 0x7427, 0x4ae5, 0x3a61, 0x6c05, 0x63e4, 0x8d48, 0x63e4, 0x6b88, 0x6c27, 0x10e5, 0x10c4, 0x0862, 0x0021, 0x0022, 
  0x08a4, 0x0884, 0x0883, 0x10c4, 0x0021, 0x0021, 0x0021, 0x0021, 0x0021, 0x0862, 0x0882, 0x0862, 0x1082, 0x10a3, 0x0882, 0x1083, 
  0x10a3, 0x18e4, 0x18e4, 0x1905, 0x2125, 0x1905, 0x18e5, 0x1904, 0x10c4, 0x18e4, 0x1904, 0x5b26, 0x7428, 0x5b06, 0x6b87, 0x73c7, 
  0x6328, 0x5b08, 0x52a8, 0x52c8, 0x4aa6, 0x6326, 0x3a21, 0x6348, 0x73ab, 0x52c7, 0x73ac, 0x6ba6, 0x8c8a, 0x7c28, 0x73e7, 0x6345, 
  0x7c07, 0x73a8, 0x6ba7, 0x738b, 0x52a7, 0x52c7, 0x5ae7, 0x634a, 0x632a, 0x4247, 0x4a48, 0x31e5, 0x31e5, 0x31e5, 0x42a6, 0x3a65, 
  0x3a85, 0x5327, 0x4ac7, 0x52e7, 0x4267, 0x3a47, 0x4287, 0x3a47, 0x4267, 0x5b08, 0x4268, 0x3a26, 0x5b29, 0x5b29, 0x5b28, 0x6388, 
  0x6388, 0x6baa, 0x6b4b, 0x6b8b, 0x6388, 0x6b89, 0x6329, 0x5b28, 0x5b08, 0x6349, 0x6349, 0x73e9, 0x6be8, 0x7408, 0x5b47, 0x5306, 
  0x6c28, 0x4b06, 0x63aa, 0x5b67, 0x7488, 0x7c89, 0x63e4, 0x5ba6, 0x63c5, 0x7c48, 0x5363, 0x5324, 0x4b41, 0x3ae0, 0x6405, 0x3aa1, 
  0x5343, 0x84a9, 0x6c45, 0x5b25, 0x63a6, 0x63a5, 0x3a24, 0x0882, 0x1947, 0x0063, 0x0042, 0x0063, 0x0021, 0x0022, 0x0063, 0x0042, 
  0x0863, 0x0001, 0x08a3, 0x0042, 0x0001, 0x0041, 0x0021, 0x0000, 0x1082, 0x1082, 0x10a3, 0x10c3, 0x10c3, 0x18c4, 0x18c4, 0x10c3, 
  0x10a3, 0x10c4, 0x10c4, 0x10c4, 0x18c4, 0x10c4, 0x18e4, 0x0842, 0x846a, 0x7407, 0x7c27, 0x52c5, 0x8489, 0x7407, 0x6345, 0x5b07, 
  0x6b86, 0x6348, 0x6349, 0x5b08, 0x5ae6, 0x846b, 0x6b88, 0x6327, 0x6b85, 0x7c28, 0x73e7, 0x6ba7, 0x7c08, 0x5303, 0x6b89, 0x842d, 
  0x6346, 0x4263, 0x4246, 0x52c8, 0x630a, 0x630b, 0x5aea, 0x39e7, 0x31c6, 0x31e5, 0x42a7, 0x4ac7, 0x5307, 0x42c6, 0x3a66, 0x4ac7, 
  0x5b28, 0x6b69, 0x4ae7, 0x31e6, 0x3a06, 0x4246, 0x4ac7, 0x4ac7, 0x4247, 0x4267, 0x52c8, 0x52e8, 0x6368, 0x5b48, 0x634a, 0x5b0a, 
  0x6b4b, 0x6baa, 0x5b29, 0x52e8, 0x5b08, 0x73ea, 0x7c2a, 0x6ba8, 0x5b28, 0x6368, 0x6367, 0x42e2, 0x63a8, 0x5b48, 0x5305, 0x6bc9, 
  0x6bc8, 0x63e5, 0x3241, 0x21c0, 0x42a2, 0x6c07, 0x7467, 0x5363, 0x3a61, 0x63e6, 0x53a4, 0x5364, 0x4ae5, 0x5b26, 0x5304, 0x5383, 
  0x52e5, 0x4b04, 0x42c2, 0x4b21, 0x08a3, 0x0063, 0x08a5, 0x0884, 0x0884, 0x94f4, 0x0883, 0x0022, 0x0022, 0x0042, 0x0022, 0x08a3, 
  0x10a4, 0x0862, 0x0862, 0x0001, 0x0021, 0x0000, 0x10a3, 0x10a3, 0x0862, 0x10a3, 0x1083, 0x10a3, 0x10c3, 0x1904, 0x18e4, 0x1905, 
  0x18e5, 0x10c4, 0x1905, 0x0882, 0x0882, 0x73e7, 0x6345, 0x8468, 0x7c47, 0x5b24, 0x73c7, 0x6366, 0x6b6a, 0x6349, 0x52c6, 0x5b07, 
  0x4a65, 0x52c7, 0x5b26, 0x4243, 0x5b09, 0x6348, 0x6326, 0x5ae5, 0x6365, 0x52e4, 0x6349, 0x6b4a, 0x4a66, 0x4a65, 0x3a22, 0x4246, 
  0x4267, 0x5aea, 0x5b0a, 0x5288, 0x4207, 0x31e6, 0x5307, 0x4285, 0x42a6, 0x4ac7, 0x5328, 0x5308, 0x4ac7, 0x4ac7, 0x5b28, 0x5326, 
  0x63a8, 0x3a26, 0x4ac8, 0x4aa7, 0x52e8, 0x4247, 0x4246, 0x4287, 0x5b28, 0x52e7, 0x5307, 0x52a8, 0x632b, 0x5ae9, 0x5aea, 0x73e9, 
  0x6ba9, 0x740a, 0x73e9, 0x6b89, 0x5b28, 0x5b08, 0x6368, 0x6367, 0x5ba5, 0x7449, 0x6367, 0x6b89, 0x6388, 0x5343, 0x5b26, 0x7cc5, 
  0x7ca7, 0x5344, 0x3a80, 0x5b83, 0x63c4, 0x4ae2, 0x5b64, 0x5344, 0x4ae4, 0x4b04, 0x5b25, 0x4ac3, 0x3aa0, 0x5325, 0x4aa6, 0x8d4a, 
  0x42a3, 0x10c5, 0x10a4, 0x0883, 0x0043, 0x0042, 0x0042, 0x0883, 0x0042, 0x0883, 0x0062, 0x0883, 0x0042, 0x0001, 0x0862, 0x0862, 
  0x0883, 0x10a3, 0x0041, 0x0001, 0x0021, 0x10c3, 0x18e4, 0x2125, 0x2125, 0x1904, 0x10a4, 0x10a3, 0x10a4, 0x10a4, 0x10a4, 0x2125, 
  0x31a8, 0x6367, 0x6386, 0x73e7, 0x6ba7, 0x6367, 0x52c5, 0x6328, 0x52a6, 0x6b88, 0x84ab, 0x84ab, 0x5ae6, 0x5b08, 0x846a, 0x5286, 
  0x5b05, 0x6328, 0x5ae7, 0x73ca, 0x52a6, 0x6367, 0x4a86, 0x3a05, 0x3a04, 0x5b05, 0x5b04, 0x52c3, 0x6b68, 0x6327, 0x73aa, 0x5aca, 
  0x5aea, 0x39c6, 0x29a5, 0x3a85, 0x5b49, 0x4ae8, 0x6389, 0x6369, 0x636a, 0x4ac7, 0x5329, 0x5329, 0x4ae8, 0x52e8, 0x4aa7, 0x52e8, 
  0x3a06, 0x31e6, 0x4a87, 0x6369, 0x63a8, 0x6ba9, 0x6369, 0x6348, 0x4a87, 0x52c9, 0x52e9, 0x4a87, 0x5b68, 0x63a8, 0x5b48, 0x52e7, 
  0x6328, 0x4267, 0x52e8, 0x63a8, 0x5b65, 0x63e7, 0x5325, 0x6bc7, 0x6c08, 0x63e6, 0x6c26, 0x6bc7, 0x6c45, 0x5bc3, 0x4b03, 0x4ae3, 
  0x3a63, 0x4ae3, 0x29c0, 0x4ac3, 0x52e5, 0x4ac5, 0x5b64, 0x7487, 0x5ba4, 0x3220, 0x2a01, 0x42a3, 0x4265, 0x2165, 0x08a3, 0x08a3, 
  0x0882, 0x1905, 0x0883, 0x0042, 0x0883, 0x08a4, 0x0022, 0x0022, 0x10a4, 0x0883, 0x0883, 0x0042, 0x0021, 0x0021, 0x10a3, 0x0042, 
  0x0882, 0x2946, 0x0041, 0x0021, 0x2125, 0x1905, 0x18e4, 0x1905, 0x10c4, 0x10c4, 0x10e4, 0x18e4, 0x18e4, 0x6ba7, 0x6345, 0x73c7, 
  0x5b24, 0x6386, 0x6346, 0x6347, 0x5b25, 0x52e5, 0x5b25, 0x5b46, 0x4ae3, 0x52e4, 0x52e5, 0x848a, 0x7bea, 0x5ae6, 0x7c28, 0x6364, 
  0x6344, 0x5b06, 0x4283, 0x52e4, 0x3a02, 0x6387, 0x6bc7, 0x5303, 0x4282, 0x5ae7, 0x6328, 0x6348, 0x630a, 0x5aa9, 0x4a68, 0x4ac8, 
  0x4ae8, 0x4ac8, 0x5b67, 0x6348, 0x5308, 0x5308, 0x5b69, 0x5b68, 0x4ac7, 0x5b28, 0x6389, 0x5307, 0x4ac7, 0x4267, 0x5b28, 0x6368, 
  0x6ba8, 0x6388, 0x6369, 0x5b28, 0x6369, 0x6369, 0x4ac7, 0x4aa7, 0x5b68, 0x6be9, 0x5b87, 0x5327, 0x5b68, 0x6368, 0x5309, 0x52e8, 
  0x5b48, 0x42a4, 0x5b27, 0x6bca, 0x7c4d, 0x6405, 0x4b22, 0x5344, 0x4301, 0x5ba3, 0x7466, 0x63c5, 0x4b23, 0x4b24, 0x31e3, 0x3241, 
  0x3a23, 0x4282, 0x42a2, 0x5305, 0x5b84, 0x6365, 0x4b42, 0x3a82, 0x3243, 0x4ae4, 0x10c4, 0x08a3, 0x10a3, 0x10a4, 0x0062, 0x10c3, 
  0x0042, 0x0862, 0x08a4, 0x08a4, 0x0863, 0x0842, 0x0021, 0x0863, 0x0883, 0x0863, 0x0042, 0x0862, 0x0042, 0x0042, 0x0042, 0x0862, 
  0x0021, 0x0042, 0x0041, 0x0042, 0x10c4, 0x10c4, 0x18e5, 0x18e5, 0x2967, 0x6386, 0x5ae5, 0x5b25, 0x5b05, 0x6b66, 0x6346, 0x6345, 
  0x5b25, 0x5b44, 0x4ae4, 0x52c4, 0x7408, 0x5b45, 0x5b66, 0x5306, 0x52c7, 0x52a8, 0x6347, 0x52c5, 0x6ba7, 0x52c5, 0x6b89, 0x3202, 
  0x6369, 0x5304, 0x4283, 0x4aa3, 0x42a1, 0x5b85

};

// 'ram', 125x110px
const uint16_t ram [125*110] PROGMEM = {

	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffde, 0xffff, 0xffff, 0xffff, 0xffff, 0xf7df, 0xffff, 0xffff, 0xffff, 0xffdf, 0xffff, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xff9e, 0xffdf, 0xffff, 0xf7df, 0xefff, 0xffff, 0xffdf, 0xf79e, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xffff, 0xffff, 
	0xf79e, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf7df, 0xffff, 0xffdf, 0xffff, 0xffff, 0xffdf, 0xffff, 0xffff, 0xf7de, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xffff, 0xffff, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffde, 0xfffe, 
	0xffff, 0xffdf, 0xffdf, 0xffff, 0xffff, 0xef5d, 0xffff, 0xffff, 0xffff, 0xffff, 0xf7df, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xf7df, 0xf7df, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf7ff, 0xf7ff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xffdf, 0xffdf, 0xffdf, 0xffff, 0xf7ff, 0x0020, 0x1064, 0x0843, 0x10a2, 0x18a4, 
	0x20c4, 0x1084, 0x0840, 0x0821, 0x0861, 0x20e7, 0x412a, 0x38c1, 0x40e3, 0x0020, 0x0020, 0x1061, 0x31a2, 0x0820, 0xa50d, 0x0840, 
	0x1081, 0x0860, 0x5224, 0x0880, 0x0840, 0xa4ac, 0x3162, 0x1020, 0x0800, 0x38a0, 0x5943, 0x8388, 0xe631, 0x6021, 0x6965, 0x5984, 
	0xcd4f, 0x4020, 0xeef9, 0xf6f7, 0x4143, 0x71e4, 0x50e1, 0x2821, 0x1821, 0x3880, 0xb42f, 0x50c0, 0x48a2, 0xddd1, 0xee74, 0x5922, 
	0x3840, 0x7b07, 0x8204, 0x3841, 0x7a87, 0x81c6, 0x61e4, 0x61e4, 0x4860, 0xddb1, 0xd5d1, 0x3041, 0xceba, 0xa470, 0x81a5, 0x8aa7, 
	0x93a9, 0xcc4e, 0xcd71, 0xbd2e, 0x6203, 0x5161, 0x4141, 0x4141, 0x5203, 0x940a, 0x7b47, 0x5a03, 0x3060, 0x7a86, 0xacab, 0x9468, 
	0xa40a, 0x4082, 0xac2b, 0x93aa, 0x60c3, 0x60c2, 0x3020, 0xcd90, 0xd652, 0x20c1, 0x18e4, 0x2122, 0xa530, 0x7367, 0x18c0, 0x4a65, 
	0xd630, 0xce75, 0xc5b1, 0x2143, 0x0040, 0x0041, 0x28c1, 0x1020, 0x4820, 0x69a3, 0xa9a6, 0xa288, 0x3102, 0x18a0, 0x2882, 0x18a0, 
	0x18c0, 0x28a0, 0xd186, 0x80c1, 0x8861, 0x48a1, 0x41c1, 0xb2cb, 0x0840, 0x0841, 0x0000, 0x0020, 0x18a5, 0x28e7, 0x0020, 0x0840, 
	0x28e8, 0x1043, 0x1063, 0x28c6, 0x49eb, 0x2121, 0x0000, 0x0020, 0x1061, 0x18c1, 0x0040, 0x62e7, 0x0902, 0x0860, 0xa4ab, 0x0040, 
	0x18c0, 0x0021, 0xad2e, 0x5a63, 0x6263, 0x6a65, 0x5123, 0x5902, 0x9c29, 0x8ae8, 0x9cb1, 0x2820, 0x71c3, 0xbc6c, 0x5041, 0x3840, 
	0x3800, 0x58c3, 0x8309, 0x6a44, 0x3041, 0x3040, 0x9c2a, 0x2880, 0xf799, 0x5862, 0x61c3, 0x9369, 0x9bc9, 0xc4ee, 0x4882, 0x93cb, 
	0x7185, 0x3881, 0x7984, 0x3102, 0x3081, 0x6103, 0xb48d, 0x940d, 0x4aa9, 0x6b0b, 0x6b8d, 0x8c2f, 0x5820, 0xed73, 0xcdae, 0xc4ed, 
	0x4860, 0x5081, 0x58c2, 0x3000, 0x4062, 0x3040, 0x48e1, 0x49c2, 0x5a23, 0x72c4, 0x93c8, 0x9be9, 0x61a3, 0x4040, 0x938a, 0xa3ea, 
	0x81a4, 0x3000, 0x88e3, 0x4020, 0x6162, 0xcdb0, 0x72c7, 0x1081, 0x10a1, 0x5245, 0x4a24, 0xb58f, 0xe737, 0x8c0a, 0xef37, 0xc58e, 
	0x08e0, 0x83e7, 0x20c1, 0x0020, 0x00c1, 0x58c0, 0x7942, 0xb226, 0xc32b, 0x69e6, 0x1060, 0x1881, 0x18e1, 0x0860, 0x4182, 0x5081, 
	0x2040, 0x6901, 0x6920, 0x6121, 0xaaca, 0x0842, 0x1085, 0x0861, 0x2907, 0x2086, 0x20a6, 0x0040, 0x0840, 0x1083, 0x18a5, 0x18a5, 
	0x3128, 0x30e8, 0x18a3, 0x0000, 0x0020, 0x20e3, 0x41e2, 0x4a25, 0x18a0, 0x6ae6, 0xacec, 0x4181, 0x00a3, 0x2102, 0x10a0, 0x20e0, 
	0x8c07, 0x4a23, 0x6b27, 0x2020, 0x7164, 0x7b68, 0x5021, 0x3080, 0x2000, 0x2821, 0x3020, 0x78e2, 0x7941, 0xee30, 0x7983, 0x8b29, 
	0x3022, 0x9b67, 0x4040, 0x8b47, 0x38e2, 0x7a45, 0x2881, 0x1841, 0x30a0, 0x3944, 0x5206, 0x3964, 0x4a45, 0x51e7, 0x6267, 0x5a46, 
	0x6a87, 0x6a46, 0x5a05, 0x5a46, 0x3acd, 0x52a9, 0x1988, 0x08c3, 0x532a, 0x7cb4, 0x61e7, 0x6a87, 0x82a6, 0x6183, 0x3941, 0x6263, 
	0xb48d, 0xbcef, 0x5840, 0x3860, 0x3080, 0x3861, 0x2060, 0x3821, 0x3000, 0x3081, 0xcd91, 0x93c8, 0xa2c6, 0xdd73, 0xe654, 0xddf0, 
	0xb287, 0x58a1, 0x8aa6, 0x7b08, 0x4a05, 0xcdf1, 0xb54d, 0xa46b, 0x7bc9, 0x7449, 0xf79c, 0xf798, 0x73e9, 0x4245, 0xb52d, 0x1021, 
	0x4a07, 0x4184, 0x41c5, 0x30e0, 0x4840, 0x79c4, 0x9186, 0xb36b, 0x3901, 0x2143, 0x8a69, 0xab4c, 0x91e7, 0xa060, 0x7985, 0x4141, 
	0x79c7, 0xa9c6, 0x0021, 0x0040, 0x0841, 0x0040, 0x10a3, 0x1080, 0x0040, 0x0020, 0x0840, 0x1061, 0x1063, 0x3969, 0x28c6, 0x0000, 
	0x0000, 0x0020, 0x20c3, 0x0000, 0x4245, 0x0820, 0x0020, 0x0820, 0x0020, 0x0903, 0x8b87, 0xbd8e, 0x1942, 0x7b87, 0x2960, 0x83a8, 
	0x48c3, 0x5143, 0x30c0, 0x8287, 0xbd34, 0x4000, 0x2000, 0x2800, 0x4020, 0x7265, 0x1821, 0x3020, 0x3023, 0x3881, 0x50a1, 0x4881, 
	0x6a65, 0x1860, 0x2082, 0x59e6, 0x5206, 0x49c4, 0x6245, 0xb4ce, 0xeeb6, 0xffde, 0xff7a, 0xc5b2, 0x7b07, 0x5981, 0x51a3, 0x7bcc, 
	0x52cb, 0x3208, 0xa596, 0x2185, 0x1165, 0x29a6, 0x29e8, 0xbdf7, 0x5228, 0x2924, 0x1041, 0x1061, 0x1020, 0x1020, 0x3080, 0xcdd1, 
	0x2060, 0x8307, 0xac6c, 0x50a1, 0xa3eb, 0xe592, 0xd54f, 0xe5d3, 0x7944, 0xd590, 0xc3ed, 0x7b27, 0xad4b, 0x9bc9, 0x38a1, 0x8307, 
	0x2881, 0x20a0, 0x8bcc, 0xd612, 0x2205, 0xffda, 0x1860, 0x0801, 0x0021, 0x20a0, 0xad2c, 0x1123, 0x1861, 0x8c2b, 0x19a6, 0x4b4e, 
	0x50c0, 0x08a0, 0x1000, 0x3860, 0x7945, 0x79a6, 0x5103, 0x1040, 0x6124, 0x930b, 0xb163, 0xc2e9, 0x9227, 0x8944, 0x9a04, 0x18a3, 
	0x1063, 0x0841, 0x28c8, 0x28e6, 0x0822, 0x0021, 0x0861, 0x18c5, 0x1923, 0x1044, 0x1063, 0x0840, 0x0800, 0x0000, 0x0000, 0x20c3, 
	0x41c5, 0x4a44, 0x1880, 0x4a45, 0x10a1, 0x62e6, 0x10c0, 0x3982, 0x83a8, 0x2900, 0x3121, 0x2941, 0x3162, 0x30c0, 0x1861, 0x71c4, 
	0x4922, 0x28a0, 0xeeda, 0x3041, 0x3841, 0x2800, 0x4080, 0xf656, 0x5922, 0x8a05, 0x61a5, 0x38a2, 0x934a, 0x41a5, 0x4986, 0x49e3, 
	0xa46c, 0xffba, 0xde13, 0xb46b, 0xbcee, 0xee14, 0xeed9, 0xde98, 0xb4d1, 0x8b49, 0xb553, 0x6b8d, 0x5b0b, 0x5baf, 0x94f3, 0x2186, 
	0x7471, 0x9575, 0x0041, 0x638d, 0x29c7, 0x31a6, 0xef3a, 0x9c4e, 0x49c4, 0x2103, 0x0821, 0x1820, 0x38e1, 0x3840, 0x93a8, 0x3860, 
	0x40a1, 0x3001, 0x7ae6, 0x70c2, 0x5040, 0x7881, 0xc56f, 0xb48d, 0x7b6c, 0x7aa6, 0xcdf0, 0xacab, 0xd637, 0x69e5, 0xe6d3, 0xad0e, 
	0x08e1, 0xd671, 0x20e1, 0x2922, 0x4a27, 0x0923, 0x0041, 0x3962, 0x52a5, 0x28c2, 0x2142, 0x0882, 0x6b05, 0x18e0, 0x2923, 0xb163, 
	0x7a87, 0x1861, 0x70c4, 0x3000, 0x1800, 0xca8b, 0xaaac, 0xb963, 0x89c5, 0x89c4, 0xa288, 0xa143, 0x20a6, 0x312a, 0x20c5, 0x1042, 
	0x0820, 0x0841, 0x3967, 0x0821, 0x0020, 0x0041, 0x0860, 0x0862, 0x0841, 0x0000, 0x0020, 0x0020, 0x18a2, 0x0820, 0x0000, 0x18a0, 
	0x62e7, 0x0000, 0x5a86, 0x10a0, 0x20e1, 0x31a2, 0x9bea, 0x10e3, 0x5a85, 0x2923, 0x1041, 0x2041, 0x2041, 0xa3cc, 0x69c4, 0x6b09, 
	0x4a47, 0xb5b5, 0xc555, 0x8b8d, 0x59c6, 0x59c6, 0x6a48, 0x6a67, 0x3944, 0x4183, 0x7b26, 0xffba, 0xa3ea, 0x72e7, 0xf718, 0x83ad, 
	0x38e2, 0x61c5, 0x9b4a, 0x732b, 0x5a05, 0x9b48, 0x9c2f, 0x736d, 0x2185, 0x5aea, 0x3184, 0xad74, 0x3aaa, 0x5b2b, 0x10c2, 0x1923, 
	0x7431, 0x73ac, 0x634e, 0x29c5, 0x8bac, 0x944d, 0xe6d6, 0x7349, 0x4a07, 0x1041, 0x2881, 0xbced, 0x60e3, 0x2861, 0x72e5, 0x3000, 
	0x7286, 0xef14, 0x7082, 0x3881, 0x5101, 0x2000, 0x8b4c, 0xce10, 0xc58f, 0x630b, 0x3121, 0x62e9, 0x8c6b, 0x29c2, 0x7389, 0x4a26, 
	0x0840, 0x10c0, 0x7c0b, 0x0901, 0x1140, 0x7346, 0x3144, 0x2963, 0x0881, 0x3180, 0x20e2, 0xe2ca, 0x4060, 0xba04, 0xd983, 0xbb68, 
	0x10a3, 0x20c2, 0x5861, 0x99c6, 0xa2eb, 0xb2ea, 0x40a1, 0xd2a7, 0x6923, 0x0000, 0x0020, 0x3949, 0x0842, 0x0841, 0x0841, 0x3949, 
	0x0020, 0x0840, 0x0861, 0x0861, 0x0020, 0x1081, 0x0840, 0x0020, 0x0020, 0x18a2, 0x0020, 0x0840, 0x0021, 0x0021, 0x0040, 0x0020, 
	0x08a1, 0x1901, 0x1900, 0x3920, 0x31a2, 0x9408, 0x7367, 0x5a65, 0x2881, 0x2000, 0x2862, 0x8cf4, 0x8472, 0xce79, 0x6162, 0x79c4, 
	0x60e2, 0x58e3, 0x5164, 0x20c1, 0x2123, 0x8388, 0xf715, 0x72c6, 0xe696, 0x8b2b, 0x28e1, 0x93ac, 0xabaa, 0x7227, 0x28a1, 0x4185, 
	0x2881, 0x5a06, 0x5b2c, 0x1965, 0x8cd3, 0x426a, 0x4aec, 0x1105, 0x8c71, 0x84f5, 0x7430, 0x6bf0, 0x0905, 0x00a4, 0xd6ba, 0x322a, 
	0x7c31, 0x6b8e, 0x10e4, 0xd6b9, 0x3100, 0xb50f, 0xaccf, 0x5267, 0x3124, 0x8b4c, 0xac4e, 0x48c1, 0x3820, 0x3800, 0xcd8e, 0x4000, 
	0x3800, 0x3020, 0x3040, 0x8b8e, 0xeed4, 0xac4b, 0x38c2, 0x1880, 0x62c8, 0x6b29, 0x6b27, 0x2102, 0x10c0, 0x3204, 0x00c2, 0x83a8, 
	0x39e1, 0xf735, 0x3142, 0x3103, 0x93c8, 0x20e3, 0x410c, 0x20e3, 0x3040, 0x38a3, 0x7000, 0xa0c1, 0xc165, 0x9aa8, 0x4861, 0x6185, 
	0x6165, 0x6903, 0x99a2, 0x9141, 0xb1a5, 0x5a25, 0x0021, 0x0020, 0x1084, 0x0841, 0x0001, 0x0000, 0x0000, 0x0841, 0x0020, 0x0842, 
	0x0823, 0x20e5, 0x2905, 0x0000, 0x0020, 0x0020, 0x1882, 0x0040, 0x0020, 0x4a25, 0x7bc9, 0x2941, 0x0020, 0x10e1, 0x1101, 0x4a04, 
	0x20e1, 0x49e4, 0x1060, 0x6307, 0x30e2, 0x5102, 0x3862, 0x63ae, 0x39c6, 0xb5b6, 0x6bae, 0xa532, 0xa42f, 0xee38, 0xd5d6, 0x39a6, 
	0x5a64, 0xeed4, 0x72c4, 0xeef9, 0x28c1, 0x3143, 0x8b6b, 0x9c4e, 0xccce, 0x8309, 0x4164, 0x38e2, 0x6ae8, 0x1060, 0x834a, 0xd71b, 
	0xce7a, 0x3a09, 0xad96, 0x9d74, 0xb67a, 0x73d0, 0x326a, 0x8cf3, 0x9555, 0x3269, 0x2b6f, 0xbeba, 0xd71c, 0x94b3, 0x4248, 0xbdf7, 
	0x3a6a, 0x3a49, 0x9cb1, 0x7b69, 0x9c0a, 0xbdb1, 0x6ae9, 0x3985, 0x832a, 0x7a05, 0x6a03, 0x6183, 0x5061, 0x40a2, 0x4061, 0xbdf6, 
	0xab68, 0xce30, 0xc554, 0x3880, 0xbd6d, 0xb54e, 0x73ca, 0x6b05, 0x2a25, 0x7b67, 0x9d2f, 0x0040, 0x0880, 0x5a64, 0x3961, 0x1080, 
	0x2903, 0x41c2, 0x20a4, 0x3144, 0x3969, 0x18a2, 0x2943, 0x30e3, 0x1880, 0x70e3, 0x58c3, 0x30e2, 0x2861, 0x7aaa, 0x1860, 0x8140, 
	0xea25, 0xcaa8, 0x7985, 0x18a5, 0x0020, 0x0000, 0x0020, 0x20e7, 0x1866, 0x2126, 0x1083, 0x0840, 0x18a7, 0x18c5, 0x18a4, 0x3107, 
	0x0801, 0x0020, 0x0020, 0x1882, 0x0000, 0x4a87, 0x2901, 0x1061, 0x41c3, 0xcdef, 0x7348, 0x1963, 0x0082, 0xbd0a, 0x93e8, 0xacec, 
	0x0802, 0x4a47, 0x4a89, 0x6b4c, 0x7b8d, 0x636e, 0x6c30, 0x844f, 0x2229, 0x73ad, 0x28c3, 0x28c3, 0x9c08, 0xa44b, 0x9c6b, 0x5a24, 
	0x4207, 0xbbeb, 0x18a0, 0x9bed, 0x1820, 0x48e1, 0x49c3, 0x4a07, 0x2040, 0x9266, 0x51a7, 0x2a2a, 0x9cf3, 0x7c52, 0xa513, 0xb638, 
	0x6b8e, 0x3aab, 0x42ab, 0x1925, 0x4248, 0x3a28, 0x7c0e, 0x29e9, 0x3b0e, 0x6cb4, 0x9d34, 0xb6bc, 0x326c, 0xcedb, 0x6208, 0x3122, 
	0x20a2, 0xa510, 0x51e4, 0xaced, 0x7bab, 0x3966, 0x7b4c, 0xefbe, 0xc534, 0xb32b, 0xa4d1, 0x730b, 0x9a46, 0xf739, 0x93aa, 0x2820, 
	0x4945, 0xa4cc, 0x18a2, 0xa4ed, 0x3121, 0x19c2, 0x944c, 0x4266, 0xce70, 0x1963, 0x0041, 0x0020, 0x5a43, 0x3103, 0x10a2, 0x1041, 
	0x1882, 0x18a0, 0x41e8, 0x522c, 0x494a, 0x2940, 0x3164, 0x518c, 0x1861, 0x0060, 0x0000, 0x2080, 0x7983, 0x9881, 0xbae9, 0x89c6, 
	0x0841, 0x0000, 0x1063, 0x20a7, 0x2906, 0x3949, 0x2086, 0x2908, 0x0861, 0x18a4, 0x0841, 0x18a5, 0x18a4, 0x3168, 0x10a1, 0x0020, 
	0x18a2, 0x1080, 0x6b48, 0x2101, 0x6306, 0x5a86, 0x2964, 0x28e2, 0x6b06, 0x1122, 0x0000, 0x41a5, 0x7b89, 0x9513, 0x29a6, 0x6bd0, 
	0xb639, 0x1103, 0x3a89, 0xceba, 0x6b4d, 0x738d, 0x5b8d, 0x9d54, 0xb50c, 0x4160, 0xee73, 0x4142, 0x5922, 0x3922, 0x18c1, 0x61c5, 
	0x1062, 0x30c0, 0x2860, 0x0000, 0x71e3, 0x1040, 0x2061, 0x4122, 0x20a1, 0x8430, 0x8d34, 0x9df8, 0x3a8b, 0x09c9, 0xbe79, 0xc638, 
	0x29a7, 0x2186, 0x0906, 0x5b4b, 0xce7a, 0x6c10, 0x5acc, 0x7431, 0x9d76, 0x9556, 0x0021, 0x2880, 0x6a67, 0x1820, 0xa36a, 0x0800, 
	0xf755, 0x5a44, 0xc5f1, 0xce56, 0xffba, 0xeef7, 0xff58, 0xffda, 0xf716, 0xa510, 0xe71a, 0x2821, 0x48c2, 0x3963, 0xa50e, 0xe6d3, 
	0xe6b5, 0x18e1, 0x6b28, 0x3140, 0x0841, 0x18a0, 0x8c0b, 0x83c6, 0x2142, 0x10c1, 0x2903, 0x1082, 0x28e5, 0x59ca, 0x3965, 0x1881, 
	0x20c3, 0x0881, 0x0040, 0x1081, 0x4a0b, 0x10a1, 0x0800, 0x1880, 0x510c, 0x89c8, 0x2880, 0x3120, 0x4881, 0x0840, 0x0840, 0x1083, 
	0x1042, 0x0821, 0x0020, 0x0020, 0x1084, 0x0820, 0x1083, 0x1063, 0x1082, 0x20a5, 0x0880, 0x1080, 0x0040, 0x18a2, 0x1080, 0x3984, 
	0x20e1, 0x5286, 0x5287, 0x2102, 0xd672, 0x1060, 0x1102, 0x19a4, 0xa4d2, 0xbdb5, 0x1905, 0x39e6, 0xa513, 0x4aec, 0xbe18, 0xb5b6, 
	0x8471, 0x6b6c, 0x3a07, 0x63f0, 0x8471, 0xb5d6, 0x940a, 0x49e5, 0x8a86, 0x3924, 0xc3ca, 0x3145, 0x7a88, 0x5983, 0xa369, 0x2061, 
	0x3903, 0x1060, 0x2081, 0x2903, 0x08a2, 0x5bcf, 0x8d76, 0x94f2, 0x0928, 0x63d0, 0x9cf3, 0x634d, 0x00a4, 0x740f, 0xad33, 0xc54f, 
	0x6bd0, 0x9d75, 0x6bf0, 0xbe38, 0x8d56, 0x09a9, 0xa5f9, 0x740f, 0x4a48, 0x72e9, 0x8aca, 0x6247, 0x72a8, 0x4945, 0x948e, 0x28c0, 
	0xded4, 0x20a1, 0x2081, 0x4144, 0x6228, 0x40e3, 0x2841, 0x2000, 0x58e4, 0x70c2, 0x4963, 0xad2d, 0x49c3, 0xb52b, 0x39c4, 0x72e5, 
	0x5285, 0x0881, 0x0860, 0x0020, 0x18a1, 0x1040, 0x0860, 0x3923, 0x0000, 0x3105, 0x20e4, 0x18c0, 0x2122, 0x10a2, 0x10a1, 0x3106, 
	0x18c2, 0x3966, 0x0840, 0x20c4, 0x2868, 0x1063, 0x40e4, 0x18c2, 0x59a7, 0x7a07, 0x0020, 0x0020, 0x0860, 0x0020, 0x0861, 0x0000, 
	0x0020, 0x0861, 0x18a5, 0x0820, 0x0841, 0x20e5, 0x18a0, 0x10a0, 0x0861, 0x2982, 0x20e2, 0x10a1, 0x83e9, 0x0923, 0x0041, 0x0020, 
	0x0060, 0x0021, 0x0040, 0x00c1, 0x4a8b, 0x31c7, 0x8491, 0x7c2f, 0x2145, 0x1925, 0x0882, 0x39e8, 0x9d33, 0x6bcf, 0x42aa, 0xce58, 
	0x08c3, 0x5bae, 0x52a7, 0xa594, 0x832b, 0x6a89, 0x5943, 0x40a1, 0x61e4, 0x1861, 0x28a1, 0x30e0, 0x18c1, 0x1040, 0x1061, 0x5266, 
	0xa46b, 0x8450, 0x74d4, 0x42eb, 0x01aa, 0x8513, 0x84d3, 0x1a0a, 0x1103, 0x2a4a, 0x4249, 0xbced, 0xac6b, 0x94d2, 0x6b8e, 0x0926, 
	0x8490, 0x8534, 0x63ef, 0x0148, 0x538f, 0x6c0e, 0x9410, 0x6206, 0x6a05, 0x8ae9, 0x38c2, 0x82a9, 0x5267, 0x3921, 0xef55, 0x3143, 
	0xc575, 0xac2e, 0xd5b1, 0xd5f4, 0xc574, 0xa44d, 0xc44c, 0x50c2, 0x5a85, 0x4a25, 0xb570, 0xbdaf, 0x1040, 0x6b27, 0x842a, 0x1122, 
	0x6b07, 0x7327, 0x0861, 0x0860, 0x28e3, 0x3a08, 0x1924, 0x18a2, 0x2104, 0x0861, 0x18e2, 0x0820, 0x0840, 0x2888, 0x51cc, 0x59ad, 
	0x0862, 0x1882, 0x28e5, 0x2926, 0x514c, 0x18c2, 0x1841, 0x0020, 0x0020, 0x0840, 0x10a1, 0x0840, 0x1082, 0x0020, 0x0881, 0x0841, 
	0x0040, 0x0861, 0x1084, 0x2906, 0x1901, 0x0821, 0x0860, 0x20c2, 0x2102, 0x4a44, 0x0081, 0x0081, 0x5264, 0xc56c, 0xe6d5, 0x3245, 
	0x4288, 0x9d55, 0x9cd2, 0x20e4, 0xc678, 0xa514, 0xa553, 0x632c, 0x8b27, 0xad53, 0x9d55, 0xad95, 0x630b, 0x10e5, 0x4227, 0x2a08, 
	0x39a7, 0x736b, 0x738d, 0x6205, 0x6a67, 0x1061, 0x5a47, 0x4102, 0x1061, 0x4205, 0xc56e, 0xdeb3, 0xde76, 0x9cd2, 0x9534, 0x2187, 
	0x1987, 0x3249, 0x19a8, 0x31e7, 0x432e, 0x1924, 0x8c91, 0x9327, 0xd5af, 0xc48b, 0x93eb, 0x634d, 0x0906, 0x63af, 0x1104, 0x42cc, 
	0xadb7, 0x0147, 0x53d1, 0x9d54, 0x5b2e, 0x1861, 0x59e5, 0xdcf0, 0x9bab, 0x28e1, 0x1080, 0x4183, 0xded4, 0x18a1, 0x1840, 0x4982, 
	0x49a3, 0x2860, 0x3060, 0x3102, 0x9cf1, 0x6a66, 0x3981, 0xaceb, 0xbd4d, 0x83c8, 0x08e2, 0x2901, 0x3941, 0x2942, 0x18e1, 0x41e3, 
	0x29a5, 0x3923, 0x0861, 0x10c2, 0x10a0, 0x2905, 0x38c9, 0x41c9, 0x2104, 0x3146, 0x20c3, 0x1882, 0x1021, 0x1862, 0x1081, 0x0860, 
	0x0840, 0x0820, 0x2944, 0x2101, 0x0881, 0x1080, 0x0860, 0x1061, 0x1020, 0x1841, 0x0020, 0x0860, 0x0861, 0x10c1, 0x2124, 0x10c2, 
	0x18a1, 0x20c6, 0x0000, 0x2902, 0x28e2, 0x2101, 0x840b, 0x00a1, 0x1102, 0x3983, 0x0840, 0x1860, 0xffb7, 0x2167, 0x5aaa, 0x6bef, 
	0x7c30, 0x7c32, 0xa555, 0x8beb, 0x9325, 0xbb86, 0x6a63, 0x94d3, 0x73ef, 0x9513, 0xbdd4, 0xad55, 0xa573, 0x3a07, 0x2964, 0x08c0, 
	0x8cf2, 0x20c3, 0x2860, 0x2882, 0x20a1, 0x7b26, 0xd671, 0x6265, 0x30c2, 0x8cf4, 0xa5d7, 0x21e7, 0x6430, 0x63f0, 0xd6b9, 0x09ca, 
	0x632c, 0xb594, 0x3164, 0xa449, 0xd590, 0xcdb0, 0xde11, 0xc50e, 0x93ea, 0x6b0b, 0xe71b, 0x1925, 0x224a, 0x124d, 0xa513, 0x0a0c, 
	0x4b8f, 0x7cf3, 0x9cd2, 0x8287, 0x28a1, 0x7a68, 0x59c5, 0x2081, 0x2122, 0x3941, 0x9cae, 0x0000, 0x2060, 0x4982, 0x5181, 0xbd4c, 
	0xb4ab, 0x3062, 0x946f, 0x2841, 0x9caa, 0xbd2e, 0x1123, 0x49a2, 0x4a03, 0x4a23, 0xc610, 0x5348, 0x10c1, 0x2962, 0x4124, 0x0841, 
	0x18a2, 0x3108, 0x4188, 0x28e4, 0x20e3, 0x1080, 0x49cb, 0x3108, 0x0821, 0x1862, 0x30c5, 0x0860, 0x0881, 0x0881, 0x39a6, 0x3969, 
	0x0860, 0x2040, 0x1000, 0x1000, 0x1801, 0x0800, 0x1020, 0x1081, 0x1081, 0x1081, 0x0880, 0x10a2, 0x2125, 0x20e4, 0x20c7, 0x0062, 
	0x0020, 0x28c2, 0x18a0, 0x8c2b, 0x00a1, 0x1080, 0xb590, 0x08c1, 0x0882, 0x840c, 0x5aab, 0x7c32, 0x4b4e, 0x430d, 0x5b0d, 0x6a45, 
	0x7a63, 0xabe9, 0xddaf, 0xac29, 0x49c4, 0x2187, 0x2965, 0x84b2, 0xb617, 0xd6fb, 0x7c30, 0x0107, 0x7c2b, 0x6bad, 0x28c1, 0x1061, 
	0x62a5, 0xc54d, 0x9409, 0x3122, 0x1082, 0x6baf, 0xd6da, 0x4aaa, 0x0a2c, 0x0987, 0x8472, 0x7c10, 0xa4d1, 0x8c4f, 0x6b0a, 0x3963, 
	0x6a03, 0x7a43, 0xb44b, 0xd654, 0x8b27, 0x61e3, 0x5206, 0xa4f2, 0x8c50, 0xc658, 0xa535, 0xce39, 0x09ca, 0x11c8, 0x74f5, 0xae18, 
	0xb5d5, 0x4964, 0xd511, 0xabec, 0x7ac8, 0x20a2, 0x7bcb, 0x5a43, 0x4a25, 0x4965, 0x3082, 0x3881, 0x5102, 0xc5ef, 0xbccc, 0x4903, 
	0x79c4, 0x0820, 0x0060, 0x1901, 0x3a04, 0xb52e, 0x83aa, 0x41a3, 0x0040, 0x21a2, 0x1900, 0x4124, 0x1082, 0x1082, 0x3947, 0x1883, 
	0x3948, 0x41aa, 0x1080, 0x0861, 0x18e2, 0x10a3, 0x0820, 0x28c6, 0x0861, 0x0860, 0x0860, 0x1042, 0x51ea, 0x28e3, 0x1000, 0x1020, 
	0x0820, 0x1800, 0x0800, 0x1000, 0x1000, 0x1860, 0x0020, 0x1083, 0x18a3, 0x18c1, 0x20c5, 0x3249, 0x6bf0, 0x0020, 0x28c2, 0x20e1, 
	0x840b, 0x1123, 0x0020, 0x18a1, 0x0082, 0xbe17, 0xdefb, 0x638e, 0x3aca, 0x4b4c, 0x31e7, 0xbd73, 0x9368, 0xccee, 0x82e6, 0x9b88, 
	0x7a82, 0x7244, 0x4a06, 0x432d, 0x428a, 0x2a8c, 0xbe78, 0xb618, 0xb5d7, 0x29a6, 0x4227, 0x0020, 0xf6b4, 0xde51, 0x3922, 0x1061, 
	0x0861, 0x10c3, 0x94f3, 0x6bf0, 0x3b4f, 0x8c71, 0x0926, 0xad95, 0x41a3, 0x6b2c, 0x10c3, 0x4289, 0x738c, 0xac2b, 0xac6c, 0xbccc, 
	0xa46c, 0xd5d1, 0xac6c, 0x3922, 0x2965, 0x0882, 0xb594, 0x8c4d, 0x19ca, 0x8cb1, 0xc658, 0x11c8, 0xa5b6, 0xb575, 0x2923, 0x61e5, 
	0x8b29, 0x8bca, 0x1860, 0x39a5, 0xce33, 0xa48d, 0x3103, 0x7a89, 0xe694, 0xde33, 0x48e1, 0xd5d0, 0x9b6a, 0x9348, 0x3163, 0x4a68, 
	0x5a86, 0x3985, 0x2942, 0x0021, 0x1081, 0x0880, 0x2141, 0x1102, 0x4143, 0x2965, 0x2105, 0x6a6f, 0x3947, 0x20a5, 0x1060, 0x18a1, 
	0x0840, 0x0040, 0x0000, 0x20a2, 0x0060, 0x3969, 0x1042, 0x28e3, 0x5a8a, 0x18c3, 0x51ec, 0x3020, 0x3022, 0x2020, 0x2821, 0x2021, 
	0x1800, 0x2820, 0x1800, 0x3061, 0x10a0, 0x0060, 0x10c3, 0x10a1, 0x29a6, 0x2186, 0x10a3, 0x20c1, 0x1880, 0x20a0, 0x8cac, 0x1121, 
	0x08c2, 0x94b0, 0x6bef, 0x7472, 0x4a89, 0x0905, 0x6bae, 0x636d, 0x38c0, 0x6224, 0xc50e, 0xfef6, 0xffba, 0x9328, 0x61e2, 0x5268, 
	0x73cf, 0x5b6e, 0x9514, 0x29a5, 0x84d4, 0x6b8e, 0x29a6, 0x1923, 0x9c4a, 0xa42a, 0x20a1, 0x0020, 0x08a2, 0x5b0b, 0x1905, 0x5b2d, 
	0x2aad, 0x6bcf, 0xcefb, 0x8493, 0x4225, 0x0082, 0x0862, 0x4249, 0x5a67, 0x69e4, 0x6a23, 0xdd90, 0x9c08, 0x8b05, 0x93eb, 0x59a1, 
	0x93c9, 0x10e3, 0x0861, 0x0841, 0x9c90, 0xbdd4, 0x1a4a, 0x94b1, 0xc6bb, 0x4b2e, 0xa618, 0x08a4, 0x4943, 0x7a04, 0x4185, 0x61e6, 
	0x8289, 0x6a68, 0xc5ae, 0xcdf0, 0x20e3, 0x0020, 0x0800, 0x1860, 0x3041, 0x8265, 0x6b09, 0x4923, 0x31c5, 0x0862, 0x52c4, 0xf798, 
	0xeeb1, 0x29a4, 0x00c1, 0x5204, 0x3181, 0x3921, 0x2102, 0x1061, 0x38c6, 0x3948, 0x20e4, 0x2103, 0x1881, 0x0040, 0x0840, 0x0881, 
	0x624d, 0x6211, 0x416c, 0x418a, 0x28c6, 0x20a4, 0x18c0, 0x39a5, 0x0842, 0x1001, 0x0800, 0x0820, 0x0880, 0x0860, 0x2020, 0x1000, 
	0x1020, 0x0880, 0x10c1, 0x0040, 0x18e1, 0x2162, 0x3a49, 0x1082, 0x2082, 0x10a1, 0x10a1, 0x1060, 0x49c2, 0xaccd, 0x530c, 0x532d, 
	0x2124, 0x4aab, 0x2986, 0x0881, 0x10c3, 0x4162, 0x9327, 0x82a4, 0xb46b, 0xa40a, 0xac2b, 0x4101, 0x7224, 0x9514, 0x08e5, 0x7bf0, 
	0x6c10, 0x4227, 0x432e, 0x7c50, 0xa511, 0xa4ab, 0x1881, 0x0841, 0x0882, 0x73cf, 0x424a, 0x5b2c, 0x9d76, 0x01aa, 0x42aa, 0x1126, 
	0x39a5, 0x10a2, 0xbdb5, 0x7bae, 0x31a6, 0x38e2, 0xcd91, 0x9388, 0xcd0c, 0xde37, 0xe637, 0xcd0d, 0xbcae, 0x5960, 0x8c92, 0x0000, 
	0x84b2, 0x0861, 0xa4d0, 0xffdd, 0x4aaa, 0x2a4a, 0x09a9, 0x84b3, 0x228c, 0x4985, 0x2060, 0x2880, 0x92ea, 0xcc4d, 0x3081, 0x1040, 
	0x41c2, 0x6b07, 0x20e3, 0x0040, 0x2104, 0x0020, 0x1860, 0x4964, 0x6163, 0x4a27, 0x7b46, 0xf735, 0x1840, 0x1061, 0x7305, 0x1102, 
	0x2100, 0x41c2, 0x4964, 0x0020, 0x0021, 0x1081, 0x28e5, 0x2905, 0x20e4, 0x3107, 0x41c9, 0x5a2d, 0x622f, 0x41cb, 0x2944, 0x0800, 
	0x0801, 0x1043, 0x6ab0, 0x41eb, 0x18e2, 0x1063, 0x314b, 0x1081, 0x0840, 0x18e0, 0x2981, 0x1020, 0x2801, 0x2000, 0x2927, 0x1901, 
	0x08a0, 0x10a0, 0x1921, 0x2966, 0x0021, 0x28e3, 0x5aa6, 0x18e2, 0x28a2, 0x0881, 0x4aa9, 0x5b8f, 0x1924, 0x3a49, 0x428a, 0x7430, 
	0xb48c, 0x28c0, 0x82a5, 0xac09, 0xc430, 0xdd32, 0xcccd, 0x82c6, 0xbcad, 0x3942, 0xb5b5, 0x21c9, 0x31c6, 0x73ce, 0x7c71, 0x1105, 
	0x4b2e, 0xa596, 0x8c50, 0x1082, 0x0862, 0x2165, 0x1923, 0x7c51, 0x63ce, 0x43d2, 0x7cd4, 0x9575, 0x9d13, 0xa512, 0x6b8d, 0x0861, 
	0x28a0, 0x8beb, 0x6204, 0x59c1, 0xe613, 0xb4ac, 0x51e6, 0x7b2b, 0xddd1, 0xac4c, 0xacae, 0x1882, 0x0841, 0x94d3, 0x5b0b, 0x0020, 
	0x3141, 0x536d, 0x9576, 0x128e, 0x6451, 0x3a8a, 0x636c, 0x1840, 0x40a2, 0x2020, 0x20a1, 0x69e5, 0x5228, 0xa4ad, 0x7346, 0x8c0c, 
	0x18c2, 0xef3c, 0x0020, 0x10a2, 0x0020, 0x0820, 0x4183, 0xb52c, 0x39a2, 0x0020, 0x1942, 0x0880, 0x29c2, 0x52c6, 0x62a5, 0x5185, 
	0x18c0, 0x1986, 0x3187, 0x10a1, 0x41e7, 0x520a, 0x28e4, 0x2905, 0x20a5, 0x2926, 0x0800, 0x20e6, 0x0000, 0x49ac, 0x1886, 0x3147, 
	0x49c9, 0x20c4, 0x0841, 0x0000, 0x1041, 0x1001, 0x1000, 0x1061, 0x0020, 0x1020, 0x1041, 0x0820, 0x10c0, 0x18e2, 0x08a0, 0x1983, 
	0x2165, 0x1104, 0x20a2, 0x0040, 0x3141, 0x2902, 0x3209, 0x84b3, 0x4268, 0x1167, 0x1104, 0x5247, 0x6a02, 0xac4a, 0x6a44, 0x8b07, 
	0xcd2e, 0x6101, 0x7982, 0x8b46, 0x9346, 0xd550, 0x942c, 0xd635, 0xa512, 0x8471, 0x6bef, 0x94d2, 0x8c91, 0x19a6, 0x536f, 0xb5d7, 
	0x8c90, 0x0862, 0x1924, 0xa534, 0x18a3, 0xd6ba, 0x1a8f, 0xa595, 0x4acc, 0x6ae9, 0x10a3, 0x630b, 0x9b88, 0x8327, 0x62a6, 0x9c2c, 
	0x5180, 0x6286, 0x9304, 0x61e1, 0xccce, 0x9326, 0xbc4c, 0xa48d, 0x942b, 0xd590, 0x52a8, 0x9cb2, 0x0041, 0xc616, 0xb5f7, 0xc6ba, 
	0x8cd3, 0x4b0d, 0x9dd8, 0x18c4, 0x4963, 0x38a1, 0x50c0, 0x93ac, 0x28a2, 0x59e5, 0x0881, 0xe6b4, 0x38e0, 0xa48b, 0x4a25, 0x2104, 
	0x18e3, 0x0861, 0x1081, 0x2142, 0x20c1, 0x73c8, 0x0922, 0x6ae5, 0xbd70, 0x08c1, 0x944a, 0x29a2, 0x3944, 0x73a9, 0x2968, 0x9470, 
	0x0820, 0x1882, 0x51ce, 0x28e4, 0x18c2, 0x20e5, 0x0840, 0x0860, 0x0840, 0x2904, 0x28c7, 0x1883, 0x18c3, 0x18c0, 0x18e3, 0x0820, 
	0x0840, 0x0000, 0x1000, 0x1000, 0x2020, 0x0860, 0x1040, 0x0820, 0x10a1, 0x10e0, 0x10e0, 0x1080, 0x21a6, 0x3a49, 0x0000, 0x20a2, 
	0x0842, 0x0022, 0x2186, 0x6c72, 0x3a29, 0x6bae, 0x0820, 0x0840, 0x6a44, 0x8b47, 0x38a0, 0x9369, 0x4984, 0xa367, 0xabc8, 0x7ac7, 
	0x7a44, 0xe5f2, 0x6a23, 0x9bca, 0xa3c7, 0x9c0a, 0xbdb5, 0x4a69, 0x5b6e, 0x4247, 0xef5b, 0x4248, 0x9d55, 0xbe17, 0xadb5, 0x0040, 
	0x94d3, 0xb5b6, 0x4b2d, 0x3b4f, 0x9cf3, 0x4aeb, 0x736a, 0x73ae, 0xa4d2, 0xac4b, 0x9326, 0x9bca, 0x4960, 0xb48c, 0x59c2, 0x7a85, 
	0xcd4f, 0xac4b, 0x9bc9, 0x7aa6, 0x72a6, 0x6a87, 0xe635, 0x9b87, 0x94b1, 0x5b0b, 0x0020, 0x3a06, 0x4b4e, 0x0128, 0x128d, 0x6bef, 
	0x9d54, 0x0000, 0x18a2, 0x51c6, 0x51c6, 0x4164, 0x5184, 0x20a1, 0x4208, 0x1060, 0xde91, 0x3960, 0xacee, 0x3165, 0x5289, 0x1061, 
	0x2101, 0x18c0, 0x8b87, 0x2183, 0x0041, 0x0020, 0x3225, 0xde50, 0x1121, 0x30e3, 0x1102, 0x6b4c, 0x5aeb, 0x3125, 0x3126, 0x3105, 
	0x1061, 0x0861, 0x0860, 0x416c, 0x624e, 0x3107, 0x41ad, 0x28c7, 0x0860, 0x1081, 0x20e2, 0x3165, 0x1841, 0x08a0, 0x0860, 0x18c1, 
	0x1821, 0x1862, 0x1080, 0x1000, 0x3001, 0x2123, 0x10e0, 0x1920, 0x18e0, 0x42aa, 0x1104, 0x1104, 0x28c2, 0x41a4, 0x7c0e, 0x636d, 
	0x29c6, 0x428a, 0x7c0f, 0x4247, 0xad74, 0x5182, 0x6a44, 0x69c3, 0x4921, 0x4940, 0x6a45, 0xc4ed, 0xe5f1, 0x9b68, 0x6a04, 0xb46b, 
	0x7ac6, 0xbc8c, 0xb48b, 0x6ae8, 0x5aca, 0x8b8a, 0xce58, 0x9cf2, 0x21a7, 0x31e7, 0xad96, 0x5aca, 0x31a6, 0x0060, 0x636d, 0x42cb, 
	0x74b4, 0x538f, 0x94b3, 0x73ac, 0x740f, 0xff9d, 0x6286, 0x4961, 0x4982, 0x51a2, 0x59e4, 0x41a5, 0x93eb, 0x61c3, 0xb4cd, 0xac4a, 
	0x6a65, 0x7265, 0x51e3, 0x5181, 0x9bca, 0x4a07, 0x94f2, 0x0882, 0x5b2a, 0x7411, 0x19a8, 0x12af, 0x7c0f, 0x7c2f, 0x7b67, 0x0800, 
	0x20e3, 0x2040, 0x7a67, 0x7aa7, 0x4985, 0x3964, 0x61c4, 0x7267, 0x3183, 0x4161, 0xb56e, 0x41e7, 0x3186, 0x0840, 0x3a04, 0x2902, 
	0x6285, 0x7bca, 0x7be9, 0xaced, 0x2121, 0x10e1, 0x20c2, 0x7c0f, 0x638d, 0x428a, 0x20c4, 0x2926, 0x1041, 0x1061, 0x1081, 0x1061, 
	0x41c8, 0x0861, 0x18a4, 0x0860, 0x18c2, 0x1060, 0x18c1, 0x20e4, 0x20e3, 0x2121, 0x1081, 0x10a0, 0x416b, 0x1862, 0x1063, 0x0020, 
	0x28c6, 0x0800, 0x10a1, 0x0880, 0x08a0, 0x1121, 0x0841, 0x0000, 0x1944, 0x30e3, 0x0881, 0x52eb, 0x4aaa, 0x1102, 0x426a, 0x00a3, 
	0x94b1, 0x8369, 0x9b88, 0x2860, 0x40e0, 0x38e1, 0x4141, 0xacad, 0x48e1, 0xdeb4, 0xac4b, 0x8306, 0x8b48, 0x6a44, 0x8ae6, 0x82a4, 
	0x59c3, 0x08c2, 0x2985, 0x5aca, 0x738d, 0x94f2, 0x29a5, 0x73ef, 0x4390, 0x9d12, 0xce37, 0x41e6, 0x6412, 0x11eb, 0x1167, 0xae16, 
	0x4209, 0x0861, 0x0860, 0x1040, 0x3941, 0x4983, 0x3923, 0x5c10, 0x95f9, 0xa63b, 0xcf5d, 0xb71e, 0x8e7d, 0x19a8, 0x5a25, 0x51e3, 
	0x8307, 0xa3eb, 0x5b4c, 0x2124, 0x0882, 0xc657, 0xadb6, 0xd6ba, 0x0a8f, 0xb618, 0x736e, 0xb52d, 0x0040, 0x1881, 0x1040, 0x1840, 
	0x1020, 0x1882, 0x6183, 0x7b07, 0x8ac8, 0x5143, 0x10c0, 0x30e1, 0x940a, 0x39e6, 0x0840, 0x39a3, 0x3163, 0x2940, 0x3121, 0x2100, 
	0x1902, 0x6ac6, 0x0000, 0x20c2, 0x31c6, 0x4a69, 0x4208, 0x18e3, 0x7b0c, 0x3944, 0x1061, 0x1060, 0x0840, 0xd471, 0xdc50, 0x59a7, 
	0x1081, 0x1043, 0x0820, 0x0840, 0x18e2, 0x3880, 0x1084, 0x1021, 0x1821, 0x1044, 0x28e8, 0x1063, 0x20e5, 0x20e5, 0x1800, 0x18c2, 
	0x10c0, 0x18e1, 0x1061, 0x0884, 0x2966, 0x1904, 0x20a1, 0x0041, 0x32aa, 0x530b, 0xb5f7, 0x5b2c, 0x636c, 0x3184, 0x20c1, 0x4942, 
	0xee74, 0x5182, 0x6a66, 0xdd90, 0xedd0, 0xe5b2, 0xd5d1, 0xcd2f, 0x40e0, 0x5184, 0x6224, 0x6203, 0x61e2, 0x8b27, 0x93e8, 0x0860, 
	0x4247, 0x4269, 0x1104, 0x94d3, 0x29e8, 0x6bae, 0x9cd1, 0xc5d6, 0x8492, 0x6c31, 0x4b0d, 0x6b8d, 0xadd5, 0x3227, 0x9470, 0x3985, 
	0x0061, 0xcdd1, 0x1881, 0x0881, 0x84f3, 0x94f3, 0xa5f7, 0xce77, 0x9619, 0x9639, 0x7578, 0x28c2, 0x59c2, 0x61e2, 0x6a86, 0x4227, 
	0xce78, 0x8c51, 0xa573, 0xadf8, 0x5bf1, 0x1aad, 0x94f2, 0xb5d7, 0xad0d, 0x6ae6, 0x0841, 0x0820, 0x0061, 0x9329, 0x61e5, 0x2840, 
	0x2122, 0x1820, 0x72a8, 0x59e5, 0x6ae6, 0x49c1, 0x41e4, 0x7bce, 0x0820, 0x3982, 0x7367, 0x41a2, 0x3983, 0x5a24, 0x3941, 0x3142, 
	0x1882, 0x08a2, 0x2966, 0x39c8, 0x49a4, 0x81c5, 0xb44e, 0x1860, 0x1080, 0xc3f0, 0x91c7, 0xb229, 0x9228, 0x5a07, 0x1080, 0x1060, 
	0x1880, 0x18c1, 0x18e2, 0x1042, 0x1000, 0x0000, 0x0800, 0x0840, 0x28e6, 0x496b, 0x0040, 0x0020, 0x1101, 0x08a1, 0x29a5, 0x1881, 
	0x08a2, 0x0041, 0x18e3, 0x1882, 0x632c, 0x42cc, 0x4208, 0x18e4, 0x3227, 0x5b0a, 0x28e3, 0x20e3, 0x4162, 0x2860, 0x2080, 0xac0a, 
	0x8265, 0xe4ce, 0xe532, 0xcdf1, 0xd5d0, 0xbcad, 0x4103, 0x6223, 0xd5b2, 0xac09, 0x6a24, 0x30c0, 0x0840, 0x6bad, 0xbeb9, 0x94d1, 
	0x94b2, 0x532d, 0x3aed, 0xa531, 0x31c6, 0x4ac9, 0x2188, 0x334e, 0xadb4, 0x8c90, 0x632b, 0x1082, 0x5aca, 0x1945, 0x10e3, 0x0881, 
	0x18c3, 0x636a, 0x39a4, 0x3a06, 0x82ab, 0x18e2, 0x532b, 0x4acb, 0x2123, 0x3901, 0x7b09, 0x18a2, 0x2103, 0x2923, 0x8c70, 0xa4ae, 
	0xae18, 0x4a69, 0x3371, 0x8c11, 0x5b2d, 0x4a03, 0x9c69, 0x0840, 0x0840, 0x38e2, 0x38c1, 0x1020, 0x61a4, 0x2081, 0x4942, 0x1820, 
	0x30c3, 0x6a68, 0x72e6, 0x9429, 0x2901, 0x7bee, 0x5aea, 0x0000, 0x0841, 0x0860, 0x0020, 0x1040, 0x0860, 0x28e3, 0x2923, 0x4248, 
	0x5b8c, 0x81e6, 0x4061, 0x3860, 0xabcb, 0x5143, 0xaaea, 0x6944, 0x2840, 0xb2ea, 0x7187, 0x48c1, 0x8185, 0x7144, 0x8124, 0x7a69, 
	0x08a1, 0x1021, 0x2801, 0x1000, 0x1020, 0x0040, 0x0880, 0x0861, 0x10e2, 0x10e2, 0x2185, 0x31c6, 0x20c2, 0x0021, 0x1083, 0x08a2, 
	0x0820, 0x5aca, 0x536e, 0x94d2, 0x0840, 0x42aa, 0x4227, 0x3965, 0x28a2, 0x6206, 0x1061, 0x18a0, 0x6204, 0x5963, 0x7262, 0xcb28, 
	0x79a1, 0xb42a, 0xac2c, 0x2062, 0x30e1, 0x4962, 0x38e0, 0x0820, 0x1021, 0x0020, 0x0862, 0x2902, 0x3a28, 0x10a1, 0x1105, 0x5b4c, 
	0x5aeb, 0x8c90, 0x10a2, 0x6b8e, 0x3b8e, 0x1946, 0x6bcd, 0x9cf2, 0x0841, 0x2964, 0xc5d5, 0x3984, 0x29a6, 0x1945, 0x3923, 0x51e6, 
	0x2124, 0x85b6, 0x3123, 0x2841, 0x4289, 0x1904, 0x0861, 0x7c10, 0xd6da, 0x0020, 0x7bad, 0x62c9, 0x8389, 0x6baf, 0xef7d, 0x5c33, 
	0x73ce, 0x0000, 0x10a0, 0xacee, 0xf6f5, 0x6ac5, 0x0860, 0x3903, 0x4102, 0x20a1, 0x4923, 0x61a4, 0x79e5, 0x69e5, 0x0881, 0x39a3, 
	0x6a83, 0x6284, 0x8387, 0x9c4a, 0xb50d, 0xb4ed, 0x9c4c, 0x6b27, 0x4225, 0x1902, 0x28c2, 0x10e4, 0x63ae, 0x10e2, 0x28e2, 0x3103, 
	0x38e2, 0x1081, 0x20e0, 0x7a08, 0x7144, 0x91c6, 0xd470, 0x28a2, 0x8a27, 0x4041, 0x1820, 0x60e3, 0x7206, 0x0820, 0x0020, 0x1801, 
	0x2043, 0x20c4, 0x1041, 0x0820, 0x08c1, 0x0020, 0x08a1, 0x10c2, 0x2984, 0x18e1, 0x0020, 0x0882, 0x18e3, 0x1862, 0x7471, 0x42ca, 
	0x9d14, 0xa594, 0x5b2c, 0x31a5, 0x20a2, 0x1041, 0x0800, 0x1881, 0x2880, 0x69c3, 0x7aa8, 0xa3a9, 0xccac, 0x59e7, 0x51c6, 0xac0b, 
	0x1860, 0x1060, 0x4984, 0x0820, 0x0020, 0x0020, 0x0020, 0x1081, 0x62c9, 0xc657, 0xb594, 0x2a6a, 0x4aeb, 0x9d32, 0xa533, 0x0000, 
	0x3a28, 0x8cf4, 0xb5f6, 0x4a26, 0x6309, 0x0020, 0x4a48, 0xbdb5, 0xad13, 0x326c, 0x4aaa, 0x95b5, 0xaefb, 0x74b2, 0x7d78, 0xb5f8, 
	0x5b09, 0x95f7, 0x1104, 0x2945, 0x3185, 0x0840, 0x6b6d, 0x2144, 0x6b6d, 0x62a6, 0x538f, 0x0127, 0x94f3, 0xa5b6, 0x0861, 0x0020, 
	0x0840, 0x3941, 0xa4cb, 0x6ae5, 0x0820, 0x1841, 0x4123, 0x1061, 0x2081, 0x8266, 0x2061, 0x5923, 0x7268, 0x51c5, 0x20c0, 0x28e0, 
	0x62a6, 0x49a2, 0x4a04, 0x3962, 0x28c1, 0x20a0, 0x20a1, 0x20e2, 0x18c3, 0x52eb, 0x3164, 0x69a6, 0xa34c, 0x0880, 0x28e4, 0x3908, 
	0x18a1, 0x2020, 0x5986, 0x1861, 0x1863, 0x2861, 0x7105, 0x6104, 0x9a69, 0xaaec, 0x6305, 0x28c0, 0x394a, 0x2926, 0x3906, 0xcdc9, 
	0x2021, 0x31a4, 0x0860, 0x08c0, 0x08c1, 0x1902, 0x08a1, 0x2944, 0x0882, 0x0021, 0x0862, 0x4b2c, 0x7bae, 0x7c4f, 0x4289, 0x52ea, 
	0x0840, 0x8ae9, 0x28c1, 0x0821, 0x6245, 0x69a3, 0xddb0, 0xee31, 0xbc8a, 0xc48b, 0xfe33, 0x8aa2, 0xbc6a, 0x20a1, 0x1862, 0x0800, 
	0x0020, 0x0020, 0x0841, 0x10c2, 0x3124, 0x20e2, 0x736c, 0x6b6c, 0xad34, 0x39e7, 0x5b2e, 0x9cf2, 0xa513, 0x3a29, 0x6b8e, 0x0105, 
	0x52eb, 0x948f, 0x31a5, 0x738d, 0x3165, 0xe6fb, 0x7493, 0x4a8a, 0x8d35, 0x8576, 0x532e, 0x6d15, 0x9619, 0xae59, 0x9515, 0x3a4b, 
	0x2146, 0x0020, 0x0882, 0x0821, 0x1082, 0x4a68, 0xded9, 0x29a7, 0x332e, 0xbe59, 0x8471, 0x0020, 0x0020, 0x0020, 0x0021, 0x10a0, 
	0x940a, 0x7b66, 0x1062, 0x1861, 0x7180, 0x4163, 0x3060, 0x7aa4, 0xa387, 0x8aa7, 0x5182, 0xbc2d, 0x8285, 0x18a0, 0x00a1, 0x8ac5, 
	0x4901, 0x8286, 0x2840, 0x0841, 0x20a2, 0x10c3, 0x0042, 0x9b0c, 0x81a7, 0x7164, 0xbaeb, 0x2924, 0x31a7, 0x1862, 0x1084, 0x0000, 
	0x18c3, 0x3988, 0x2882, 0x28a2, 0x5146, 0x4106, 0x18a1, 0x73a8, 0xa4c8, 0x2160, 0x0841, 0x41c0, 0xb529, 0xad0d, 0x1800, 0x0860, 
	0x0840, 0x0020, 0x0060, 0x1881, 0x10c3, 0x0000, 0x2104, 0x1041, 0x3a08, 0x2964, 0x840f, 0x1923, 0x52ca, 0x1861, 0x1040, 0x1860, 
	0x1040, 0x830a, 0xa2a6, 0xcbab, 0xcc07, 0x4080, 0x6120, 0xd52c, 0xddb1, 0xa40a, 0x4101, 0x6143, 0x0000, 0x0020, 0x0861, 0x0861, 
	0x0861, 0x18c3, 0x3186, 0x3123, 0x18e2, 0x08e2, 0x2a28, 0x52cb, 0x31e7, 0x73ad, 0x10e4, 0x7c30, 0x9d76, 0x638e, 0x73ee, 0xa513, 
	0x4a68, 0x3185, 0x0841, 0x1945, 0x3a29, 0x73cf, 0x32ae, 0x5aad, 0x53d1, 0x3bd2, 0x84b3, 0x73f1, 0x5bf1, 0x10c3, 0x1967, 0x1082, 
	0xd6b9, 0x0840, 0x7bac, 0x6bce, 0x9472, 0xae19, 0x7410, 0x2104, 0x2104, 0x0861, 0x0841, 0x0000, 0x0020, 0x1881, 0xd631, 0x6b28, 
	0x61a4, 0x38e1, 0x7aa7, 0x3080, 0x82a5, 0xb4cd, 0xd590, 0x938a, 0x2040, 0xbc2b, 0x1020, 0x8a88, 0x9286, 0x4103, 0x9ac6, 0x6a05, 
	0x29a6, 0x1041, 0x08a3, 0x31a6, 0x81e6, 0x6123, 0x4060, 0x61c5, 0x39a3, 0x31a4, 0x28c4, 0x8a89, 0x8b2d, 0x3106, 0x3949, 0x18c2, 
	0x1841, 0x6a49, 0x2086, 0x28c2, 0x39e2, 0x7bc6, 0x31c1, 0x0060, 0x3121, 0x946d, 0x0820, 0x1840, 0x0860, 0x0060, 0x0041, 0x18a2, 
	0x1040, 0x0820, 0x20e3, 0x5aaa, 0x1081, 0x5b6d, 0x4206, 0x632b, 0x7c0f, 0x2102, 0xce78, 0xef3a, 0xffdc, 0xff3d, 0x41c5, 0x99c4, 
	0x9a46, 0xaaa3, 0x7103, 0x9225, 0x9283, 0xb349, 0x8aa8, 0x8ae6, 0x3902, 0x0000, 0x0841, 0x0861, 0x0020, 0x0020, 0x0020, 0x18c3, 
	0x41e5, 0x39c6, 0x1966, 0x5b4b, 0xb5f7, 0x6b8d, 0x2944, 0x2144, 0x428a, 0x6bcf, 0x29e8, 0x4aa9, 0x7bac, 0x0860, 0x0020, 0xadb4, 
	0x6266, 0x1168, 0x4a69, 0x5c94, 0x62cc, 0x8bf0, 0x5c74, 0x5b8e, 0x5aec, 0x83ee, 0x740e, 0x1925, 0x0021, 0xa513, 0x4228, 0xce36, 
	0x8492, 0x336e, 0x3a89, 0x62eb, 0x2986, 0x18c3, 0x18c3, 0x1082, 0x0841, 0x0000, 0x0801, 0x5243, 0x83a7, 0x0800, 0x5963, 0x5141, 
	0xa3ca, 0x82c5, 0xc52e, 0xbcab, 0x6203, 0x5123, 0x4163, 0x1081, 0x6184, 0x20a2, 0xab69, 0x3944, 0x3901, 0x0041, 0x20e3, 0x2965, 
	0x0060, 0x5902, 0xa2ca, 0x79e7, 0x9228, 0x3a00, 0x1060, 0xc450, 0xa268, 0x89c6, 0x3925, 0x1080, 0x4164, 0xb3ac, 0xccd0, 0xa4b3, 
	0x20a2, 0x4243, 0x2982, 0x10a0, 0x18e0, 0x1100, 0x3166, 0x20a3, 0x0841, 0x1903, 0x3a26, 0x4248, 0x4a49, 0x18a1, 0x3163, 0x1061, 
	0x2963, 0x5ae9, 0x630a, 0x3208, 0x10c3, 0x29c5, 0x31a5, 0x0020, 0x1041, 0x1040, 0x28c4, 0x51c3, 0x8205, 0x81e5, 0xd4cc, 0x7a01, 
	0x9aa2, 0xcc6b, 0x9246, 0x8a23, 0x6a46, 0x18e3, 0x0820, 0x0841, 0x0841, 0x0020, 0x0041, 0x0821, 0x0821, 0x41e5, 0x5265, 0xce98, 
	0x39e6, 0x73ef, 0xbdd6, 0x0841, 0x0841, 0x6b4d, 0x29e8, 0x9dd8, 0x6b8e, 0x73ce, 0x8470, 0x4a68, 0x72c7, 0x9bc9, 0x2903, 0x4269, 
	0x4b8e, 0x965a, 0x7e1c, 0x6410, 0x52cb, 0x32cf, 0xbcac, 0x39e6, 0x632b, 0x0841, 0xbe79, 0x5266, 0x5b0b, 0x4aab, 0x8c50, 0x3185, 
	0x1904, 0x1082, 0x0020, 0x0841, 0x18e3, 0x10a2, 0x0841, 0x0041, 0x18c0, 0xaccb, 0x3162, 0x0841, 0x1060, 0x30c0, 0x9bc8, 0xbc8c, 
	0xc4ee, 0xbcce, 0x3901, 0x38c1, 0x18a1, 0x1000, 0xa3cc, 0x2082, 0x20a1, 0x1861, 0x5b6d, 0x18c2, 0x4207, 0x4207, 0x3a06, 0x5904, 
	0x6985, 0x18e0, 0x2142, 0x7a47, 0x6144, 0x40a2, 0x7165, 0x61e8, 0x5a0b, 0x82cf, 0x3841, 0x6124, 0x39c5, 0x2925, 0x3163, 0x4ae2, 
	0x2126, 0x2181, 0x7b04, 0x18c0, 0x4ac3, 0x52a4, 0x8bc8, 0x08a0, 0x0860, 0x18a1, 0x1060, 0x0861, 0x0840, 0x2942, 0x39a4, 0x39c6, 
	0x3a49, 0x5b0b, 0x5247, 0x39a4, 0x0840, 0x1062, 0x0000, 0x3961, 0x2040, 0x38a1, 0x69c2, 0x82e6, 0xb4cd, 0xcd2e, 0x9306, 0x8aa6, 
	0x7a65, 0x7b07, 0x20c2, 0x10c3, 0x0000, 0x5a8a, 0x1061, 0x10a3, 0x1081, 0x0840, 0x41c4, 0x2a08, 0x8450, 0x42ec, 0x5b2c, 0xa513, 
	0x10c3, 0x0061, 0x632b, 0x1080, 0x31a5, 0x4289, 0x4acb, 0xa4ce, 0x740f, 0xcd50, 0x0861, 0x93aa, 0x19aa, 0x4289, 0x3a69, 0x3aaa, 
	0x3a6a, 0x21e9, 0x72a4, 0x3102, 0x8baa, 0x5b0a, 0x1082, 0xad12, 0x9d12, 0xc658, 0x9e5a, 0x6b4d, 0x4228, 0x2125, 0x0841, 0x0020, 
	0x0020, 0x0861, 0x1082, 0x18e4, 0x0020, 0x0020, 0xbd4d, 0x8ba8, 0x5a44, 0x8327, 0x59c2, 0x59a3, 0x59a2, 0x9349, 0x5961, 0x72a5, 
	0x6a26, 0x1880, 0x1080, 0x1040, 0x1061, 0x1860, 0x0820, 0x2165, 0x20c3, 0x18c2, 0x10c3, 0x4208, 0x18a1, 0x2101, 0x2961, 0x31c2, 
	0x4982, 0x81e8, 0xb2eb, 0xa34c, 0x1881, 0x3107, 0x6187, 0x8aaa, 0xccb2, 0x2103, 0x20a2, 0x3a42, 0x31a0, 0x10a1, 0x2941, 0x4223, 
	0x18a0, 0x73c7, 0xc5ed, 0x9c88, 0x944a, 0x10c0, 0x10c0, 0x10a0, 0x1081, 0x1062, 0x0000, 0x1081, 0x946d, 0x31a6, 0x08e5, 0x944f, 
	0x8bca, 0x6aa5, 0x6a86, 0x3984, 0x93cb, 0x4122, 0x6a85, 0x71e3, 0x79e0, 0x8a21, 0x9262, 0x8222, 0x6980, 0x1020, 0x30a0, 0x20c2, 
	0x18c4, 0x0020, 0x4207, 0x31a5, 0x20e3, 0x2944, 0x5aaa, 0x632b, 0x21a7, 0x5b0a, 0x63cf, 0x73cf, 0x2144, 0x1905, 0x8cb2, 0x0860, 
	0x3185, 0x41e6, 0x534e, 0x42ab, 0x39c5, 0x41a6, 0x6223, 0xd5b1, 0x20e2, 0x3aec, 0x2a6b, 0x21e8, 0x2209, 0x32cd, 0x21e9, 0x940b, 
	0xa48f, 0x6ac9, 0x2124, 0x3aaa, 0xe71a, 0x8492, 0x5b8e, 0x4aeb, 0x2124, 0x2124, 0x1082, 0x0882, 0x0883, 0x0841, 0x0841, 0x1081, 
	0x10a3, 0x18c3, 0x0841, 0x6ac6, 0x8389, 0x944c, 0x92c6, 0x40e0, 0xac2a, 0xa387, 0xe4b2, 0xbc6d, 0xa3eb, 0x7282, 0x6a84, 0x4182, 
	0x20c0, 0x1040, 0x1061, 0x1081, 0x2987, 0x28c2, 0x0020, 0x2163, 0x39a6, 0x8985, 0xa268, 0x7ae9, 0x3a27, 0x41e7, 0x82cc, 0x6a27, 
	0x20c2, 0x20c4, 0x0860, 0x5a2b, 0x51a6, 0x51cd, 0x6a92, 0x7b2f, 0x4283, 0x6b67, 0x3a01, 0x0841, 0x29c0, 0x29a2, 0x4a06, 0x2123, 
	0x4a22, 0x83a7, 0x10a0, 0x18a0, 0x5a67, 0x7bac, 0x738a, 0x0840, 0x1861, 0x30c2, 0x3a06, 0x4aca, 0x8c0d, 0x6267, 0x72e8, 0x20e2, 
	0x2902, 0x0820, 0x9b49, 0x3840, 0x82a6, 0x7aa4, 0x7a22, 0x8a43, 0x9306, 0x5120, 0x8389, 0xcd70, 0x28c4, 0x4a27, 0x2903, 0x0841, 
	0x0821, 0x18e3, 0x2103, 0x4a28, 0x844e, 0xce57, 0x53cf, 0xbe58, 0x9513, 0x3a48, 0x2146, 0x8c2e, 0x94f2, 0x9d14, 0x8c91, 0x39e7, 
	0x5b90, 0x3164, 0x2924, 0x0843, 0x2901, 0x0821, 0x43af, 0x4bcf, 0x438f, 0x4bcf, 0x5c31, 0x29c9, 0x20c1, 0x7ac5, 0x2145, 0x1903, 
	0x2208, 0x4b6e, 0x31e7, 0x63ce, 0x3144, 0x20e3, 0x3186, 0x2124, 0x2985, 0x2145, 0x2103, 0x2146, 0x2924, 0x1986, 0x29c7, 0x0020, 
	0x4184, 0x1020, 0xd614, 0x6180, 0x8286, 0x6a66, 0xbccb, 0xa40c, 0xabea, 0x82c4, 0x9327, 0xc4ec, 0x72a5, 0x49a2, 0x6aa5, 0x0000, 
	0x0840, 0x3a29, 0x28c2, 0x0861, 0x0041, 0x7902, 0x48c3, 0x5082, 0xbbed, 0x39c6, 0x9a69, 0x6165, 0x99a6, 0x724a, 0x1861, 0x28a4, 
	0x5a4a, 0x3908, 0x3909, 0x49a9, 0x1862, 0x31c0, 0x4281, 0x29a0, 0x31a1, 0x18e1, 0x1080, 0x18c2, 0x2103, 0x2982, 0x0841, 0x2141, 
	0x10e0, 0x20c0, 0x4183, 0x2902, 0x526a, 0x0820, 0x2903, 0x7b69, 0x3964, 0xa46f, 0x5a26, 0x3103, 0x2944, 0x18a2, 0x3080, 0x0043, 
	0x0000, 0x8b47, 0x9368, 0x9367, 0x9388, 0x93c9, 0x38c0, 0x3080, 0x4101, 0x1060, 0x5268, 0x1081, 0x0820, 0x0821, 0x0840, 0x2124, 
	0x39c4, 0x6b6b, 0x4a28, 0x3b0b, 0x8451, 0x7bef, 0x1903, 0xbe17, 0x73ce, 0x5288, 0xac8f, 0xf694, 0x9c6f, 0x1105, 0x1061, 0x18a1, 
	0x1041, 0x0040, 0x1925, 0x5c31, 0x6472, 0x5c72, 0x64b3, 0x64b3, 0x4b6e, 0x0841, 0x1082, 0x1081, 0x2944, 0x31a7, 0x3a6a, 0x2185, 
	0x4a48, 0x3184, 0x5289, 0x0840, 0x41e7, 0x73ce, 0x0820, 0x2145, 0x0861, 0x0860, 0x5289, 0x1082, 0x20c1, 0x83a6, 0x72a5, 0xeef7, 
	0x7286, 0x6a64, 0x8b69, 0xb48c, 0xa3c8, 0xccee, 0xa40a, 0xd54e, 0xee73, 0x61a0, 0x0040, 0x0020, 0x5245, 0xef16, 0xb50a, 0x28c2, 
	0x41e3, 0x49c4, 0x9a49, 0x6925, 0x7124, 0x48e1, 0x18a0, 0xc40f, 0x58e3, 0x3880, 0xb36c, 0x1883, 0x2904, 0x7185, 0x9aa8, 0x832b, 
	0x20e4, 0x18a0, 0x4a83, 0x29a0, 0x3200, 0x6325, 0x2960, 0x5ae4, 0x20c2, 0x29a1, 0x0020, 0x2120, 0x10c1, 0x10e0, 0x5289, 0x5289, 
	0x0020, 0x1081, 0x41e6, 0x7b6a, 0x4206, 0x3963, 0x4163, 0x49a4, 0x1080, 0x1861, 0x20c2, 0x6266, 0x1040, 0x6a65, 0xccec, 0x9bc9, 
	0x9be9, 0x9c2a, 0x9c0a, 0x4962, 0x1061, 0x0840, 0x2944, 0x1060, 0x2123, 0x20e3, 0xad34, 0x0820, 0x0841, 0x8c50, 0x0861, 0x638e, 
	0x6bce, 0x29c6, 0x2924, 0x1081, 0x5ac9, 0xd6b9, 0x6ac8, 0xf6d5, 0xee52, 0x6a86, 0x630b, 0x2103, 0xe6b6, 0xd54e, 0xcd4f, 0x8578, 
	0x8596, 0x74f4, 0x64d5, 0x6cf4, 0x64f5, 0x5433, 0x0860, 0x1060, 0x1081, 0x1061, 0x0020, 0x2a08, 0x10a2, 0x0841, 0x2964, 0x4a48, 
	0x5aea, 0x2123, 0x1082, 0x0861, 0x0020, 0x0841, 0x0841, 0x0000, 0x0020, 0x1041, 0x9c09, 0x9388, 0xb44a, 0x6244, 0x49a2, 0x6a25, 
	0x9347, 0x6204, 0xa3c8, 0x8ae6, 0x69c1, 0x8349, 0x9ba8, 0x41a3, 0x5264, 0x3941, 0x2080, 0x6aa7, 0x2082, 0x1861, 0x2920, 0x6182, 
	0xb30b, 0x6a27, 0x18c0, 0x20e1, 0xb3ce, 0x89e7, 0xa24a, 0x38a3, 0x2906, 0x51a6, 0x51a6, 0x3041, 0x8a06, 0x72eb, 0x3987, 0x2980, 
	0x3a01, 0x4243, 0x5302, 0x4221, 0x31a1, 0x20c1, 0x4a65, 0x2160, 0x2123, 0x31c2, 0x4a45, 0x7bef, 0x4a27, 0x41c5, 0x41c4, 0x39a4, 
	0x6b0a, 0x4183, 0x4142, 0x4122, 0x1061, 0x1020, 0x1042, 0xcced, 0xc48b, 0xb3c8, 0xe54a, 0xdd4b, 0xdd6e, 0xac8b, 0xac8b, 0xa44a, 
	0x7aa6, 0x18a2, 0x2103, 0x0840, 0x1060, 0x2123, 0x3985, 0x41e6, 0x3164, 0x630a, 0x3183, 0x9d13, 0x6411, 0x5b0b, 0x6b4c, 0x1082, 
	0x2123, 0x5268, 0x7bae, 0xd570, 0xd590, 0xde13, 0x6245, 0xa42c, 0xa44c, 0xd5f1, 0x9b88, 0xac49, 0xd5b0, 0xb573, 0x95fa, 0x8536, 
	0x6d9b, 0x863d, 0x64d6, 0xc550, 0xb4cd, 0xb4cd, 0x1041, 0x3a09, 0x18e4, 0x0861, 0x0861, 0x8c6f, 0x3185, 0x0020, 0x0021, 0x0861, 
	0x1082, 0x0861, 0x0841, 0x18c3, 0x18e3, 0x1082, 0x0800, 0x93e9, 0x6a65, 0x3900, 0x30a1, 0x4102, 0x68e0, 0xec08, 0xcbaa, 0xf4ef, 
	0xfd4f, 0x6182, 0x59e2, 0x82a4, 0x49c2, 0x9c0a, 0x3101, 0x59e6, 0x9308, 0x0840, 0x1061, 0x2100, 0x18c2, 0x18c0, 0x18a0, 0x20e1, 
	0x18a1, 0x4169, 0x59c6, 0x5165, 0x1842, 0x3969, 0x8b2a, 0x5986, 0x6986, 0x8205, 0x9cd2, 0x28e1, 0x4261, 0x4ac1, 0x3a01, 0x29a0, 
	0x2941, 0x18e0, 0x39a1, 0x2900, 0x4a65, 0x2120, 0x31a2, 0x20e3, 0x3121, 0x0820, 0x39c0, 0x2905, 0x39a5, 0x3923, 0x3942, 0x2060, 
	0x28c3, 0x62c8, 0x9c0c, 0xb3c6, 0xb3a7, 0xbc4a, 0xd50c, 0xd54d, 0xf651, 0xfeb3, 0xd52d, 0xbc69, 0xbc8a, 0xab87, 0x9bca, 0x93ca, 
	0x20e1, 0x1082, 0x18a1, 0x1082, 0x2902, 0x5aca, 0x7bac, 0x844f, 0x222b, 0x5289, 0x18c2, 0x18c2, 0x73ef, 0xb618, 0x736c, 0xcdb2, 
	0x9388, 0x9368, 0xb4ef, 0xee33, 0x944e, 0x85d9, 0x7ae5, 0x9577, 0xb573, 0xb48c, 0xc54f, 0xc50d, 0xffdb, 0xcd4f, 0xe632, 0xd570, 
	0xc570, 0x9baa, 0xcd6f, 0xbcce, 0x0840, 0x1903, 0x0861, 0x2103, 0x2924, 0x2965, 0x2104, 0x2945, 0x31a6, 0x2965, 0x31c7, 0x31a6, 
	0x630a, 0x4228, 0x10a2, 0x0820, 0x93e8, 0x1020, 0x38a0, 0x30e1, 0x2860, 0xbb89, 0xddb5, 0xed73, 0xedd7, 0xee18, 0x71e4, 0x5980, 
	0xe633, 0x942a, 0x9b6a, 0x1840, 0x1860, 0x2081, 0x1881, 0x1041, 0x20c2, 0x18c0, 0x1880, 0xcdcd, 0xacea, 0x20e1, 0x28e3, 0x624b, 
	0x3184, 0x1062, 0x20c3, 0x1901, 0x1881, 0x18e1, 0x2104, 0x1860, 0x826a, 0x4aa2, 0x2962, 0x2180, 0x3180, 0x8446, 0x39e1, 0x10c0, 
	0x2121, 0x10c0, 0x2101, 0x10a0, 0x2120, 0x2140, 0x0000, 0x1040, 0x2903, 0x28c3, 0x39c0, 0x1861, 0x2881, 0xbd0e, 0xc4ae, 0xc50e, 
	0xe509, 0xbccc, 0xbc8a, 0xb48a, 0xc48b, 0xdd70, 0xc54e, 0xed8d, 0xed4c, 0xccec, 0xb48b, 0xddd0, 0xabe8, 0xc50c, 0x2123, 0x2963, 
	0xe4ac, 0xa287, 0xd52e, 0x41e5, 0x1905, 0x31e6, 0x5aca, 0x1062, 0x0861, 0x5266, 0x2943, 0xbd51, 0x9329, 0x8307, 0x9b69, 0x5cb5, 
	0xa69b, 0x6bac, 0x5a49, 0x6d59, 0xb40d, 0xae7a, 0x95db, 0xc4a9, 0xb48c, 0xc590, 0xcd50, 0xd634, 0xb510, 0x7c0f, 0xbd51, 0x944f, 
	0x85fb, 0xddaf, 0xb5f3, 0x18a2, 0x10a2, 0x18c2, 0x0861, 0x52ca, 0x31e7, 0x2925, 0x1924, 0x31e7, 0x2965, 0x2104, 0x18c3, 0x1061, 
	0x1060, 0x6aa4, 0x1860, 0x6268, 0x20c1, 0x3040, 0x7a26, 0xa327, 0xd46f, 0xc40c, 0x9244, 0xbb08, 0x72ea, 0x7b2a, 0x5a06, 0x1021, 
	0x20a2, 0x3944, 0x1881, 0x10c2, 0x0840, 0x1840, 0x18e1, 0x3920, 0x9be6, 0xc5ab, 0x39a1, 0x6a4e, 0x20c2, 0x3161, 0x20e3, 0x51ad, 
	0x6a30, 0x3926, 0x28e5, 0x61ee, 0x4169, 0x82cb, 0x4281, 0x6364, 0x4a62, 0x3a22, 0x3a63, 0x5264, 0x1900, 0x1900, 0x18e0, 0x1900, 
	0x10c0, 0x2141, 0x1080, 0x0840, 0x20e0, 0x2940, 0x5282, 0x0820, 0x7ae6, 0x8284, 0xd4ec, 0xf631, 0x51a4, 0xcccb, 0x93a8, 0xf5ce, 
	0xecc9, 0xdd70, 0xcd2e, 0x9b89, 0xbc6b, 0x72a6, 0xbced, 0xc4ed, 0xccec, 0xbc8b, 0xa366, 0xdd90, 0x92a9, 0xaa84, 0xa3c6, 0xa366, 
	0xe52d, 0x940d, 0x3a07, 0x2924, 0x7430, 0x7c30, 0x94d1, 0x5247, 0x7b29, 0x93aa, 0x738d, 0x7d98, 0x8db8, 0x9e18, 0x7d78, 0xa575, 
	0x5a27, 0x5205, 0x946e, 0xa6dd, 0x5c33, 0xbd0f, 0xcd91, 0xbd30, 0x7430, 0x9e7c, 0xbd72, 0x7c0f, 0xd71c, 0xa67b, 0xa63b, 0xd5b1, 
	0x9cf1, 0x20a1, 0x10a2, 0x8430, 0x10a3, 0x226c, 0x85b8, 0x428a, 0x3185, 0x2103, 0x3186, 0x0861, 0x0841, 0x18a1, 0x6ac4, 0x0020, 
	0x7329, 0x1881, 0x3081, 0x48a1, 0x59e5, 0x8244, 0xccaf, 0x92c8, 0xb2e9, 0x6a06, 0x6226, 0x6a07, 0x30c1, 0x1020, 0x0040, 0x0840, 
	0x18c2, 0x4a04, 0x41c3, 0x3182, 0x2121, 0x8c29, 0x4a63, 0x1880, 0x1040, 0x5a45, 0xacc8, 0xcdac, 0x2964, 0x9409, 0xd670, 0x41a6, 
	0x59ca, 0x4aa7, 0x7aa9, 0x4264, 0x4241, 0x3a20, 0x4ac1, 0x4ac1, 0x5265, 0x5244, 0x6b03, 0x18e0, 0x2181, 0x2102, 0x1080, 0x2120, 
	0x1900, 0x3a20, 0x18e0, 0x0800, 0x1040, 0xdd8e, 0xe5f0, 0xe5af, 0xd56f, 0xee73, 0x5164, 0x8ae7, 0xccec, 0xf548, 0xe54d, 0xc50d, 
	0x82a6, 0x5a03, 0x31e1, 0xc44a, 0x9b8a, 0x8b46, 0xaba6, 0xef18, 0xddb0, 0xd590, 0xd50c, 0xc364, 0xedee, 0xa2e4, 0xc54f, 0x5206, 
	0x0841, 0x4a68, 0x5aea, 0x8c30, 0x83ed, 0x9d75, 0x6c74, 0x9df8, 0x95d8, 0x6d56, 0x7d77, 0x8d55, 0xa639, 0xa65a, 0x62a9, 0xbcae, 
	0x9dd6, 0xaedd, 0x74d4, 0x9c8d, 0xae9e, 0xa6be, 0xa532, 0x6c51, 0xa69d, 0xd6db, 0x8dfa, 0x9e5a, 0x8ede, 0x7bcd, 0x6225, 0x0841, 
	0x42cb, 0x6453, 0x7cf6, 0xb6bb, 0x2b31, 0x1082, 0x0841, 0x0020, 0x0861, 0x0862, 0x20c1, 0x7305, 0x0800, 0x5206, 0x6a27, 0x4860, 
	0xcc90, 0xed94, 0xc46d, 0xed74, 0xf616, 0xdc50, 0xd46e, 0x5185, 0x3040, 0x20a1, 0x0820, 0x7349, 0x0820, 0x18c2, 0x0001, 0x18e1, 
	0x2941, 0x2101, 0x2121, 0x10a0, 0x18e1, 0x1081, 0x3142, 0x8be6, 0x7ba6, 0x10c1, 0x62c1, 0x8be5, 0x39a3, 0x31a5, 0x3180, 0x18a0, 
	0x5b64, 0x4261, 0x39e1, 0x31c1, 0x1920, 0x2922, 0x2121, 0x18e0, 0x18a2, 0x1920, 0x2960, 0x10e0, 0x39c2, 0x18a0, 0x18e0, 0x2940, 
	0x2960, 0x4a03, 0xd58e, 0xd5b0, 0xd4cb, 0xcd4e, 0xde12, 0xf652, 0x6205, 0xabc8, 0xfe92, 0xf5f0, 0xcd0f, 0xac2a, 0x3160, 0x82a3, 
	0xb428, 0x7a21, 0xee10, 0xe631, 0xc591, 0xde32, 0xdd6f, 0xb2c7, 0xf54a, 0xd3a5, 0xd50b, 0xa2e6, 0xddaf, 0x0840, 0x0841, 0x5268, 
	0x9534, 0x9639, 0x8472, 0x7517, 0x9e39, 0xae7a, 0x7555, 0x12f2, 0x8535, 0x9df8, 0xb658, 0x861c, 0x7452, 0x9c4c, 0xc6fb, 0xb6dd, 
	0xd77f, 0xe77e, 0xa618, 0x6bae, 0x965b, 0xbebb, 0xae9b, 0xa619, 0x5c98, 0x7d98, 0x9619, 0xa67a, 0x18a3, 0x0020, 0x3a4a, 0x6c10, 
	0x963b, 0x3c15, 0xa638, 0x1062, 0x0861, 0x0861, 0x0021, 0x3142, 0x7326, 0x0000, 0x3144, 0x4986, 0x58e1, 0x79e8, 0xc36b, 0xbc2e, 
	0xe4d0, 0xd2e8, 0xb2e8, 0x9bac, 0x8b4b, 0x28a1, 0x18a2, 0x9c4e, 0x0841, 0x20a1, 0x18c2, 0x0820, 0x0020, 0x0000, 0x0840, 0x18c0, 
	0x2121, 0x39c4, 0x496a, 0x0861, 0x1861, 0x6a71, 0x3909, 0x418a, 0x2962, 0x1101, 0x9ccd, 0xbd2a, 0x9cea, 0x52e3, 0x5b21, 0x5b04, 
	0x4202, 0x2101, 0x3143, 0x30c1, 0x20c0, 0x18e0, 0x18e0, 0x18e0, 0x2100, 0x3160, 0x2960, 0x2120, 0x1060, 0x1080, 0x93ea, 0x9c4b, 
	0xd50b, 0xbc08, 0xac6b, 0xddf1, 0xe611, 0xee12, 0xa3a8, 0xff9b, 0xf6f4, 0x5180, 0x49e2, 0xac6c, 0xb40a, 0x9b66, 0xaba7, 0xbcee, 
	0x8348, 0xde52, 0xc4ec, 0xde12, 0xb46a, 0xc54f, 0xc448, 0x81e0, 0xbc69, 0xbd0d, 0x20c2, 0x0861, 0x18a2, 0x84b5, 0xc67c, 0xad96, 
	0x95da, 0xa69a, 0x8e1a, 0x4c12, 0x018a, 0x74d4, 0x8535, 0x9e39, 0x9e3c, 0x761d, 0x7b48, 0x634c, 0x9e9d, 0x965b, 0xaedd, 0xa3e9, 
	0x967e, 0xaefd, 0xd75d, 0xa6bc, 0x8dd8, 0x2b32, 0x334f, 0x8597, 0x9618, 0x534e, 0x0841, 0x0820, 0x1061, 0x3207, 0x7d97, 0x95f8, 
	0xae7a, 0x4a69, 0x0841, 0x0861, 0x41a4, 0x6263, 0x0800, 0x2082, 0x2061, 0x6942, 0x6965, 0xa2a9, 0xcc2d, 0x9265, 0xe512, 0xb287, 
	0x1880, 0x3945, 0x2040, 0xde74, 0x0820, 0x1061, 0x28c1, 0x18c2, 0x1040, 0x0020, 0x1081, 0xb4ea, 0x83c9, 0x4244, 0x4a09, 0x20e5, 
	0x0860, 0x1002, 0x20a4, 0x20c6, 0x3128, 0x3147, 0x2122, 0x3127, 0x3944, 0x41c1, 0x0840, 0x3221, 0x3a41, 0x4b02, 0x5302, 0x4aa2, 
	0x31a0, 0x41a4, 0x1900, 0x2902, 0x2140, 0x2100, 0x2100, 0x3160, 0x2980, 0x3160, 0x72a5, 0xee32, 0x2900, 0x3900, 0x8284, 0xb4cc, 
	0xccac, 0xe52e, 0xee11, 0xac2a, 0x8329, 0x7b67, 0x3160, 0x93c9, 0xacce, 0xcdb0, 0xddd2, 0xe5b2, 0x73e7, 0x7306, 0xee94, 0xc406, 
	0xc52e, 0xa42a, 0x4980, 0xc366, 0xd54c, 0xb48b, 0xc52d, 0xa42b, 0x18a1, 0x2966, 0x94f7, 0xa4d6, 0xe73b, 0x6bb0, 0xbe7e, 0x8dd7, 
	0x3370, 0x0108, 0x4b6e, 0x538f, 0x8557, 0x85da, 0x5d7b, 0x9ba9, 0x28a1, 0x967c, 0x963a, 0x75fc, 0xcd51, 0x8e7d, 0xae7b, 0xae5b, 
	0x5370, 0x6cd4, 0x09cb, 0x22f0, 0x4434, 0x95d8, 0x64f6, 0x5aa7, 0x0020, 0x0861, 0x1082, 0x3208, 0x6472, 0x74f5, 0x0020, 0x1081, 
	0x0821, 0x3162, 0x6243, 0x28c0, 0x41a5, 0x59c4, 0x79e3, 0x4020, 0x79e5, 0x8268, 0xabed, 0x89e5, 0xbb07, 0xaba9, 0x0820, 0x0000, 
	0x4982, 0x1020, 0x1881, 0x1020, 0x18c2, 0x0041, 0x0041, 0x18a0, 0x8344, 0xaca8, 0x1922, 0x1081, 0x18a3, 0x2926, 0x2906, 0x0020, 
	0x18a2, 0x628a, 0x9427, 0x20c4, 0x1081, 0x10a1, 0x18a1, 0x4a63, 0x4aa4, 0x39a1, 0x5265, 0x5206, 0x2060, 0x2843, 0x10c0, 0x08e0, 
	0x31c0, 0x3901, 0x2960, 0x2120, 0x1080, 0x5a83, 0x49e2, 0x18a1, 0x7b89, 0xd50a, 0xc3a5, 0x6960, 0x9387, 0xc46b, 0xccaa, 0xd54d, 
	0xb44b, 0x3184, 0x4220, 0x3960, 0x3900, 0x7a21, 0x7262, 0x3a20, 0x5220, 0xc346, 0x7203, 0xde95, 0x69a0, 0xc52d, 0xddf0, 0xd58e, 
	0x59e3, 0x7ac5, 0x9be9, 0xbd0d, 0xbd0d, 0x3184, 0x31c4, 0x9577, 0xb638, 0xbdf6, 0x8cd4, 0xce3a, 0x6493, 0x19e9, 0x0149, 0x0a09, 
	0x42ac, 0x63d0, 0x6cb3, 0x33f6, 0x9b28, 0x8579, 0x3966, 0x6578, 0x5cd8, 0x9c90, 0x7db9, 0xa619, 0x9597, 0x4390, 0x3aed, 0x0928, 
	0x226c, 0x64b4, 0x7d99, 0xad10, 0x9b07, 0x10a2, 0x0841, 0x18c3, 0x39a5, 0x41c7, 0x226c, 0xcdb2, 0x1083, 0x0861, 0x41e3, 0x8387, 
	0x3122, 0x41a5, 0xbc6b, 0x9b26, 0x6080, 0x70c0, 0x89c2, 0x9982, 0xa9c2, 0xa306, 0xccce, 0x20e1, 0x5a45, 0x2081, 0x20a1, 0x2060, 
	0x1060, 0x20e3, 0x0862, 0x0020, 0x1081, 0x2941, 0xde4e, 0x8c4b, 0x1081, 0x4162, 0xbd8a, 0x18a3, 0x0840, 0x39c2, 0x6b05, 0x7326, 
	0x10a3, 0x31a4, 0x3940, 0x2921, 0x3141, 0x3884, 0x4264, 0x4203, 0x31c1, 0x10c0, 0x0880, 0x0840, 0x18c0, 0x1100, 0x3142, 0x2962, 
	0x2160, 0x1900, 0x10a0, 0xb42b, 0x9b26, 0xddaf, 0xc50d, 0x8202, 0x50e0, 0x69c3, 0x7a84, 0xab46, 0xb385, 0x5221, 0x29c1, 0x30c0, 
	0x30e0, 0x82e3, 0x2920, 0xaba7, 0xbc67, 0xb385, 0xb3c8, 0x9b67, 0x9bc7, 0x7244, 0xb408, 0xd58e, 0xed4a, 0xac29, 0x51c2, 0x6a83, 
	0x9bc9, 0xacac, 0x10a1, 0x2987, 0x9cb2, 0x9451, 0x9c72, 0x8d37, 0x9598, 0x2a8c, 0x1105, 0x1147, 0x2aef, 0x226e, 0x122c, 0x12af, 
	0x4477, 0xac4c, 0xc73f, 0xf7bc, 0xa5f9, 0x75db, 0x6b6d, 0x2332, 0x538e, 0x3aab, 0x3208, 0x1af0, 0x0907, 0x19ea, 0x3b4f, 0x7d78, 
	0xb50e, 0x72a6, 0x9c0c, 0x0841, 0x18c3, 0x49c4, 0x3901, 0x7ac6, 0x28c0, 0x0861, 0x0861, 0x20a1, 0x9c2b, 0x1881, 0x3986, 0x0800, 
	0x8b08, 0x5921, 0xa32a, 0xab69, 0xb3ab, 0xb3cd, 0x38a0, 0x7226, 0x1040, 0x2103, 0x20e1, 0x0840, 0x0020, 0x18a1, 0x20e3, 0x1081, 
	0x20e2, 0x5a23, 0x9c6a, 0xbd69, 0xa4e9, 0x2120, 0x7b02, 0xac86, 0xd62e, 0x82ed, 0x6a51, 0x2083, 0x3948, 0x10c1, 0x3949, 0xb4ab, 
	0x41c3, 0x4282, 0x4281, 0x4241, 0x3981, 0x5283, 0x4126, 0x0860, 0x1860, 0x5904, 0x30e1, 0x1900, 0x18c0, 0x0860, 0x0000, 0xa3ca, 
	0x5a03, 0x3120, 0x20e1, 0x20e0, 0x3160, 0x4940, 0x8202, 0x6160, 0x71c0, 0xa304, 0x31a0, 0x5ae5, 0x5a23, 0x4140, 0xc530, 0x61e3, 
	0x82a4, 0x8b26, 0x8ae6, 0xaba6, 0xd570, 0xa40a, 0xf6f8, 0xa42b, 0xc4eb, 0xe54c, 0x7284, 0xddd2, 0x59c2, 0x6224, 0x82a5, 0x8369, 
	0x4246, 0xce79, 0xce17, 0x9dd8, 0x8d57, 0x9576, 0x0926, 0x0860, 0x08a3, 0x5bf0, 0x7d75, 0x95f9, 0x961a, 0x9e5b, 0x6a88, 0x961b, 
	0xc6da, 0x836c, 0x94f2, 0x64f9, 0xa67c, 0x6d99, 0x43d3, 0x2b71, 0x4390, 0x08a3, 0x19a8, 0x2a4b, 0x5433, 0x59a2, 0xcd50, 0xa40b, 
	0x3163, 0x18c3, 0x3144, 0x2880, 0x3924, 0x0841, 0x0861, 0x1081, 0x0840, 0x49e5, 0x1861, 0x3984, 0x2903, 0x4060, 0x8a24, 0xabac, 
	0xbc51, 0xc4b1, 0xedd6, 0x6207, 0x0862, 0x1881, 0x0820, 0x18e3, 0x08c4, 0x08c4, 0x0841, 0x10a2, 0x3924, 0x49c6, 0x49e3, 0x39c3, 
	0x9469, 0x18c1, 0x1902, 0x0820, 0xb4e8, 0xcdab, 0xce2e, 0x0020, 0x20a4, 0x1083, 0x3125, 0x30c8, 0x62ab, 0x18c0, 0x2980, 0x39e4, 
	0x4262, 0x4280, 0x4ae1, 0x52c4, 0xa42e, 0x18e0, 0x00a0, 0x2081, 0x28e1, 0x1080, 0x2120, 0x2141, 0x41e3, 0xbc0b, 0x8283, 0xcc89, 
	0x72c5, 0x3180, 0x3181, 0x41a1, 0x9345, 0xc4cc, 0x4a63, 0x2960, 0x31a0, 0x7264, 0x8ae5, 0x9b64, 0x9283, 0xa344, 0xd426, 0xf52d, 
	0x9b26, 0xd58f, 0xcd4f, 0xddd0, 0x7a86, 0x51e1, 0xdc88, 0xc4ed, 0x8ae4, 0x72e6, 0x7263, 0x9be9, 0x2081, 0x842f, 0xadf5, 0x6414, 
	0xae18, 0xb596, 0x31a6, 0x1061, 0x1081, 0x1061, 0x328b, 0x5c11, 0x9597, 0x9df8, 0x9e19, 0x5515, 0x9512, 0x761b, 0x7c51, 0xc4cc, 
	0x965c, 0xc6fc, 0xa69b, 0x9df8, 0x6c72, 0x3aab, 0x0041, 0x1125, 0x11c9, 0x3a6b, 0x6a86, 0x8bcb, 0x7b8b, 0x7285, 0x1083, 0x3a48, 
	0x21a8, 0x428a, 0x0841, 0x0861, 0x0860, 0x0840, 0x2883, 0x28e2, 0xa3c9, 0xac2b, 0xa305, 0xec89, 0xed93, 0xf637, 0xfe77, 0xf614, 
	0xe3e7, 0xcd0d, 0xd5b0, 0x1882, 0x2123, 0x08c4, 0x00c4, 0x0841, 0x18a2, 0x1840, 0x1840, 0x18c1, 0x10a0, 0x10a1, 0x2120, 0x1081, 
	0x0880, 0x8bc9, 0x9cab, 0x4204, 0x20c2, 0x9c46, 0xad4a, 0x414a, 0x390a, 0x3128, 0x2960, 0x5303, 0x3a82, 0x39e2, 0x39c2, 0x3922, 
	0x08a0, 0x4184, 0x6866, 0x48a5, 0x1900, 0x29a0, 0x18c0, 0x0021, 0x92e5, 0x3921, 0x1941, 0x2941, 0x3980, 0x6180, 0x4181, 0x1820, 
	0x6a83, 0x6263, 0x3160, 0x4222, 0x4a62, 0x59a2, 0x4961, 0x8ac4, 0x7a22, 0xa3c8, 0xd54d, 0xbc28, 0xe52c, 0xbd92, 0xc530, 0x9388, 
	0x8b06, 0x69e2, 0xb3e6, 0x93c9, 0xd54e, 0xbc8b, 0x4100, 0x4101, 0x6162, 0xadb6, 0x62c8, 0x5bcf, 0x6c73, 0x6b6d, 0x3209, 0x1906, 
	0x18a2, 0x20e3, 0x28a1, 0x1966, 0x32ab, 0x74f4, 0x8576, 0x95f7, 0x85b7, 0x32f0, 0x6223, 0x49c4, 0x10e2, 0x9e7b, 0xbe7a, 0x9e19, 
	0x8576, 0x4b8f, 0x0062, 0x10a2, 0x1925, 0x1881, 0x3123, 0x1903, 0x3c54, 0x8578, 0x2209, 0x10c3, 0x3a69, 0x21a7, 0x42ca, 0x0020, 
	0x0841, 0x0000, 0x0840, 0xd590, 0xc4ab, 0x71e2, 0x9325, 0xb44a, 0xbc6b, 0xd48b, 0xdc89, 0xe54e, 0xcccc, 0xc4ac, 0xbc8b, 0x8b46, 
	0xac09, 0x732a, 0x10c4, 0x08e5, 0x1060, 0x18a2, 0x2081, 0x1861, 0x4184, 0x20e1, 0x18e1, 0x10a0, 0x18e1, 0x18a1, 0x28c5, 0x1021, 
	0x59ee, 0x51ad, 0x8c26, 0x7346, 0x18a0, 0x2065, 0x2924, 0x2122, 0x29c0, 0x3202, 0x6b47, 0x31e1, 0x2001, 0x2000, 0x18e2, 0x1080, 
	0x2881, 0x30e2, 0x8baf, 0x2960, 0x18c0, 0x20c0, 0x79e1, 0xf54b, 0x5182, 0x28c1, 0x2120, 0x2940, 0x20e1, 0x5203, 0x62e6, 0x2162, 
	0xac4b, 0x9b88, 0xddf1, 0x8ac4, 0xc4ed, 0xb48c, 0xb4cb, 0xa3ea, 0xac8c, 0xddf0, 0xccef, 0x8b05, 0x8a63, 0x69a3, 0x61e3, 0xa2c5, 
	0x7a43, 0x61e3, 0x7a83, 0x5181, 0x4a02, 0x5264, 0x946d, 0x638d, 0x29c5, 0x29c7, 0x31a6, 0x1104, 0x0821, 0x1041, 0x1040, 0x3944, 
	0x3124, 0x3268, 0x53cf, 0x7d14, 0x95b7, 0x7db9, 0x9388, 0x8baa, 0x6a86, 0x21ea, 0x8491, 0x9df7, 0x8555, 0x5c31, 0x42ec, 0x10a2, 
	0x10c3, 0x1061, 0x1904, 0x0926, 0x32ac, 0x5c30, 0x74d2, 0x757a, 0x3a8b, 0x3a49, 0x2209, 0x4a8a, 0x0861, 0x5227, 0x0863, 0xe633, 
	0xb48a, 0xe427, 0xdbe6, 0x72e5, 0x9367, 0x93ec, 0xc4ac, 0xac2a, 0xc4ed, 0xbcab, 0xb409, 0x73c8, 0xa4ab, 0x9306, 0xabca, 0x7bcf, 
	0x1083, 0x2903, 0x10a1, 0x1040, 0x0821, 0x1080, 0x2101, 0x2121, 0x2102, 0x1080, 0x6ae5, 0xaced, 0x7348, 0x2084, 0x30e9, 0x416b, 
	0x1900, 0x51ca, 0x418a, 0x5ac8, 0xf713, 0x3a22, 0x3961, 0x31e0, 0x52c2, 0x52a2, 0x5b43, 0x5a82, 0x3961, 0x0820, 0x0880, 0x18e0, 
	0x1060, 0x41e2, 0x9b69, 0x1840, 0x18a0, 0x3960, 0x49c1, 0x20e0, 0x2940, 0x2900, 0x2120, 0x3181, 0x8b69, 0xa3ea, 0x92e4, 0xef79, 
	0xa345, 0xcd4e, 0xa40a, 0xc590, 0x7243, 0x38c0, 0x9b8a, 0xddb0, 0xc4cc, 0xe5d2, 0xaa8a, 0xa38a, 0x5a24, 0x6a03, 0xb3e7, 0x3120, 
	0x49a0, 0x49a1, 0x51c2, 0x738c, 0x20c1, 0x51e4, 0x51a3, 0x5206, 0x0821, 0x18a1, 0x1041, 0x0820, 0x2904, 0x3922, 0x1965, 0x3aab, 
	0x6472, 0x8575, 0x8dd7, 0x52a9, 0xc4ee, 0xf6f7, 0x75da, 0x20c1, 0x95b6, 0x8514, 0x6411, 0x19c8, 0x0861, 0x2125, 0x0000, 0x08a3, 
	0x1146, 0x2a29, 0x5c10, 0x7d14, 0x4cf9, 0x3a6b, 0x3a6a, 0x21e8, 0x4a89, 0x51a5, 0x9aa7, 0xfdb4, 0x8b26, 0xa345, 0xe4e4, 0x9ac1, 
	0x7b8a, 0x7369, 0x6aa6, 0x8bea, 0x4181, 0xd54e, 0xd5af, 0x73a9, 0x8c48, 0xc52e, 0xbbca, 0xabea, 0xad73, 0x736d, 0x0820, 0x18a3, 
	0x0040, 0x0861, 0x1080, 0x18e0, 0x4a03, 0xe6d2, 0xc60f, 0x8386, 0xa487, 0xb54b, 0x1042, 0x1883, 0x1061, 0x28c5, 0x20c3, 0x0821, 
	0x5a06, 0x9428, 0x5b04, 0x52a4, 0x6b49, 0x41a2, 0x6065, 0x3903, 0x1920, 0x20c1, 0x4124, 0x4a83, 0x20e0, 0x39e2, 0x1080, 0xaccd, 
	0xbc8d, 0x1880, 0x1900, 0x1900, 0x2141, 0x2100, 0x6c08, 0x4262, 0x4261, 0x9bc9, 0xa3c8, 0xcd0e, 0xbcc9, 0xde55, 0x9be9, 0x9c0a, 
	0xffdd, 0xa42a, 0x9388, 0x38c0, 0x49a0, 0x8b26, 0xaaa8, 0xec12, 0xd3cf, 0x4982, 0x3980, 0xb46a, 0x41a1, 0x2940, 0x51a1, 0x51e2, 
	0x18a1, 0x10a2, 0x08e2, 0x2a28, 0x0820, 0x10c2, 0x3164, 0x0840, 0x0021, 0x0041, 0x5a86, 0x1146, 0x3aab, 0x5c31, 0x7d35, 0x8d96, 
	0x6d99, 0xb4ad, 0x7557, 0x9e38, 0x3882, 0xa618, 0x7514, 0x430d, 0x1146, 0x0861, 0x0861, 0x2925, 0x0862, 0x18e4, 0x3208, 0x42cb, 
	0x6472, 0x0a90, 0x3a6a, 0x31e8, 0x31e8, 0x3986, 0x8162, 0xb225, 0xaa26, 0xb303, 0xc360, 0xcaa0, 0x632b, 0x6b8a, 0x42a6, 0x6be8, 
	0xb50e, 0x9549, 0x4b24, 0x73a7, 0x8447, 0x9ba6, 0xd3a7, 0xcb67, 0xc46c, 0xa532, 0xa4f2, 0x1061, 0x2103, 0x0882, 0x0862, 0x10a0, 
	0x20a0, 0x8328, 0xa448, 0xd631, 0x0000, 0x5a68, 0x5825, 0x6886, 0x0040, 0x6251, 0x62c8, 0x9c03, 0x0000, 0x1060, 0x10c1, 0x5305, 
	0x4b23, 0x52e3, 0x5b44, 0x2980, 0x1020, 0x38a3, 0x0840, 0x0880, 0x1060, 0x4283, 0x3a03, 0x1902, 0x1900, 0xac8e, 0xe611, 0x72a5, 
	0x1921, 0x3a62, 0x4221, 0x4240, 0x4241, 0x0860, 0xabe8, 0x8ac3, 0x9324, 0x8347, 0xd5b1, 0xa3a7, 0xdd8e, 0xc4ee, 0xb48b, 0x4961, 
	0xeef8, 0xbbe9, 0x7a81, 0xa368, 0x91e8, 0x51c5, 0x7b07, 0x2121, 0x8ac7, 0x51e3, 0x4141, 0x4161, 0x4180, 0x2100, 0x1902, 0x1902, 
	0x08a2, 0x40a2, 0x1061, 0x0841, 0x0861, 0x0861, 0x10c3, 0x0881, 0x19e8, 0x53d0, 0x5c31, 0x8596, 0x95d8, 0x9df9, 0x7579, 0x9e79, 
	0xc639, 0x8d13, 0xa5f7, 0x5c53, 0x22d0, 0x1167, 0x1060, 0x0020, 0x2166, 0x2166, 0x10a2, 0x0020, 0x31e7, 0x3a8a, 0x1b13, 0x426a, 
	0x31e7, 0x2987, 0x59a4, 0xab29, 0xaa86, 0xebcb, 0xe461, 0xaa20, 0x5120, 0x5a06, 0x0961, 0x63a4, 0x8c88, 0x30e0, 0x7466, 0x5367, 
	0x7be7, 0x93c3, 0x7aa6, 0xebc4, 0xd302, 0xd50d, 0xbdf7, 0xad74, 0x1000, 0x18c3, 0x0001, 0x0881, 0x1044, 0x1040, 0x5045, 0x4946, 
	0x38a1, 0x2802, 0x4002, 0xc678, 0x78a9, 0x79ca, 0x1041, 0x308a, 0xa489, 0x4902, 0x3ae2, 0x9c0b, 0x39c3, 0x5865, 0x6284, 0x18c0, 
	0x20a0, 0x08a0, 0x4182, 0x3982, 0x28c2, 0x1060, 0x1921, 0x52a5, 0x8b88, 0xa48d, 0x9c4c, 0x51a3, 0x29a2, 0x2960, 0x18e0, 0x10a0, 
	0x18e1, 0x0840, 0x0040, 0x72e7, 0x82c5, 0xbc4a, 0xcd71, 0x59a0, 0x6265, 0x82e6, 0xd5d2, 0x82a4, 0x59a2, 0xee53, 0x9a86, 0xa428, 
	0xaba8, 0x82e5, 0x5a25, 0x8b8a, 0x10a0, 0x2921, 0x3961, 0x3120, 0x3100, 0x3120, 0x2121, 0x2984, 0x2943, 0x1040, 0x4943, 0x0860, 
	0x18a2, 0x0861, 0x0861, 0x0882, 0x1081, 0x3269, 0x6471, 0x8534, 0x8d75, 0x9db6, 0x9dd7, 0x7d77, 0xa5f8, 0xae18, 0xb6ba, 0x39a6, 
	0x9e39, 0x6d56, 0x9be9, 0x0820, 0x0020, 0x0841, 0x0020, 0x0020, 0x0020, 0x2104, 0x3186, 0x29c7, 0x39e7, 0x2166, 0x3985, 0x59c4, 
	0xb36a, 0xc38b, 0xebc9, 0xe403, 0x7100, 0x4963, 0x3943, 0x1980, 0x4260, 0x4b22, 0x5ac6, 0x5323, 0x6b65, 0x4ae2, 0xcba6, 0x7840, 
	0xeb61, 0xca81, 0xb46d, 0x6b4b, 0xa4d1, 0x0861, 0x1040, 0x4204, 0x8b69, 0xb551, 0x3842, 0x68a6, 0x8026, 0xc2d0, 0x71c8, 0x9389, 
	0x58e5, 0x7987, 0x2081, 0x30a7, 0x4109, 0x4167, 0x6085, 0x6087, 0xa40b, 0x10a0, 0x20c1, 0x6244, 0x1080, 0x1061, 0x10c0, 0x0860, 
	0x08c0, 0x0820, 0x1882, 0x31c2, 0x1900, 0x20e1, 0x1040, 0x1900, 0x18e0, 0x2960, 0x4aa3, 0x4263, 0x18c0, 0x10a0, 0x1080, 0x1060, 
	0x2080, 0x8b68, 0xb4ad, 0x82c5, 0x4940, 0x6203, 0x6a85, 0x4141, 0x7a63, 0x7140, 0xed8a, 0xfe8e, 0xfdca, 0xe422, 0xaa84, 0x60c0, 
	0x4121, 0x3180, 0x2920, 0x1880, 0x2100, 0x18e0, 0x10c0, 0x1902, 0x0861, 0x2902, 0x1061, 0x1040, 0x20a2, 0x0841, 0x0041, 0x0021, 
	0x0841, 0x28e0, 0x2a49, 0x74b2, 0x8d55, 0x9596, 0x9dd6, 0x9d96, 0x43d4, 0xa575, 0xae18, 0xae7a, 0x4185, 0x9619, 0x95d7, 0x630b, 
	0x8367, 0x1040, 0x0021, 0x0041, 0x0062, 0x0062, 0x0000, 0x2945, 0x2124, 0x20e3, 0x28e2, 0x6b4c, 0xa3ad, 0xdd94, 0xcbca, 0xe490, 
	0xd510, 0x58a0, 0x4143, 0x3942, 0x1920, 0x31e0, 0x1980, 0x3a43, 0x6306, 0x7bc5, 0x4280, 0x7282, 0xca20, 0xc241, 0xe325, 0x8c0d, 
	0x9490, 0xab28, 0x3142, 0x18a2, 0x1881, 0x5186, 0x2120, 0xa1cd, 0xd576, 0x1061, 0x49a5, 0x4022, 0x40c2, 0x38c1, 0x0820, 0x1080, 
	0x2000, 0x3801, 0x9a4c, 0x9bac, 0x6107, 0x58c5, 0x736a, 0x1921, 0x2120, 0x0840, 0x28e2, 0x3982, 0x8129, 0x0060, 0x0880, 0x20c0, 
	0x18c0, 0x52e6, 0x5b06, 0x3981, 0x10e0, 0x31e1, 0x18e0, 0x10c0, 0x1920, 0x29a0, 0x4223, 0x2121, 0x1080, 0x18a1, 0x59a2, 0x5182, 
	0x8263, 0x69c1, 0x6202, 0xb40b, 0x5962, 0x70e0, 0xf64e, 0xee70, 0xff74, 0xf690, 0xee51, 0xdc6a, 0xe569, 0x30a0, 0x4a01, 0x1080, 
	0x2920, 0x18e1, 0x2941, 0x1900, 0x2160, 0x0840, 0x6ac7, 0x1020, 0x0840, 0x0841, 0x0840, 0x1061, 0x1041, 0x0820, 0x28e1, 0x1945, 
	0x5bcf, 0x7cf4, 0x8555, 0x95d8, 0x7dba, 0x39e7, 0x9576, 0x9e19, 0xa618, 0xb639, 0x5baf, 0x5cb5, 0x3acc, 0xb4ac, 0x3121, 0x41a5, 
	0x0062, 0x08a4, 0x08a3, 0x0841, 0x0020, 0x0840, 0x0020, 0x0000, 0x0000, 0x6225, 0xec6f, 0xcac5, 0xba85, 0xb32a, 0x28a0, 0x20a1, 
	0x2902, 0x20e0, 0x2120, 0x1940, 0x3200, 0xabca, 0xac4c, 0xbcad, 0x82a5, 0xc9e0, 0xca21, 0xe387, 0x7bee, 0x94d2, 0xdc02, 0x8308, 
	0x18e2, 0x0000, 0x18c2, 0x1040, 0x51a4, 0x2903, 0xb18e, 0x79ca, 0x0840, 0x0062, 0x2081, 0x5a47, 0x62c6, 0x5086, 0x4844, 0x59c6, 
	0x4123, 0x3963, 0x8b8c, 0x3103, 0x29a0, 0x39e1, 0x2141, 0x4224, 0x4281, 0x42a2, 0x4262, 0x3a61, 0x1920, 0x1060, 0x18c0, 0x18e0, 
	0x10c0, 0x10a0, 0x18e0, 0x29a2, 0x1900, 0x10c0, 0x10c1, 0x2100, 0x3a01, 0x2100, 0x3161, 0x3121, 0x6ae6, 0x4141, 0x38a1, 0x6248, 
	0x5165, 0x50e0, 0xe589, 0xee0e, 0xb425, 0xde0c, 0x38e0, 0xee4d, 0xd2a9, 0xdd0b, 0x8b65, 0x39a0, 0x3140, 0x0840, 0x10a0, 0x18a0, 
	0x41e6, 0x1881, 0x1880, 0x1061, 0x0000, 0x10e4, 0x0105, 0x0021, 0x0840, 0x1861, 0x0820, 0x1000, 0x21c8, 0x1987, 0x4b0d, 0x7cf4, 
	0x8535, 0x8d97, 0x9e1b, 0x5518, 0x5d7a, 0x5c95, 0x3c14, 0x1883, 0x32cf, 0x62ea, 0x4983, 0x2902, 0x5265, 0x2942, 0x1081, 0x0862, 
	0x2922, 0x5a87, 0x0021, 0x0841, 0x0020, 0x7a05, 0x7205, 0xccb1, 0xe327, 0xdd53, 0x9b0b, 0x0000, 0x1860, 0x1080, 0x18e0, 0x10c0, 
	0x2980, 0x4a23, 0xac8d, 0x7ae6, 0x6a64, 0x7a84, 0xf344, 0xca83, 0x838b, 0x6289, 0xad13, 0xdb21, 0x82c5, 0x28e2, 0x5a65, 0x1040, 
	0x38a1, 0x5102, 0x38c2, 0x48a5, 0x3042, 0x2043, 0x7b89, 0x61a9, 0x8c29, 0x2920, 0x0800, 0x5166, 0x49c5, 0x61c9, 0x5165, 0x59c7, 
	0x4ae3, 0x42a2, 0x4262, 0x3a22, 0x31e1, 0x29e1, 0x3982, 0x0880, 0x0860, 0x0880, 0x10c0, 0x2121, 0x18c0, 0x1080, 0x18c1, 0x18e0, 
	0x2981, 0x5b25, 0x5b62, 0x52e4, 0x31a2, 0x10a0, 0x2980, 0x29c1, 0x1840, 0x20e0, 0x4120, 0x48c2, 0x59e7, 0x2060, 0xbb43, 0xf5ed, 
	0xe509, 0x92c5, 0x4984, 0x38a0, 0x6962, 0xc696, 0x6140, 0x61e4, 0x2102, 0x3162, 0x0840, 0x0862, 0x0020, 0x0800, 0x0800, 0x1061, 
	0x0800, 0x18e3, 0x0925, 0x0147, 0x10a3, 0x0840, 0x1861, 0x1861, 0x1060, 0x6246, 0x8c93, 0x3310, 0x01ca, 0x09c9, 0x21c7, 0x7224, 
	0x93ab, 0x7c10, 0x434f, 0x9cf1, 0xac2b, 0x7aa5, 0x93c9, 0x9bac, 0x10c3, 0x1081, 0x18a0, 0x1060, 0x3103, 0x3964, 0x0840, 0x0862, 
	0x0062, 0x0020, 0xc40c, 0x5163, 0x7248, 0x9226, 0x71c5, 0x0820, 0x0840, 0x10a1, 0x1060, 0x1900, 0x1960, 0x5260, 0x18a0, 0x6a65, 
	0x6a03, 0xa3ea, 0xbd90, 0xb9a0, 0xca83, 0x83ae, 0x6b2a, 0x59c5, 0xa40a, 0xbc8a, 0x49a4, 0x49c3, 0x0820, 0x1041, 0x3182, 0x20a0, 
	0x60c7, 0xddf6, 0x2881, 0x9aae, 0x78ca, 0x2121, 0xb5af, 0x70e7, 0x3041, 0x3984, 0xc534, 0xab70, 0x4863, 0x4b02, 0x42e1, 0x3a41, 
	0x1921, 0x1921, 0x0880, 0x1021, 0x0860, 0x10e1, 0x10a0, 0x2981, 0x20e0, 0x18a0, 0x3a21, 0x39c0, 0x0020, 0x10c0, 0x2101, 0x0820, 
	0x18e1, 0x2120, 0x52a2, 0x39e2, 0x4142, 0x30a1, 0x1040, 0xa9e4, 0x68c0, 0x3040, 0x40c2, 0xe506, 0xfdeb, 0x3062, 0x6288, 0x4a05, 
	0x1820, 0xe4c7, 0xdd6a, 0x28a4, 0x1820, 0x3923, 0x0801, 0x1081, 0x0840, 0x0021, 0x0800, 0x1061, 0x1061, 0x0820, 0x0861, 0x10e4, 
	0x0947, 0x08e3, 0x4963, 0x0800, 0x0020, 0x2882, 0x40c1, 0x4903, 0x3903, 0x7b09, 0xb3eb, 0x6a64, 0x9b88, 0xc52f, 0x8b49, 0x51e2, 
	0x93aa, 0xc4ed, 0xb3ec, 0x6924, 0x7924, 0x0040, 0x0882, 0x10a1, 0x3103, 0x41e6, 0x3060, 0x1061, 0x0906, 0x10e5, 0x626a, 0x4985, 
	0x5143, 0x8164, 0x7121, 0x7265, 0x1861, 0x4a64, 0x41c4, 0x0060, 0x10e0, 0x1940, 0x3981, 0x31e1, 0x91a5, 0xb46b, 0x8b69, 0x88e0, 
	0xd2c2, 0x7b88, 0xa512, 0xad53, 0x6984, 0xc48d, 0xcd4f, 0x82c6, 0x0040, 0x0042, 0x0082, 0x3083, 0x7188, 0x5926, 0x6968, 0xa3af, 
	0x5146, 0x4904, 0x1020, 0x2820, 0x5125, 0x4822, 0x5886, 0x79cb, 0x3903, 0x4083, 0x18c0, 0x41e1, 0x4a06, 0x10a0, 0x0860, 0x0860, 
	0x0880, 0x1080, 0x10c0, 0x2140, 0x18e0, 0x1080, 0x10c0, 0x0880, 0x0840, 0x0880, 0x0860, 0x0860, 0x0840, 0x2982, 0x10a0, 0x1901, 
	0x5226, 0x08c1, 0x30e0, 0x31c2, 0xd463, 0x80e0, 0xbae4, 0x9a41, 0xe5ca, 0xeeb1, 0xff12, 0xeded, 0xb2e5, 0xdbe4, 0xfe4e, 0xfef4, 
	0x6247, 0x30e2, 0x38e2, 0x1880, 0x0842, 0x0862, 0x18c2, 0x28e2, 0x0840, 0x0840, 0x20e0, 0x4a46, 0x18a1, 0x2103, 0x3921, 0x3961, 
	0x0820, 0x0020, 0x3082, 0x2000, 0x3020, 0x8a87, 0x69e3, 0x38c0, 0x7223, 0xabe9, 0x7222, 0x6a45, 0x6a44, 0xde34, 0xaa08, 0xc1e8, 
	0xa925, 0xb123, 0x7945, 0x0000, 0x0840, 0x0800, 0x20a2, 0x1841, 0x1840, 0x18c3, 0x18c3, 0x38e2, 0x4103, 0x3080, 0x40e2, 0x38e2, 
	0x1881, 0x1881, 0x28c1, 0x18a1, 0x0060, 0x2141, 0x51c0, 0x3220, 0xc280, 0xca61, 0x40a1, 0x7140, 0xe242, 0xeb24, 0x9cb1, 0x7b2a, 
	0x5269, 0x40c1, 0x8a64, 0xca42, 0xfc49, 0x2883, 0x0041, 0x08a3, 0x0040, 0x28c0, 0x69c7, 0x4063, 0x2801, 0x2843, 0x3081, 0x620c, 
	0x2822, 0x7aea, 0x50c2, 0x59e5, 0x3103, 0x1860, 0x932e, 0x10c0, 0x1080, 0x10a0, 0x0860, 0x2122, 0x20e1, 0x18c1, 0x1080, 0x10a0, 
	0x3a41, 0x2120, 0x29a3, 0x10a0, 0x31a2, 0x2141, 0x0860, 0x2983, 0x0860, 0x1080, 0x0020, 0x2101, 0x18a0, 0x28c1, 0x8b4a, 0x0840, 
	0x2022, 0xfc43, 0xfca8, 0xc303, 0x81a1, 0xed8b, 0xe64f, 0xf693, 0xff16, 0xfed3, 0xfe0b, 0xfe2b, 0xfed2, 0xdd2a, 0x0800, 0x28e3, 
	0x82e6, 0x2903, 0x1061, 0x1860, 0x1881, 0x0020, 0x0841, 0x2103, 0x18a0, 0x1880, 0x1040, 0x2101, 0x0860, 0x0841, 0x0041, 0x50a2, 
	0x5800, 0x6841, 0x6001, 0x5041, 0x59a3, 0x3040, 0x6224, 0x5983, 0x82c6, 0xac6b, 0xa145, 0xb126, 0xb987, 0xc9e8, 0x98a1, 0x8103, 
	0x0862, 0x20e0, 0x20c2, 0x0040, 0x0040, 0x20c1, 0xc54f, 0x30c2, 0x1060, 0x40c2, 0x38c1, 0x40e1, 0x08e4, 0x0883, 0x0020, 0x0000, 
	0x0840, 0x18e2, 0x1900, 0x41e0, 0x9b01, 0xba00, 0xda41, 0xe3e4, 0xf383, 0xe324, 0xac09, 0xde99, 0x7bcd, 0x0800, 0x6101, 0xbbaa, 
	0xe531, 0xe552, 0x49e4, 0x2142, 0x6208, 0x20c1, 0x1080, 0x1820, 0x1040, 0x4926, 0x40c5, 0x38e4, 0x3947, 0x2083, 0x71c7, 0x4164, 
	0x5945, 0x5083, 0x59a7, 0x4802, 0x10a1, 0x0860, 0x0860, 0x0880, 0x0880, 0x0860, 0x1041, 0x2900, 0x18e1, 0x0880, 0x0880, 0x7ae8, 
	0x2161, 0x2121, 0x18e0, 0x10a0, 0x0860, 0x0880, 0x0860, 0x2122, 0x29a1, 0x20c2, 0x1120, 0x1883, 0x2102, 0x0880, 0x59e3, 0xe5ee, 
	0xd3a5, 0xbae1, 0xcca6, 0xddae, 0xddad, 0xe4ea, 0xf424, 0xfe8f, 0xfeae, 0xfe0d, 0xfe31, 0x7a66, 0x3103, 0x1881, 0x5184, 0x59a5, 
	0x1020, 0x0020, 0x0062, 0x0042, 0x0061, 0x0842, 0x18a2, 0x0841, 0x0841, 0x0021, 0x0842, 0x0842, 0x3821, 0x4800, 0x6040, 0x8061, 
	0x8040, 0x6841, 0x7ac5, 0x9ae6, 0x82c6, 0x7a45, 0xddf1, 0xa8c3, 0xd228, 0xa903, 0xb104, 0xa082, 0x98c1, 0x5165, 0x41c3, 0x6b2a, 
	0x10a3, 0x10e3, 0x10c2, 0x1040, 0x5122, 0x1020, 0x1840, 0x0820, 0x0906, 0x0925, 0x0105, 0x0841, 0x0821, 0x0861, 0x2982, 0x39c1, 
	0x6a62, 0x99a0, 0xd2a0, 0xda81, 0xdba8, 0xab88, 0xeba4, 0x6308, 0x62ea, 0x946f, 0x0800, 0x3060, 0xbbac, 0xe3e9, 0xf46a, 0xdd0e, 
	0x6aa4, 0x1020, 0x20c1, 0x798b, 0x832a, 0x1042, 0xc611, 0x0800, 0x20a1, 0x2063, 0x624d, 0x28a1, 0x4101, 0x2020, 0x4863, 0x3021, 
	0x5105, 0x0860, 0x0880, 0x0860, 0x1060, 0x1060, 0x0860, 0x2940, 0x1060, 0x1040, 0x30e0, 0x10c1, 0x1060, 0x18e0, 0x10c0, 0x1080, 
	0x2180, 0x0860, 0x0860, 0x0880, 0x1081, 0x1040, 0x2100, 0x49cb, 0x1060, 0x20a0, 0x0840, 0x2082, 0xe5ae, 0x4040, 0x9a22, 0xc3a3, 
	0xc4ca, 0xbbc5, 0xb240, 0xedec, 0xf693, 0xfeb4, 0xe3c5, 0xb283, 0xc3eb, 0x20a2, 0x18a1, 0x1040, 0x2081, 0x3923, 0x0842, 0x0021, 
	0x0042, 0x0821, 0x0820, 0x1882, 0x1040, 0x1061, 0x1081, 0x0820, 0x1020, 0x4801, 0x6841, 0x5820, 0x6000, 0x9a28, 0x0861, 0x4882, 
	0x6984, 0x8b69, 0x8aa9, 0x18a0, 0x1924, 0xb249, 0xb144, 0xb9c6, 0xa0a2, 0x98a2, 0x7800, 0x2081, 0x1062, 0x0907, 0x0926, 0x10e4, 
	0x0020, 0x40a1, 0x1861, 0x8aa8, 0x1881, 0x0967, 0x0927, 0x10e4, 0x0021, 0x0840, 0x41a3, 0x61e4, 0x7ac6, 0x81c2, 0x99a1, 0xc9e1, 
	0x5141, 0xac2b, 0xaba8, 0xd5b0, 0x732b, 0x6288, 0x20a2, 0x1840, 0x2040, 0xa2c7, 0xe532, 0xee17, 0xee37, 0x3122, 0x1841, 0x1060, 
	0x1080, 0x3985, 0x4845, 0x93b0, 0x40a3, 0x50e3, 0x39a2, 0x5221, 0x5a66, 0x2061, 0x8389, 0x7948, 0x49a2, 0x2940, 0x0840, 0x0860, 
	0x0880, 0x10a0, 0x0880, 0x18c1, 0x08a0, 0x1060, 0x0860, 0x1881, 0x0040, 0x938a, 0x1941, 0x2120, 0x18e0, 0x2120, 0x0860, 0x0080, 
	0x0820, 0x3162, 0x2902, 0x3948, 0x2100, 0x3166, 0x28c1, 0x1061, 0x1882, 0x1020, 0x1841, 0x5080, 0x9a00, 0xab04, 0x99c0, 0xe4a8, 
	0xd58d, 0xe5af, 0xed2e, 0xd388, 0xcba7, 0xe44b, 0x08a2, 0x0020, 0x1860, 0x7aeb, 0x1040, 0x0841, 0x0841, 0x0840, 0x0000, 0x1880, 
	0x0000, 0x0000, 0x0020, 0x3122, 0x3142, 0x2841, 0x4000, 0x4800, 0x68e3, 0x3a06, 0x7bcd, 0x5228, 0x9041, 0x5040, 0x7083, 0x7040, 
	0x28c2, 0x83ed, 0x73ae, 0x9c6f, 0x70c2, 0x98c2, 0x98c3, 0x8061, 0x0861, 0x2104, 0x0926, 0x0926, 0x1081, 0x3922, 0x20a1, 0x1060, 
	0x1060, 0x7264, 0x2103, 0x4142, 0x1060, 0x49e4, 0x28c1, 0xaba8, 0xa3e7, 0xa367, 0xa38a, 0x92e6, 0x8aa6, 0x9347, 0x7aa3, 0x7224, 
	0xb48c, 0xc48d, 0x9bca, 0x6162, 0x2881, 0x1040, 0x4100, 0xdcf2, 0xe5f7, 0xee58, 0xcd54, 0x2901, 0xee56, 0x6844, 0x824c, 0x892a, 
	0x60c7, 0x50a2, 0x48a4, 0x30e2, 0x30c3, 0x0880, 0x6988, 0xa42c, 0x58c3, 0x0800, 0x3842, 0x1080, 0x1080, 0x1080, 0x10a0, 0x41a3, 
	0x1081, 0x71e9, 0x1061, 0x3843, 0x9b6b, 0x5a42, 0xc4ed, 0x0020, 0x10a1, 0x2140, 0x1080, 0x2981, 0x1880, 0x0880, 0x0840, 0x1061, 
	0x3106, 0x0821, 0x1900, 0x18a0, 0x1061, 0x0820, 0x1040, 0x1840, 0x6143, 0x5900, 0xa1e0, 0xc343, 0xf509, 0xdb85, 0xdb46, 0xc285, 
	0xc227, 0xe287, 0x79e5, 0x2943, 0x6244, 0x0820, 0x0000, 0x0000, 0x5a64, 0x1060, 0x1860, 0x18a1, 0x3982, 0x1061, 0x0021, 0x0000, 
	0x18c2, 0x0840, 0x1820, 0x6020, 0x5206, 0x52c9, 0x62c9, 0x4a47, 0x1000, 0xa081, 0x8800, 0xb8e4, 0xa820, 0x50c3, 0x39c5, 0xb5f6, 
	0x73ce, 0x73ac, 0x6904, 0x8061, 0x8061, 0x30a0, 0x5a23, 0x18c2, 0x10a1, 0x20e1, 0x93a9, 0x4a04, 0x0020, 0x0020, 0x2080, 0x9bea, 
	0x4902, 0x2082, 0x1061, 0x9be9, 0x6b45, 0xac05, 0xc283, 0x79a2, 0x9264, 0x51a3, 0xf653, 0xb48c, 0x9ba9, 0x7a85, 0xbccd, 0xcd4f, 
	0xb42b, 0x2020, 0x2040, 0x2040, 0x8aa9, 0xd514, 0xee17, 0xfe99, 0xa3ae, 0x1020, 0xa16c, 0xb574, 0xac51, 0x4024, 0x38c4, 0x4023, 
	0x7128, 0x796a, 0x6988, 0x0020, 0x2041, 0x60a6, 0x8c29, 0x4844, 0x1901, 0x10c0, 0x10a0, 0x4223, 0x18a1, 0x4803, 0x0840, 0x30a2, 
	0x6284, 0x52e5, 0x0820, 0x9b29, 0x10a0, 0x3181, 0x31a0, 0x1060, 0x18c0, 0x18a0, 0x0880, 0x41c3, 0x5aaa, 0x0820, 0x1061, 0x1081, 
	0x18c0, 0x10a0, 0x0821, 0x1861, 0x3080, 0x3840, 0x7162, 0x7900, 0xbae2, 0xcae3, 0xcb24, 0xcac6, 0xdac6, 0xd264, 0x9902, 0x1841, 
	0x1840, 0x2880, 0x0841, 0x0861, 0x0020, 0x0840, 0x1020, 0x1861, 0x3123, 0x18c2, 0x0821, 0x0841, 0x0842, 0x0841, 0x0800, 0x48e3, 
	0x3a26, 0x4aa8, 0x6b4c, 0x530a, 0x4185, 0x2800, 0xa0c3, 0x8020, 0xb104, 0xa040, 0x5040, 0x4902, 0x4288, 0xad74, 0x9452, 0x7c4f, 
	0x82ea, 0x7080, 0x58a2, 0x30e0, 0x4163, 0xccf0, 0x6b08, 0x18a1, 0x0840, 0x0904, 0x0904, 0x20c2, 0x72c9, 0x2081, 0x1040, 0x3081, 
	0x5260, 0x7b02, 0xba63, 0xf3e5, 0xeba4, 0xc3e8, 0x6962, 0xab67, 0xccac, 0x7285, 0x59c2, 0xac8e, 0x8367, 0x3a01, 0x38c0, 0x2020, 
	0x1840, 0x4101, 0xabed, 0xe595, 0xee17, 0xf658, 0x0800, 0xce34, 0xe6b8, 0x50c5, 0xa3ef, 0x69e8, 0xa42c, 0x3021, 0xa22c, 0x89ed, 
	0x5985, 0x79ca, 0x6887, 0x2842, 0xb4b3, 0x0881, 0x10c1, 0x3181, 0x10a1, 0x0880, 0x08a0, 0x1080, 0x5b25, 0x2081, 0x6203, 0xd5f1, 
	0x6b86, 0x2101, 0x2141, 0x0880, 0x10a0, 0x10a0, 0x1920, 0x10a0, 0x5267, 0x0861, 0x0841, 0x0820, 0x1061, 0x1060, 0x2900, 0x20c0, 
	0x1820, 0xc3a4, 0x6161, 0x2840, 0x4860, 0x58e0, 0x9a81, 0xbc26, 0xd469, 0xeceb, 0xd3ea, 0x59c5, 0x3a08, 0x0821, 0x39a5, 0x0905, 
	0x08e5, 0x0021, 0x0840, 0x0820, 0x18a2, 0x20e2, 0x0881, 0x0821, 0x0041, 0x0862, 0x0841, 0x1081, 0x4a87, 0x4a06, 0x42e9, 0x4ac6, 
	0x5081, 0x4060, 0x4840, 0xa061, 0x9081, 0xb104, 0xa041, 0x9860, 0xb220, 0x4940, 0x7c4b, 0x42e9, 0x94f3, 0x7c0e, 0x7b8c, 0x3081, 
	0x0881, 0x5102, 0x1800, 0x4123, 0x3124, 0x0925, 0x1147, 0x0947, 0x0861, 0x0841, 0x1820, 0x1082, 0x9bc9, 0x6241, 0xaa21, 0xd382, 
	0xf364, 0xcc8a, 0x82e6, 0xe2e3, 0x68a0, 0x8329, 0xbcce, 0x8b07, 0x5206, 0x7a85, 0x5b03, 0x6140, 0x3040, 0x2040, 0x2060, 0x4943, 
	0xb44f, 0xe5d6, 0xf718, 0xccf2, 0xd613, 0xdeb7, 0x0800, 0x8a2c, 0x40e4, 0x40e6, 0x4948, 0x3063, 0x4022, 0x5148, 0x4002, 0x6287, 
	0xa32e, 0x1040, 0x10a0, 0x1901, 0x31e0, 0x1920, 0x40e3, 0x49c4, 0x4243, 0x1080, 0x20e0, 0x5305, 0x3100, 0x1040, 0x1060, 0x0860, 
	0x10a0, 0x10a0, 0x0021, 0x0840, 0x18e0, 0x1901, 0x0000, 0x0861, 0x0820, 0x0840, 0x1040, 0x1020, 0x31a0, 0x4100, 0xd4e8, 0xb343, 
	0x7180, 0x3840, 0x4080, 0x8980, 0xa2c2, 0x9ac3, 0x9ac4, 0x8285, 0x3a49, 0x52aa, 0x28c2, 0x20e2, 0x1124, 0x0062, 0x0841, 0x0000, 
	0x0840, 0x1881, 0x1061, 0x3143, 0x18a1, 0x0820, 0x1081, 0x0840, 0x4226, 0x2943, 0x4265, 0x59c2, 0x68e0, 0xbb85, 0xd403, 0x9942, 
	0x9882, 0x9061, 0xa8c3, 0x9800, 0x9880, 0xca20, 0xc421, 0xa2e5, 0x7b4a, 0x31e5, 0x5aea, 0x4a67, 0x5288, 0x1000, 0x38c1, 0x30e3, 
	0x8289, 0x5143, 0x08c3, 0x0946, 0x0946, 0x18c2, 0x72e6, 0x0820, 0x0820, 0x8b06, 0x8a63, 0xcac1, 0xcb06, 0x82e6, 0xa328, 0xf325, 
	0xe360, 0x9bca, 0x9c0a, 0xe5f1, 0xc4cd, 0x8c2e, 0x3981, 0x7b26, 0x8280, 0x4060, 0x3060, 0x2840, 0x0841, 0x5184, 0xb42e, 0xe615, 
	0xf42a, 0xac2c, 0xd656, 0x6b4c, 0x1880, 0xc56f, 0xce34, 0x18c1, 0x1040, 0x31a4, 0x4a04, 0x0800, 0x730a, 0x72a8, 0xa1ef, 0x0860, 
	0x4243, 0x2122, 0x73ab, 0x4a65, 0x10c0, 0x3203, 0x4a63, 0x6b87, 0x69c3, 0xdd2d, 0x1081, 0x1903, 0x18c0, 0x18c0, 0x0840, 0x0840, 
	0x1080, 0x0860, 0x2980, 0x1900, 0x1881, 0x18a2, 0x18a2, 0x0820, 0x0820, 0x1020, 0x39a0, 0xcd29, 0xed28, 0xdd0a, 0xc2c2, 0x7920, 
	0x70e0, 0x8902, 0x7101, 0x1881, 0x3164, 0x5ac9, 0x2944, 0x0000, 0x41e3, 0x1082, 0x0842, 0x0020, 0x1061, 0x20a0, 0x0020, 0x0000, 
	0x0800, 0x738b, 0x0020, 0x1020, 0x2903, 0x2123, 0x49a3, 0x4920, 0xbc02, 0xed27, 0xe4c5, 0xd4a2, 0x9962, 0xa082, 0x98c2, 0xa8c3, 
	0x8800, 0xa881, 0xc1c0, 0xc3c0, 0xc360, 0xbba2, 0x2840, 0x4a28, 0x6bac, 0x7bad, 0x2880, 0x30e2, 0x1840, 0x1081, 0x6ae7, 0x6aa6, 
	0x3145, 0x3103, 0x0000, 0x20e1, 0x1061, 0x0860, 0x28c1, 0xbc6b, 0x92c7, 0x6264, 0xaa01, 0xeac2, 0xe3c2, 0xda60, 0xb3ea, 0xd52f, 
	0x82c6, 0x8b27, 0x942e, 0x0060, 0x6a43, 0x5a02, 0x58a0, 0x4081, 0x3060, 0x1061, 0x1881, 0x5963, 0xbb67, 0xfed6, 0xbc2a, 0x49a4, 
	0x18a1, 0x1060, 0xce15, 0xce34, 0x6aab, 0x8b50, 0x51c3, 0xb58b, 0xb54b, 0x20e0, 0x41a6, 0x2882, 0x2980, 0x2142, 0x52c4, 0x4263, 
	0x4a82, 0x2980, 0x6369, 0x31c1, 0x4a47, 0x51a2, 0x40c0, 0x1081, 0x08a0, 0x18e0, 0x0840, 0x0841, 0x0020, 0x1080, 0x18a1, 0x18a1, 
	0x2160, 0x20c1, 0x1861, 0x1861, 0x2081, 0x4103, 0xdba2, 0xc4c8, 0x8383, 0xdd27, 0xeded, 0xe506, 0xd3a1, 0xb342, 0xa283, 0x6963, 
	0x30c1, 0x1061, 0x18e3, 0x1081, 0x0840, 0x1040, 0x3143, 0x20c2, 0x41e6, 0x49e4, 0x1062, 0x0861, 0x0061, 0x0000, 0x0021, 0x1882, 
	0x0820, 0x0821, 0x1840, 0x6a02, 0xc4a1, 0xd4c3, 0xdc24, 0xd482, 0xdc26, 0x90a1, 0xa0a2, 0xa0c2, 0xa082, 0x8800, 0xa020, 0xc1c0, 
	0xc400, 0xd3e1, 0xcb23, 0xb422, 0x48c0, 0x49c5, 0x2122, 0xd590, 0x3922, 0x0840, 0x0881, 0x1060, 0x3941, 0x4964, 0x8265, 0x0840, 
	0x1081, 0x0020, 0x28e0, 0x69c2, 0x4100, 0xc9a1, 0xcac0, 0xe2a0, 0xe363, 0xd280, 0xf344, 0xddb0, 0x93a9, 0xf6b4, 0x6223, 0xacae, 
	0x4386, 0x2960, 0x59a3, 0x8140, 0x5080, 0x40a0, 0x1041, 0x0820, 0x1020, 0x4120, 0x69a1, 0xbc4a, 0xb429, 0x08a0, 0x10a0, 0x1040, 
	0x18e2, 0x18c0, 0x2903, 0xc5b2, 0xbe11, 0xbdb4, 0x72af, 0x5aeb, 0x2800, 0x3a42, 0x4aa5, 0x3a43, 0x3a41, 0x4aa4, 0x31c3, 0x00a0, 
	0x10c0, 0x5265, 0x4a22, 0xa3e7, 0x61e3, 0x2142, 0x20c1, 0x1040, 0x1040, 0x0020, 0x0860, 0x1881, 0x1820, 0x9ac1, 0x3a22, 0x1000, 
	0x8ac6, 0xabc8, 0xc427, 0xe404, 0xf5ab, 0x5a80, 0xedeb, 0xe5ab, 0xedcb, 0xd381, 0xb364, 0xa1e1, 0x30a0, 0x69e0, 0x5960, 0x4900, 
	0x0841, 0x0841, 0x1061, 0x1042, 0x1881, 0x41a5, 0x2923, 0x10a2, 0x10e4, 0x10e4, 0x0861, 0x0821, 0x49c6, 0x0800, 0x2082, 0x20a0, 
	0xc400, 0xcc21, 0xe3e2, 0xd441, 0xece5, 0xdae4, 0xa903, 0xb0a2, 0xb8c3, 0xa8e3, 0x9041, 0xa041, 0xe283, 0xbb40, 0xc3e0, 0xd3c1, 
	0xbb41, 0xcbe1, 0x5921, 0x6a68, 0x2880, 0x18c2, 0x10e3, 0x10e4, 0x0881, 0x5206, 0x9bcb, 0x61a6, 0x20a1, 0x0040, 0x0862, 0x1880, 
	0xcccd, 0x6a02, 0xaaa2, 0xda60, 0xeb63, 0xdac0, 0xe2e0, 0x80e1, 0x6182, 0xac2a, 0x61c2, 0x8284, 0xac4c, 0x4362, 0x3b23, 0x83e6, 
	0x99c0, 0x48a0, 0x48a0, 0x0840, 0x0041, 0x0000, 0x1020, 0x5141, 0x9ae6, 0xc201, 0xa9c1, 0x1081, 0x3107, 0x3927, 0x49aa, 0x6aac, 
	0x83cd, 0xa510, 0x31a5, 0x3124, 0xde76, 0xdf17, 0x4aa5, 0x2141, 0x4ac5, 0x39e3, 0x4223, 0x3a03, 0x5ae5, 0x6324, 0x62e4, 0x5243, 
	0x5204, 0x3142, 0x41a1, 0x4163, 0x2903, 0x1060, 0x18a1, 0x1060, 0x0820, 0x59a0, 0xc2e0, 0x5960, 0x5b26, 0x9b67, 0xac6a, 0xbccd, 
	0xd466, 0xfda9, 0xf62f, 0x6303, 0xedcb, 0xee0d, 0xdc64, 0xb301, 0xaac1, 0x51c2, 0x61a0, 0x7241, 0x3901, 0x0861, 0x0861, 0x0840, 
	0x0000, 0x4144, 0x0800, 0x30a0, 0x3944, 0x1104, 0x10c3, 0x0000, 0x1880, 0x2081, 0x0800, 0x2080, 0x7a62, 0xc3c0, 0xd3a1, 0xd482, 
	0xe544, 0xdb42, 0xdc67, 0xa8a2, 0xa0a2, 0xb882, 0xb0c3, 0x8840, 0xa060, 0xeae2, 0xc320, 0xc3e0, 0xb3c0, 0xba80, 0xb320, 0x8a61, 
	0x1020, 0x1000, 0x0882, 0x10e4, 0x0905, 0x08a2, 0x51a5, 0x2040, 0x1881, 0x0800, 0x0820, 0x0800, 0x6100, 0x4962, 0x9286, 0xc1a0, 
	0xe382, 0xdae1, 0xe2a0, 0xe2c0, 0x9141, 0x9b27, 0x4942, 0x61e2, 0xac6d, 0x4222, 0x3b23, 0x63e2, 0x83c7, 0xaae5, 0x6100, 0x50a0, 
	0x1081, 0x1081, 0x0861, 0x1020, 0x2080, 0x7900, 0xf5b2, 0xf678, 0x1860, 0x3927, 0x3108, 0x1082, 0x1061, 0x18c1, 0x3164, 0x10a1, 
	0x20e2, 0xa4f0, 0xbdb4, 0x4263, 0x29a1, 0x31e0, 0x3a41, 0x2120, 0x2141, 0x2140, 0x2100, 0x0860, 0x3982, 0x1900, 0x3920, 0x4941, 
	0x0840, 0x1880, 0x1060, 0x1061, 0x10a0, 0x4140, 0x5981, 0x7222, 0xa385, 0x69e0, 0x5b25, 0xabea, 0x7ae5, 0xc50c, 0xd465, 0xfe50, 
	0xf6f5, 0xedec, 0xf60c, 0xed69, 0xec01, 0xb3a5, 0x49a3, 0x6aa5, 0x7160, 0x2042, 0x0861, 0x0861, 0x0840, 0x1880, 0x2881, 0x1000, 
	0x1880, 0x59c2, 0x1860, 0x2902, 0x1881, 0x7ae9, 0x0040, 0x0000, 0x20e1, 0x71e0, 0xbb22, 0xbb60, 0xdd23, 0xe484, 0xed68, 0xc2c4, 
	0xb985, 0x98a2, 0xa882, 0xa882, 0x9040, 0x98a1, 0xca83, 0xc300, 0xbbc0, 0xb400, 0xbba0, 0xba40, 0x91a1, 0x49c5, 0x1041, 0x18a1, 
	0x10a2, 0x1082, 0x1061, 0x6285, 0x0820, 0x0861, 0x0000, 0x2920, 0x18c1, 0x1820, 0x40a1, 0xa940, 0xcac0, 0xda40, 0xe2a0, 0xeb60, 
	0xda20, 0x9cd1, 0x3922, 0xabea, 0x51a4, 0x8306, 0x31c0, 0x5c26, 0x4be5, 0x39c0, 0xa3e9, 0x5940, 0x58c0, 0x0040, 0x0040, 0x0040, 
	0x1020, 0x0820, 0x38e1, 0xf54f, 0xf5d5, 0xd4f3, 0x9c2c, 0x1020, 0x10a0, 0x18a1, 0x8bee, 0x3962, 0x18a2, 0x8b13, 0x5a2c, 0x20e1, 
	0x3a23, 0x3a42, 0x4241, 0x4224, 0x4244, 0x52e5, 0x5aa3, 0x3142, 0x18e0, 0x5ac9, 0x2140, 0x18a0, 0x0041, 0x0020, 0x1040, 0x1840, 
	0x20a0, 0x18a0, 0x0820, 0xa409, 0xbc68, 0xdc64, 0xdd69, 0xb2e2, 0x73e8, 0x82e5, 0x9c2b, 0xb4ad, 0xbc8b, 0xedab, 0xa3e2, 0xfe0c, 
	0xf60e, 0xed07, 0xdd2a, 0x92a3, 0x72a6, 0x72a5, 0x51e5, 0x0861, 0x1000, 0x1080, 0x5a24, 0x1042, 0x0820, 0x2902, 0x5204, 0x3080, 
	0x7226, 0x49a3, 0x0820, 0x0840, 0x0841, 0x0841, 0x8221, 0xab00, 0xc420, 0xdca4, 0xed06, 0xdc05, 0xb9e6, 0xb207, 0x80a2, 0xa8e3, 
	0xa8a2, 0x8840, 0x98a1, 0x98e0, 0xcb00, 0xc420, 0xc440, 0xb3c0, 0xa340, 0x8ae0, 0x0080, 0x0820, 0xbd2a, 0x30c2, 0x1860, 0x38e2, 
	0x49a3, 0x1081, 0x0021, 0x0020, 0x0800, 0x1040, 0x1040, 0x68a0, 0xc220, 0xb9e0, 0xd1e0, 0xf300, 0xf260, 0xcd53, 0x83ce, 0x59c5, 
	0xc50e, 0x9b88, 0xb44a, 0x4306, 0x4407, 0x6444, 0x63c4, 0x8284, 0xa9e0, 0x58a0, 0x0820, 0x0000, 0x0861, 0x2101, 0x18a0, 0x1060, 
	0xccf1, 0x91a5, 0xdc30, 0xac8f, 0xc550, 0x1080, 0x626a, 0xbdb2, 0xc5b3, 0x7b6f, 0x3147, 0x620f, 0xc592, 0x3a60, 0x3a40, 0x4aa2, 
	0x4200, 0x4222, 0x4a61, 0x5b24, 0x52c4, 0x52c4, 0x2980, 0x18a0, 0x2942, 0x0820, 0x0020, 0x1062, 0x1860, 0x10c1, 0x51e4, 0xd4ea, 
	0xe528, 0xed06, 0xe56b, 0xf690, 0xfe90, 0xf5ca, 0x5201, 0xc4ab, 0xb448, 0xa3a8, 0xc551, 0xb46a, 0xcc45, 0xfd46, 0xfdea, 0xedca, 
	0xe485, 0x6a02, 0x6a66, 0x7b07, 0xb448, 0xaac4, 0x6ac7, 0x1000, 0x0861, 0x10a2, 0x0840, 0x20c3, 0x38e3, 0x28c2, 0x2040, 0x0000, 
	0x0882, 0x0841, 0x0842, 0x5880, 0xcc40, 0xcc40, 0xcba2, 0xdca2, 0xc2c4, 0x6122, 0x736c, 0x5862, 0xa8a2, 0x9041, 0x9082, 0x8821, 
	0x90a0, 0xebe2, 0xbba0, 0xbc40, 0xab80, 0x92c2, 0x20c2, 0x0881, 0x1041, 0x1041, 0x3122, 0xa2e9, 0x82a8, 0x0800, 0x10a3, 0x0861, 
	0x0841, 0x0000, 0x0821, 0x5100, 0x6920, 0x8160, 0xd1c0, 0xdae0, 0xd220, 0xcc08, 0x9c2d, 0x8309, 0xbcd0, 0x5181, 0x5161, 0x5287, 
	0x4b84, 0x5bc5, 0x2b66, 0x6be3, 0x4a82, 0xb1e1, 0x60e0, 0x0020, 0x0840, 0x2041, 0x1880, 0x0840, 0x1880, 0x61e6, 0x9bcc, 0x5943, 
	0xf595, 0x2121, 0x0880, 0x0880, 0x944f, 0x8c6f, 0x18c2, 0x3126, 0x30e6, 0xc5d3, 0x3a22, 0x29a0, 0x3a20, 0x4200, 0x4223, 0x39c2, 
	0x2962, 0x2980, 0x4ac5, 0x52e4, 0x7bc7, 0x39c2, 0x20c1, 0x3980, 0x1881, 0x1880, 0x8ba7, 0xe56b, 0xdd09, 0xccca, 0xf671, 0xee11, 
	0xe5ef, 0xf671, 0xfeb1, 0xfe4f, 0xabc3, 0xd48a, 0xc46a, 0xddb1, 0xc4ec, 0x9b88, 0xc4ed, 0x9368, 0xe654, 0xb4ad, 0x8b06, 0xa3a8, 
	0x9328, 0xb4ec, 0xee31, 0xf630, 0x1040, 0x10c4, 0x10e4, 0x1081, 0x1882, 0x3061, 0x20a2, 0x0840, 0x1061, 0x0021, 0x0841, 0x0042, 
	0xa300, 0xc3e0, 0xcb21, 0xdd24, 0xe505, 0xe406, 0x5a86, 0xbe17, 0x6186, 0x9082, 0x8040, 0x9882, 0x7800, 0x7841, 0xbb00, 0xd300, 
	0xaba0, 0xa340, 0x71e0, 0x08c4, 0x0904, 0x08e5, 0x18a1, 0x38e2, 0x2081, 0x2103, 0x1881, 0x0862, 0x0041, 0x0841, 0x0000, 0x0000, 
	0x2840, 0x4880, 0x9920, 0xd280, 0xda20, 0xcbc5, 0x8b29, 0xc48f, 0x830a, 0x9c50, 0x5a46, 0x0880, 0x2263, 0x4320, 0x4345, 0x73e5, 
	0x4ba5, 0x5342, 0xb1c0, 0xaa00, 0x0800, 0x1881, 0x0040, 0x5a45, 0x946f, 0x4205, 0x6309, 0x7b48, 0x8c2b, 0x6902, 0x49c4, 0x0840, 
	0x2906, 0x18c1, 0x10a0, 0x10c0, 0x18c2, 0x83ec, 0xad32, 0x29a1, 0x2160, 0x29a1, 0x31c1, 0x4282, 0x4aa3, 0x29a0, 0x2980, 0x2942, 
	0x4205, 0x31c2, 0x4a43, 0x52e5, 0x5ae2, 0x5a84, 0x20c0, 0x4a21, 0x72c1, 0xac67, 0xcd4d, 0xd5af, 0xee52, 0xee72, 0xddef, 0xf6b3, 
	0xf6b2, 0xfe90, 0xc444, 0xcb43, 0xbc8a, 0xc448, 0xc424, 0xccee, 0xff78, 0xe611, 0x7285, 0x82a5, 0xac0a, 0xcc03, 0xbc4a, 0xf68f, 
	0xf671, 0xbc4b, 0x0062, 0x1081, 0x10c2, 0x1060, 0x1880, 0x0000, 0x0800, 0x8c2c, 0x0000, 0x1020, 0x0841, 0xa340, 0xc320, 0xe525, 
	0xed25, 0xe4c6, 0xbae5, 0x3922, 0x9cd0, 0x736b, 0x5000, 0x5820, 0x7042, 0x8800, 0x8a88, 0x9220, 0xe3c1, 0xaa60, 0x92e0, 0x7221, 
	0x0083, 0x1125, 0x08e4, 0x20c2, 0x1861, 0x3103, 0x1860, 0x18a0, 0x1081, 0x0861, 0x0840, 0x0800, 0x1880, 0x1041, 0x5040, 0xa1a1, 
	0xb140, 0xbb46, 0x4a25, 0x8bec, 0xbd52, 0x834b, 0x732a, 0x0902, 0x53a5, 0x3b04, 0x3ae0, 0x6409, 0x6402, 0x4b84, 0x6b82, 0xa200, 
	0xca20, 0x1840, 0x0820, 0x0820, 0x6ae8, 0x730b, 0x6b2a, 0x4205, 0x5266, 0xa4cf, 0xa288, 0xfd2f, 0x5229, 0x490c, 0xe69a, 0x4a24, 
	0x2163, 0x5ac8, 0x7bcc, 0x1060, 0x29a1, 0x2981, 0x2160, 0x29c0, 0x10c0, 0x4ac2, 0x31a2, 0x4221, 0x2140, 0x5b26, 0x18c0, 0x1060, 
	0x39a2, 0x52c5, 0x2100, 0x5aa1, 0xe569, 0xf5cb, 0xbc8b, 0xb511, 0xf736, 0x8b26, 0xa408, 0xa3e7, 0xbcab, 0xbc8b, 0xd54d, 0xddef, 
	0xee6f, 0xfd87, 0xdc4b, 0xb40a, 0xe5cd, 0xcd8f, 0xbd0e, 0x7aa5, 0x9bc8, 0xa3a7, 0xcce6, 0xdca6, 0xdc4b, 0xe610, 0xddcd, 0x61e4, 
	0x8265, 0x8267, 0x7b08, 0x0820, 0x0861, 0x0841, 0x1060, 0x1880, 0x28e3, 0x1841, 0x91a0, 0xcc41, 0xcc21, 0xed25, 0xe443, 0x80e2, 
	0x5880, 0x7860, 0x80e4, 0x5986, 0x5a68, 0x4965, 0x30c2, 0x5ac9, 0x3920, 0x9b01, 0xc240, 0x7160, 0x4900, 0x0840, 0x18a3, 0x0861, 
	0x18a0, 0x3163, 0x0000, 0x0000, 0x1060, 0x41c3, 0x0881, 0x0800, 0x0821, 0x0820, 0x1080, 0x4080, 0x6860, 0x5a04, 0x7c0f, 0x9cd1, 
	0x7b4b, 0x7b6c, 0x940e, 0x00c0, 0x2aa4, 0x5c03, 0x3344, 0x2a81, 0x73a2, 0x2b06, 0x7c23, 0x2aa1, 0x72a0, 0xc200, 0x2040, 0x0800, 
	0x0000, 0x20a0, 0x3982, 0x52c8, 0x18a1, 0x1060, 0x10a1, 0xdc6f, 0x524c, 0x39c5, 0x52a8, 0xbd71, 0xce34, 0x28e1, 0xde76, 0xdeb5, 
	0x49cb, 0x3a24, 0x2181, 0x29c2, 0x2181, 0x1941, 0x2140, 0x29c1, 0x2181, 0x4aa4, 0x3a43, 0x3a01, 0x31a1, 0x4263, 0x4a25, 0x5284, 
	0x6ae4, 0x7283, 0x6a83, 0x9b87, 0x8b04, 0xe652, 0xf692, 0xd58e, 0xd58d, 0xddce, 0xfef4, 0xff57, 0xff15, 0xfef4, 0xfef3, 0xfe4b, 
	0xdb63, 0xac8a, 0xed27, 0xe5b1, 0x7264, 0x8b05, 0xddf2, 0xd44c, 0xe3c1, 0xcc8e, 0xd58d, 0xc50b, 0x6141, 0x5963, 0x59a5, 0x0820, 
	0x0840, 0x0841, 0x0841, 0x0000, 0x1061, 0x0820, 0x0800, 0xbb82, 0xbb60, 0xd4e1, 0xe444, 0xe344, 0x99a5, 0x5820, 0x1820, 0x4862, 
	0x41c6, 0x52c9, 0x72eb, 0x4a28, 0x5248, 0x7bcd, 0x81a0, 0x8a20, 0xba82, 0x7200, 0x39a4, 0x20c2, 0x1860, 0x6ac6, 0x41c5, 0x0041, 
	0x0861, 0x0020, 0x0840, 0x1040, 0x0000, 0x0840, 0x3123, 0x0020, 0x2880, 0x1040, 0x0000, 0x0820, 0x0820, 0x0821, 0x0000, 0x0000, 
	0x42e1, 0x3b03, 0x53c3, 0x4343, 0x2aa3, 0x5b41, 0x8425, 0x4b86, 0x8362, 0x5180, 0xba00, 0x2040, 0x1040, 0x0000, 0x41c6, 0x2905, 
	0x2906, 0x20a2, 0x1081, 0x0860, 0x20c1, 0x5a8b, 0x0860, 0x18c1, 0xb572, 0x9d13, 0x7b10, 0x630d, 0x7b33, 0x7311, 0xfffe, 0xffff, 
	0xfffe, 0xfffe, 0xfffe, 0xfffe, 0xfffe, 0xfffe, 0xfffe, 0xfffe, 0xfffe, 0xfffe, 0xffff, 0xfffe, 0xf79e, 0xffbe, 0xffde, 0xfffe, 
	0xfffe, 0xffbe, 0xffff, 0xffde, 0xffde, 0xffde, 0xfffe, 0xffde, 0xffdf, 0xffdf, 0xffff, 0xffbe, 0xfffe, 0xfffe, 0xffdf, 0xfffe, 
	0xffbe, 0xffde, 0xffdf, 0xffbe, 0xfffe, 0xfffd, 0xfffe, 0xfffe, 0xffdf, 0xf7be, 0xffff, 0xffdf, 0xffbe, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffdf, 0xffff, 0xefbe, 0xffdd, 0xffde, 0xffdf, 0xffbf, 0xfffd, 0xffde, 0xffff, 0xffff, 0xffdf, 0xffff, 0xffff, 0xffde, 
	0xffff, 0xffff, 0xffdf, 0xffde, 0xffdf, 0xffde, 0xffde, 0xffdf, 0xffde, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xffdf, 
	0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffde, 0xf7fe, 0xfffe, 
	0xf7fe, 0xffff, 0xfffe, 0xffde, 0xfffe, 0xfffe, 0xffbe, 0xfffe, 0xffdf, 0xffff, 0xffdf, 0xffdf, 0xffff, 0xffdf, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xffff, 0xffff, 0xffdf, 0xffde, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xffff, 
	0xffff, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xffdf, 0xffdf, 
	0xffff, 0xffff, 0xffff, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
	0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000
};
// 'Hanuman_JI', 128x100px
const uint16_t bitImageHanuman_JI [] PROGMEM = {
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0022, 0x7982, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0801, 0x0020, 0x0820, 0x71c3, 0xd346, 0xdb87, 0xd326, 
	0x6983, 0x0020, 0x0001, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0xeb23, 0xeb24, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x7a64, 0x0821, 0x6161, 0xeb45, 0xeb44, 0xf343, 0x81c3, 0x0020, 0x40c0, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf304, 0xc327, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x8a23, 0xeb24, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0002, 0x0000, 0x9245, 0xf324, 0xf324, 0xf324, 0xeb25, 0xeb24, 0x0841, 0xeb64, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xeb25, 0x0801, 0x0800, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x1800, 0xfb64, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0020, 0x0021, 0xf304, 0xeb43, 0xf324, 0xf324, 0x70c0, 0xf2e2, 0x1800, 0xe366, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xeb44, 0x0061, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x1000, 0xeb25, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0001, 0xd367, 0xeb24, 0xf324, 0xf324, 0xf304, 0x5840, 0xf324, 0xf363, 0xeb24, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xeb24, 0xf344, 0x0821, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0800, 0x1800, 0xf2e3, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0820, 0x9224, 0xf324, 0xf324, 0xf324, 0xf304, 0x4020, 0xeb25, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xe346, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xeb24, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0020, 0x2883, 0xf364, 0xf324, 0xf324, 0xf324, 0xf304, 0x2000, 0xf325, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb44, 0x6182, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xeb45, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0041, 0xaac5, 0xf324, 0xf323, 0xf323, 0xf324, 0xf303, 0x1000, 0xf324, 0xf324, 0xf323, 0xf324, 0xf324, 0xf323, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf304, 0x7a46, 0x0821, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0xeb43, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0840, 0xf323, 0xeb24, 0xf344, 0xf324, 0xf324, 0xf303, 0x0800, 0xeb24, 0xf323, 0xf344, 0xf324, 0xf324, 0xeb25, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0x1883, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0001, 0xeb24, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x2040, 0xf324, 0xeb24, 0xeb24, 0xeb24, 0xf324, 0xf324, 0x0021, 0xeb24, 0xf323, 0xeb04, 0xf324, 0xf324, 0xe346, 0xeb25, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xfb04, 0xdb87, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0001, 0xf344, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x2040, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb24, 0x0000, 0xf323, 0xf324, 0xf324, 0xeb24, 0xf324, 0xba84, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x2040, 0xf324, 0xf324, 0xfb24, 0xeb43, 0xf324, 0xf344, 0x0821, 0xf324, 0xeb44, 0xf344, 0xf324, 0xf324, 0x80a0, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0x48c0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x3860, 0xeb25, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x1000, 0xf324, 0xf324, 0xfb04, 0xeb85, 0xf324, 0xf2e3, 0x0801, 0xfb03, 0xeb43, 0xeb44, 0xf323, 0xeb25, 0x8140, 0xf323, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xd367, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x48e1, 0xeb25, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0800, 0xf324, 0xf324, 0xf304, 0xdb46, 0xf324, 0xf345, 0x0001, 0xf324, 0xf323, 0xe364, 0xeb24, 0xeb24, 0xb284, 0xeb24, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf325, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x2840, 0xf304, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0xf324, 0xf324, 0xeb24, 0xb284, 0xf323, 0xf323, 0x0020, 0xf344, 0xf323, 0xba84, 0xf323, 0xeb24, 0xdb67, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf304, 0x0042, 0x0020, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0xf2e3, 0xeb24, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0021, 0xf324, 0xf324, 0xeb24, 0x99c3, 0xf324, 0xeb02, 0x0000, 0xeb64, 0xf323, 0x91c3, 0xf323, 0xf324, 0xe367, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf325, 0x0000, 0x0021, 0x0020, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x38e1, 0x79e4, 0xdb87, 0xfb03, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0001, 0xf324, 0xf324, 0xeb24, 0x78e0, 0xf324, 0xe323, 0x0000, 0xe384, 0xf304, 0x68e0, 0xeb25, 0xf323, 0xe366, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb25, 0x1000, 0x81a3, 0x0800, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0xcb67, 0xe303, 0xba01, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0020, 0xeb24, 0xf324, 0xf324, 0x7101, 0xf304, 0xf324, 0x0000, 0xdb26, 0xeb24, 0x68e0, 0xf324, 0xeb24, 0xeb25, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf323, 0x0800, 0xf323, 0x0820, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0x0800, 0xa284, 0xeba7, 0xf344, 0xf303, 0xf324, 0xf304, 0xeb24, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0xeb24, 0xf324, 0xeb24, 0x8181, 0xf324, 0xeb45, 0x0000, 0xe366, 0xf304, 0x8183, 0xeb24, 0xe3c7, 0xeb25, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf323, 0x3880, 0xf304, 0x71a2, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0022, 0x0021, 0x71c1, 0xe344, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0xeba7, 0xf324, 0xf324, 0xaaa3, 0xf304, 0xe385, 0x0000, 0xd326, 0xeb03, 0xaa22, 0xf323, 0xaa86, 0xeb46, 0xf324, 0xf324, 
	0xf324, 0xf304, 0xf323, 0xeb43, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf343, 0xe3c6, 0xf324, 0xf365, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x9b69, 0xe3a6, 0xbb06, 0x0041, 0x3060, 0xeb24, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0xe366, 0xf324, 0xf323, 0xc346, 0xf304, 0xe365, 0x0000, 0xcb26, 0xf303, 0xbac4, 0xeb24, 0x58e0, 0xd366, 0xf324, 0xf324, 
	0xf324, 0xf304, 0xe2c4, 0xfb03, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb44, 0xf323, 0xf324, 0xf324, 0x0021, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0800, 0x3860, 0xeb04, 0xe324, 0x0021, 0xeb24, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0xe387, 0xf324, 0xf323, 0xdb67, 0xf304, 0xe365, 0x0000, 0xcb26, 0xeae3, 0xcb26, 0xeb24, 0x2000, 0x7160, 0xf304, 0xf324, 
	0xf324, 0xd327, 0xd3ca, 0xf344, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf323, 0xeb25, 0xf324, 0xf324, 0x3880, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x5902, 0xeb03, 0xcb88, 0xaae6, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0001, 0xe305, 0xeb24, 0xf324, 0xdb45, 0xeb23, 0xeb24, 0x0000, 0xe386, 0xeb24, 0xd366, 0xeb44, 0x1000, 0x1000, 0xf324, 0xeb25, 
	0xb2e5, 0x79e4, 0xf303, 0xf323, 0xf324, 0xeb87, 0x1000, 0xd347, 0xeb24, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xbb27, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0001, 0xeb45, 0xeb04, 0x48c0, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0xf324, 0xf324, 0xf324, 0xe365, 0xf324, 0xf304, 0x0041, 0xeb64, 0xeb45, 0xdb65, 0xeb24, 0x1000, 0x0001, 0xf323, 0xf304, 
	0x0000, 0xeb44, 0xeb44, 0xeb03, 0xaac6, 0x0020, 0x0000, 0x0800, 0xf303, 0xf303, 0xf324, 0xf324, 0xf324, 0xf324, 0xf344, 0x0800, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x7982, 0xeb44, 0xca83, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x9204, 0xf323, 0xf324, 0xf323, 0xe365, 0xdb46, 0xf323, 0x0000, 0xf344, 0xe365, 0xeb45, 0xf324, 0x3040, 0x0000, 0xf344, 0xfb24, 
	0x0021, 0xeb65, 0xf303, 0x6921, 0x1800, 0xdb86, 0x3040, 0x0821, 0x2000, 0xeba7, 0x9204, 0xd305, 0xf324, 0xf324, 0xf323, 0x0800, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3060, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x0000, 0x0020, 0x0821, 
	0xfae4, 0x5921, 0xeb43, 0xf324, 0xeb24, 0x8204, 0xeb23, 0x0820, 0xf324, 0x8a24, 0xeb23, 0xf324, 0x79a3, 0x0000, 0xc326, 0xeb04, 
	0x0000, 0xb308, 0x1000, 0x3060, 0xfb02, 0xf324, 0xf304, 0x6141, 0x0001, 0x40c0, 0xf324, 0xe323, 0xf324, 0xf324, 0xf324, 0x0021, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x72a8, 0x0000, 0x0001, 0x9a03, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0xc3c9, 0x0021, 0x0002, 0xd367, 
	0xeb85, 0xbb06, 0xf324, 0xf324, 0xfb24, 0x2020, 0xeb23, 0x1000, 0xeb25, 0x1820, 0xf304, 0xf324, 0xc346, 0x0801, 0x6162, 0x9aa6, 
	0x0000, 0x0000, 0x2000, 0xb327, 0x0800, 0x0801, 0x5903, 0xd325, 0x9286, 0x2800, 0xa222, 0xeb24, 0xf324, 0xf324, 0xf324, 0x0001, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1800, 0x1021, 0x0800, 0xeb86, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0x4080, 0x0000, 0x8265, 
	0x2861, 0xeb03, 0xf304, 0xf324, 0xf303, 0x0020, 0xfb02, 0x4040, 0xf304, 0x0820, 0xf304, 0xeb43, 0xd368, 0x0000, 0x3060, 0x0020, 
	0x0000, 0x0000, 0x0820, 0x0000, 0x0020, 0x0800, 0x0021, 0x0800, 0xcb46, 0xf303, 0xeb04, 0xf303, 0xf324, 0xf324, 0xf324, 0x0021, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x3060, 0x0022, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xe3c7, 0x0000, 0x0000, 
	0x1020, 0xd346, 0xf324, 0xf324, 0xf345, 0x3040, 0xe386, 0xeb23, 0xeb45, 0x1840, 0xf323, 0xf345, 0x4860, 0x0000, 0x0840, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1800, 0xdb85, 0xf303, 0xf324, 0xeb44, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0xc326, 0x1840, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1000, 0xf365, 0x0020, 
	0x0001, 0x0841, 0xeb86, 0xf324, 0xeb25, 0xdb65, 0x0800, 0xcb47, 0x0800, 0xd366, 0xf324, 0xf303, 0x0800, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0021, 0x1800, 0xe3c8, 0xf304, 0xf304, 0xf303, 0xf323, 0xeb24, 0xf2e2, 0xf324, 0xf324, 0xe345, 0xeb23, 0x0800, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0xeb66, 0xe347, 0xeb24, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0001, 0xb346, 0xb2e5, 
	0x0820, 0x0000, 0x0021, 0xeba7, 0xeb04, 0xf344, 0x0840, 0x0820, 0x0841, 0xeb44, 0xeb03, 0xeb24, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0001, 0x2020, 0xf3a7, 0xfb05, 0xf386, 0x6961, 0x1800, 0x1020, 0x5983, 0x7a46, 0xeb66, 0xeb24, 0xf324, 0xd367, 0x5100, 0x0021, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0020, 0xc326, 0xf324, 0xeb43, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1000, 0x1000, 0x0000, 0x0800, 0x0800, 0x0820, 0xe2e3, 
	0x9245, 0x0021, 0x0020, 0x0801, 0x99e4, 0xeb24, 0xf325, 0xdb68, 0xeb25, 0xf324, 0xf343, 0x5a04, 0x0800, 0x0000, 0x0021, 0x2880, 
	0xeb44, 0xf324, 0x81e3, 0x0840, 0x0800, 0x69a3, 0xb325, 0xeb23, 0xdb66, 0xcb24, 0xf324, 0xf324, 0xf323, 0xe3a7, 0x0000, 0x0000, 
	0x0000, 0x0001, 0x0000, 0x48e1, 0xe366, 0xeb65, 0xd367, 0x1000, 0xdb87, 0xeb24, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xeb44, 0xeb24, 0x0800, 0x0000, 0x0020, 0x0020, 0x40c1, 
	0xf325, 0xeb65, 0x40c1, 0x0020, 0x0800, 0xfb24, 0xf324, 0xf324, 0xf324, 0xf324, 0xe366, 0x0800, 0x0002, 0x48a0, 0xdba6, 0x3040, 
	0x0000, 0x0020, 0x0001, 0x0801, 0xeb85, 0xeb45, 0x2020, 0xfb24, 0xaa85, 0xf345, 0xf324, 0xf324, 0xf324, 0x9ac5, 0x0000, 0x0000, 
	0x0800, 0x0020, 0xe3c8, 0xeae4, 0xeb24, 0xeb24, 0xeb24, 0xeb04, 0x3040, 0xe364, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xf326, 0xb243, 0x0000, 0xdb67, 0xdba8, 0x0800, 0x0840, 
	0xaaa5, 0xeb03, 0xf303, 0x0801, 0x0801, 0xcb47, 0xf304, 0xf323, 0xf324, 0xf324, 0xaa63, 0x0000, 0x0020, 0x0861, 0x0800, 0x0802, 
	0x0800, 0x69c2, 0x1000, 0x1000, 0xeb65, 0xf326, 0x1020, 0xf345, 0x50c0, 0xe344, 0xf324, 0xf324, 0xf324, 0x1800, 0x0000, 0x0000, 
	0x0020, 0x9a43, 0xf303, 0xeb23, 0xa284, 0x3860, 0xbb06, 0xf304, 0xeae3, 0x0022, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x6141, 0xe386, 0x0001, 0xeb04, 0xf325, 0xe303, 0x2880, 
	0x0021, 0x48a0, 0xfb02, 0xe3a7, 0x0000, 0x0000, 0xdb26, 0xf324, 0xf324, 0xf2e4, 0x1000, 0x0000, 0x0000, 0x0020, 0x0020, 0x0041, 
	0xeb45, 0xf345, 0x40e1, 0x0042, 0xeb24, 0xdb47, 0xd347, 0xf304, 0x1800, 0xe345, 0xf324, 0xf324, 0xf304, 0x0000, 0x0000, 0x0000, 
	0x0021, 0xeb03, 0xe387, 0x0021, 0x0000, 0x0000, 0x0821, 0x50c1, 0xeb24, 0x79c3, 0xeb46, 0xf304, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1000, 0xab07, 0x81a3, 0x40c0, 0x1000, 0x0020, 
	0x0000, 0x0000, 0x1000, 0xc346, 0x1000, 0x0801, 0x3880, 0xe2a2, 0xf304, 0xeae3, 0x89e3, 0x0000, 0x0000, 0x0820, 0x2020, 0xeb64, 
	0x2820, 0x2860, 0x6920, 0xa2a5, 0x4860, 0xdb84, 0xeb24, 0xe343, 0x0000, 0xcb05, 0xf324, 0xf324, 0xeb85, 0x0000, 0x0000, 0x0000, 
	0x3040, 0xe365, 0x1021, 0x0800, 0x0020, 0x0800, 0x1000, 0x0021, 0xeb03, 0xf385, 0xaaa5, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0xd3a7, 0xf324, 0xf324, 0xf323, 0xeb25, 0x7aa9, 0x0000, 0x5941, 0xf2e2, 0xf303, 
	0xf324, 0xf323, 0xf324, 0xeb25, 0xf304, 0xeb04, 0xfb03, 0x2000, 0x0020, 0x81a3, 0xf324, 0xf324, 0x7182, 0x0800, 0x0000, 0x0000, 
	0xc306, 0x58e0, 0x0021, 0x0000, 0xbb67, 0xeb23, 0xf324, 0x8a24, 0xeb64, 0xeb04, 0x48e2, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0xe2e3, 0xf344, 0xf304, 0x81e2, 0x0820, 0x0001, 0x0821, 0x0001, 0x82e7, 
	0xaae5, 0x7162, 0x3820, 0x48e1, 0xa284, 0xeb86, 0x9a64, 0x0001, 0x0020, 0x1000, 0xf322, 0xeb24, 0x1000, 0x0000, 0x0000, 0x0000, 
	0xeb25, 0x0020, 0x0000, 0x0800, 0xf303, 0xeb24, 0xf324, 0xf303, 0xeba6, 0xf324, 0x40a1, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0001, 0xbac6, 0xf324, 0xf304, 0xeb64, 0x0022, 0x4881, 0x3040, 0x0020, 0x0021, 0x0800, 
	0xdb46, 0x2820, 0xbb07, 0xf2e2, 0xe325, 0xeae3, 0xe385, 0x79a1, 0x1021, 0x0801, 0xf303, 0xf304, 0x0000, 0x0000, 0x0000, 0x0000, 
	0xf343, 0x0802, 0x0800, 0x0800, 0xf324, 0xf324, 0xfb04, 0xeb04, 0xe385, 0xf324, 0x71a3, 0xeb24, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xfb03, 0xf324, 0xf304, 0xeb84, 0x4901, 0xfb04, 0xfb23, 0xe385, 0x2000, 0x0000, 
	0x0061, 0xeba6, 0xeae3, 0xd348, 0x5040, 0xeba7, 0xeb04, 0xeb23, 0xeae3, 0xeb45, 0x9a44, 0xeb43, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x2800, 0x1800, 0x0001, 0x0800, 0xf324, 0xf324, 0xeb24, 0xeb43, 0xe302, 0xf324, 0xcb47, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xf324, 0xf324, 0xf324, 0xf306, 0xeb03, 0xf324, 0xf324, 0xf324, 0xf303, 0xebc5, 
	0x1820, 0x0820, 0xd366, 0xeb45, 0xeb44, 0xeb03, 0xd306, 0xba23, 0xf324, 0xf323, 0xfb04, 0xf345, 0x40e1, 0x0000, 0x0000, 0x2020, 
	0xe365, 0xe322, 0x0801, 0x0000, 0xf324, 0xf324, 0xf324, 0x8121, 0xf2e6, 0x6961, 0xeb04, 0xf304, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0xeb43, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb24, 
	0xfb23, 0xeb45, 0x3880, 0x4901, 0xeb03, 0xf324, 0xf324, 0xf324, 0xeb04, 0xeb04, 0xf324, 0xf324, 0xe3a6, 0x0020, 0x0000, 0x9285, 
	0xeb24, 0xf304, 0x1800, 0x0000, 0xeb24, 0xf324, 0xe386, 0xeae3, 0xfb05, 0x9a24, 0xf304, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1820, 0xeb43, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf304, 
	0xf324, 0xf323, 0xf323, 0xfb63, 0xe3a7, 0x7140, 0x6080, 0xd2e4, 0xf324, 0xf324, 0xf324, 0xf324, 0xf323, 0x0040, 0x0000, 0xeb86, 
	0xf323, 0xdbc9, 0x0021, 0x0801, 0xf324, 0xeb05, 0xf385, 0xe2c3, 0x1820, 0xeb24, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x38a0, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf305, 0x0800, 0x0000, 0xf2e3, 
	0x9204, 0x0800, 0x0000, 0x0800, 0xeb23, 0xeb03, 0xe3a6, 0x0000, 0x0020, 0x0020, 0x3040, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x9224, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf304, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0x71a3, 0x0001, 0xf324, 
	0xaac5, 0x0800, 0x0041, 0x0800, 0xf324, 0x81c4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3040, 0xeb24, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xdb47, 0xf304, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb04, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf323, 0x99e2, 0x0021, 0xeb24, 
	0xeb43, 0x1062, 0x1000, 0xeb66, 0x3060, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0xf386, 0xeb24, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x48e1, 0xeb23, 0xf324, 0xf324, 0xf324, 0xeb45, 0xdb67, 0xe345, 0xeb45, 0xf324, 0xf304, 0xf324, 
	0xb244, 0xcb66, 0xeb24, 0xf304, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0x50a0, 0x0000, 0xf324, 
	0xfb02, 0xeb24, 0xf343, 0x9283, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xf305, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0820, 0xeae2, 0xeb44, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0x40c0, 0xf323, 0xf323, 0xf324, 0xf304, 
	0xeb23, 0xe365, 0x1800, 0xcb67, 0xf304, 0xeb25, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0x0800, 0x0020, 0x40c0, 
	0xf303, 0xeb25, 0xe345, 0x0001, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x71c3, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0063, 0x7982, 0xeb85, 0xf323, 0xf324, 0xf323, 0xe343, 0xc326, 0x1020, 0xe345, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf323, 0xeb66, 0x2841, 0x1020, 0xc388, 0xeb03, 0xf324, 0xf323, 0x81e3, 0xaac6, 0xf2e3, 0xeb23, 0x0040, 0x0800, 0x48c0, 
	0xeb43, 0xeb45, 0x1000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1840, 0x2000, 0x0020, 0x0800, 0x0021, 0x0800, 0x79a3, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0021, 0x5922, 0x2000, 0x0020, 0x0022, 0x61a3, 0x0800, 0x0022, 0x0820, 0x9224, 0xfb03, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xd366, 0x0041, 0x0000, 0x0040, 0xbb26, 0xf302, 0x0800, 0x0002, 0x0800, 0x1000, 0x0800, 0x0020, 0xdb86, 
	0xf305, 0xb306, 0x0001, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0x1000, 0xf303, 0x3880, 0x0042, 0x0800, 0x9a64, 0xeb44, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0800, 0x0000, 0xeba6, 0xf324, 0xf324, 0xf345, 0x1000, 0x1000, 0x0001, 0xeb66, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0x50c1, 0x0000, 0x0000, 0x0001, 0x0820, 0xbbca, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0xc2e4, 0x0041, 0x0040, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xeb24, 0xeb44, 0xeb23, 0xeb24, 0xf324, 0xeb24, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0001, 0xd3c9, 0xeae2, 0xf324, 0xf324, 0xf364, 0xeba7, 0x0021, 0x4080, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xeb03, 0x1041, 0x0000, 0x0000, 0x0021, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x38c1, 0x3840, 0x2000, 0x0800, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xaae5, 0x1000, 0x0800, 0x0800, 0x3020, 0xeb25, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 
	0x3040, 0xf344, 0xf324, 0xf324, 0xf324, 0xfb04, 0xf303, 0x0800, 0xcb88, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf304, 0xaa43, 0x1000, 0x0000, 0x0000, 0x0040, 0x0020, 0x0000, 0x0000, 0x0000, 0x1000, 0x0000, 
	0x0000, 0x0800, 0xeac2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0821, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0xeb65, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0x0000, 0xe346, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb85, 0x1000, 0x0820, 0x1840, 0x5184, 0x0000, 0x0000, 0x0000, 0xcb46, 0x0020, 
	0x0000, 0x0000, 0xa285, 0x9265, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x6981, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 
	0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf304, 0x0020, 0xf344, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xa1c1, 0xeb05, 0xf324, 0xf324, 0xa2a4, 0x0000, 0x0000, 0x0000, 0xf322, 0x0000, 
	0x0000, 0x0000, 0x1000, 0xf344, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x81a1, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0x0020, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xa1e2, 0xfb44, 0xf324, 0xeb44, 0xa2a4, 0x0000, 0x0000, 0x0020, 0xf303, 0x0000, 
	0x0000, 0x0000, 0x0000, 0xe304, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x38a0, 0x0841, 0x0000, 0x0000, 
	0x0001, 0xeb24, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xdb87, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf304, 0x1000, 0xf303, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xdb25, 0xf303, 0xf324, 0xf304, 0x7a03, 0x0000, 0x0000, 0x0000, 0xeb04, 0x0860, 
	0x0000, 0x0000, 0x3840, 0xf304, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0xdbe7, 0x0000, 0x0000, 
	0x0000, 0x2840, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xe366, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb03, 0x0800, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb85, 0xf323, 0xeb45, 0xf366, 0x1800, 0x0000, 0x0000, 0x0000, 0xd345, 0xe3a8, 
	0x0820, 0x0820, 0xdaa2, 0x9202, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0x2040, 0x0020, 
	0x0020, 0x6182, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0001, 0x0020, 0x0801, 
	0x2060, 0xeb65, 0xf304, 0xf324, 0xf324, 0xf324, 0xf303, 0x0820, 0xeb64, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xe364, 0xeb24, 0x2020, 0x5961, 0x0020, 0x0000, 0x0000, 0x0000, 0x1000, 0xf343, 
	0xf304, 0xfb23, 0xf324, 0x0801, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0xdba7, 0x6941, 
	0xcb86, 0xeb43, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x1800, 0xf323, 0xe387, 0x6922, 
	0x0800, 0x0820, 0xf304, 0xf324, 0xf324, 0xf324, 0xf303, 0x0000, 0xdb86, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xe364, 0xf365, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0841, 0xdb87, 
	0xf303, 0xeb04, 0x4080, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1000, 0xeb43, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0821, 0xeb03, 0xeb23, 0xf365, 0xeae3, 
	0xeb24, 0xeb44, 0xfb03, 0xf324, 0xf324, 0xf323, 0xf323, 0x0000, 0xbb27, 0xf324, 0xf324, 0xf323, 0xf324, 0xf324, 0xf303, 0xeb23, 
	0xeb24, 0xf324, 0xf323, 0xeb25, 0xf324, 0xf324, 0x9182, 0x6981, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0800, 0x0001, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0xeb25, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1000, 0xe387, 0x3860, 0x0800, 0x1000, 
	0xbb05, 0xf323, 0xeb23, 0xf324, 0xf324, 0xf323, 0xebe7, 0x0020, 0x2820, 0xf324, 0xf324, 0xeb44, 0xf323, 0xeb85, 0x8982, 0x50c1, 
	0x50c1, 0x79e2, 0xeb66, 0xf343, 0xeb24, 0xf324, 0x99e1, 0x0800, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0001, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1040, 0x0020, 0x0000, 0x0000, 0xc306, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x6983, 0xeb65, 0xeb04, 0x0800, 0xa263, 0x0022, 0xdb25, 0xeb24, 0xab07, 0x0800, 0x0000, 0x0821, 0x0800, 
	0x0001, 0x0000, 0x0001, 0xc262, 0xeb25, 0xeb43, 0xdb01, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0801, 0x0800, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0xc2c4, 0x2820, 0x0000, 0x0020, 0x8a02, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1041, 0x0820, 0xf304, 0x6121, 0x0821, 0x0842, 0x0841, 0xab28, 0xf364, 0xf323, 0xf324, 
	0x3880, 0x0000, 0x0800, 0xeba6, 0xeb23, 0x9120, 0xbb07, 0x0021, 0x0000, 0x0000, 0x0000, 0x0020, 0x0841, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0xf345, 0xe345, 0x0000, 0x0000, 0xc2e6, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x79e2, 0xf2e3, 0xf304, 0xfb03, 0xeb65, 0xcb46, 0xf344, 0xf304, 0xf324, 0xf324, 0xeb24, 
	0x48e1, 0x0800, 0x0021, 0xcb24, 0xeb22, 0xeb44, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x9a64, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xbb07, 0xf325, 0xfb23, 0x0000, 0x0020, 0xf322, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x1800, 0xb306, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x1000, 0x0800, 0x2000, 0x3840, 0xf325, 0x81c3, 0x0001, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xeba4, 0x0021, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0x1800, 0x0000, 0x0000, 0x0000, 0xe365, 0xf304, 0x7182, 0x0001, 0xaaa6, 0xf323, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0xc387, 0xf303, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf303, 
	0x0000, 0x0000, 0xe344, 0x3080, 0xf324, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xf323, 0x0800, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0821, 0xe365, 0x0000, 0x0000, 0x0000, 0xeb44, 0xeb03, 0x0001, 0x0021, 0xf344, 0xf304, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x30e2, 0x936a, 0x92a5, 0x30a0, 0x1000, 0x0800, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x1020, 0xeb24, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb43, 0xf344, 0xbae6, 
	0x0001, 0xb305, 0xe3a7, 0x1020, 0xeb85, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xeb43, 0x0800, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0xf304, 0x0040, 0x0020, 0x0020, 0xe345, 0xfb22, 0x0000, 0x0841, 0x4080, 0xeb44, 
	0xf325, 0xf304, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0800, 0x2860, 0xcb45, 0xeb85, 0x92a4, 0x1820, 0x0000, 0x0020, 
	0x0000, 0x0000, 0x0000, 0x5100, 0xf302, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeae3, 0x1000, 
	0x7982, 0xe344, 0x1800, 0x0022, 0xab6a, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xeb43, 0x8a43, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xdb67, 0x58c0, 0x0000, 0x0020, 0x6941, 0xf324, 0x5900, 0x0801, 0x0800, 0x0841, 
	0xbb06, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0x0001, 0x1800, 0xcb86, 0xeb43, 0xeba6, 
	0x6982, 0x0800, 0x0020, 0x0800, 0x9a64, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf305, 0xdb65, 0x81e3, 
	0xeb43, 0xeb45, 0x0861, 0x0801, 0x0002, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xf303, 0xf365, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0001, 0xdba6, 0x0800, 0x0000, 0x0001, 0xd387, 0xeb04, 0xf303, 0xf324, 0xfb23, 
	0xeb44, 0x9a43, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0821, 0x1820, 
	0xb2c5, 0xf343, 0xeb24, 0xeb64, 0xb327, 0xa160, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb03, 0xaa85, 0xf2e4, 
	0xf303, 0x2820, 0x0001, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xfb45, 0xeb04, 0x0020, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0001, 0x0841, 0x0000, 0x0000, 0x0000, 0x3880, 0xf304, 0xf324, 0xf324, 
	0xeae2, 0xe344, 0xe365, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 
	0x0020, 0x0021, 0x0800, 0x1820, 0x89e2, 0xd366, 0xeb45, 0xeb24, 0xeb25, 0xf324, 0xf324, 0xf324, 0xf324, 0xeac3, 0xeb25, 0xf2e5, 
	0xe366, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1000, 0xf325, 0xeb04, 0x0800, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0x1820, 0xf323, 0xf324, 0xf324, 
	0xf324, 0xf323, 0x2000, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0821, 0x6961, 0xdb66, 0xeb63, 0xfb04, 0xf325, 0xf344, 0xeb26, 0xf303, 0xf304, 0xf323, 
	0x0800, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xaaa5, 0xf324, 0xf324, 0x2040, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2000, 0xf304, 0xeb24, 
	0xf324, 0xf324, 0x6100, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0021, 0x2040, 0xe3c6, 0xcb46, 0x71a3, 0x48e1, 0x2860, 0x0800, 0x50c0, 0xeb47, 0x6161, 0xb306, 0xeb23, 0x40a0, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0xf324, 0xf324, 0xf324, 0x1020, 0x0800, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0001, 0x0000, 0xeb86, 0xeb25, 
	0xf324, 0xf324, 0xb2e5, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0020, 0x1820, 0x8ac6, 0x0800, 0x0020, 0x0000, 0x0020, 0x0000, 0x69e4, 0x69c4, 0x1000, 0x0800, 0xdb87, 0xeb44, 0x9ac6, 0x0800, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0xb284, 0xf323, 0xf324, 0xf324, 0x1000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x5941, 0xeb44, 
	0xf324, 0xf324, 0xdba6, 0xeb24, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 
	0x62aa, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x0001, 0x0021, 0x0801, 0x1821, 0xf365, 0xeb24, 0xdbc8, 0x0001, 0x0020, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1800, 0xf2c2, 0xeb25, 0xf324, 0xf324, 0x1000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0xf323, 
	0xf324, 0xf324, 0xe386, 0xeb24, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x48c0, 0xfb43, 0xf325, 0xc326, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0040, 0xeb64, 0xeb45, 0xf323, 0xf324, 0xf324, 0x1000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0001, 0xf324, 
	0xf324, 0xf324, 0xeb25, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0821, 0xb2c6, 0xeb43, 0xf304, 0x8a66, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0xd386, 0xeb04, 0xf324, 0xf324, 0xf324, 0xf324, 0x0820, 0x20a1, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xcb26, 
	0xf324, 0xf324, 0xf386, 0xeb24, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1020, 0xeb66, 0xeb24, 0xfb04, 0x2000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x9aa7, 0xf324, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0x0000, 0xdbc8, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2040, 
	0xf324, 0xf324, 0xf366, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0xeb65, 0xf324, 0xe386, 0x0820, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0002, 0x9a05, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf325, 0xf322, 0x0000, 0xf344, 
	0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0801, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0800, 0x0820, 0xf2e2, 0xf325, 0x6963, 0x0001, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1000, 0xeae3, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xe323, 0x0840, 0xf343, 
	0x0800, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0020, 0x0000, 0xdae4, 0xf344, 0x1000, 0x0000, 0x0800, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x81c4, 0xeb24, 0xf325, 0xf324, 0xf324, 0xf324, 0xf324, 0xf323, 0xdb86, 0x38c1, 0xf305, 
	0xd326, 0x1820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0001, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x1000, 0xe2e3, 0xc347, 0x0820, 0x0000, 0x0000, 0x0000, 0x0001, 0x0000, 0xaae5, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0801, 0x0801, 0x2840, 0xe387, 0x0000, 0xe324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf304, 0x50e0, 0xe366, 0xeb23, 
	0x99c2, 0x30a0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 
	0xeb64, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x1000, 0xeb04, 0x7142, 0x0001, 0x0000, 0x0000, 0x0000, 0x0020, 0x1820, 0xe364, 0x0000, 0x0820, 0x1820, 0x40a0, 0xbb06, 
	0xe366, 0xe324, 0xf322, 0xcb25, 0x0800, 0xf325, 0xf304, 0xf304, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0x1000, 0xf324, 0xf323, 
	0x70c0, 0x30a0, 0x0000, 0x0000, 0xdb66, 0x0041, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0001, 
	0xe344, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0820, 0xe304, 0x2000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0840, 0x48c0, 0xf385, 0x4080, 0xe385, 0xe324, 0xf304, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xeb24, 0x0800, 0xdb46, 0xf322, 0xf323, 0xf366, 0xeb24, 0xf323, 0xf324, 0xf324, 0xe3c7, 0xeba8, 0xf324, 0xf324, 
	0xba22, 0x1000, 0x0000, 0x0000, 0xaa64, 0x0020, 0xdb85, 0x1000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x69c4, 0x4060, 0x1000, 0x0800, 0x81e3, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0040, 
	0xeae4, 0x2020, 0x0001, 0x0000, 0x0000, 0x0000, 0x0000, 0x9a64, 0xf304, 0xf323, 0xeb25, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xeb44, 0x1020, 0xf323, 0xf324, 0xeb25, 0x50a0, 0xf304, 0xeb43, 0xf324, 0xe323, 0x6121, 0xeb24, 0xf324, 0xf324, 
	0xf324, 0x0821, 0x0000, 0x0000, 0x48e1, 0x1000, 0xeb45, 0xf323, 0x9203, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x1820, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0xeb65, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0xcb47, 0xf365, 0xf304, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf304, 0xeb43, 0x5100, 0xe343, 0xf324, 0xf324, 0xeb45, 0x58e0, 0xf324, 0xf323, 0xf324, 0xda81, 0xf303, 0xf304, 0xf324, 0xf324, 
	0xf303, 0x0000, 0x0000, 0x0000, 0x1020, 0x3060, 0xdb67, 0xf304, 0xf324, 0xeb85, 0x1000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0xdb65, 0xf304, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0001, 0xdba6, 0x2000, 
	0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x2820, 0xf2e2, 0xa2a6, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf304, 
	0xf323, 0xf305, 0x2020, 0xf304, 0xf324, 0xf324, 0xf305, 0xe345, 0xdbc8, 0xf304, 0xf324, 0xf324, 0xf304, 0xf324, 0xf324, 0xf324, 
	0xdba6, 0x0820, 0x0000, 0x0000, 0x0000, 0x79a2, 0xa284, 0xeb04, 0xf324, 0xeb03, 0xf324, 0x60e1, 0x0001, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1800, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x5921, 0x3861, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0020, 0x0841, 0xbae6, 0x0000, 0xe385, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xfb03, 
	0xf304, 0x2820, 0xf323, 0xf304, 0xf324, 0xf324, 0xf324, 0xeb64, 0x0800, 0xeb03, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x2840, 0x0000, 0x0000, 0x0000, 0x0000, 0xc305, 0x6161, 0xeb24, 0xeb24, 0xf304, 0xf324, 0xf2e3, 0xd386, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0x0000, 0x0001, 0xf323, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0001, 0x0801, 0xa2a5, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0021, 0xbb06, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf304, 
	0xd366, 0xd388, 0xf303, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0x0041, 0xeb45, 0xf304, 0xf323, 0xf324, 0xf324, 0xf323, 0xeb04, 
	0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0xe367, 0x3880, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf345, 0xe366, 0x0820, 0x0801, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0x7309, 0x1800, 0x1020, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0xdbe7, 0x0021, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0xb2c5, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb24, 
	0x40e1, 0xeb05, 0xf324, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0x1820, 0x2820, 0xfb04, 0xf323, 0xf324, 0xf324, 0xeb24, 0x5901, 
	0x0000, 0x0020, 0x0000, 0x0000, 0x0800, 0xe345, 0x3040, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf303, 0x2020, 
	0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1000, 0xe365, 0xeb03, 0xf324, 0xf304, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0x2000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0001, 0x0000, 0x0000, 0xa2a5, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xfb04, 0xeb24, 0xeb03, 0xf304, 0x1000, 
	0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xaac6, 0x0020, 0xeb23, 0xf324, 0xf324, 0xf323, 0xeb24, 0x0021, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0xe344, 0x3060, 0xfb04, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf344, 
	0x48c1, 0x0000, 0x0001, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0840, 0x2040, 0xeb87, 0xf344, 0xf323, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xc367, 0x0021, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0042, 0x79c3, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb24, 0xf344, 0xeb44, 0x2020, 0xeb24, 
	0xf304, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb25, 0x0000, 0x4080, 0xf324, 0xf324, 0xf324, 0x1800, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x2820, 0xe366, 0x5901, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0x6122, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0821, 0x48c0, 0xf302, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xab47, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x4060, 0xf324, 0xeb25, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb03, 0x3000, 0xeb03, 0xf323, 
	0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xfb03, 0x0041, 0x0001, 0xf304, 0xf324, 0xab27, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x7182, 0xd367, 0x9224, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf323, 0xfb44, 0x9aa7, 0x0001, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1000, 0x0840, 0x0021, 0x50a0, 0xeae3, 0xf304, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0020, 0x2040, 0xfb24, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xfb04, 0xf323, 0xf342, 0x2860, 0xeb24, 0xf324, 0xf304, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb25, 0x38a0, 0x0020, 0x81a2, 0xeba6, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0xc346, 0x9a65, 0xd366, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf304, 0xeb04, 0xf324, 0xf324, 0xf304, 0xf304, 0xeb24, 0xf323, 0xfb24, 0xf303, 0xeb64, 0xf2e3, 0xf304, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0820, 0xeb24, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xfb04, 0xf2e4, 0xdba8, 0xeb25, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb65, 0x0020, 0x0021, 0x0820, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0xeb45, 0x40a1, 0xe365, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf323, 0xf304, 0xf324, 0xf324, 0xf324, 0xf304, 0xf2e4, 0xeb44, 0xf305, 0xf323, 0xf344, 0xeb05, 0xf304, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 
	0xe386, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf323, 0xf323, 0xf323, 0xf324, 0xf324, 0xf304, 0xf324, 
	0xeb23, 0xf323, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb43, 0xf304, 0x0800, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0020, 0xf305, 0x1000, 0xe305, 0xeb24, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf303, 0xf303, 0xf323, 0xeb24, 0xeb24, 0xf344, 0xf304, 0xdb26, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x79c3, 
	0xeb24, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf323, 0xeb44, 0xe345, 0xeb24, 0xeb03, 0xf323, 0xf323, 
	0xf304, 0xfb05, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf323, 0xe324, 0x0800, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0820, 0xf303, 0x0020, 0xf304, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb24, 0xf344, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xd241, 0xf345, 0xf324, 0xeb24, 0x6060, 0xeb23, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xeb24, 0xeb44, 0xeb65, 0xdb46, 0x6922, 0x2820, 
	0x2880, 0x6942, 0xb2a4, 0xfb85, 0xf324, 0xeb24, 0xf325, 0xf324, 0xe366, 0x0821, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x50c0, 0xf325, 0x0040, 0xf304, 0xf323, 0xf303, 0xeb24, 0xe3a4, 0xdb46, 0xba84, 0xaa04, 0x9121, 0xda83, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xda62, 0xeb03, 0xf324, 0xdba7, 0xf343, 0xeb43, 
	0xeb24, 0xf303, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0801, 0xe3a7, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf304, 0xf324, 0xeb23, 
	0xeb44, 0xdb87, 0x2820, 0x0000, 0x0800, 0xb305, 0xf302, 0xb2a4, 0x0000, 0x0022, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 
	0x0000, 0x0000, 0x0000, 0xeb86, 0xeb45, 0x40c1, 0xcb27, 0x1000, 0x0841, 0x38a0, 0xe3a6, 0xf324, 0xf324, 0xfb04, 0xf324, 0xf324, 
	0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xe366, 0xf304, 0xf325, 0xeb44, 0xf304, 
	0xdb66, 0xeb04, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324, 0xf324
};
// 'hanuman_ji', 128x100px
const uint16_t bitImagehanuman_ji [] PROGMEM = {
	0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2945, 0x2965, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 
	0x4208, 0x4228, 0x4a49, 0x4a49, 0x4a69, 0x528a, 0x52aa, 0x5acb, 0x5acb, 0x5aeb, 0x5aeb, 0x5aeb, 0x630c, 0x630c, 0x632c, 0x6b4d, 
	0x6b4d, 0x6b6d, 0x738e, 0x738e, 0x73ae, 0x7bcf, 0x8410, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x94b2, 0x94b2, 0x9cd3, 0x9cf3, 
	0xa514, 0xa514, 0xa534, 0xa534, 0xad55, 0xad55, 0xad55, 0xad55, 0xad55, 0xad55, 0xa534, 0xad55, 0xa534, 0xa534, 0xa534, 0xa514, 
	0xa514, 0x9cf3, 0xa514, 0xa514, 0xa514, 0xa514, 0xa514, 0xa534, 0xa534, 0xa534, 0xa514, 0x9cf3, 0x94b2, 0x94b2, 0x9492, 0x8c71, 
	0x8430, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x6b6d, 0x6b4d, 0x6b4d, 0x632c, 0x632c, 0x632c, 0x632c, 0x632c, 0x632c, 0x630c, 0x630c, 
	0x632c, 0x632c, 0x630c, 0x632c, 0x632c, 0x630c, 0x5aeb, 0x5aeb, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4208, 
	0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x3186, 0x3186, 0x3186, 0x3186, 0x3186, 0x3186, 
	0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 
	0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x52aa, 0x52aa, 0x5acb, 0x5aeb, 0x5aeb, 0x5aeb, 0x630c, 0x632c, 0x632c, 0x6b4d, 0x6b4d, 
	0x6b6d, 0x738e, 0x738e, 0x73ae, 0x7bcf, 0x7bef, 0x7bef, 0x8430, 0x8430, 0x8c71, 0x8c71, 0x94b2, 0x94b2, 0x9cd3, 0xa514, 0xa514, 
	0xa534, 0xa534, 0xad55, 0xad55, 0xad55, 0xad75, 0xad75, 0xad55, 0xad75, 0xad75, 0xad75, 0xad75, 0xad55, 0xad55, 0xad55, 0xa534, 
	0xa534, 0xa534, 0xa514, 0xa514, 0xa534, 0xa534, 0xad55, 0xa534, 0xa534, 0xa534, 0xa534, 0xa514, 0x9cf3, 0x9cd3, 0x9492, 0x8c71, 
	0x8c71, 0x8430, 0x8410, 0x7bef, 0x73ae, 0x738e, 0x6b6d, 0x6b6d, 0x6b4d, 0x6b4d, 0x6b4d, 0x6b4d, 0x632c, 0x632c, 0x632c, 0x632c, 
	0x6b4d, 0x6b4d, 0x6b4d, 0x632c, 0x632c, 0x632c, 0x630c, 0x630c, 0x5aeb, 0x5aeb, 0x52aa, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4a49, 
	0x4208, 0x4228, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x3186, 0x3186, 0x3186, 0x3186, 0x3186, 0x3186, 
	0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x4208, 
	0x4228, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x52aa, 0x52aa, 0x5acb, 0x5aeb, 0x630c, 0x630c, 0x632c, 0x632c, 0x6b4d, 0x6b6d, 0x6b6d, 
	0x738e, 0x73ae, 0x7bcf, 0x7bcf, 0x7bef, 0x7bef, 0x8410, 0x8c51, 0x8c51, 0x8c71, 0x94b2, 0x94b2, 0x9cd3, 0x9cf3, 0xa514, 0xad55, 
	0xad55, 0xad55, 0xad75, 0xad75, 0xad75, 0xb596, 0xb596, 0xb596, 0xb596, 0xad75, 0xad75, 0xad75, 0xad75, 0xad75, 0xad55, 0xad55, 
	0xa534, 0xa534, 0xa534, 0xa534, 0xad55, 0xad55, 0xad55, 0xad55, 0xad75, 0xad55, 0xad55, 0xa514, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 
	0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bcf, 0x73ae, 0x738e, 0x738e, 0x6b6d, 0x6b6d, 0x6b6d, 0x6b6d, 0x6b6d, 0x6b6d, 0x6b4d, 0x6b4d, 
	0x6b6d, 0x6b6d, 0x6b4d, 0x6b6d, 0x6b4d, 0x632c, 0x632c, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x528a, 0x4a69, 0x4a49, 
	0x4228, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x3186, 0x31a6, 0x31a6, 0x3186, 
	0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x4208, 
	0x4228, 0x4a49, 0x4a69, 0x4a69, 0x528a, 0x52aa, 0x5acb, 0x5aeb, 0x5aeb, 0x630c, 0x632c, 0x6b4d, 0x6b4d, 0x6b6d, 0x738e, 0x738e, 
	0x73ae, 0x73ae, 0x7bef, 0x7bef, 0x8410, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x94b2, 0x9cd3, 0x9cf3, 0xa514, 0xa534, 0xad75, 
	0xad55, 0xb596, 0xad75, 0xb596, 0xb596, 0xb596, 0xb596, 0xb596, 0xb596, 0xb5b6, 0xb596, 0xb596, 0xad75, 0xad75, 0xad55, 0xa534, 
	0xad55, 0xad55, 0xad55, 0xad55, 0xad55, 0xad75, 0xb596, 0xad75, 0xad75, 0xad75, 0xad55, 0xa534, 0xa514, 0x9cf3, 0x9cd3, 0x94b2, 
	0x9492, 0x8c71, 0x8c51, 0x8430, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 0x738e, 0x738e, 0x738e, 0x738e, 0x6b6d, 0x6b6d, 0x738e, 0x6b6d, 
	0x6b6d, 0x6b6d, 0x738e, 0x6b6d, 0x6b4d, 0x6b4d, 0x6b4d, 0x632c, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x5acb, 0x528a, 0x528a, 0x4a69, 
	0x4a49, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 
	0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x4228, 
	0x4228, 0x4a49, 0x4a69, 0x528a, 0x52aa, 0x5acb, 0x5aeb, 0x5aeb, 0x630c, 0x632c, 0x6b4d, 0x6b4d, 0x6b6d, 0x6b6d, 0x738e, 0x73ae, 
	0x73ae, 0x7bcf, 0x7bef, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x94b2, 0x9cd3, 0x9cf3, 0xa534, 0xa534, 0xad55, 0xad75, 
	0xb596, 0xb596, 0xb5b6, 0xb5b6, 0xb5b6, 0xb5b6, 0xb5b6, 0xb5b6, 0xb596, 0xb5b6, 0xb596, 0xb596, 0xb596, 0xad55, 0x2945, 0x39e7, 
	0xa534, 0xa534, 0xad75, 0xad75, 0xb596, 0xb5b6, 0xb596, 0xb5b6, 0xb596, 0xb596, 0xad75, 0xad55, 0xa534, 0xa534, 0x9cd3, 0x94b2, 
	0x94b2, 0x8c71, 0x8c51, 0x8430, 0x7bef, 0x7bef, 0x7bcf, 0x7bcf, 0x73ae, 0x73ae, 0x73ae, 0x73ae, 0x738e, 0x738e, 0x738e, 0x738e, 
	0x738e, 0x73ae, 0x738e, 0x738e, 0x6b6d, 0x6b6d, 0x6b6d, 0x6b4d, 0x632c, 0x630c, 0x630c, 0x5acb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 
	0x4a49, 0x4228, 0x4228, 0x4208, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 
	0x2945, 0x2945, 0x2965, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x4228, 
	0x4a49, 0x4a49, 0x528a, 0x528a, 0x52aa, 0x5acb, 0x5aeb, 0x630c, 0x632c, 0x6b4d, 0x6b4d, 0x6b6d, 0x738e, 0x738e, 0x73ae, 0x7bcf, 
	0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8430, 0x8c51, 0x8c71, 0x8c71, 0x9492, 0x9cd3, 0x9cf3, 0xa514, 0xa534, 0xad55, 0xad75, 0xb596, 
	0xb596, 0xb5b6, 0xb5b6, 0xbdd7, 0xbdd7, 0xbdd7, 0xb5b6, 0xb5b6, 0xbdd7, 0xb5b6, 0xb5b6, 0xb596, 0xb596, 0x10a2, 0x2124, 0x31a6, 
	0x2945, 0xad55, 0xad55, 0xb5b6, 0xb5b6, 0xb5b6, 0xbdd7, 0xbdd7, 0xb5b6, 0xb596, 0xad75, 0xad55, 0xa534, 0xa514, 0xa514, 0x9cd3, 
	0x94b2, 0x9492, 0x8c71, 0x8430, 0x8410, 0x7bef, 0x7bef, 0x7bef, 0x7bcf, 0x7bef, 0x73ae, 0x7bcf, 0x73ae, 0x7bcf, 0x73ae, 0x7bcf, 
	0x73ae, 0x7bcf, 0x73ae, 0x73ae, 0x738e, 0x738e, 0x6b6d, 0x6b4d, 0x6b4d, 0x630c, 0x630c, 0x630c, 0x5acb, 0x52aa, 0x528a, 0x4a69, 
	0x4a49, 0x4a49, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x39c7, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 
	0x2945, 0x2965, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x4228, 0x4228, 
	0x4a49, 0x4a69, 0x528a, 0x52aa, 0x5acb, 0x5acb, 0x5aeb, 0x632c, 0x632c, 0x6b4d, 0x6b6d, 0x738e, 0x738e, 0x73ae, 0x73ae, 0x7bcf, 
	0x7bef, 0x7bef, 0x8430, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x9492, 0x94b2, 0x9cf3, 0xa514, 0xa534, 0xad55, 0xad75, 0xb596, 0xb5b6, 
	0xbdd7, 0xb5b6, 0xbdd7, 0xbdd7, 0xbdd7, 0xbdd7, 0xbdd7, 0xbdd7, 0xbdd7, 0xbdd7, 0xbdd7, 0xbdd7, 0xb596, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x10a2, 0xad75, 0xb5b6, 0xbdd7, 0xbdf7, 0xbdd7, 0xbdf7, 0xbdd7, 0xb5b6, 0xb5b6, 0xad75, 0xad55, 0xa534, 0xa514, 0x9cf3, 
	0x9cd3, 0x94b2, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bef, 0x7bef, 0x7bef, 0x7bef, 0x7bef, 0x7bef, 0x7bcf, 0x7bef, 0x7bef, 0x7bcf, 
	0x7bef, 0x7bcf, 0x7bcf, 0x73ae, 0x73ae, 0x738e, 0x738e, 0x6b6d, 0x6b4d, 0x632c, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 
	0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x39c7, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 
	0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4228, 
	0x4a69, 0x528a, 0x52aa, 0x52aa, 0x5acb, 0x5aeb, 0x630c, 0x630c, 0x6b4d, 0x6b6d, 0x6b6d, 0x738e, 0x738e, 0x73ae, 0x7bcf, 0x7bef, 
	0x8410, 0x8410, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x94b2, 0x9cd3, 0x9cf3, 0xa534, 0xa534, 0xad75, 0xb596, 0xb596, 0xbdd7, 
	0xbdd7, 0xbdd7, 0xbdf7, 0xc618, 0xbdf7, 0xbdf7, 0xbdf7, 0xbdf7, 0xbdf7, 0xbdd7, 0xbdd7, 0xbdd7, 0xb5b6, 0x18e3, 0x0861, 0x1082, 
	0x1082, 0xb5b6, 0xbdd7, 0xbdf7, 0xbdd7, 0xbdf7, 0xbdf7, 0xbdf7, 0xbdd7, 0xbdd7, 0xb5b6, 0xad75, 0xad55, 0xa534, 0xa514, 0x9cf3, 
	0x9cd3, 0x94b2, 0x8c71, 0x8c51, 0x8c51, 0x8430, 0x8410, 0x8410, 0x8410, 0x8410, 0x8410, 0x8410, 0x7bef, 0x7bef, 0x7bef, 0x8410, 
	0x8410, 0x7bef, 0x7bef, 0x7bcf, 0x7bcf, 0x73ae, 0x73ae, 0x6b6d, 0x6b6d, 0x6b4d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x5acb, 0x528a, 
	0x4a69, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x39e7, 0x39c7, 0x39c7, 0x39c7, 0x39c7, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 
	0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 
	0x4a69, 0x528a, 0x52aa, 0x52aa, 0x5aeb, 0x5aeb, 0x630c, 0x632c, 0x6b4d, 0x6b6d, 0x738e, 0x738e, 0x7bcf, 0x7bcf, 0x7bef, 0x7bef, 
	0x8410, 0x8430, 0x8c51, 0x8c71, 0x8c71, 0x9492, 0x94b2, 0x9cd3, 0x9cf3, 0xa514, 0xad55, 0xad75, 0xb596, 0xb596, 0xb5b6, 0xbdd7, 
	0xbdf7, 0xbdf7, 0xc618, 0xc618, 0xc618, 0xc618, 0xc618, 0xc618, 0xc618, 0xc618, 0xbdd7, 0x94b2, 0xbdf7, 0x39e7, 0x4a69, 0x4a49, 
	0x39c7, 0xbdd7, 0x4a69, 0xc618, 0xc618, 0xc618, 0xc618, 0xbdf7, 0xbdf7, 0xbdd7, 0xb5b6, 0xb596, 0xad75, 0xad55, 0xa534, 0xa514, 
	0x9cd3, 0x9cd3, 0x9492, 0x8c71, 0x8c51, 0x8c51, 0x8430, 0x8430, 0x8430, 0x8430, 0x8430, 0x8430, 0x8430, 0x8430, 0x8430, 0x8430, 
	0x8430, 0x8410, 0x8410, 0x7bef, 0x7bcf, 0x7bcf, 0x73ae, 0x738e, 0x6b4d, 0x6b4d, 0x6b4d, 0x630c, 0x630c, 0x5acb, 0x52aa, 0x528a, 
	0x528a, 0x4a69, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x39c7, 0x31a6, 0x39c7, 0x31a6, 0x31a6, 0x31a6, 
	0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x3186, 0x2965, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x4208, 0x4228, 0x4a49, 
	0x4a69, 0x528a, 0x52aa, 0x5acb, 0x5aeb, 0x5aeb, 0x632c, 0x632c, 0x6b4d, 0x738e, 0x738e, 0x73ae, 0x7bcf, 0x7bef, 0x7bef, 0x8430, 
	0x8430, 0x8430, 0x8c71, 0x8c71, 0x9492, 0x9492, 0x9cd3, 0x9cf3, 0xa514, 0xa534, 0xad75, 0xb596, 0xb596, 0xb5b6, 0xbdd7, 0xbdd7, 
	0xbdf7, 0xc618, 0xc618, 0xc618, 0xc618, 0xc638, 0xc618, 0xc638, 0x8c71, 0x4a49, 0x8430, 0x10a2, 0x1082, 0x10a2, 0x2124, 0x4a49, 
	0x4208, 0x2945, 0x4a69, 0x4a49, 0x39e7, 0x632c, 0xbdf7, 0x8c71, 0xbdd7, 0xbdf7, 0xbdd7, 0xb5b6, 0xad75, 0xad55, 0xad55, 0xa514, 
	0x9cf3, 0x9cd3, 0x94b2, 0x8c71, 0x8c51, 0x8c51, 0x8430, 0x8430, 0x8430, 0x8c51, 0x8c51, 0x8c51, 0x8c51, 0x8430, 0x8430, 0x8430, 
	0x8430, 0x8430, 0x8410, 0x8410, 0x7bef, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 0x6b6d, 0x6b4d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 
	0x528a, 0x4a69, 0x4a49, 0x4a49, 0x4228, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x31a6, 0x39c7, 0x31a6, 0x39c7, 0x31a6, 0x31a6, 
	0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a69, 
	0x528a, 0x528a, 0x52aa, 0x5acb, 0x5aeb, 0x630c, 0x632c, 0x6b4d, 0x6b6d, 0x738e, 0x73ae, 0x7bcf, 0x7bcf, 0x7bef, 0x8410, 0x8430, 
	0x8c51, 0x8c51, 0x8c71, 0x9492, 0x9492, 0x94b2, 0x9cd3, 0xa514, 0xa534, 0xad55, 0xad75, 0xb596, 0xb5b6, 0xbdd7, 0xbdd7, 0xbdf7, 
	0xbdf7, 0xc618, 0xc618, 0xc638, 0xc638, 0xc618, 0x4228, 0xa534, 0x10a2, 0x31a6, 0x5acb, 0x4208, 0x2104, 0x1082, 0x4a49, 0x31a6, 
	0x39c7, 0x39e7, 0x4a69, 0x39c7, 0x528a, 0x3186, 0x39c7, 0xbdd7, 0x9cf3, 0xa534, 0xb5b6, 0xb5b6, 0xb596, 0xad75, 0xad75, 0xad55, 
	0xa514, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8c51, 0x8c51, 0x8c71, 0x8c71, 0x8c71, 0x8c71, 0x8c71, 0x8c71, 0x8c71, 0x8c51, 
	0x8c51, 0x8430, 0x8410, 0x8410, 0x8410, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x6b6d, 0x6b6d, 0x6b4d, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 
	0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x39c7, 0x31a6, 0x39c7, 0x31a6, 0x31a6, 0x31a6, 
	0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x3186, 0x3186, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a49, 
	0x4a69, 0x52aa, 0x5acb, 0x5acb, 0x630c, 0x632c, 0x6b4d, 0x6b4d, 0x738e, 0x73ae, 0x73ae, 0x7bcf, 0x7bef, 0x8410, 0x8410, 0x8430, 
	0x8c51, 0x8c71, 0x8c71, 0x9492, 0x94b2, 0x9cd3, 0xa514, 0xa534, 0xad55, 0xad55, 0xad75, 0xb5b6, 0xbdd7, 0xbdf7, 0xbdf7, 0xbdf7, 
	0xc618, 0xc638, 0xc638, 0xc638, 0x8c71, 0xbdd7, 0x1082, 0x31a6, 0x52aa, 0x10a2, 0x2124, 0x18c3, 0x2104, 0x39c7, 0x7bcf, 0x2965, 
	0x6b6d, 0x4208, 0x6b4d, 0x528a, 0x4208, 0x39e7, 0x2104, 0x2124, 0x2965, 0xbdd7, 0x4228, 0xb5b6, 0xad75, 0xb596, 0xad75, 0xad55, 
	0xa514, 0xa514, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c71, 0x8c71, 0x8c71, 0x9492, 0x8c71, 0x9492, 0x8c71, 0x8c71, 0x8c71, 0x8c71, 
	0x8c51, 0x8c51, 0x8c51, 0x8410, 0x8410, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 0x738e, 0x6b4d, 0x632c, 0x5aeb, 0x5acb, 0x52aa, 
	0x52aa, 0x528a, 0x4a69, 0x4a69, 0x4a49, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x39c7, 0x39c7, 0x31a6, 
	0x2965, 0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x3186, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 
	0x528a, 0x52aa, 0x5acb, 0x5aeb, 0x630c, 0x632c, 0x6b4d, 0x6b6d, 0x738e, 0x73ae, 0x7bcf, 0x7bef, 0x7bef, 0x8410, 0x8430, 0x8c51, 
	0x8c71, 0x8c71, 0x9492, 0x94b2, 0x94b2, 0x9cf3, 0xa514, 0xa534, 0xad55, 0xb596, 0xb596, 0xbdd7, 0xbdd7, 0xbdf7, 0xc618, 0xc618, 
	0xc618, 0xc638, 0xc638, 0xc638, 0x10a2, 0x2945, 0x5aeb, 0x2124, 0x2104, 0x632c, 0x1082, 0x0861, 0x73ae, 0x2945, 0x5acb, 0x4228, 
	0x4208, 0x3186, 0x528a, 0x4a69, 0x5acb, 0x5acb, 0x2965, 0x73ae, 0x2124, 0x4228, 0x31a6, 0x5aeb, 0x528a, 0xb596, 0xad75, 0xad75, 
	0xad55, 0xa514, 0x9cd3, 0x94b2, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x94b2, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x8c71, 
	0x8c71, 0x8c71, 0x8c51, 0x8c51, 0x8430, 0x8410, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 0x6b6d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 
	0x52aa, 0x528a, 0x528a, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x39c7, 0x39c7, 0x31a6, 
	0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a69, 0x4a69, 
	0x528a, 0x52aa, 0x5acb, 0x5aeb, 0x630c, 0x6b4d, 0x6b6d, 0x738e, 0x738e, 0x7bcf, 0x7bcf, 0x8410, 0x8410, 0x8430, 0x8430, 0x8c51, 
	0x8c71, 0x9492, 0x94b2, 0x94b2, 0x9cd3, 0x9cf3, 0xa534, 0xad55, 0xad75, 0xb596, 0xb5b6, 0xbdd7, 0xbdf7, 0xc618, 0xc618, 0xc638, 
	0xc638, 0xce59, 0xa534, 0x2965, 0x630c, 0x10a2, 0x2104, 0x2965, 0x2104, 0x10a2, 0x39e7, 0x8c51, 0x18e3, 0x10a2, 0x4228, 0x528a, 
	0x2965, 0x39c7, 0x4a69, 0x4228, 0x2124, 0x6b4d, 0x5acb, 0x4a49, 0x4a49, 0x31a6, 0x3186, 0x31a6, 0x2945, 0xad55, 0xad75, 0xad75, 
	0xad55, 0xa514, 0x9cf3, 0x9cd3, 0x94b2, 0x94b2, 0x9492, 0x94b2, 0x94b2, 0x94b2, 0x9cd3, 0x94b2, 0x94b2, 0x94b2, 0x94b2, 0x94b2, 
	0x8c71, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x8430, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 0x6b6d, 0x6b4d, 0x632c, 0x630c, 0x5acb, 
	0x5acb, 0x528a, 0x528a, 0x4a69, 0x4a49, 0x4208, 0x4228, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x31a6, 0x31a6, 
	0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a69, 0x528a, 
	0x528a, 0x52aa, 0x5acb, 0x630c, 0x632c, 0x6b4d, 0x6b6d, 0x738e, 0x73ae, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8430, 0x8c51, 0x8c71, 
	0x9492, 0x94b2, 0x9cd3, 0x9cd3, 0x9cf3, 0xa514, 0xa534, 0xad75, 0xb596, 0xb5b6, 0xb5b6, 0xbdf7, 0xbdf7, 0xc618, 0xc618, 0xc638, 
	0xc618, 0x738e, 0x8c71, 0x0861, 0x0861, 0x1082, 0x2945, 0x39e7, 0x2124, 0x2104, 0x39e7, 0x632c, 0x5acb, 0x2945, 0x0861, 0x630c, 
	0x4a49, 0x2104, 0x4a69, 0x73ae, 0x2945, 0x4208, 0x52aa, 0x5acb, 0x630c, 0x18c3, 0x632c, 0x2124, 0x632c, 0x8c71, 0xa514, 0xad75, 
	0xad55, 0xa534, 0xa514, 0x9cd3, 0x9cd3, 0x94b2, 0x9cd3, 0x9cd3, 0x9cd3, 0x9cd3, 0x9cd3, 0x9cf3, 0x9cd3, 0x9cd3, 0x9cd3, 0x9cd3, 
	0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x8430, 0x8410, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 0x6b6d, 0x632c, 0x630c, 0x5aeb, 
	0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4a49, 0x4228, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x39c7, 0x31a6, 0x31a6, 
	0x2965, 0x2965, 0x3186, 0x3186, 0x3186, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4208, 0x4a49, 0x4a69, 0x528a, 
	0x52aa, 0x52aa, 0x5aeb, 0x630c, 0x632c, 0x6b4d, 0x6b6d, 0x738e, 0x7bcf, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x8c71, 
	0x9492, 0x94b2, 0x9cd3, 0x9cf3, 0xa514, 0xa534, 0xad55, 0xad75, 0xb596, 0xb5b6, 0xbdd7, 0xbdf7, 0xc618, 0xc638, 0xc638, 0xc638, 
	0xc638, 0x528a, 0x1082, 0x1082, 0x2124, 0x5acb, 0x31a6, 0x18c3, 0x0861, 0x0861, 0x10a2, 0x4a49, 0x4228, 0x528a, 0x2965, 0x31a6, 
	0x31a6, 0x39c7, 0x1082, 0x6b6d, 0x4208, 0x52aa, 0x5acb, 0x5aeb, 0x5aeb, 0x2965, 0x2965, 0x632c, 0x10a2, 0x18e3, 0x738e, 0xa514, 
	0xad55, 0xad55, 0xa514, 0xa514, 0x9cf3, 0x9cf3, 0x9cd3, 0xa514, 0x9cf3, 0x9cf3, 0x9cf3, 0xa514, 0xa514, 0x9cf3, 0x9cd3, 0x9cd3, 
	0x9cd3, 0x94b2, 0x9492, 0x9492, 0x8c51, 0x8c51, 0x8430, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 0x6b6d, 0x632c, 0x632c, 0x5aeb, 
	0x5acb, 0x52aa, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x31a6, 0x31a6, 
	0x2965, 0x2965, 0x3186, 0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x4208, 0x4228, 0x4228, 0x4a69, 0x528a, 
	0x52aa, 0x5acb, 0x5aeb, 0x632c, 0x6b4d, 0x6b6d, 0x738e, 0x73ae, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c51, 0x8c71, 0x9492, 
	0x94b2, 0x9cd3, 0x9cd3, 0x9cf3, 0xa514, 0xa534, 0xad75, 0xb596, 0xb5b6, 0xbdd7, 0xbdd7, 0xc618, 0xc638, 0xc638, 0xc638, 0xce59, 
	0x10a2, 0x2965, 0x18e3, 0x31a6, 0x39e7, 0x18e3, 0x18c3, 0x0861, 0x18e3, 0x0841, 0x52aa, 0x4208, 0x2945, 0x5acb, 0x632c, 0x2965, 
	0x2965, 0x2965, 0xb596, 0x4208, 0x39e7, 0x4208, 0x4208, 0x2104, 0x2945, 0x10a2, 0x4228, 0x10a2, 0x2965, 0x4208, 0x5acb, 0x630c, 
	0xad75, 0xad55, 0xa514, 0x9cf3, 0x9cf3, 0xa514, 0xa514, 0xa514, 0xa514, 0xa514, 0xa514, 0xa514, 0xa534, 0xa534, 0xa514, 0x9cf3, 
	0x9cd3, 0x94b2, 0x9492, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x8430, 0x7bef, 0x7bef, 0x73ae, 0x738e, 0x6b6d, 0x6b4d, 0x632c, 0x630c, 
	0x5aeb, 0x52aa, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4208, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x39c7, 0x39c7, 
	0x2965, 0x3186, 0x2965, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 
	0x52aa, 0x5acb, 0x5aeb, 0x632c, 0x6b4d, 0x6b6d, 0x738e, 0x73ae, 0x7bcf, 0x8410, 0x8410, 0x8430, 0x8c51, 0x8c51, 0x9492, 0x9492, 
	0x94b2, 0x9cd3, 0x9cf3, 0x9cf3, 0xa534, 0xad55, 0xad75, 0xb596, 0xb5b6, 0xbdd7, 0xc618, 0xc618, 0xc638, 0xc638, 0xc638, 0xce79, 
	0x8410, 0x1082, 0x3186, 0x2124, 0x10a2, 0x0861, 0x1082, 0x1082, 0x31a6, 0x0861, 0x0861, 0x0861, 0x10a2, 0x4208, 0x2965, 0x18e3, 
	0x2945, 0x31a6, 0x4a69, 0x0841, 0x8410, 0x4a69, 0x3186, 0x8410, 0x4228, 0x10a2, 0x2965, 0x1082, 0x52aa, 0x0861, 0x1082, 0xad75, 
	0xad75, 0xad55, 0xa534, 0xa514, 0xa514, 0xa514, 0xa534, 0xa534, 0xa534, 0xa534, 0xa534, 0xa534, 0xa534, 0xa534, 0xa514, 0x9cf3, 
	0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 0x6b4d, 0x6b4d, 0x630c, 
	0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x39c7, 
	0x2965, 0x3186, 0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x39c7, 0x4208, 0x4228, 0x4228, 0x4a49, 0x528a, 0x528a, 
	0x52aa, 0x5aeb, 0x630c, 0x632c, 0x6b4d, 0x738e, 0x738e, 0x73ae, 0x7bcf, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x8c71, 0x9492, 0x94b2, 
	0x9cd3, 0x9cd3, 0xa514, 0xa514, 0xad55, 0xad55, 0xb596, 0xb596, 0xbdd7, 0xbdf7, 0xc618, 0xc638, 0xc638, 0xc638, 0xce59, 0x31a6, 
	0x2104, 0x5aeb, 0x2945, 0x1082, 0x1082, 0x1082, 0x10a2, 0x1082, 0x1082, 0x18e3, 0x1082, 0x18e3, 0x1082, 0x2965, 0x2124, 0x4a69, 
	0x18c3, 0x4a69, 0x39e7, 0x18c3, 0x4a49, 0x18e3, 0x10a2, 0x18c3, 0x2124, 0x6b4d, 0x10a2, 0x528a, 0x2124, 0x4228, 0x630c, 0x7bef, 
	0x8c51, 0xad55, 0xa534, 0xa534, 0xa514, 0xa514, 0xad55, 0xad75, 0xad55, 0xa534, 0xad55, 0xad75, 0xad55, 0xa534, 0xa514, 0x9cf3, 
	0x9cf3, 0x94b2, 0x94b2, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8c51, 0x8410, 0x8410, 0x7bcf, 0x73ae, 0x738e, 0x6b6d, 0x6b4d, 0x632c, 
	0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 
	0x3186, 0x3186, 0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x4228, 0x4a49, 0x4a49, 0x528a, 0x52aa, 
	0x5acb, 0x5aeb, 0x632c, 0x6b4d, 0x6b6d, 0x738e, 0x73ae, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c51, 0x9492, 0x94b2, 0x94b2, 
	0x9cd3, 0x9cf3, 0xa514, 0xa534, 0xad55, 0xad75, 0xb596, 0xb5b6, 0xbdd7, 0xbdf7, 0xc618, 0xc638, 0xc638, 0xce59, 0xce59, 0xce59, 
	0x2945, 0x0861, 0x2124, 0x0861, 0x0861, 0x738e, 0x0861, 0x1082, 0x18c3, 0x2945, 0x0861, 0x0841, 0x18c3, 0x4a49, 0x39c7, 0x10a2, 
	0x6b6d, 0x10a2, 0x5acb, 0x2104, 0x18c3, 0x2104, 0x2124, 0x31a6, 0x4228, 0x39e7, 0x2965, 0x39c7, 0x0861, 0x18e3, 0x1082, 0x2945, 
	0xb596, 0xad75, 0xad55, 0xa534, 0xa514, 0xa534, 0xad55, 0xad75, 0xb596, 0xad75, 0xad75, 0xad55, 0xad55, 0xad55, 0xa534, 0xa514, 
	0xa514, 0x9cd3, 0x9cd3, 0x94b2, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bef, 0x7bcf, 0x738e, 0x738e, 0x6b4d, 0x630c, 
	0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 
	0x3186, 0x3186, 0x31a6, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x52aa, 
	0x5acb, 0x5aeb, 0x632c, 0x632c, 0x6b6d, 0x738e, 0x73ae, 0x7bcf, 0x7bef, 0x8410, 0x8c51, 0x8c51, 0x8c71, 0x9492, 0x94b2, 0x94b2, 
	0x9cf3, 0xa514, 0xa514, 0xa534, 0xad55, 0xb596, 0xb5b6, 0xb5b6, 0xbdd7, 0xbdf7, 0xc618, 0xc638, 0xce59, 0xce79, 0xce79, 0x0841, 
	0x10a2, 0x1082, 0x1082, 0x39c7, 0x0861, 0x0861, 0x1082, 0x5acb, 0x7bef, 0x3186, 0x4228, 0x1082, 0x0861, 0x1082, 0x18c3, 0x3186, 
	0x2945, 0x18e3, 0x2965, 0x31a6, 0x1082, 0x0861, 0x10a2, 0x2104, 0x52aa, 0x18c3, 0x2104, 0x8430, 0x10a2, 0x528a, 0x4208, 0x9492, 
	0x2965, 0xad75, 0xad55, 0xa534, 0xad55, 0xad55, 0xad75, 0xad75, 0xb596, 0xb596, 0xb596, 0xb596, 0xb596, 0xad75, 0xad55, 0xa534, 
	0xa514, 0xa514, 0x9cf3, 0x94b2, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8c51, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 0x6b6d, 0x632c, 
	0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x528a, 0x4a69, 0x4228, 0x4228, 0x4208, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39e7, 
	0x3186, 0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x52aa, 
	0x5acb, 0x630c, 0x632c, 0x6b4d, 0x6b6d, 0x738e, 0x73ae, 0x7bcf, 0x7bef, 0x8410, 0x8c51, 0x8c71, 0x8c71, 0x9492, 0x94b2, 0x9cd3, 
	0xa514, 0xa514, 0xa534, 0xa534, 0xad75, 0xb596, 0xbdd7, 0xbdd7, 0xbdf7, 0xbdf7, 0xc618, 0xc638, 0xce59, 0xce59, 0xce79, 0x738e, 
	0x3186, 0x1082, 0x0861, 0x0841, 0x0861, 0x5aeb, 0x0861, 0x10a2, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x18c3, 
	0x2104, 0x4a69, 0x73ae, 0x7bcf, 0x528a, 0x2945, 0x0841, 0x0861, 0x1082, 0x10a2, 0x4a49, 0x6b4d, 0x18c3, 0x39c7, 0x1082, 0x1082, 
	0xad55, 0xb596, 0xad55, 0xad55, 0xad55, 0xad55, 0xb596, 0xb596, 0xad75, 0xb5b6, 0xb5b6, 0xb596, 0xad75, 0xad75, 0xad55, 0xad55, 
	0xa514, 0xa514, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bef, 0x7bcf, 0x738e, 0x738e, 0x632c, 
	0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39e7, 
	0x3186, 0x31a6, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x52aa, 
	0x5acb, 0x630c, 0x632c, 0x6b4d, 0x6b6d, 0x738e, 0x7bcf, 0x7bcf, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x8c71, 0x94b2, 0x94b2, 0x9cf3, 
	0xa514, 0xa514, 0xad55, 0xad55, 0xad75, 0xb596, 0xb5b6, 0xbdd7, 0xbdf7, 0xc618, 0xc638, 0xc638, 0xce59, 0xce79, 0xce59, 0x3186, 
	0x0861, 0x1082, 0x10a2, 0x39c7, 0x2124, 0x0861, 0x0861, 0x1082, 0x10a2, 0x2124, 0x18c3, 0x2124, 0x2104, 0x31a6, 0x2124, 0x0861, 
	0x4208, 0x6b4d, 0x7bcf, 0xdefb, 0x528a, 0x2104, 0x5aeb, 0x4208, 0x2945, 0x0861, 0x39e7, 0x2965, 0x18c3, 0x31a6, 0x3186, 0x4a69, 
	0x3186, 0xad75, 0xad75, 0xad55, 0xad75, 0xb596, 0xb596, 0xb5b6, 0xb5b6, 0xbdd7, 0xb5b6, 0xb596, 0xb596, 0xb596, 0xad55, 0xad55, 
	0xa534, 0xa514, 0xa514, 0x9cd3, 0x9cd3, 0x9492, 0x8c71, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bef, 0x7bcf, 0x738e, 0x6b6d, 0x6b4d, 
	0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4a49, 0x4228, 0x4208, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39e7, 
	0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x4208, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x5acb, 
	0x5acb, 0x630c, 0x632c, 0x6b4d, 0x6b6d, 0x73ae, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x94b2, 0x94b2, 0x9cf3, 
	0xa514, 0xa534, 0xa534, 0xad55, 0xad75, 0xb5b6, 0xbdd7, 0xbdf7, 0xbdf7, 0xc618, 0xc638, 0xc638, 0xce59, 0xce79, 0xce59, 0x4228, 
	0x10a2, 0x10a2, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x2124, 0x2124, 0x10a2, 0x10a2, 0x18c3, 0x4208, 0x3186, 0x18e3, 0x5acb, 
	0x4228, 0x632c, 0x3186, 0x52aa, 0x39e7, 0x2104, 0x18e3, 0x528a, 0x4208, 0x630c, 0x738e, 0x5aeb, 0x528a, 0x39c7, 0x39e7, 0x2104, 
	0xad75, 0xb596, 0xad75, 0xad75, 0xb596, 0xb5b6, 0xb5b6, 0xb5b6, 0xbdd7, 0xb5b6, 0xb5b6, 0xb5b6, 0xb596, 0xb596, 0xad75, 0xad55, 
	0xa534, 0xa534, 0xa514, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 0x6b4d, 
	0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39e7, 
	0x3186, 0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x5acb, 
	0x5aeb, 0x630c, 0x632c, 0x6b4d, 0x6b6d, 0x73ae, 0x7bcf, 0x8410, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x94b2, 0x9cd3, 0x9cf3, 
	0xa514, 0xa534, 0xad55, 0xad75, 0xad75, 0xb5b6, 0xbdd7, 0xbdf7, 0xc618, 0xc618, 0xc638, 0xce59, 0xce59, 0xce79, 0xd69a, 0xb5b6, 
	0x1082, 0x10a2, 0x1082, 0x1082, 0x0861, 0x10a2, 0x10a2, 0x3186, 0x2945, 0x10a2, 0x10a2, 0x10a2, 0x18e3, 0x1082, 0x2124, 0x2124, 
	0x2124, 0x4228, 0x2124, 0x31a6, 0x39c7, 0x18e3, 0x2965, 0x4228, 0x2104, 0x0861, 0x31a6, 0x2965, 0x10a2, 0x1082, 0x2965, 0x39c7, 
	0x7bef, 0xb5b6, 0xb596, 0xb596, 0xb596, 0xb5b6, 0xb5b6, 0xbdd7, 0xbdd7, 0xbdd7, 0xbdd7, 0xb5b6, 0xb5b6, 0xb596, 0xb596, 0xad55, 
	0xa534, 0xa534, 0xa514, 0x9cf3, 0x9cd3, 0x94b2, 0x94b2, 0x8c71, 0x8c71, 0x8430, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 0x6b6d, 
	0x6b4d, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39e7, 
	0x3186, 0x3186, 0x3186, 0x3186, 0x39c7, 0x39c7, 0x31a6, 0x39c7, 0x39e7, 0x4208, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x5acb, 
	0x5aeb, 0x630c, 0x6b4d, 0x6b4d, 0x738e, 0x73ae, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x94b2, 0x9cd3, 0x9cf3, 
	0xa514, 0xa534, 0xad55, 0xad75, 0xb5b6, 0xb5b6, 0xbdd7, 0xbdf7, 0xc618, 0xc638, 0xc638, 0xce59, 0xce59, 0xce79, 0xce79, 0x8c51, 
	0x1082, 0x0861, 0x0841, 0x1082, 0x10a2, 0x1082, 0x0861, 0x2965, 0x2945, 0x18c3, 0x2124, 0x3186, 0x1082, 0x0861, 0x0861, 0x5aeb, 
	0x2965, 0x2945, 0x3186, 0x52aa, 0xa514, 0x5acb, 0x39c7, 0x8430, 0x4a49, 0x31a6, 0x4208, 0x2124, 0x4208, 0x6b4d, 0x2104, 0xad75, 
	0xbdd7, 0xb5b6, 0xb596, 0xb5b6, 0xb5b6, 0xbdf7, 0xbdd7, 0xbdf7, 0xc618, 0xbdf7, 0xbdd7, 0xbdd7, 0xb5b6, 0xb5b6, 0xb596, 0xad75, 
	0xa534, 0xa534, 0xa514, 0xa514, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bcf, 0x73ae, 0x738e, 0x6b6d, 
	0x6b4d, 0x632c, 0x630c, 0x5aeb, 0x52aa, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x4208, 0x39e7, 0x39e7, 
	0x3186, 0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x4208, 0x4228, 0x4228, 0x4a49, 0x528a, 0x52aa, 0x5acb, 
	0x5aeb, 0x630c, 0x632c, 0x6b4d, 0x738e, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x8c71, 0x94b2, 0x94b2, 0x9cd3, 0xa514, 
	0xa514, 0xa534, 0xad75, 0xad75, 0xb596, 0xb5b6, 0xbdd7, 0xbdf7, 0xc618, 0xc638, 0xc638, 0xce59, 0xce79, 0xce79, 0xce79, 0xce79, 
	0xad75, 0x2104, 0x1082, 0x0861, 0x1082, 0x0861, 0x18e3, 0x4228, 0x18c3, 0x1082, 0x0861, 0x0861, 0x18c3, 0x528a, 0x10a2, 0x18c3, 
	0x2104, 0x2104, 0x1082, 0x1082, 0x10a2, 0x18e3, 0x39c7, 0x2104, 0x738e, 0x39e7, 0x0861, 0x0861, 0x630c, 0x528a, 0x3186, 0x18e3, 
	0xb5b6, 0xb5b6, 0xb5b6, 0xbdd7, 0xbdd7, 0xbdf7, 0xbdf7, 0xbdf7, 0xbdf7, 0xbdf7, 0xbdf7, 0xbdd7, 0xbdd7, 0xb5b6, 0xb596, 0xad75, 
	0xad55, 0xad55, 0xa534, 0xa514, 0xa514, 0x9cf3, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bcf, 0x7bcf, 0x738e, 0x6b6d, 
	0x6b4d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x39e7, 0x4208, 0x39e7, 0x39e7, 
	0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x39e7, 0x4208, 0x4208, 0x4228, 0x4a49, 0x528a, 0x528a, 0x5acb, 
	0x5aeb, 0x630c, 0x6b4d, 0x6b6d, 0x738e, 0x73ae, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x8c71, 0x94b2, 0x9cd3, 0x9cf3, 0xa514, 
	0xa534, 0xad55, 0xad75, 0xad75, 0xb596, 0xbdd7, 0xbdd7, 0xbdf7, 0xc618, 0xc638, 0xc638, 0xce59, 0xce79, 0xce59, 0xce79, 0xce79, 
	0xad55, 0x0841, 0x2104, 0x0861, 0x0861, 0x0861, 0x2124, 0x4a49, 0x1082, 0x18e3, 0x4a49, 0x4a49, 0x1082, 0x0861, 0x1082, 0x10a2, 
	0x2104, 0x1082, 0x18e3, 0x4a49, 0xdefb, 0x4a69, 0x1082, 0x18c3, 0x8c71, 0x5aeb, 0x73ae, 0x4a49, 0x3186, 0x738e, 0xb596, 0xbdf7, 
	0xbdd7, 0xbdd7, 0xbdd7, 0xbdd7, 0xbdd7, 0xc618, 0xc618, 0xc618, 0xc618, 0xbdf7, 0xbdf7, 0xbdf7, 0xbdd7, 0xbdd7, 0xb596, 0xad75, 
	0xad75, 0xad55, 0xa534, 0xa514, 0xa514, 0x9cd3, 0x9cd3, 0x9492, 0x9492, 0x8c71, 0x8430, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x6b6d, 
	0x6b4d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x528a, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x4208, 0x39e7, 0x39e7, 
	0x3186, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a49, 0x528a, 0x52aa, 0x5acb, 
	0x5aeb, 0x630c, 0x6b4d, 0x6b6d, 0x738e, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x94b2, 0x9cd3, 0xa514, 0xa514, 
	0xad55, 0xad55, 0xad55, 0xb596, 0xb596, 0xb5b6, 0xbdd7, 0xc618, 0xc618, 0xc638, 0xc638, 0xce59, 0xce79, 0xce79, 0xd69a, 0xd69a, 
	0xd69a, 0x2124, 0x18c3, 0x0841, 0x0861, 0x1082, 0x18c3, 0x1082, 0x1082, 0x0861, 0x0861, 0x1082, 0x0861, 0x0861, 0x10a2, 0x52aa, 
	0x630c, 0x31a6, 0x0861, 0x1082, 0x1082, 0x10a2, 0x18c3, 0x0861, 0x3186, 0x39e7, 0x4a69, 0x10a2, 0x10a2, 0x4a49, 0x4208, 0xc618, 
	0xbdd7, 0xbdd7, 0xbdd7, 0xbdf7, 0xbdf7, 0xc618, 0xc618, 0xc618, 0xc618, 0xbdf7, 0xbdf7, 0xbdd7, 0xbdd7, 0xb5b6, 0xb5b6, 0xb596, 
	0xad75, 0xad55, 0xad55, 0xa534, 0x9cf3, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8430, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 
	0x6b4d, 0x632c, 0x630c, 0x5aeb, 0x52aa, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 
	0x3186, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a49, 0x528a, 0x52aa, 0x5acb, 
	0x5aeb, 0x630c, 0x6b4d, 0x6b6d, 0x73ae, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x94b2, 0x9cd3, 0xa514, 0xa534, 
	0xa534, 0xad55, 0xad75, 0xb596, 0xb5b6, 0xb5b6, 0xbdd7, 0xc618, 0xc618, 0xc638, 0xc638, 0xce59, 0xce79, 0xce79, 0xd69a, 0xce79, 
	0xd69a, 0x5aeb, 0x10a2, 0x1082, 0x0861, 0x1082, 0x18c3, 0x18e3, 0x18e3, 0x2124, 0x528a, 0x8410, 0x632c, 0x2124, 0x10a2, 0x5aeb, 
	0x6b4d, 0x6b4d, 0x73ae, 0x4208, 0xa514, 0x6b6d, 0x4208, 0x4228, 0x2945, 0x5aeb, 0x4228, 0x9cd3, 0x0861, 0x0861, 0x528a, 0xc618, 
	0xbdd7, 0xbdd7, 0xbdf7, 0xc618, 0xc618, 0xc618, 0xc638, 0xc638, 0xc618, 0xc618, 0xbdf7, 0xbdf7, 0xbdd7, 0xbdd7, 0xb5b6, 0xb596, 
	0xb596, 0xad75, 0xad55, 0xa534, 0xa514, 0x9cf3, 0x9cd3, 0x9492, 0x8c71, 0x8c71, 0x8c51, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 
	0x6b4d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 
	0x3186, 0x3186, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x52aa, 0x5acb, 
	0x630c, 0x632c, 0x6b4d, 0x6b6d, 0x73ae, 0x7bcf, 0x7bef, 0x8430, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x94b2, 0x9cf3, 0x9cf3, 0xa514, 
	0xa534, 0xad75, 0xad75, 0xb596, 0xb5b6, 0xb5b6, 0xbdd7, 0xbdf7, 0xc618, 0xc638, 0xc638, 0xce59, 0xce79, 0xce79, 0xce79, 0xce79, 
	0xce79, 0x2104, 0x18e3, 0x2124, 0x1082, 0x1082, 0x10a2, 0x2945, 0x2945, 0x10a2, 0x18e3, 0x52aa, 0x4208, 0x3186, 0x18c3, 0x4a49, 
	0x73ae, 0x5aeb, 0xb596, 0xef7d, 0xc638, 0x8430, 0x7bef, 0x2965, 0x2124, 0x39c7, 0x5aeb, 0x18c3, 0xad55, 0x738e, 0xbdf7, 0xc618, 
	0xbdf7, 0xbdf7, 0xc618, 0xc638, 0xc638, 0xc638, 0xc638, 0xc638, 0xc638, 0xc638, 0xc618, 0xbdf7, 0xbdd7, 0xbdd7, 0xb5b6, 0xb5b6, 
	0xb596, 0xad75, 0xad75, 0xa534, 0xa514, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bcf, 0x73ae, 0x738e, 
	0x6b6d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 
	0x3186, 0x2965, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x52aa, 0x5acb, 
	0x5aeb, 0x632c, 0x6b4d, 0x6b6d, 0x73ae, 0x7bcf, 0x7bef, 0x8410, 0x8c51, 0x8c51, 0x9492, 0x94b2, 0x9cd3, 0x9cd3, 0xa514, 0xa534, 
	0xa534, 0xad55, 0xad75, 0xb596, 0xb5b6, 0xbdd7, 0xbdd7, 0xc618, 0xc618, 0xc638, 0xce59, 0xce59, 0xce79, 0xce79, 0xce79, 0xce79, 
	0xce79, 0x18e3, 0x4208, 0x4a69, 0x18e3, 0x18c3, 0x1082, 0x31a6, 0x10a2, 0x18c3, 0x2104, 0x2124, 0x2124, 0x2104, 0x1082, 0x10a2, 
	0x2965, 0x4a49, 0xc618, 0xb596, 0xad55, 0x632c, 0x528a, 0x18c3, 0x31a6, 0x31a6, 0x7bef, 0x39c7, 0x9cd3, 0x8c71, 0xad55, 0xc618, 
	0xc618, 0xc618, 0xc618, 0xc638, 0xc638, 0xce59, 0xce59, 0xce59, 0xc638, 0xc638, 0xc618, 0xbdf7, 0xbdd7, 0xbdf7, 0xb5b6, 0xb5b6, 
	0xb596, 0xad75, 0xad75, 0xa534, 0xa514, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bef, 0x7bcf, 0x738e, 
	0x6b6d, 0x632c, 0x632c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x4208, 0x39e7, 
	0x2965, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x52aa, 0x5acb, 
	0x5aeb, 0x632c, 0x6b4d, 0x6b6d, 0x738e, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c71, 0x8c71, 0x9492, 0x94b2, 0x9cd3, 0xa514, 0xa514, 
	0xa534, 0xad55, 0xad75, 0xb596, 0xb596, 0xb5b6, 0xbdd7, 0xc618, 0xc618, 0xc638, 0xc638, 0xce59, 0xce59, 0xce79, 0xce79, 0xce79, 
	0xce59, 0x2104, 0x4208, 0x4a69, 0x39c7, 0x1082, 0x1082, 0x2965, 0x1082, 0x1082, 0x3186, 0x2104, 0x2124, 0x2945, 0x10a2, 0x0861, 
	0x5aeb, 0x39e7, 0xa534, 0xd6ba, 0x4a69, 0x39c7, 0x2104, 0x2965, 0x2965, 0x4a69, 0x7bef, 0x18c3, 0x10a2, 0x73ae, 0x3186, 0xbdf7, 
	0xc638, 0xc638, 0xc638, 0xce59, 0xce59, 0xce59, 0xce59, 0xce59, 0xce59, 0xc638, 0xc618, 0xbdf7, 0xbdd7, 0xbdd7, 0xb5b6, 0xb5b6, 
	0xb5b6, 0xb596, 0xad75, 0xad55, 0xa534, 0xa514, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c71, 0x8430, 0x8430, 0x7bef, 0x7bcf, 0x73ae, 
	0x6b6d, 0x6b4d, 0x632c, 0x630c, 0x5aeb, 0x52aa, 0x528a, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 
	0x3186, 0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39e7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x5acb, 0x5acb, 
	0x5aeb, 0x632c, 0x6b4d, 0x6b6d, 0x738e, 0x7bcf, 0x7bef, 0x8410, 0x8c51, 0x8c51, 0x9492, 0x94b2, 0x9cd3, 0x9cd3, 0xa514, 0xa534, 
	0xad55, 0xad75, 0xad75, 0xb596, 0xb5b6, 0xbdd7, 0xbdf7, 0xc618, 0xc638, 0xc638, 0xce59, 0xce59, 0xce79, 0xce79, 0xce79, 0xce79, 
	0xce79, 0x39e7, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x39c7, 0x1082, 0x1082, 0x2104, 0x4208, 0x2945, 0x4208, 0xa534, 0x2104, 
	0x632c, 0x4a69, 0x738e, 0x73ae, 0x2945, 0x2124, 0x18c3, 0x10a2, 0x2104, 0x6b4d, 0x39e7, 0x4228, 0x2965, 0x1082, 0x2124, 0x9492, 
	0xce59, 0xce59, 0xce79, 0xce79, 0xce79, 0xce79, 0xce79, 0xce59, 0xce59, 0xc638, 0xc618, 0xbdf7, 0xbdd7, 0xbdd7, 0xbdd7, 0xb5b6, 
	0xb5b6, 0xb596, 0xb596, 0xad55, 0xa534, 0xa514, 0x9cd3, 0x94b2, 0x94b2, 0x8c71, 0x8c71, 0x8c51, 0x8410, 0x8410, 0x7bcf, 0x73ae, 
	0x6b6d, 0x6b4d, 0x632c, 0x630c, 0x5aeb, 0x52aa, 0x528a, 0x4a69, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 
	0x2965, 0x3186, 0x31a6, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4208, 0x4228, 0x4a69, 0x528a, 0x528a, 0x5acb, 
	0x630c, 0x632c, 0x632c, 0x6b6d, 0x738e, 0x7bcf, 0x7bef, 0x8410, 0x8c51, 0x8c71, 0x8c71, 0x94b2, 0x9cd3, 0x9cf3, 0xa514, 0xa534, 
	0xad55, 0xad75, 0xad75, 0xb596, 0xb5b6, 0xbdd7, 0xbdf7, 0xc618, 0xc638, 0xc638, 0xc638, 0xce59, 0xce79, 0xce79, 0xd69a, 0xce79, 
	0xce79, 0xa534, 0x18c3, 0x0861, 0x1082, 0x18c3, 0x2945, 0x10a2, 0x1082, 0x0861, 0x2104, 0x10a2, 0x10a2, 0x18c3, 0x3186, 0x3186, 
	0x4a69, 0x18c3, 0x2124, 0x39e7, 0x2104, 0x18c3, 0x10a2, 0x18c3, 0x5aeb, 0x4a49, 0x52aa, 0x0861, 0x4a49, 0x5acb, 0xc618, 0xce59, 
	0xce79, 0xce79, 0xd69a, 0xce79, 0xd69a, 0xce79, 0xce79, 0xce79, 0xce59, 0xc638, 0xc618, 0xbdf7, 0xbdf7, 0xbdd7, 0xbdd7, 0xb5b6, 
	0xb5b6, 0xb596, 0xad75, 0xad55, 0xad55, 0xa514, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bef, 0x73ae, 
	0x738e, 0x6b4d, 0x632c, 0x630c, 0x5acb, 0x52aa, 0x52aa, 0x4a69, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 
	0x2965, 0x3186, 0x3186, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4208, 0x4228, 0x4a69, 0x528a, 0x528a, 0x5acb, 
	0x5aeb, 0x630c, 0x6b4d, 0x6b6d, 0x738e, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x9492, 0x9492, 0x9cd3, 0x9cf3, 0xa514, 0xa534, 
	0xad55, 0xad75, 0xad75, 0xb596, 0xb5b6, 0xbdd7, 0xbdf7, 0xc618, 0xc618, 0xc638, 0xce59, 0xce79, 0xce79, 0xce79, 0xd69a, 0xce79, 
	0xce79, 0xce79, 0x18c3, 0x10a2, 0x1082, 0x18c3, 0x0861, 0x1082, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x1082, 0x1082, 0x0861, 
	0x0861, 0x0861, 0x1082, 0x18c3, 0x1082, 0x73ae, 0x2104, 0x5acb, 0x4a69, 0x6b4d, 0x2124, 0x4a49, 0x0861, 0x0861, 0x7bcf, 0xce79, 
	0xce79, 0xce79, 0xd69a, 0xd69a, 0xd69a, 0xce79, 0xce79, 0xce79, 0xce59, 0xce59, 0xc618, 0xbdf7, 0xbdf7, 0xbdf7, 0xbdd7, 0xbdd7, 
	0xb5b6, 0xb5b6, 0xb596, 0xad75, 0xad55, 0xa514, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bcf, 0x73ae, 
	0x738e, 0x6b4d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x528a, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 
	0x2965, 0x3186, 0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x4228, 0x4228, 0x4a49, 0x528a, 0x52aa, 0x5acb, 
	0x5acb, 0x630c, 0x632c, 0x6b6d, 0x738e, 0x73ae, 0x7bcf, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x94b2, 0x9cd3, 0x9cf3, 0xa514, 0xad55, 
	0xad55, 0xad55, 0xb596, 0xb596, 0xbdd7, 0xbdf7, 0xbdf7, 0xc618, 0xc638, 0xc638, 0xce59, 0xce79, 0xce79, 0xce79, 0xd69a, 0xd69a, 
	0xd69a, 0xce79, 0x31a6, 0x0861, 0x1082, 0x1082, 0x10a2, 0x1082, 0x10a2, 0x18c3, 0x18c3, 0x1082, 0x0861, 0x0841, 0x1082, 0x18e3, 
	0x18e3, 0x10a2, 0x1082, 0x18c3, 0x632c, 0x2965, 0x3186, 0x528a, 0x7bcf, 0x52aa, 0x4208, 0x3186, 0x52aa, 0x528a, 0x4228, 0x94b2, 
	0xd69a, 0xd69a, 0xd69a, 0xd69a, 0xd69a, 0xd69a, 0xd69a, 0xce79, 0xce59, 0xce59, 0xc618, 0xc618, 0xc618, 0xbdf7, 0xbdf7, 0xbdd7, 
	0xb5b6, 0xb596, 0xad75, 0xad75, 0xad55, 0xa534, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bef, 0x73ae, 
	0x738e, 0x6b6d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x528a, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 
	0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x39c7, 0x4208, 0x4228, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x5acb, 
	0x5aeb, 0x630c, 0x6b4d, 0x6b6d, 0x738e, 0x7bcf, 0x7bef, 0x7bef, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x94b2, 0x9cd3, 0x9cf3, 0xa534, 
	0xad55, 0xad55, 0xad75, 0xb5b6, 0xb5b6, 0xbdd7, 0xc618, 0xc638, 0xc638, 0xce59, 0xce59, 0xce79, 0xce79, 0xce79, 0xd69a, 0xd69a, 
	0xd69a, 0xd69a, 0x18c3, 0x0861, 0x1082, 0x0861, 0x2124, 0x18c3, 0x18c3, 0x18e3, 0x1082, 0x1082, 0x1082, 0x10a2, 0x2104, 0x2124, 
	0x2124, 0x18e3, 0x1082, 0x2945, 0x18e3, 0x18e3, 0x4228, 0x18c3, 0x39e7, 0x4a49, 0x1082, 0x18c3, 0x94b2, 0x31a6, 0x4a69, 0x18e3, 
	0xd69a, 0xd6ba, 0xd6ba, 0xd69a, 0xd69a, 0xce79, 0xce79, 0xce79, 0xce59, 0xc638, 0xc638, 0xc618, 0xc618, 0xbdf7, 0xbdf7, 0xbdd7, 
	0xb5b6, 0xb5b6, 0xb596, 0xad75, 0xa534, 0xa534, 0xa514, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bef, 0x73ae, 
	0x738e, 0x6b6d, 0x632c, 0x630c, 0x5acb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4a49, 0x4228, 0x4228, 0x4208, 0x39e7, 0x39e7, 
	0x2965, 0x2965, 0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x4208, 0x4228, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x5acb, 
	0x5aeb, 0x632c, 0x6b4d, 0x6b6d, 0x738e, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x9cd3, 0x9cd3, 0xa534, 0xa534, 
	0xad55, 0xad75, 0xad75, 0xb5b6, 0xb5b6, 0xbdf7, 0xc618, 0xc618, 0xc638, 0xc638, 0xce59, 0xce79, 0xce79, 0xce59, 0xce79, 0xd69a, 
	0xd69a, 0xd69a, 0x630c, 0x1082, 0x18e3, 0x1082, 0x0861, 0x0861, 0x4208, 0x18e3, 0x31a6, 0x0861, 0x1082, 0x0861, 0x1082, 0x0861, 
	0x10a2, 0x0861, 0x0861, 0x1082, 0x18c3, 0x528a, 0x52aa, 0x1082, 0x7bcf, 0x3186, 0x4208, 0x0861, 0x2104, 0x18c3, 0x1082, 0x1082, 
	0xdedb, 0xdedb, 0xd6ba, 0xd6ba, 0xd69a, 0xd69a, 0xce79, 0xce59, 0xce59, 0xc638, 0xc618, 0xc618, 0xc618, 0xbdf7, 0xbdd7, 0xbdd7, 
	0xb5b6, 0xb596, 0xad75, 0xad75, 0xad55, 0xa514, 0xa514, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c71, 0x8430, 0x8410, 0x7bef, 0x73ae, 
	0x738e, 0x6b4d, 0x632c, 0x630c, 0x5aeb, 0x52aa, 0x52aa, 0x528a, 0x4a69, 0x4a69, 0x4a49, 0x4228, 0x4208, 0x4208, 0x4208, 0x39e7, 
	0x2965, 0x2965, 0x2965, 0x2965, 0x3186, 0x31a6, 0x3186, 0x31a6, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a69, 0x528a, 0x52aa, 0x5acb, 
	0x5aeb, 0x632c, 0x6b6d, 0x738e, 0x73ae, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x94b2, 0x9cd3, 0xa514, 0xa534, 
	0xa534, 0xad55, 0xad75, 0xb596, 0xb5b6, 0xbdd7, 0xc618, 0xc638, 0xc638, 0xce59, 0xce79, 0xce79, 0xd69a, 0x2124, 0x31a6, 0x1082, 
	0x4228, 0x0861, 0x18c3, 0x4208, 0x1082, 0x1082, 0x0861, 0x0861, 0x10a2, 0x3186, 0x39e7, 0x3186, 0x4208, 0x18c3, 0x31a6, 0x528a, 
	0x4228, 0x52aa, 0x6b6d, 0x6b4d, 0x4a49, 0x632c, 0x39e7, 0x4208, 0x0861, 0x31a6, 0x528a, 0x2965, 0x0841, 0x18c3, 0x0861, 0x2965, 
	0xd6ba, 0xd6ba, 0xd6ba, 0xb5b6, 0xd6ba, 0xd69a, 0xce79, 0xce59, 0xce59, 0xc638, 0xc638, 0xc618, 0xc618, 0xbdf7, 0xbdf7, 0xbdd7, 
	0xbdd7, 0xb596, 0xb596, 0xad55, 0xad55, 0xa534, 0xa514, 0x9cf3, 0x94b2, 0x94b2, 0x9492, 0x8c71, 0x8430, 0x8410, 0x7bef, 0x73ae, 
	0x738e, 0x6b4d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 
	0x2965, 0x2965, 0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4a49, 0x4a69, 0x528a, 0x5acb, 0x5aeb, 
	0x630c, 0x6b4d, 0x6b6d, 0x738e, 0x73ae, 0x7bcf, 0x8410, 0x8410, 0x8c51, 0x8c71, 0x9492, 0x94b2, 0x9cd3, 0x9cd3, 0xa514, 0xa534, 
	0xa534, 0xad55, 0xb596, 0xb596, 0xb5b6, 0xbdd7, 0xc618, 0xc618, 0xc638, 0xce59, 0xc638, 0x10a2, 0x2104, 0x8430, 0x10a2, 0x0861, 
	0x0861, 0x4a69, 0x6b4d, 0x8c71, 0x8c71, 0x10a2, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x18c3, 0x0861, 0x2104, 0x0861, 0x1082, 
	0x4a69, 0x2124, 0x5acb, 0x2965, 0x10a2, 0x0861, 0x0861, 0x2945, 0x0861, 0x1082, 0x10a2, 0x18c3, 0x2965, 0x4208, 0x6b4d, 0xb5b6, 
	0x18e3, 0x39e7, 0x10a2, 0x94b2, 0x18e3, 0x31a6, 0xce59, 0xce59, 0xce59, 0xce59, 0xc638, 0xc618, 0xc618, 0xbdf7, 0xbdf7, 0xbdd7, 
	0xb5b6, 0xb596, 0xb596, 0xad55, 0xa534, 0xa534, 0x9cf3, 0x9cd3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8430, 0x8410, 0x7bef, 0x7bcf, 
	0x738e, 0x6b6d, 0x632c, 0x630c, 0x5acb, 0x52aa, 0x528a, 0x528a, 0x4a69, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 
	0x2965, 0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x4208, 0x4a49, 0x4a69, 0x528a, 0x5acb, 0x5aeb, 
	0x630c, 0x632c, 0x6b6d, 0x738e, 0x73ae, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x9492, 0x9cd3, 0x9cf3, 0xa514, 0xa534, 
	0xad55, 0xad55, 0xb596, 0xb5b6, 0xb5b6, 0xbdf7, 0xc618, 0xc638, 0xc638, 0xce59, 0xce59, 0x1082, 0x31a6, 0x10a2, 0x0861, 0x0861, 
	0x2124, 0x1082, 0x528a, 0x31a6, 0x7bef, 0x18c3, 0x1082, 0x1082, 0x0861, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x2124, 0x9cf3, 0x5aeb, 0x0861, 0x0861, 0x528a, 0xa514, 0x39c7, 0x5aeb, 
	0x0861, 0x1082, 0x1082, 0x10a2, 0x2124, 0xbdd7, 0x18e3, 0xce79, 0xce59, 0xc638, 0xc638, 0xc638, 0xc618, 0xbdf7, 0xbdf7, 0xbdd7, 
	0xb5b6, 0xb596, 0xad75, 0xad55, 0xad55, 0xa534, 0xa514, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x7bef, 0x7bcf, 
	0x738e, 0x6b6d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 
	0x2965, 0x2965, 0x2965, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x5acb, 0x5acb, 
	0x630c, 0x632c, 0x6b6d, 0x6b6d, 0x73ae, 0x7bcf, 0x8410, 0x8430, 0x8430, 0x8c71, 0x9492, 0x94b2, 0x9cf3, 0x9cf3, 0xa534, 0xa534, 
	0xad75, 0xad75, 0xb5b6, 0xb5b6, 0xbdd7, 0xc618, 0xc618, 0xc638, 0xce59, 0xce59, 0x2104, 0x18c3, 0x630c, 0x632c, 0x18c3, 0x3186, 
	0x18e3, 0x0861, 0x39e7, 0x0861, 0x6b4d, 0x1082, 0x10a2, 0x1082, 0x1082, 0x0861, 0x10a2, 0x1082, 0x18c3, 0x1082, 0x1082, 0x10a2, 
	0x10a2, 0x1082, 0x18e3, 0x3186, 0x18c3, 0x5aeb, 0x0861, 0x10a2, 0x18e3, 0x1082, 0x6b4d, 0x0861, 0x2945, 0x18c3, 0x2945, 0x39e7, 
	0x73ae, 0x4208, 0x0861, 0x0861, 0x18e3, 0x18c3, 0x2945, 0xce59, 0xce59, 0xce59, 0xc638, 0xc618, 0xc618, 0xc618, 0xbdd7, 0xbdd7, 
	0xb5b6, 0xb596, 0xad75, 0xad55, 0xa534, 0xa534, 0xa514, 0x9cd3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8430, 0x8430, 0x7bef, 0x73ae, 
	0x738e, 0x6b6d, 0x632c, 0x630c, 0x5aeb, 0x52aa, 0x52aa, 0x528a, 0x4a69, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 
	0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x52aa, 0x5aeb, 
	0x630c, 0x6b4d, 0x6b6d, 0x738e, 0x73ae, 0x7bcf, 0x8410, 0x8430, 0x8c71, 0x8c71, 0x9492, 0x94b2, 0x9cf3, 0xa514, 0xa534, 0xad55, 
	0xad75, 0xad75, 0xb5b6, 0xbdd7, 0xbdd7, 0xc618, 0xc618, 0xce59, 0xce59, 0xce79, 0x18e3, 0x1082, 0x2124, 0x10a2, 0x2104, 0x31a6, 
	0x1082, 0x2124, 0x31a6, 0x8410, 0x7bcf, 0x4a49, 0x18e3, 0x1082, 0x10a2, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x18c3, 0x18c3, 
	0x18c3, 0x4a49, 0x7bcf, 0xd6ba, 0x1082, 0x0861, 0x1082, 0x52aa, 0x5acb, 0x18c3, 0x7bef, 0x10a2, 0x738e, 0x7bcf, 0x8c51, 0x632c, 
	0x8430, 0x5acb, 0x39e7, 0x0861, 0x0861, 0x31a6, 0x528a, 0x10a2, 0xce59, 0xc638, 0xc638, 0xc618, 0xbdf7, 0xbdf7, 0xbdd7, 0xb5b6, 
	0xb5b6, 0xb596, 0xad75, 0xad55, 0xa534, 0xa514, 0x9cf3, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8430, 0x8430, 0x7bef, 0x7bcf, 
	0x738e, 0x6b6d, 0x632c, 0x630c, 0x5aeb, 0x52aa, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 
	0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x4208, 0x4a49, 0x4a49, 0x528a, 0x528a, 0x5acb, 0x5aeb, 
	0x630c, 0x6b4d, 0x6b4d, 0x738e, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x94b2, 0x9cf3, 0xa514, 0xa534, 0xad55, 
	0xad75, 0xb596, 0xb5b6, 0xbdd7, 0xbdd7, 0xc618, 0xc618, 0xbdf7, 0x4208, 0x0841, 0x1082, 0x18e3, 0xef5d, 0x18c3, 0x2104, 0x8c51, 
	0x2124, 0x4208, 0xa534, 0x5acb, 0x8c51, 0x8c71, 0x18e3, 0x8410, 0x5aeb, 0x10a2, 0x4a69, 0x73ae, 0x528a, 0x6b6d, 0x52aa, 0x632c, 
	0x8410, 0x6b6d, 0x6b6d, 0x73ae, 0x39e7, 0x1082, 0x1082, 0x2965, 0x39c7, 0x2965, 0x8410, 0x10a2, 0x2104, 0x39e7, 0x7bcf, 0x3186, 
	0x5acb, 0x73ae, 0x4a49, 0x0861, 0x0841, 0x2124, 0x10a2, 0x2124, 0xce79, 0xce59, 0xc638, 0xc618, 0xc618, 0xbdf7, 0xbdd7, 0xbdd7, 
	0xb5b6, 0xb596, 0xad75, 0xad55, 0xa534, 0xa514, 0x9cf3, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8430, 0x8410, 0x7bef, 0x73ae, 
	0x738e, 0x6b4d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4a49, 0x4228, 0x4228, 0x4208, 0x39e7, 0x39e7, 
	0x2965, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x4228, 0x4228, 0x4a69, 0x528a, 0x528a, 0x5acb, 0x5aeb, 
	0x632c, 0x6b4d, 0x6b6d, 0x738e, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x94b2, 0x94b2, 0x9cf3, 0xa514, 0xa534, 0xad55, 
	0xad75, 0xb596, 0xb596, 0xb5b6, 0xbdd7, 0x7bcf, 0x1082, 0x2104, 0x10a2, 0x1082, 0x0861, 0x0841, 0x1082, 0x0861, 0x31a6, 0xad55, 
	0x18e3, 0x1082, 0x9cf3, 0x7bcf, 0x9cd3, 0x9cf3, 0x2945, 0x39c7, 0x738e, 0x10a2, 0x3186, 0x0861, 0x0861, 0xb5b6, 0x4a49, 0x6b4d, 
	0x7bcf, 0x5aeb, 0x6b6d, 0x6b4d, 0x0861, 0x0861, 0x0841, 0x1082, 0x18e3, 0x10a2, 0x630c, 0x8430, 0x8430, 0x632c, 0x528a, 0x4228, 
	0x4a49, 0x7bcf, 0x630c, 0x4a69, 0x0861, 0x0861, 0x6b6d, 0x4208, 0x5aeb, 0x4228, 0xbdd7, 0xc618, 0xc618, 0xbdf7, 0xbdd7, 0xbdd7, 
	0xb5b6, 0xb596, 0xb596, 0xad55, 0xa534, 0xa514, 0xa514, 0x9cd3, 0x94b2, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8410, 0x7bef, 0x73ae, 
	0x738e, 0x6b4d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 
	0x2965, 0x3186, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4208, 0x4228, 0x4a69, 0x528a, 0x52aa, 0x5acb, 0x5aeb, 
	0x630c, 0x6b4d, 0x738e, 0x738e, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x94b2, 0x9cd3, 0x9cf3, 0xa514, 0xa534, 0xad55, 
	0xad75, 0xb596, 0xb5b6, 0xbdd7, 0xbdf7, 0x1082, 0x2104, 0x2965, 0x10a2, 0x1082, 0x18c3, 0x18e3, 0x3186, 0x2104, 0x9492, 0x94b2, 
	0x18c3, 0x73ae, 0x738e, 0x7bcf, 0x31a6, 0x4a69, 0x39e7, 0x39c7, 0x8c71, 0x5acb, 0x8410, 0x4228, 0x2124, 0x3186, 0x6b6d, 0x8410, 
	0x8c71, 0x8c51, 0x7bef, 0x18c3, 0x18e3, 0x18e3, 0x6b6d, 0x6b6d, 0x18e3, 0x4228, 0x4a69, 0x4208, 0x39e7, 0x8410, 0x6b6d, 0x39e7, 
	0x39c7, 0x39e7, 0x6b6d, 0x2104, 0x0861, 0x0861, 0x18c3, 0x0861, 0x3186, 0x39c7, 0x39e7, 0xc618, 0xbdf7, 0xbdf7, 0xbdd7, 0xbdd7, 
	0xb5b6, 0xb596, 0xad75, 0xad75, 0xa534, 0xa514, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x9492, 0x8c51, 0x8430, 0x8410, 0x7bef, 0x73ae, 
	0x738e, 0x6b4d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4a49, 0x4228, 0x4228, 0x4208, 0x39e7, 0x39e7, 
	0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x39e7, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x52aa, 0x5acb, 0x5aeb, 
	0x632c, 0x6b4d, 0x6b6d, 0x738e, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c71, 0x8c71, 0x94b2, 0x94b2, 0x9cd3, 0xa514, 0xa534, 0xad55, 
	0xad75, 0xb596, 0xb5b6, 0xbdd7, 0x632c, 0x10a2, 0x2124, 0x10a2, 0x18e3, 0x0861, 0x10a2, 0x3186, 0x6b6d, 0x10a2, 0xb596, 0x6b6d, 
	0x1082, 0x18c3, 0x8c71, 0x738e, 0x4a69, 0x73ae, 0x8410, 0x52aa, 0x3186, 0x39e7, 0x10a2, 0x4a49, 0x2124, 0x4a49, 0x738e, 0x5acb, 
	0x6b4d, 0x6b4d, 0xb5b6, 0x4208, 0x0861, 0x1082, 0x18c3, 0x4208, 0x0861, 0x8c71, 0x4a69, 0x31a6, 0x0861, 0x630c, 0x8410, 0x39c7, 
	0x738e, 0x4208, 0x632c, 0x2104, 0x0841, 0x10a2, 0x31a6, 0x4208, 0x528a, 0x39c7, 0x39c7, 0xc618, 0xc618, 0xbdd7, 0xbdd7, 0xbdd7, 
	0xb5b6, 0xb596, 0xad75, 0xad55, 0xad55, 0xa514, 0xa514, 0x9cd3, 0x94b2, 0x94b2, 0x9492, 0x8c71, 0x8430, 0x8410, 0x7bcf, 0x73ae, 
	0x738e, 0x6b4d, 0x632c, 0x630c, 0x5aeb, 0x52aa, 0x528a, 0x528a, 0x4a69, 0x4a69, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 
	0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x4228, 0x4228, 0x4a69, 0x528a, 0x52aa, 0x5acb, 0x5aeb, 
	0x632c, 0x6b4d, 0x6b6d, 0x738e, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x9cd3, 0x9cd3, 0x9cf3, 0xa534, 0xad55, 
	0xad75, 0xb596, 0xb5b6, 0x94b2, 0x0861, 0x0861, 0x31a6, 0x39e7, 0x7bcf, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0xce79, 0x7bef, 
	0x10a2, 0x5aeb, 0x31a6, 0x4a69, 0x632c, 0x7bef, 0x94b2, 0x2945, 0x8410, 0x4a69, 0x18c3, 0x4228, 0x73ae, 0x738e, 0x8430, 0x630c, 
	0x630c, 0x8410, 0x630c, 0x2104, 0x10a2, 0x31a6, 0x1082, 0x0861, 0x4228, 0x73ae, 0xb5b6, 0x0861, 0x630c, 0x8430, 0x39e7, 0x4208, 
	0x94b2, 0x4a49, 0x632c, 0x4a69, 0x0861, 0x1082, 0x2965, 0x39e7, 0x1082, 0x4208, 0x39c7, 0x4a49, 0xc618, 0xbdf7, 0xbdd7, 0xb5b6, 
	0xb5b6, 0xb596, 0xad75, 0xad75, 0xad55, 0xa534, 0xa514, 0x9cd3, 0x9cd3, 0x94b2, 0x9492, 0x8c51, 0x8430, 0x8410, 0x7bef, 0x738e, 
	0x738e, 0x6b4d, 0x630c, 0x5aeb, 0x5aeb, 0x52aa, 0x52aa, 0x4a69, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 
	0x3186, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x4208, 0x4228, 0x4a69, 0x528a, 0x52aa, 0x5acb, 0x5aeb, 
	0x630c, 0x6b4d, 0x738e, 0x738e, 0x73ae, 0x7bef, 0x8410, 0x8430, 0x8c71, 0x9492, 0x9492, 0x94b2, 0x9cd3, 0xa514, 0xa534, 0xad55, 
	0xad55, 0xad75, 0xb596, 0x10a2, 0x1082, 0x0861, 0x10a2, 0x31a6, 0x10a2, 0x1082, 0x18e3, 0x2965, 0x528a, 0x4208, 0xa534, 0x9492, 
	0x1082, 0x1082, 0x2965, 0x4228, 0x528a, 0x8430, 0x3186, 0x1082, 0x7bcf, 0x4a69, 0x8410, 0x738e, 0x2104, 0x8410, 0x4a49, 0x39e7, 
	0x528a, 0x5aeb, 0x4a49, 0x2945, 0x18c3, 0x632c, 0x7bcf, 0x4a69, 0x0861, 0x52aa, 0x632c, 0x7bcf, 0x630c, 0x5aeb, 0x6b6d, 0x7bcf, 
	0x8c71, 0x4228, 0x73ae, 0x10a2, 0x0861, 0x0861, 0x0861, 0x1082, 0x4a49, 0x528a, 0x31a6, 0x18e3, 0x528a, 0xbdd7, 0xbdd7, 0xb596, 
	0xb596, 0xad75, 0xad75, 0xad75, 0xad55, 0xa534, 0xa514, 0x9cd3, 0x9cd3, 0x9492, 0x9492, 0x8c51, 0x8430, 0x8410, 0x7bcf, 0x73ae, 
	0x6b6d, 0x6b4d, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x528a, 0x4a69, 0x4a49, 0x4a49, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 
	0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x52aa, 0x5acb, 0x5aeb, 
	0x630c, 0x632c, 0x6b6d, 0x738e, 0x73ae, 0x7bcf, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x94b2, 0x94b2, 0x9cf3, 0xa514, 0xa534, 0xa534, 
	0xa534, 0xad55, 0x8430, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x10a2, 0x1082, 0x1082, 0x2104, 0x94b2, 0x2104, 0x8c51, 0x3186, 
	0x1082, 0x6b4d, 0x630c, 0x632c, 0x630c, 0x738e, 0x0861, 0x1082, 0x5acb, 0x8c51, 0x8c71, 0x8430, 0x1082, 0x18c3, 0x630c, 0x18c3, 
	0x0861, 0x2104, 0x2104, 0x0861, 0x0861, 0x18e3, 0x2104, 0x1082, 0x18e3, 0x7bef, 0x6b6d, 0x4228, 0x52aa, 0x528a, 0x5acb, 0x39e7, 
	0x8410, 0x6b4d, 0xa534, 0x10a2, 0x10a2, 0x18c3, 0x4208, 0x5aeb, 0x7bcf, 0x4208, 0x4a49, 0x18e3, 0x10a2, 0x9cf3, 0xbdd7, 0xb596, 
	0xb596, 0xb596, 0xb596, 0xad55, 0xa534, 0xa534, 0xa514, 0x9cf3, 0x9cd3, 0x94b2, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bcf, 0x73ae, 
	0x6b6d, 0x6b4d, 0x630c, 0x5aeb, 0x5acb, 0x5acb, 0x528a, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 
	0x3186, 0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x52aa, 0x5aeb, 
	0x630c, 0x6b4d, 0x6b6d, 0x738e, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x9cd3, 0x9cd3, 0xa514, 0xa514, 0xa534, 
	0xad55, 0xad55, 0x1082, 0x1082, 0x1082, 0x0861, 0x0861, 0x4a69, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0841, 0x630c, 0x10a2, 
	0x1082, 0x0841, 0x39c7, 0x18c3, 0xa514, 0x6b6d, 0x630c, 0x0861, 0x39c7, 0x2945, 0xa514, 0x6b6d, 0x10a2, 0x9492, 0x2945, 0x9492, 
	0x528a, 0x39e7, 0x2965, 0x1082, 0x0861, 0x0861, 0x0861, 0x1082, 0x5aeb, 0x9cf3, 0x5acb, 0x39e7, 0x2945, 0x18e3, 0x6b4d, 0x2965, 
	0x632c, 0x632c, 0x8c71, 0x39e7, 0x0861, 0x18c3, 0x4a69, 0x31a6, 0x632c, 0x7bef, 0x52aa, 0x18e3, 0x1082, 0x2945, 0xb5b6, 0xb5b6, 
	0xb596, 0xb596, 0xad75, 0xad55, 0xad55, 0xa534, 0xa514, 0x9cf3, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x7bef, 0x7bcf, 0x738e, 
	0x6b6d, 0x6b4d, 0x632c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 
	0x2965, 0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x52aa, 0x5aeb, 
	0x630c, 0x632c, 0x6b6d, 0x738e, 0x7bcf, 0x7bcf, 0x8410, 0x8430, 0x8c51, 0x9492, 0x9492, 0x94b2, 0x9cf3, 0xa514, 0xa514, 0xa534, 
	0xa534, 0xad55, 0x1082, 0x0861, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x10a2, 0x18e3, 0x18c3, 0x8410, 0x4a49, 0x1082, 
	0x1082, 0x0861, 0x0861, 0x0841, 0x2965, 0x8410, 0x4a49, 0x0861, 0x2104, 0x2945, 0x9cd3, 0x9492, 0x5acb, 0x0861, 0x2965, 0x10a2, 
	0x18c3, 0x1082, 0x18e3, 0x0861, 0x2124, 0x52aa, 0x528a, 0x2965, 0x630c, 0x9492, 0x1082, 0x1082, 0x630c, 0x18c3, 0x3186, 0x4208, 
	0x4208, 0xb5b6, 0xa534, 0x10a2, 0x0861, 0x0861, 0x0861, 0x10a2, 0x9cf3, 0xa534, 0x4a49, 0x2945, 0x10a2, 0x18c3, 0xb5b6, 0xb5b6, 
	0xb596, 0xad75, 0xb596, 0xad75, 0xad55, 0xa534, 0xa514, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x7bef, 0x7bcf, 0x738e, 
	0x6b6d, 0x6b4d, 0x632c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 
	0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4228, 0x4a69, 0x528a, 0x52aa, 0x5aeb, 
	0x630c, 0x632c, 0x6b6d, 0x738e, 0x73ae, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x94b2, 0x9cd3, 0x9cf3, 0xa514, 0xa534, 
	0xa534, 0xa514, 0x0841, 0x0861, 0x0861, 0x1082, 0x0861, 0x0861, 0x0861, 0x1082, 0x10a2, 0x4208, 0xd6ba, 0x2104, 0x5aeb, 0x0861, 
	0x1082, 0x0861, 0x3186, 0x73ae, 0x7bef, 0x8410, 0x1082, 0x0861, 0x1082, 0x6b4d, 0x4228, 0x18e3, 0x73ae, 0x6b6d, 0x0861, 0x2945, 
	0x4228, 0x0861, 0x0861, 0x1082, 0x0861, 0x18c3, 0x10a2, 0x1082, 0x630c, 0x39c7, 0x2124, 0x2945, 0x39e7, 0x18c3, 0x2965, 0x738e, 
	0x4208, 0xad75, 0x8410, 0x1082, 0x1082, 0x1082, 0x4228, 0x39c7, 0xb5b6, 0x39c7, 0x39e7, 0x2104, 0x1082, 0x10a2, 0xb596, 0xb5b6, 
	0xb596, 0xb596, 0xad75, 0xad75, 0xad55, 0xa534, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8410, 0x7bef, 0x73ae, 0x738e, 
	0x6b6d, 0x6b4d, 0x632c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 
	0x2965, 0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39e7, 0x39e7, 0x39e7, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x52aa, 0x5acb, 
	0x630c, 0x632c, 0x6b4d, 0x738e, 0x73ae, 0x7bcf, 0x7bef, 0x8410, 0x8c51, 0x8c51, 0x9492, 0x94b2, 0x9cd3, 0x9cd3, 0x9cf3, 0xa514, 
	0xa534, 0x6b4d, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x0861, 0x1082, 0x18c3, 0x1082, 0x632c, 0x1082, 
	0x4a49, 0x1082, 0x0861, 0x2104, 0x738e, 0x632c, 0x18e3, 0x528a, 0x630c, 0x39c7, 0x738e, 0x31a6, 0x5acb, 0x8c51, 0x5aeb, 0x4a69, 
	0x4228, 0x4208, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x2104, 0x1082, 0x4a49, 0x6b6d, 0x10a2, 0x18e3, 0x39e7, 0x5aeb, 0x5aeb, 
	0x4228, 0xb5b6, 0x8410, 0x18c3, 0x18e3, 0x0861, 0x2124, 0x18c3, 0x5acb, 0x18c3, 0x4208, 0x3186, 0x1082, 0x1082, 0x8c71, 0xb596, 
	0xb596, 0xb596, 0xad75, 0xad55, 0xa534, 0xa534, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8430, 0x8410, 0x7bef, 0x73ae, 0x738e, 
	0x6b6d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x39e7, 0x39e7, 0x39e7, 
	0x2965, 0x2965, 0x3186, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4228, 0x4a69, 0x528a, 0x52aa, 0x5acb, 
	0x630c, 0x632c, 0x6b4d, 0x6b6d, 0x73ae, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c71, 0x9492, 0x9492, 0x94b2, 0x94b2, 0xa514, 0xa514, 
	0xa514, 0x10a2, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x18e3, 0x10a2, 0x1082, 0x4228, 0x6b6d, 0x18c3, 
	0x5acb, 0x10a2, 0x0861, 0x0841, 0x4208, 0x7bcf, 0x31a6, 0x738e, 0x4a49, 0x2945, 0x8410, 0x1082, 0x8430, 0x39e7, 0x73ae, 0x630c, 
	0x2104, 0x2104, 0x10a2, 0x0861, 0x18e3, 0x528a, 0x528a, 0x31a6, 0x10a2, 0x6b6d, 0x0861, 0x4228, 0x2965, 0x73ae, 0x73ae, 0x738e, 
	0x2965, 0x8c51, 0x1082, 0x0861, 0x0861, 0x0861, 0x1082, 0x1082, 0x31a6, 0x18e3, 0x2124, 0x31a6, 0x18c3, 0x1082, 0x4a69, 0xb596, 
	0xb596, 0xb596, 0xad75, 0xad55, 0xa534, 0xa514, 0x9cd3, 0x9cd3, 0x9492, 0x9492, 0x8c51, 0x8430, 0x8410, 0x7bcf, 0x73ae, 0x738e, 
	0x6b4d, 0x632c, 0x5aeb, 0x5aeb, 0x52aa, 0x52aa, 0x528a, 0x4a69, 0x4a69, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39e7, 
	0x2965, 0x3186, 0x2965, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4228, 0x4a49, 0x528a, 0x52aa, 0x5acb, 
	0x5aeb, 0x632c, 0x6b4d, 0x6b6d, 0x738e, 0x73ae, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x9492, 0x94b2, 0x94b2, 0x9cd3, 0x9cf3, 
	0xa514, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x18e3, 0x18c3, 0x4208, 0x8410, 0x18e3, 0x73ae, 0x10a2, 
	0x528a, 0x10a2, 0x18e3, 0x0861, 0x4208, 0x73ae, 0x4208, 0x10a2, 0x1082, 0x0861, 0x528a, 0x630c, 0x0861, 0x18e3, 0x6b6d, 0x7bef, 
	0x6b6d, 0x18c3, 0x0861, 0x10a2, 0x18c3, 0x4228, 0x5acb, 0x39e7, 0x73ae, 0x18c3, 0x52aa, 0x18c3, 0x2104, 0x8c51, 0xa534, 0x73ae, 
	0x4228, 0x5acb, 0x0861, 0x0861, 0x2965, 0x52aa, 0x6b4d, 0x632c, 0x39c7, 0x10a2, 0x3186, 0x39e7, 0x39c7, 0x1082, 0x2104, 0xb596, 
	0xb596, 0xb596, 0xad75, 0xad55, 0xa514, 0xa514, 0x9cd3, 0x9cd3, 0x9492, 0x9492, 0x8c51, 0x8430, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 
	0x6b4d, 0x632c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39e7, 
	0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x4208, 0x4a49, 0x4a69, 0x528a, 0x52aa, 0x5acb, 
	0x630c, 0x630c, 0x6b4d, 0x6b6d, 0x738e, 0x7bcf, 0x7bcf, 0x8410, 0x8430, 0x8c51, 0x8c51, 0x8c71, 0x9492, 0x9cd3, 0x9cd3, 0x9cf3, 
	0xa514, 0x0861, 0x0861, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x5acb, 0x0861, 
	0x4228, 0x0861, 0x10a2, 0x0861, 0x3186, 0x7bef, 0x9492, 0x2104, 0x4208, 0x2104, 0x0861, 0x738e, 0x8c51, 0x1082, 0x1082, 0x0841, 
	0x630c, 0x18c3, 0x0861, 0x0861, 0x0861, 0x0861, 0x10a2, 0x10a2, 0x7bcf, 0x2124, 0x4228, 0x2965, 0x4a69, 0x4a69, 0x738e, 0x39e7, 
	0x31a6, 0x4a69, 0x0841, 0x0861, 0x0861, 0x10a2, 0x2945, 0x2124, 0x3186, 0x2104, 0x39c7, 0x5acb, 0x5acb, 0x18c3, 0x10a2, 0xb596, 
	0xb5b6, 0xb596, 0xad55, 0xad55, 0xa514, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8410, 0x8410, 0x7bcf, 0x73ae, 0x6b6d, 
	0x6b4d, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4a49, 0x4228, 0x4208, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39e7, 
	0x2965, 0x2965, 0x2965, 0x2965, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x4208, 0x4a49, 0x4a69, 0x528a, 0x528a, 0x5acb, 
	0x5aeb, 0x630c, 0x6b4d, 0x6b6d, 0x738e, 0x73ae, 0x7bcf, 0x8410, 0x8430, 0x8430, 0x8c51, 0x8c71, 0x8c71, 0x94b2, 0x9cd3, 0x94b2, 
	0x10a2, 0x0861, 0x1082, 0x18c3, 0x0861, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x18c3, 0x2965, 0x18c3, 0x2945, 0x4a69, 0x0861, 
	0x4a49, 0x4228, 0x10a2, 0x0861, 0x4228, 0x5acb, 0x4a49, 0x2945, 0x7bcf, 0x39c7, 0x1082, 0x7bef, 0x7bef, 0x7bcf, 0x738e, 0x2124, 
	0x8c71, 0x0861, 0x1082, 0x10a2, 0x39c7, 0x52aa, 0x39e7, 0x4a69, 0x52aa, 0x5acb, 0x1082, 0x31a6, 0x8c51, 0x31a6, 0x73ae, 0x4208, 
	0x39e7, 0x39e7, 0x0861, 0x0861, 0x2104, 0x18e3, 0x0841, 0x4208, 0x2124, 0x3186, 0x6b6d, 0xad55, 0xbdd7, 0x2965, 0x10a2, 0x738e, 
	0xb596, 0xb596, 0xad75, 0xa534, 0xa514, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8430, 0x8410, 0x7bef, 0x7bcf, 0x738e, 0x6b6d, 
	0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4228, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 
	0x2965, 0x2965, 0x2965, 0x2965, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x52aa, 
	0x5aeb, 0x630c, 0x6b4d, 0x6b4d, 0x6b6d, 0x73ae, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8c51, 0x8c71, 0x8c71, 0x9492, 0x94b2, 0x9cd3, 
	0x0841, 0x0861, 0x1082, 0x10a2, 0x0861, 0x10a2, 0x1082, 0x0861, 0x0861, 0x18e3, 0x2104, 0x5aeb, 0x5aeb, 0x39e7, 0x4a69, 0x1082, 
	0x52aa, 0x4208, 0x10a2, 0x0861, 0x18c3, 0x3186, 0x39e7, 0x1082, 0x2965, 0x18c3, 0x10a2, 0x2965, 0x9492, 0x4a69, 0x5aeb, 0x2124, 
	0x1082, 0x0861, 0x1082, 0x1082, 0x10a2, 0x8410, 0x2945, 0x5aeb, 0x3186, 0x0861, 0x18c3, 0x6b4d, 0x18c3, 0x39e7, 0x7bcf, 0x39e7, 
	0x2945, 0x39c7, 0x0861, 0x1082, 0x18e3, 0x94b2, 0x39c7, 0x2124, 0x18e3, 0x3186, 0x52aa, 0xb5b6, 0xd69a, 0x4228, 0x31a6, 0x4228, 
	0x8430, 0xad75, 0xad55, 0xa534, 0xa514, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8c51, 0x8410, 0x7bef, 0x73ae, 0x738e, 0x6b6d, 
	0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 
	0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4208, 0x4228, 0x4a69, 0x4a69, 0x52aa, 
	0x5acb, 0x630c, 0x632c, 0x6b4d, 0x6b6d, 0x73ae, 0x7bcf, 0x7bef, 0x8410, 0x8430, 0x8430, 0x8c51, 0x8c71, 0x8c71, 0x8c71, 0x1082, 
	0x2945, 0x18c3, 0x1082, 0x10a2, 0x31a6, 0x2104, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x31a6, 0x4208, 0x1082, 
	0x5aeb, 0x2965, 0x18c3, 0x0861, 0x5acb, 0x2945, 0x7bcf, 0x7bcf, 0xad75, 0x3186, 0x630c, 0x1082, 0x2124, 0x9cf3, 0x5aeb, 0x4a49, 
	0x2124, 0x1082, 0x1082, 0x0861, 0x0861, 0x18c3, 0x1082, 0x2124, 0x1082, 0x2945, 0x0861, 0x9cd3, 0x7bef, 0x6b6d, 0x94b2, 0x39c7, 
	0x18c3, 0x2104, 0x0841, 0x0861, 0x0861, 0x0861, 0x0861, 0x2124, 0x2124, 0x2945, 0x39e7, 0x52aa, 0x8c71, 0x4228, 0x73ae, 0x4a69, 
	0x10a2, 0xad55, 0xad55, 0xa514, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bcf, 0x73ae, 0x738e, 0x6b4d, 
	0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 
	0x2965, 0x2965, 0x2965, 0x3186, 0x2965, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39e7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 
	0x5acb, 0x630c, 0x630c, 0x6b4d, 0x6b6d, 0x738e, 0x7bcf, 0x7bef, 0x8410, 0x8410, 0x8430, 0x8430, 0x8c51, 0x8c51, 0x0861, 0x18e3, 
	0x0861, 0x4208, 0x18c3, 0x18c3, 0x1082, 0x2124, 0x1082, 0x1082, 0x0861, 0x1082, 0x2124, 0x2965, 0x2104, 0x39c7, 0x2104, 0x0861, 
	0x4208, 0x2104, 0x10a2, 0x0861, 0x0861, 0x18c3, 0x5acb, 0x8430, 0x31a6, 0x2965, 0x738e, 0x2945, 0x1082, 0x2945, 0x8c71, 0x7bef, 
	0x2124, 0x10a2, 0x1082, 0x18c3, 0x2965, 0x528a, 0x1082, 0x39c7, 0x31a6, 0x2965, 0x6b6d, 0x7bef, 0xc618, 0x528a, 0x8410, 0x4228, 
	0x1082, 0x1082, 0x0861, 0x18e3, 0x18c3, 0x3186, 0x18e3, 0x2965, 0x2104, 0x18c3, 0x39e7, 0x6b4d, 0x8c71, 0x0841, 0x39c7, 0x18c3, 
	0x2965, 0x2104, 0xa534, 0xa514, 0x9cf3, 0x9cd3, 0x94b2, 0x8c71, 0x8c51, 0x8430, 0x8430, 0x7bef, 0x7bcf, 0x73ae, 0x6b6d, 0x6b4d, 
	0x632c, 0x630c, 0x5aeb, 0x52aa, 0x528a, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 
	0x2945, 0x2965, 0x2965, 0x2965, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 0x39c7, 0x4208, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 
	0x5acb, 0x5aeb, 0x632c, 0x632c, 0x6b4d, 0x738e, 0x73ae, 0x7bcf, 0x7bcf, 0x7bef, 0x8430, 0x8430, 0x8430, 0x8c71, 0x18e3, 0x0841, 
	0x0841, 0x18c3, 0x10a2, 0x2965, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x18c3, 0x52aa, 0x31a6, 0x2965, 0x10a2, 0x0861, 
	0x39e7, 0x10a2, 0x10a2, 0x0861, 0x0861, 0x4228, 0x5acb, 0x73ae, 0x0861, 0x39c7, 0x2104, 0x52aa, 0x10a2, 0x0861, 0x0861, 0x1082, 
	0x1082, 0x0861, 0x0861, 0x1082, 0x4208, 0x8410, 0x2104, 0x4228, 0x0861, 0x0861, 0x18c3, 0x5aeb, 0x0861, 0x4a49, 0x2965, 0x31a6, 
	0x0861, 0x0861, 0x0861, 0x1082, 0x632c, 0x8c71, 0x3186, 0x2945, 0x18c3, 0x10a2, 0x1082, 0x528a, 0xa514, 0x1082, 0x6b4d, 0x2965, 
	0x2945, 0x4228, 0x94b2, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bef, 0x7bcf, 0x738e, 0x6b6d, 0x6b4d, 
	0x632c, 0x630c, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a69, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 
	0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 
	0x52aa, 0x5aeb, 0x5aeb, 0x632c, 0x6b4d, 0x6b6d, 0x73ae, 0x7bcf, 0x7bef, 0x7bef, 0x8410, 0x8410, 0x8410, 0x0841, 0x31a6, 0x1082, 
	0x18c3, 0x4a49, 0x9492, 0x4208, 0x2965, 0x1082, 0x0861, 0x2124, 0x18e3, 0x0861, 0x0861, 0x0841, 0x1082, 0x31a6, 0x0841, 0x1082, 
	0x4208, 0x18c3, 0x1082, 0x0861, 0x2124, 0x31a6, 0x31a6, 0x632c, 0x3186, 0xa514, 0x0861, 0x9cd3, 0x4228, 0x4208, 0x39e7, 0x0861, 
	0x1082, 0x18e3, 0x0841, 0x0861, 0x0861, 0x10a2, 0x2104, 0x39e7, 0x0841, 0x0861, 0x1082, 0x31a6, 0x4a69, 0x18e3, 0x3186, 0x4a69, 
	0x1082, 0x0861, 0x0861, 0x0861, 0x1082, 0x1082, 0x0861, 0x2124, 0x1082, 0x0861, 0x3186, 0x39c7, 0x528a, 0x39e7, 0x2945, 0x4a49, 
	0x3186, 0x0861, 0x52aa, 0x9cf3, 0x9cd3, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bcf, 0x73ae, 0x738e, 0x6b6d, 0x632c, 
	0x630c, 0x630c, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x39c7, 
	0x2965, 0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x528a, 
	0x52aa, 0x5acb, 0x5aeb, 0x630c, 0x632c, 0x6b4d, 0x738e, 0x738e, 0x73ae, 0x7bcf, 0x7bef, 0x7bef, 0x7bef, 0x1082, 0x0861, 0x2124, 
	0x10a2, 0x0861, 0x0841, 0x2965, 0x10a2, 0x0861, 0x0861, 0x0861, 0x2965, 0x1082, 0x2104, 0x2945, 0x10a2, 0x2124, 0x0841, 0x1082, 
	0x39c7, 0x1082, 0x1082, 0x0861, 0x0861, 0x1082, 0x18e3, 0x2945, 0x4a69, 0x1082, 0x0861, 0x2104, 0x73ae, 0x39c7, 0x3186, 0x1082, 
	0x1082, 0x0861, 0x1082, 0x10a2, 0x4208, 0x39c7, 0x4a49, 0x18c3, 0x5aeb, 0x0861, 0x0841, 0x4228, 0x0861, 0x0841, 0x2945, 0x4228, 
	0x0861, 0x0861, 0x2945, 0x4228, 0x5aeb, 0x0861, 0x3186, 0x10a2, 0x1082, 0x0861, 0x10a2, 0x18e3, 0x528a, 0x18e3, 0x528a, 0x0861, 
	0x2124, 0x2965, 0x18c3, 0x9cd3, 0x9cd3, 0x9492, 0x9492, 0x8c51, 0x8430, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 0x6b4d, 0x632c, 
	0x630c, 0x5acb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x39c7, 
	0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x4a69, 
	0x52aa, 0x5acb, 0x5acb, 0x630c, 0x632c, 0x6b4d, 0x6b6d, 0x6b6d, 0x738e, 0x738e, 0x73ae, 0x7bcf, 0x7bcf, 0x0841, 0x0841, 0x0861, 
	0x4a69, 0x18e3, 0x0841, 0x0861, 0x0861, 0x18c3, 0x0861, 0x1082, 0x2945, 0x0861, 0x10a2, 0x9492, 0x2965, 0x18e3, 0x0841, 0x10a2, 
	0x2945, 0x0861, 0x1082, 0x0861, 0x0861, 0x0841, 0x8c51, 0x39c7, 0x2965, 0x0861, 0x10a2, 0x1082, 0x18e3, 0x3186, 0x3186, 0x1082, 
	0x0861, 0x0861, 0x10a2, 0x3186, 0x9cd3, 0x528a, 0x2945, 0x0841, 0x10a2, 0x630c, 0x2945, 0x4208, 0x39c7, 0x0861, 0x10a2, 0x1082, 
	0x0861, 0x0841, 0x2124, 0x4a49, 0xad55, 0x4a69, 0x2104, 0x2965, 0x4208, 0x2945, 0x0861, 0x2104, 0x10a2, 0x0861, 0x2104, 0x10a2, 
	0x2945, 0x0861, 0x0861, 0x94b2, 0x94b2, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bef, 0x7bcf, 0x738e, 0x6b6d, 0x6b4d, 0x632c, 
	0x630c, 0x5acb, 0x5acb, 0x528a, 0x4a69, 0x4a69, 0x4228, 0x4208, 0x4208, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x31a6, 
	0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39e7, 0x4208, 0x4208, 0x4228, 0x4a49, 0x528a, 
	0x528a, 0x5acb, 0x5aeb, 0x5aeb, 0x630c, 0x632c, 0x6b4d, 0x6b6d, 0x6b6d, 0x6b6d, 0x73ae, 0x73ae, 0x7bcf, 0x0861, 0x0861, 0x1082, 
	0x1082, 0x0861, 0x31a6, 0x0861, 0x0841, 0x0861, 0x0841, 0x4208, 0x73ae, 0x0861, 0x0861, 0x1082, 0x0861, 0x2124, 0x0861, 0x10a2, 
	0x2965, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x31a6, 0x18c3, 0x4a49, 0x1082, 0x7bcf, 0x0861, 0x18c3, 0x2124, 0x1082, 0x0861, 
	0x0861, 0x0861, 0x1082, 0x0861, 0x1082, 0x1082, 0x2104, 0x0841, 0x18c3, 0x5aeb, 0x7bef, 0x4a69, 0x632c, 0x0841, 0x0861, 0x1082, 
	0x1082, 0x0861, 0x0861, 0x0861, 0x10a2, 0x1082, 0x18c3, 0x18c3, 0x10a2, 0x0861, 0x0861, 0x1082, 0x18e3, 0x1082, 0x3186, 0x1082, 
	0x0861, 0x1082, 0x0841, 0x9492, 0x94b2, 0x8c71, 0x8c51, 0x8430, 0x8430, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 0x6b6d, 0x6b4d, 0x630c, 
	0x630c, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x39c7, 0x31a6, 
	0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a69, 
	0x528a, 0x52aa, 0x5acb, 0x5aeb, 0x630c, 0x630c, 0x632c, 0x632c, 0x632c, 0x6b4d, 0x738e, 0x73ae, 0x7bef, 0x0861, 0x0861, 0x18e3, 
	0x2124, 0x1082, 0x0841, 0x0861, 0x0861, 0x0861, 0x0861, 0x10a2, 0x1082, 0x1082, 0x10a2, 0x2965, 0x0861, 0x10a2, 0x0861, 0x1082, 
	0x2965, 0x1082, 0x0861, 0x0861, 0x0861, 0x0841, 0x1082, 0x10a2, 0x2965, 0x10a2, 0x0841, 0x2124, 0x0861, 0x0861, 0x10a2, 0x18c3, 
	0x10a2, 0x10a2, 0x18c3, 0x18e3, 0x1082, 0x3186, 0x0861, 0x2104, 0x0841, 0x10a2, 0x5aeb, 0x10a2, 0x4a49, 0x0861, 0x0861, 0x0861, 
	0x1082, 0x0861, 0x2124, 0x39c7, 0x39c7, 0x10a2, 0x2945, 0x10a2, 0x2945, 0x0861, 0x0861, 0x0861, 0x0861, 0x2104, 0x0841, 0x10a2, 
	0x39c7, 0x1082, 0x0841, 0x6b2d, 0x9492, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 0x6b6d, 0x632c, 0x630c, 
	0x5aeb, 0x5acb, 0x52aa, 0x4a69, 0x4a69, 0x4228, 0x4228, 0x4228, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x39c7, 0x31a6, 
	0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x4228, 0x4a49, 0x4a69, 
	0x528a, 0x52aa, 0x5acb, 0x5acb, 0x5aeb, 0x5aeb, 0x630c, 0x630c, 0x632c, 0x6b4d, 0x738e, 0x73ae, 0x7bef, 0x0861, 0x0841, 0x0861, 
	0x10a2, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x1082, 0x0861, 0x10a2, 0x632c, 0x2945, 0x18c3, 0x0861, 0x10a2, 
	0x18c3, 0x1082, 0x1082, 0x0841, 0x0861, 0x0861, 0x10a2, 0x52aa, 0x18e3, 0x5aeb, 0x0861, 0x1082, 0x630c, 0x2104, 0x0861, 0x0861, 
	0x0861, 0x1082, 0x10a2, 0x632c, 0x630c, 0x18c3, 0x4a69, 0x31a6, 0x0861, 0x18c3, 0x4228, 0x2945, 0x31a6, 0x0841, 0x0861, 0x0861, 
	0x1082, 0x0861, 0x18e3, 0x4a69, 0x4208, 0x10a2, 0x4208, 0x2945, 0x18c3, 0x0861, 0x0861, 0x0861, 0x0861, 0x10a2, 0x2945, 0x2104, 
	0x2124, 0x18c3, 0x10a2, 0x0841, 0x8c71, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x6b6d, 0x6b4d, 0x632c, 0x630c, 
	0x5acb, 0x5acb, 0x528a, 0x528a, 0x4a49, 0x4a49, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x31a6, 0x31a6, 0x31a6, 
	0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x39e7, 0x4228, 0x4a49, 
	0x4a69, 0x4a69, 0x52aa, 0x5acb, 0x5acb, 0x5acb, 0x5aeb, 0x5aeb, 0x5aeb, 0x6b4d, 0x6b6d, 0x73ae, 0x73ae, 0x0861, 0x0841, 0x1082, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x18e3, 0x0861, 0x0861, 0x0861, 0x0861, 0x18c3, 0x0861, 0x2124, 
	0x18c3, 0x1082, 0x10a2, 0x0861, 0x0861, 0x0861, 0x0861, 0x10a2, 0x6b6d, 0x3186, 0x0861, 0x0861, 0x2965, 0x18c3, 0x2104, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x18c3, 0x10a2, 0x1082, 0x1082, 0x1082, 0x18e3, 0x18e3, 0x7bcf, 0x18c3, 0x2965, 0x0861, 0x0861, 0x0861, 
	0x18e3, 0x0841, 0x0861, 0x0861, 0x0861, 0x1082, 0x2965, 0x2965, 0x18c3, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x18e3, 0x528a, 
	0x52aa, 0x1082, 0x18e3, 0x2124, 0x8c51, 0x8c51, 0x8430, 0x8430, 0x7bef, 0x7bef, 0x73ae, 0x738e, 0x6b6d, 0x6b4d, 0x632c, 0x5aeb, 
	0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x31a6, 0x31a6, 0x31a6, 
	0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39e7, 0x4208, 0x4208, 0x4228, 
	0x4a49, 0x4a69, 0x528a, 0x52aa, 0x52aa, 0x52aa, 0x5acb, 0x5acb, 0x630c, 0x632c, 0x6b6d, 0x738e, 0x0861, 0x0861, 0x2124, 0x0861, 
	0x0861, 0x10a2, 0x2104, 0x10a2, 0x0861, 0x0861, 0x0861, 0x18c3, 0x31a6, 0x1082, 0x1082, 0x18e3, 0x1082, 0x0861, 0x0841, 0x2124, 
	0x2104, 0x10a2, 0x3186, 0x0861, 0x0861, 0x0861, 0x18c3, 0x4208, 0x0861, 0x4208, 0x2965, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x1082, 0x1082, 0x2945, 0x1082, 0x1082, 0x528a, 0x6b4d, 0x0861, 0x1082, 0x18c3, 0x4228, 0x528a, 0x1082, 0x0861, 0x0861, 0x0861, 
	0x1082, 0x18e3, 0x5acb, 0x2124, 0x31a6, 0x1082, 0x0861, 0x3186, 0x31a6, 0x18c3, 0x0841, 0x18e3, 0x18e3, 0x1082, 0x3186, 0x2945, 
	0x18e3, 0x1082, 0x4228, 0x39e7, 0x1082, 0x8430, 0x8430, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 0x6b6d, 0x632c, 0x630c, 0x5aeb, 
	0x5acb, 0x52aa, 0x4a69, 0x4a69, 0x4a49, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x31a6, 0x31a6, 0x31a6, 0x3186, 
	0x2124, 0x2124, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x4208, 
	0x4228, 0x4a49, 0x4a69, 0x528a, 0x528a, 0x528a, 0x52aa, 0x5acb, 0x630c, 0x632c, 0x6b4d, 0x6b4d, 0x0861, 0x1082, 0x18e3, 0x0861, 
	0x0861, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x528a, 0x39c7, 0x31a6, 0x0861, 0x0861, 0x39e7, 0x0861, 0x0861, 0x0841, 0x2104, 
	0x1082, 0x10a2, 0x39c7, 0x0861, 0x0861, 0x0861, 0x0861, 0x6b6d, 0x8410, 0x630c, 0xbdd7, 0x6b6d, 0x1082, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x1082, 0x738e, 0x632c, 0x2124, 0x4208, 0x4a69, 0x0861, 0x2104, 0x2124, 0x5aeb, 0x39c7, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x1082, 0x1082, 0x10a2, 0x1082, 0x10a2, 0x39e7, 0x4208, 0x18c3, 0x39e7, 0x1082, 0x1082, 0x2104, 0x2124, 0x2104, 
	0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x8430, 0x8410, 0x7bef, 0x7bcf, 0x7bcf, 0x738e, 0x6b6d, 0x6b6d, 0x632c, 0x5aeb, 0x5aeb, 
	0x52aa, 0x52aa, 0x528a, 0x4a49, 0x4228, 0x4228, 0x4208, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x3186, 
	0x2124, 0x2124, 0x2124, 0x2124, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x39e7, 
	0x4208, 0x4228, 0x4a49, 0x4a49, 0x4a69, 0x528a, 0x52aa, 0x5aeb, 0x630c, 0x630c, 0x6b4d, 0x6b4d, 0x1082, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x4228, 0x2124, 0x0861, 0x0861, 0x0861, 0x0841, 0x0861, 0x18e3, 0x10a2, 
	0x1082, 0x2104, 0x1082, 0x0861, 0x0861, 0x0861, 0x1082, 0x528a, 0x2945, 0x18e3, 0x0861, 0x4208, 0x1082, 0x0861, 0x1082, 0x0861, 
	0x0861, 0x0861, 0x1082, 0x1082, 0x0861, 0x4228, 0x31a6, 0x632c, 0x0861, 0x1082, 0x6b4d, 0x528a, 0x1082, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x39c7, 0x18e3, 0x1082, 0x5aeb, 0x4a49, 0x10a2, 0x1082, 0x1082, 0x31a6, 0x39e7, 0x31a6, 0x2104, 
	0x0861, 0x0861, 0x0861, 0x0841, 0x8410, 0x8410, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 0x6b6d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 
	0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4228, 0x4208, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x31a6, 0x31a6, 0x31a6, 0x3186, 0x3186, 
	0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x39e7, 0x39e7, 0x39e7, 
	0x4208, 0x4208, 0x4228, 0x4a49, 0x4a69, 0x4a69, 0x52aa, 0x5acb, 0x630c, 0x632c, 0x632c, 0x6b4d, 0x632c, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x10a2, 0x528a, 0x18e3, 0x0861, 0x10a2, 0x1082, 
	0x10a2, 0x0861, 0x1082, 0x0861, 0x0861, 0x0861, 0x0841, 0x5aeb, 0x0841, 0x5aeb, 0x0861, 0x0861, 0x10a2, 0x0861, 0x0861, 0x0861, 
	0x1082, 0x1082, 0x0861, 0x0861, 0x2124, 0x31a6, 0x528a, 0x1082, 0x10a2, 0x18e3, 0x31a6, 0x31a6, 0x1082, 0x0861, 0x18c3, 0x0861, 
	0x0861, 0x31a6, 0x5aeb, 0x10a2, 0x1082, 0x5acb, 0x5acb, 0x2945, 0x1082, 0x1082, 0x18e3, 0x39e7, 0x4a69, 0x4a49, 0x39c7, 0x18c3, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x8410, 0x8410, 0x7bef, 0x7bcf, 0x73ae, 0x73ae, 0x6b6d, 0x6b4d, 0x632c, 0x5aeb, 0x5aeb, 0x5acb, 
	0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4208, 0x4208, 0x39c7, 0x39c7, 0x39c7, 0x31a6, 0x31a6, 0x3186, 0x3186, 0x3186, 0x2965, 
	0x2124, 0x2124, 0x2124, 0x2124, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x39c7, 0x39c7, 0x39c7, 
	0x39e7, 0x39e7, 0x4208, 0x4228, 0x4a69, 0x528a, 0x52aa, 0x5aeb, 0x5aeb, 0x632c, 0x632c, 0x632c, 0x632c, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x0861, 0x0861, 0x0861, 0x18c3, 0x1082, 0x10a2, 0x18c3, 0x1082, 
	0x10a2, 0x18e3, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x4a69, 0x632c, 0x6b4d, 0x0861, 0x0861, 0x0861, 0x0861, 0x10a2, 0x1082, 
	0x2104, 0x4228, 0x9492, 0x1082, 0x73ae, 0x0861, 0x0861, 0x0841, 0x1082, 0x5aeb, 0x52aa, 0x3186, 0x0861, 0x0861, 0x2124, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x2104, 0x2124, 0x1082, 0x10a2, 0x2945, 0x4a49, 0x8c51, 0x630c, 0x2124, 0x18e3, 0x1082, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x7bcf, 0x8410, 0x7bcf, 0x73ae, 0x73ae, 0x738e, 0x6b4d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 
	0x4a69, 0x528a, 0x4a49, 0x4228, 0x4208, 0x4208, 0x39e7, 0x39c7, 0x39c7, 0x31a6, 0x31a6, 0x31a6, 0x3186, 0x3186, 0x2965, 0x2965, 
	0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x39c7, 
	0x39e7, 0x39e7, 0x4228, 0x4228, 0x4a69, 0x528a, 0x52aa, 0x5acb, 0x5aeb, 0x630c, 0x630c, 0x630c, 0x630c, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x0861, 0x0861, 0x0861, 0x2965, 0x10a2, 0x1082, 
	0x18e3, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x10a2, 0x4228, 0x2124, 0x2104, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x10a2, 0x10a2, 0x1082, 0x0861, 0x18c3, 0x18e3, 0x10a2, 0x10a2, 0x2104, 0x4208, 0x1082, 0x0861, 0x0861, 0x2124, 0x0861, 
	0x1082, 0x18e3, 0x0841, 0x39e7, 0x1082, 0x1082, 0x1082, 0x1082, 0x2104, 0x528a, 0x94b2, 0x5aeb, 0x2104, 0x10a2, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x7bcf, 0x7bef, 0x7bef, 0x7bcf, 0x73ae, 0x738e, 0x6b6d, 0x6b4d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x528a, 
	0x4a69, 0x4a49, 0x4a49, 0x4228, 0x39e7, 0x39e7, 0x39e7, 0x39c7, 0x31a6, 0x31a6, 0x3186, 0x3186, 0x3186, 0x2965, 0x2965, 0x2965, 
	0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x3186, 0x3186, 0x31a6, 0x31a6, 
	0x39c7, 0x4208, 0x4208, 0x4a49, 0x4a69, 0x528a, 0x52aa, 0x5acb, 0x5aeb, 0x630c, 0x630c, 0x630c, 0x630c, 0x18e3, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x1082, 0x5acb, 0x1082, 0x52aa, 0x4a49, 0x10a2, 
	0x10a2, 0x2104, 0x0861, 0x0861, 0x0861, 0x0861, 0x0841, 0x18c3, 0x0861, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0841, 0x0861, 0x2104, 0x31a6, 0x2104, 0x0841, 0x0861, 0x10a2, 0x2945, 0x4228, 0x0861, 0x0861, 0x2104, 0x1082, 0x0861, 
	0x18c3, 0x52aa, 0x1082, 0x4a69, 0x1082, 0x1082, 0x10a2, 0x2945, 0x6b6d, 0x9cf3, 0x632c, 0x2965, 0x1082, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0841, 0x7bcf, 0x7bef, 0x7bcf, 0x7bcf, 0x7bcf, 0x738e, 0x738e, 0x6b6d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x5acb, 0x528a, 
	0x4a69, 0x4a49, 0x4228, 0x4208, 0x39e7, 0x39e7, 0x39c7, 0x31a6, 0x31a6, 0x31a6, 0x3186, 0x3186, 0x2965, 0x2965, 0x2945, 0x2965, 
	0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x3186, 0x31a6, 0x31a6, 
	0x39c7, 0x39e7, 0x4228, 0x4228, 0x4a69, 0x528a, 0x52aa, 0x52aa, 0x52aa, 0x5acb, 0x5aeb, 0x5aeb, 0x630c, 0x630c, 0x632c, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x0861, 0x31a6, 0x31a6, 0x39e7, 
	0x630c, 0x18c3, 0x18c3, 0x1082, 0x1082, 0x0861, 0x0861, 0x0841, 0x4a69, 0x2104, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x2124, 
	0x5acb, 0x39e7, 0x39e7, 0x4a49, 0x4a49, 0x5aeb, 0x0861, 0x0861, 0x0841, 0x0861, 0x1082, 0x0861, 0x1082, 0x52aa, 0x18e3, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x1082, 0x1082, 0x2104, 0x52aa, 0x73ae, 0xd6ba, 0x5acb, 0x2104, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0841, 0x7bcf, 0x7bef, 0x7bcf, 0x73ae, 0x73ae, 0x73ae, 0x738e, 0x6b6d, 0x6b4d, 0x632c, 0x632c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 
	0x4a69, 0x4a49, 0x4228, 0x4208, 0x39e7, 0x39c7, 0x39c7, 0x31a6, 0x31a6, 0x3186, 0x3186, 0x2965, 0x2965, 0x2945, 0x2945, 0x2945, 
	0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2945, 0x2945, 0x2965, 0x3186, 0x3186, 0x31a6, 
	0x39c7, 0x39e7, 0x4228, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x528a, 0x52aa, 0x52aa, 0x5acb, 0x5aeb, 0x630c, 0x630c, 0x632c, 0x632c, 
	0x6b4d, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0841, 0x6b4d, 0x39c7, 0x52aa, 
	0x52aa, 0x4228, 0x8c71, 0x18c3, 0x0861, 0x0861, 0x0861, 0x0861, 0x39c7, 0x39e7, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x1082, 0x18c3, 0x10a2, 0x18c3, 0x528a, 0x5aeb, 0x1082, 0x0841, 0x1082, 0x4208, 0x0861, 0x0861, 0x10a2, 0x0861, 0x18c3, 0x7bef, 
	0x31a6, 0x10a2, 0x2104, 0x18c3, 0x3186, 0x9492, 0xd6ba, 0xad75, 0x2104, 0x0861, 0x0861, 0x0861, 0x0861, 0x0841, 0x0861, 0x7bef, 
	0x7bcf, 0x7bcf, 0x7bcf, 0x73ae, 0x73ae, 0x738e, 0x6b6d, 0x6b6d, 0x6b4d, 0x632c, 0x630c, 0x630c, 0x5acb, 0x52aa, 0x528a, 0x4a49, 
	0x4a49, 0x4228, 0x4208, 0x39e7, 0x39e7, 0x39c7, 0x31a6, 0x31a6, 0x3186, 0x3186, 0x2965, 0x2965, 0x2965, 0x2945, 0x2945, 0x2124, 
	0x2124, 0x2124, 0x2124, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2945, 0x2945, 0x2945, 0x2965, 0x3186, 0x3186, 
	0x39c7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a49, 0x4a69, 0x528a, 0x528a, 0x528a, 0x52aa, 0x5acb, 0x5aeb, 0x5aeb, 0x630c, 0x632c, 
	0x632c, 0x632c, 0x4208, 0x0841, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x2124, 0x2965, 0x10a2, 0x3186, 0x39c7, 
	0x39e7, 0x528a, 0x52aa, 0x630c, 0x4a69, 0x39c7, 0x0861, 0x2124, 0x18e3, 0x2124, 0x1082, 0x0861, 0x1082, 0x1082, 0x2104, 0x0841, 
	0x0861, 0x0861, 0x4a49, 0x528a, 0x8430, 0x738e, 0x632c, 0x1082, 0x0861, 0x1082, 0x0861, 0x0861, 0x10a2, 0x0841, 0x0861, 0x1082, 
	0x1082, 0x18c3, 0x18e3, 0x2124, 0xa514, 0x8c51, 0x4a49, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x4228, 0x7bef, 0x7bef, 
	0x7bef, 0x7bcf, 0x73ae, 0x738e, 0x738e, 0x6b6d, 0x6b4d, 0x6b4d, 0x632c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a49, 
	0x4228, 0x4228, 0x39e7, 0x39e7, 0x39c7, 0x31a6, 0x31a6, 0x3186, 0x2965, 0x2965, 0x2965, 0x2945, 0x2945, 0x2945, 0x2124, 0x18e3, 
	0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2104, 0x2124, 0x2124, 0x2945, 0x2945, 0x2965, 0x2965, 0x31a6, 
	0x39c7, 0x39e7, 0x4208, 0x4228, 0x4228, 0x4a49, 0x4a69, 0x4a69, 0x528a, 0x52aa, 0x52aa, 0x5acb, 0x5acb, 0x5aeb, 0x630c, 0x630c, 
	0x632c, 0x630c, 0x630c, 0x630c, 0x10a2, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x10a2, 0x738e, 
	0x5aeb, 0x52aa, 0x39e7, 0x4a69, 0x3186, 0x18e3, 0x39c7, 0x2965, 0x2104, 0x630c, 0x0861, 0x1082, 0x1082, 0x0861, 0x10a2, 0x6b4d, 
	0x18e3, 0x31a6, 0x5aeb, 0x630c, 0x630c, 0x5acb, 0x5acb, 0x0861, 0x2104, 0x2124, 0x0861, 0x0861, 0x1082, 0x2945, 0x3186, 0x0861, 
	0x0861, 0x31a6, 0x2945, 0x0861, 0x2104, 0x2104, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x10a2, 0x8410, 0x8410, 0x7bef, 0x7bcf, 
	0x73ae, 0x73ae, 0x738e, 0x6b6d, 0x6b6d, 0x6b4d, 0x6b4d, 0x630c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x4a69, 0x4a69, 0x4228, 
	0x4228, 0x4208, 0x39e7, 0x39c7, 0x39c7, 0x31a6, 0x3186, 0x3186, 0x2965, 0x2965, 0x2945, 0x2945, 0x2945, 0x2124, 0x18e3, 0x18c3, 
	0x2104, 0x2104, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2945, 0x2965, 0x2965, 0x2965, 0x31a6, 
	0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4228, 0x4a49, 0x4a69, 0x528a, 0x528a, 0x52aa, 0x52aa, 0x5acb, 0x5acb, 0x5aeb, 0x630c, 
	0x630c, 0x630c, 0x5acb, 0x630c, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x2104, 0x0861, 0x0861, 0x1082, 0x10a2, 0x0861, 0x18c3, 
	0x630c, 0x10a2, 0x1082, 0x18c3, 0x39c7, 0x2965, 0x2945, 0x2104, 0x1082, 0x18c3, 0x2124, 0x2124, 0x0861, 0x0861, 0x0841, 0x0861, 
	0x1082, 0x2124, 0x4208, 0x2945, 0x18c3, 0x2945, 0x3186, 0x10a2, 0x18e3, 0x18c3, 0x0861, 0x0861, 0x0861, 0x2104, 0x39e7, 0x1082, 
	0x2965, 0x2104, 0x10a2, 0x39c7, 0x1082, 0x0841, 0x2965, 0x0861, 0x0861, 0x1082, 0x8c51, 0x8410, 0x8410, 0x8410, 0x7bcf, 0x73ae, 
	0x738e, 0x6b6d, 0x6b4d, 0x632c, 0x632c, 0x632c, 0x630c, 0x630c, 0x5aeb, 0x5acb, 0x52aa, 0x528a, 0x528a, 0x4a69, 0x4a49, 0x4228, 
	0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x31a6, 0x3186, 0x3186, 0x2965, 0x2965, 0x2965, 0x2945, 0x2945, 0x2124, 0x2104, 0x18c3, 0x1082, 
	0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2945, 0x2965, 0x2965, 0x3186, 0x31a6, 
	0x31a6, 0x39c7, 0x39e7, 0x39e7, 0x4208, 0x4228, 0x4a49, 0x4a49, 0x4a69, 0x4a69, 0x528a, 0x528a, 0x52aa, 0x52aa, 0x5acb, 0x5acb, 
	0x5acb, 0x5acb, 0x5aeb, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x4a69, 0x2965, 0x0861, 0x0861, 
	0x18c3, 0x0861, 0x0861, 0x10a2, 0x18c3, 0x1082, 0x1082, 0x1082, 0x2104, 0x4208, 0x2965, 0x0861, 0x0861, 0x1082, 0x0861, 0x0861, 
	0x0861, 0x2965, 0x4a49, 0x31a6, 0x3186, 0xa534, 0x94b2, 0x528a, 0x5acb, 0x1082, 0x1082, 0x1082, 0x10a2, 0x0861, 0x0861, 0x1082, 
	0x31a6, 0x18c3, 0x3186, 0x2104, 0x10a2, 0x0861, 0x0861, 0x0861, 0x0861, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bef, 0x73ae, 0x6b6d, 
	0x6b4d, 0x632c, 0x5aeb, 0x5acb, 0x5acb, 0x5acb, 0x5aeb, 0x5acb, 0x5acb, 0x52aa, 0x52aa, 0x528a, 0x4a69, 0x4a49, 0x4228, 0x4208, 
	0x39e7, 0x39e7, 0x39c7, 0x31a6, 0x31a6, 0x3186, 0x2965, 0x2965, 0x2965, 0x2945, 0x2945, 0x2124, 0x18e3, 0x18c3, 0x1082, 0x0861, 
	0x2104, 0x2104, 0x2104, 0x2104, 0x18e3, 0x18e3, 0x18e3, 0x2104, 0x2104, 0x2104, 0x2124, 0x2945, 0x2965, 0x2965, 0x2965, 0x3186, 
	0x31a6, 0x39c7, 0x39c7, 0x39e7, 0x4208, 0x4228, 0x4228, 0x4a49, 0x4a49, 0x4a69, 0x4a69, 0x528a, 0x528a, 0x528a, 0x52aa, 0x52aa, 
	0x52aa, 0x528a, 0x0841, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0841, 
	0x0861, 0x2104, 0x2104, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x10a2, 0x3186, 0x0861, 0x1082, 0x31a6, 0x8c51, 0x0861, 
	0x4a49, 0x1082, 0x5aeb, 0x5acb, 0x18c3, 0x1082, 0x0861, 0x18c3, 0xbdf7, 0x1082, 0x0861, 0x10a2, 0xb596, 0x1082, 0x0861, 0x0861, 
	0x18c3, 0x10a2, 0x18c3, 0x0841, 0x1082, 0x0861, 0x0841, 0x10a2, 0x2945, 0x8c71, 0x8c51, 0x8430, 0x8410, 0x7bcf, 0x738e, 0x6b4d, 
	0x630c, 0x5acb, 0x528a, 0x528a, 0x528a, 0x52aa, 0x52aa, 0x52aa, 0x52aa, 0x528a, 0x528a, 0x4a69, 0x4a69, 0x4a49, 0x4228, 0x4208, 
	0x39e7, 0x39c7, 0x39c7, 0x31a6, 0x3186, 0x3186, 0x2965, 0x2965, 0x2945, 0x2945, 0x2124, 0x2104, 0x18c3, 0x1082, 0x0861, 0x0861, 
	0x2104, 0x18e3, 0x18e3, 0x18e3, 0x18e3, 0x18e3, 0x18e3, 0x18e3, 0x18e3, 0x2104, 0x2124, 0x2124, 0x2945, 0x2965, 0x2965, 0x2965, 
	0x31a6, 0x31a6, 0x39e7, 0x39e7, 0x4208, 0x4228, 0x4228, 0x4228, 0x4a49, 0x4228, 0x4228, 0x4a49, 0x4a69, 0x4a69, 0x528a, 0x52aa, 
	0x52aa, 0x0841, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x2965, 0x18e3, 0x0841, 0x0861, 0x1082, 0x5aeb, 0x1082, 
	0x0861, 0x0861, 0x3186, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x10a2, 0x1082, 
	0x18c3, 0x18e3, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x10a2, 0x0861, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0841, 
	0x0861, 0x0861, 0x0861, 0x0841, 0x0861, 0x18c3, 0x10a2, 0x0861, 0x0861, 0x0861, 0x2965, 0x8430, 0x8410, 0x7bcf, 0x738e, 0x632c, 
	0x5aeb, 0x52aa, 0x528a, 0x4a69, 0x4a69, 0x528a, 0x52aa, 0x528a, 0x528a, 0x528a, 0x528a, 0x4a69, 0x4a49, 0x4a49, 0x4228, 0x4208, 
	0x39e7, 0x39c7, 0x31a6, 0x31a6, 0x3186, 0x3186, 0x2965, 0x2965, 0x2945, 0x2124, 0x2104, 0x18c3, 0x1082, 0x0861, 0x0861, 0x0861, 
	0x10a2, 0x10a2, 0x10a2, 0x10a2, 0x10a2, 0x10a2, 0x10a2, 0x10a2, 0x10a2, 0x18c3, 0x18c3, 0x18e3, 0x18e3, 0x2104, 0x2104, 0x2124, 
	0x2945, 0x2945, 0x2965, 0x3186, 0x3186, 0x3186, 0x31a6, 0x31a6, 0x31a6, 0x31a6, 0x0861, 0x0861, 0x0861, 0x0861, 0x0841, 0x0861, 
	0x0841, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x18e3, 0x0861, 0x0861, 0x1082, 0x10a2, 0x0861, 0x0841, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x18e3, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x2104, 0x52aa, 0x4a49, 0x18c3, 0x18c3, 0x1082, 0x0861, 0x1082, 0x2124, 0x7bcf, 0x10a2, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x31a6, 0x528a, 0x2104, 0x0861, 0x1082, 0x10a2, 0x1082, 0x0861, 0x18c3, 0x1082, 0x18c3, 0x73ae, 0x6b6d, 0x632c, 0x5acb, 
	0x528a, 0x4a69, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x39e7, 0x39e7, 0x39c7, 0x39c7, 0x31a6, 
	0x3186, 0x3186, 0x2965, 0x2945, 0x2945, 0x2124, 0x2124, 0x2104, 0x2104, 0x18e3, 0x10a2, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x1082, 0x1082, 0x1082, 0x10a2, 0x10a2, 
	0x10a2, 0x18c3, 0x18c3, 0x18e3, 0x18e3, 0x2104, 0x2104, 0x2124, 0x2124, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x4228, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x2965, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 
	0x0841, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x10a2, 0xad75, 0x18c3, 0x0861, 0x0861, 
	0x0861, 0x0841, 0x18c3, 0x1082, 0x10a2, 0x18c3, 0x0861, 0x1082, 0x18c3, 0x2124, 0x2124, 0x0861, 0x0861, 0x2104, 0x2965, 0x2124, 
	0x2124, 0x2945, 0x0861, 0x1082, 0x0861, 0x4a49, 0x18c3, 0x2124, 0x0861, 0x2104, 0x0861, 0x0861, 0x0861, 0x0861, 0x18e3, 0x4208, 
	0x39e7, 0x39c7, 0x31a6, 0x3186, 0x3186, 0x3186, 0x2965, 0x2965, 0x2965, 0x2945, 0x2945, 0x2945, 0x2124, 0x2124, 0x2104, 0x2104, 
	0x18e3, 0x18e3, 0x18c3, 0x18c3, 0x10a2, 0x10a2, 0x10a2, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x1082, 0x1082, 0x1082, 0x10a2, 0x10a2, 0x10a2, 0x18c3, 0x18c3, 0x18c3, 0x0841, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x39c7, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0841, 0x18c3, 0x10a2, 0x2965, 0x0861, 0x0861, 0x0861, 0x1082, 
	0x0861, 0x1082, 0x2124, 0x18c3, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0841, 0x0861, 0x0861, 0x0861, 0x1082, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x3186, 0x7bcf, 0x1082, 0x1082, 0x18e3, 0x2945, 0x18c3, 0x18e3, 0x2104, 
	0x1082, 0x2945, 0x0861, 0x18e3, 0x1082, 0x2124, 0x18c3, 0x0861, 0x0841, 0x18c3, 0x4a69, 0x0861, 0x0861, 0x10a2, 0x1082, 0x0861, 
	0x3186, 0x2945, 0x2945, 0x2945, 0x2124, 0x2104, 0x2104, 0x18e3, 0x18e3, 0x18c3, 0x18c3, 0x18c3, 0x18c3, 0x18c3, 0x10a2, 0x10a2, 
	0x1082, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x1082, 
	0x1082, 0x1082, 0x10a2, 0x10a2, 0x10a2, 0x10a2, 0x18c3, 0x18c3, 0x18c3, 0x18c3, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0841, 0x10a2, 0x0861, 0x0861, 0x0861, 0x0841, 0x2104, 0x2104, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x1082, 0x10a2, 0x18c3, 0x18c3, 0x0861, 0x0861, 0x0861, 0x528a, 0x1082, 0x0861, 0x0861, 0x0861, 0x1082, 0x1082, 
	0x1082, 0x0861, 0x0861, 0x1082, 0x528a, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x2104, 0x18c3, 0x1082, 0x18c3, 0x2124, 0x2124, 
	0x18e3, 0x0861, 0x10a2, 0x2124, 0x10a2, 0x18c3, 0x0861, 0x18c3, 0x18c3, 0x2945, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x1082, 0x2124, 0x2965, 0x2945, 0x2945, 0x2945, 0x2945, 0x2124, 0x2124, 0x2104, 0x18e3, 0x18e3, 0x18c3, 0x18c3, 0x18c3, 0x10a2, 
	0x10a2, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x1082, 0x1082, 
	0x1082, 0x1082, 0x10a2, 0x10a2, 0x10a2, 0x18c3, 0x18c3, 0x18e3, 0x18e3, 0x18e3, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0841, 0x0861, 0x0861, 0x0861, 0x1082, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x3186, 0x0861, 0x0861, 0x18e3, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x2945, 0x7bcf, 
	0x2124, 0x0861, 0x0861, 0x0861, 0x10a2, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x1082, 0x18e3, 0x2104, 0x1082, 0x10a2, 0x1082, 
	0x1082, 0x10a2, 0x18e3, 0x18c3, 0x0861, 0x1082, 0x0861, 0x0861, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x10a2, 0x2945, 0x2945, 0x2945, 0x2945, 0x2124, 0x2124, 0x2124, 0x2104, 0x18e3, 0x18e3, 0x18c3, 0x18c3, 
	0x18c3, 0x10a2, 0x10a2, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 
	0x1082, 0x10a2, 0x10a2, 0x10a2, 0x18c3, 0x18c3, 0x18c3, 0x18c3, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x2945, 0x0861, 0x0861, 0x0861, 0x0861, 0x3186, 0x0861, 0x0861, 0x0861, 0x1082, 0x1082, 
	0x18c3, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x18c3, 0x18c3, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x1082, 0x1082, 0x0861, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x10a2, 0x2104, 0x2124, 0x2104, 0x18e3, 0x18e3, 0x18e3, 0x18c3, 0x18c3, 0x10a2, 
	0x10a2, 0x10a2, 0x1082, 0x1082, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 
	0x1082, 0x10a2, 0x10a2, 0x10a2, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x2124, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0841, 0x1082, 0x31a6, 0x0861, 0x0861, 0x39c7, 0x0861, 0x0861, 0x0861, 0x0841, 0x1082, 
	0x10a2, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x10a2, 0x3186, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x18c3, 0x18c3, 0x10a2, 0x10a2, 0x10a2, 0x1082, 
	0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 
	0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x18c3, 0x18e3, 0x8c51, 0x18c3, 0x2124, 0x2965, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x39c7, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x39c7, 
	0x0861, 0x0861, 0x2104, 0x0861, 0x1082, 0x0861, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x10a2, 0x10a2, 0x10a2, 0x1082, 
	0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x10a2, 0x1082, 0x10a2, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x2124, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x2104, 0x1082, 
	0x0861, 0x0861, 0x18e3, 0x1082, 0x18c3, 0x1082, 0x1082, 0x1082, 0x0861, 0x1082, 0x2104, 0x3186, 0x31a6, 0x10a2, 0x0841, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x10a2, 0x10a2, 
	0x10a2, 0x10a2, 0x10a2, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0841, 0x2124, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x0861, 0x0861, 0x0861, 0x3186, 0x0861, 
	0x0861, 0x18c3, 0x18c3, 0x1082, 0x1082, 0x10a2, 0x18e3, 0x2104, 0x2104, 0x2124, 0x2965, 0x2124, 0x18e3, 0x1082, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x10a2, 0x10a2, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x10a2, 0x10a2, 0x10a2, 0x0861, 0x0841, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x10a2, 0x0861, 0x0861, 0x10a2, 0x18c3, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x10a2, 0x10a2, 0x10a2, 0x0841, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x10a2, 0x10a2, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x2945, 0x4a69, 0x7bef, 0x632c, 0x4a49, 0x39c7, 0x2104, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x2965, 0x18e3, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0841, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x18c3, 0x2104, 0x18c3, 
	0x10a2, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x2124, 0x5aeb, 0x4208, 0x0841, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0841, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x2104, 0x18e3, 0x10a2, 
	0x1082, 0x1082, 0x10a2, 0x18c3, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x18e3, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x18c3, 0x18e3, 0x1082, 0x1082, 0x1082, 0x10a2, 0x1082, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x10a2, 0x1082, 0x0861, 0x0861, 0x18e3, 0x18c3, 0x10a2, 0x10a2, 0x10a2, 0x1082, 0x1082, 0x1082, 0x1082, 0x10a2, 0x10a2, 0x18e3, 
	0x18c3, 0x18c3, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x10a2, 0x3186, 0x0841, 0x0861, 
	0x0861, 0x0861, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x1082, 0x0861, 0x18e3, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x10a2, 0x0861, 0x0861, 0x0861, 0x10a2, 0x18e3, 0x2945, 0x2945, 0x1082, 0x0861, 0x1082, 0x0861, 0x10a2, 0x10a2, 0x1082, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x1082, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 0x0861, 
	0x0861, 0x0861, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082, 0x1082
};

/*
const uint16_t abhishekme [120][80] PROGMEM ={

{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xef9d , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0x6c95 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xef9d , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x4351 , 0xb639 , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xef9d , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0x6c95 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xef9d , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x4351 , 0xb639 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xd6fb , 0x226f , 0x226e
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xd6fb , 0x226f , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x2aaf , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0x226e
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x2aaf , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xe75c , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0x7495
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xe75c , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0x7495 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xadf8 , 0x4351 , 0xc69a , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xadf8 , 0x4351 , 0xc69a , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x3df4 , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x3df4 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x4ce , 0xf7bd , 0x4df4 , 0x4ce , 0x4ce , 0x1d30 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xef9d
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x4ce , 0xf7bd , 0x4df4 , 0x4ce , 0x4ce , 0x1d30 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xef9d , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x4ce , 0xf7bd , 0xb71a , 0xf7bd , 0xf7bd , 0x4ce , 0xf7bd , 0x4ce , 0xf7bd , 0xf7bd , 0x4ce , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x4ce , 0xf7bd , 0xb71a , 0xf7bd , 0xf7bd , 0x4ce , 0xf7bd , 0x4ce , 0xf7bd , 0xf7bd , 0x4ce , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf5c3 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf5c3 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf4a0 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf4a0 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf5a2 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf5a2 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xd6fb , 0xef9d , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xd6fb , 0xef9d , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf71b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xb639 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x6413 , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x6c54 , 0x4b92 , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf71b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xb639 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x6413 , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x6c54 , 0x4b92 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x6c54 , 0xf7bd , 0x226e , 0x9577 , 0xf7bd , 0xf7bd , 0x226e , 0x84f5 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xdf3c , 0xf7bd , 0xf7bd , 0x53d3
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf471 , 0xf471 , 0xf471 , 0xf471 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x6c54 , 0xf7bd , 0x226e , 0x9577 , 0xf7bd , 0xf7bd , 0x226e , 0x84f5 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xdf3c , 0xf7bd , 0xf7bd , 0x53d3 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x228f , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x228f , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x21d0 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x21d0 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x2a71 , 0xee40 , 0x21d0 , 0xee40 , 0x32b1 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x8d16 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0x2a71 , 0xee40 , 0x21d0 , 0xee40 , 0x32b1 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x8d16 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xee40 , 0xee40 , 0xee40 , 0xee40 , 0xee40 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x7cb5 , 0x226e , 0x226f , 0xf7bd , 0x226e , 0xf7bd , 0x53d2 , 0x226e , 0x226e , 0x226e
},
{  0xf7bd , 0xf7bd , 0xee40 , 0xee40 , 0xee40 , 0xee40 , 0xee40 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x7cb5 , 0x226e , 0x226f , 0xf7bd , 0x226e , 0xf7bd , 0x53d2 , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xee40 , 0xee40 , 0xee40 , 0xee40 , 0xee40 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xee40 , 0xee40 , 0xee40 , 0xee40 , 0xee40 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xee40 , 0x21d0 , 0xee40 , 0x21d0 , 0xee40 , 0xf7bd , 0xf7bd , 0x226e , 0xd71b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xceba , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x53f3 , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xee40 , 0x21d0 , 0xee40 , 0x21d0 , 0xee40 , 0xf7bd , 0xf7bd , 0x226e , 0xd71b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xceba , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x53f3 , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x2211 , 0x742c , 0x2211 , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xef9d , 0xf7bd , 0xf7bd , 0xe77c , 0x228f , 0x226e , 0x226f , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xceba , 0xf7bd , 0x226e , 0xd71b , 0xf7bd , 0xef9d , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xceba , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0x2211 , 0x742c , 0x2211 , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xef9d , 0xf7bd , 0xf7bd , 0xe77c , 0x228f , 0x226e , 0x226f , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xceba , 0xf7bd , 0x226e , 0xd71b , 0xf7bd , 0xef9d , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xceba , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf2aa , 0x2211 , 0x4415 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xef7c , 0xf7bd , 0xdf1b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xbe5a , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xc69a , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf79d , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf2aa , 0x2211 , 0x4415 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xef7c , 0xf7bd , 0xdf1b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xbe5a , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xc69a , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf79d , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf2aa , 0x21d0 , 0x4415 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0x226e
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf2aa , 0x21d0 , 0x4415 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0x8d38 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xe75c , 0x226e , 0x226e , 0xf7bd , 0xdf3c , 0xa5b8 , 0x226e , 0x226e , 0x9557 , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xbe7a , 0x226e
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0x8d38 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xe75c , 0x226e , 0x226e , 0xf7bd , 0xdf3c , 0xa5b8 , 0x226e , 0x226e , 0x9557 , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xbe7a , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x3310 , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xef7d , 0x226e , 0xf7bd , 0xf7bd , 0x4bb2 , 0xf7bd , 0xf7bd , 0xf7bd , 0x8516 , 0x4351 , 0xf7bd , 0x226e , 0x5c13 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x3310 , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xef7d , 0x226e , 0xf7bd , 0xf7bd , 0x4bb2 , 0xf7bd , 0xf7bd , 0xf7bd , 0x8516 , 0x4351 , 0xf7bd , 0x226e , 0x5c13 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xe0cd , 0xf7bd , 0xf7bd , 0xf7bd , 0x1082 , 0x2965 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xceba , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xdf3c , 0xadf8 , 0x226e , 0x4351 , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xa5b8 , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xe0cd , 0xf7bd , 0xf7bd , 0xf7bd , 0x1082 , 0x2965 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xceba , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xdf3c , 0xadf8 , 0x226e , 0x4351 , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xa5b8 , 0xf7bd , 0xf7bd , 0xf7bd , 0xe0cd , 0xf7bd , 0xf7bd , 0xe0cd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xe0cd , 0xf7bd , 0xf7bd , 0xe0cd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xe0cd , 0xf7bd , 0xe0cd , 0xf5fa , 0xead1 , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xe0cd , 0xf7bd , 0xe0cd , 0xf5fa , 0xead1 , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xe0cd , 0xe0cd , 0xe0cd , 0xff5e , 0xffff , 0xffff , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x226e , 0x7cb5 , 0xf7bd , 0x228f , 0x226e , 0x226e , 0x226e , 0x228f , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0x6c54 , 0x2ad0 , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0x7cd5 , 0x226e , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xe0cd , 0xe0cd , 0xe0cd , 0xff5e , 0xffff , 0xffff , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x226e , 0x7cb5 , 0xf7bd , 0x228f , 0x226e , 0x226e , 0x226e , 0x228f , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0x6c54 , 0x2ad0 , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0x7cd5 , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xe0cd , 0xe0cd , 0xe0cd , 0xe0cd , 0xf7bd , 0xa4f3 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x9557 , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xe0cd , 0xe0cd , 0xe0cd , 0xe0cd , 0xf7bd , 0xa4f3 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x9557 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf79d , 0xe0cd , 0xe0cd , 0xe0cd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf79d , 0xe0cd , 0xe0cd , 0xe0cd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xe0cd , 0xe0cd , 0xe10d , 0x3185 , 0x1082 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xdf3c , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0x9557 , 0xdf3c , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xe0cd , 0xe0cd , 0xe10d , 0x3185 , 0x1082 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xdf3c , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0x9557 , 0xdf3c , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xeaa0 , 0xeaa0 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xeaa0 , 0xeaa0 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xeaa0 , 0xeaa0 , 0xeaa0 , 0xe840 , 0xeaa0 , 0xeaa0 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xeaa0 , 0xeaa0 , 0xeaa0 , 0xe840 , 0xeaa0 , 0xeaa0 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xeb02 , 0xeaa0 , 0xeaa0 , 0xf7e0 , 0xf6a0 , 0xe840 , 0xe840 , 0xea40 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xeb02 , 0xeaa0 , 0xeaa0 , 0xf7e0 , 0xf6a0 , 0xe840 , 0xe840 , 0xea40 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xeaa0 , 0xeaa0 , 0xeaa0 , 0xf6a0 , 0xf6a0 , 0xe860 , 0xe840 , 0xe840 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xeaa0 , 0xeaa0 , 0xeaa0 , 0xf6a0 , 0xf6a0 , 0xe860 , 0xe840 , 0xe840 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xeaa0 , 0xeaa0 , 0xeaa0 , 0xf6a0 , 0xf6a0 , 0xe840 , 0xe840 , 0xe840 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x228f , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0xc69a , 0xef9d , 0x226e
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xeaa0 , 0xeaa0 , 0xeaa0 , 0xf6a0 , 0xf6a0 , 0xe840 , 0xe840 , 0xe840 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x228f , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0xc69a , 0xef9d , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xeaa0 , 0xeaa0 , 0xeaa0 , 0xeaa0 , 0xe840 , 0xe840 , 0xe840 , 0xe840 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x4351 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xeaa0 , 0xeaa0 , 0xeaa0 , 0xeaa0 , 0xe840 , 0xe840 , 0xe840 , 0xe840 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x4351 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xeaa0 , 0xeaa0 , 0x40ce , 0x40ce , 0xe840 , 0xe840 , 0xea25 , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xeaa0 , 0xeaa0 , 0x40ce , 0x40ce , 0xe840 , 0xe840 , 0xea25 , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xeaa0 , 0x40ce , 0x40ce , 0x40ce , 0x40ce , 0xe840 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x226f , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xf7bd , 0x2aaf
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xeaa0 , 0x40ce , 0x40ce , 0x40ce , 0x40ce , 0xe840 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x226f , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xf7bd , 0x2aaf , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xd6fb , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xd6fb , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x9597 , 0x226e , 0x226e , 0xf7bd , 0x226e , 0x226e , 0xc69a , 0xf7bd , 0x226e , 0xf7bd , 0x8d16 , 0x226e , 0x4b92 , 0x226e , 0xdf1c , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x9597 , 0x226e , 0x226e , 0xf7bd , 0x226e , 0x226e , 0xc69a , 0xf7bd , 0x226e , 0xf7bd , 0x8d16 , 0x226e , 0x4b92 , 0x226e , 0xdf1c , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0x5e15 , 0x5e15 , 0x5e15 , 0xe77c , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0x5e15 , 0x5e15 , 0x5e15 , 0xe77c , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x5e15 , 0xaed9 , 0xffff , 0xffff , 0x5e15 , 0x5e15 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0x226e
},
{  0xf7bd , 0xf7bd , 0x5e15 , 0xaed9 , 0xffff , 0xffff , 0x5e15 , 0x5e15 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x5e15 , 0x5e15 , 0xffff , 0xffff , 0xffff , 0x4cd0 , 0x5e15 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x53b2 , 0xf7bd , 0x2aaf , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e
},
{  0xf7bd , 0x5e15 , 0x5e15 , 0xffff , 0xffff , 0xffff , 0x4cd0 , 0x5e15 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x53b2 , 0xf7bd , 0x2aaf , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x5e15 , 0x5e15 , 0x5e15 , 0xffff , 0x4cd0 , 0x4cd0 , 0x4cd0 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0x5e15 , 0x5e15 , 0x5e15 , 0xffff , 0x4cd0 , 0x4cd0 , 0x4cd0 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x5e15 , 0x5e15 , 0xffff , 0x52ce , 0xffff , 0xffff , 0x4cd0 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xa4d9 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0x5e15 , 0x5e15 , 0xffff , 0x52ce , 0xffff , 0xffff , 0x4cd0 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xa4d9 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x5e15 , 0xffff , 0xffff , 0x4a6d , 0xffff , 0xffff , 0x4cd0 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf6ec , 0xf6ec , 0x4992 , 0xf6ec , 0xf7df , 0xffdf , 0xffdf , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0x5e15 , 0xffff , 0xffff , 0x4a6d , 0xffff , 0xffff , 0x4cd0 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf6ec , 0xf6ec , 0x4992 , 0xf6ec , 0xf7df , 0xffdf , 0xffdf , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x5e15 , 0xffff , 0xd69b , 0xffff , 0x4cd0 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf6ec , 0xf6ec , 0xf6ec , 0xbe9e , 0xc5ae , 0xf7bd , 0xffdf , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226f , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0x5e15 , 0xffff , 0xd69b , 0xffff , 0x4cd0 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf6ec , 0xf6ec , 0xf6ec , 0xbe9e , 0xc5ae , 0xf7bd , 0xffdf , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226f , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x4cd0 , 0x6d73 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xffdf , 0xef7e , 0xbe9e , 0x40d3 , 0xbe9e , 0xb61d , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x4cd0 , 0x6d73 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xffdf , 0xef7e , 0xbe9e , 0x40d3 , 0xbe9e , 0xb61d , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xffdf , 0xce9d , 0x9d7c , 0x9d7c , 0x9d7c , 0x9d7c , 0x9d7c , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xffdf , 0xce9d , 0x9d7c , 0x9d7c , 0x9d7c , 0x9d7c , 0x9d7c , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xce9d , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xce9d , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xffff , 0xffff , 0xffff , 0xffff , 0xffff , 0xffff , 0x194a , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xffff , 0xffff , 0xffff , 0xffff , 0xffff , 0xffff , 0x194a , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xe000 , 0xe000 , 0xe000 , 0xe000 , 0xe000 , 0xe000 , 0xf7bd , 0x194a , 0x194a , 0x194a , 0x194a , 0x194a , 0x194a , 0x194a , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x4bb2 , 0xf7bd , 0x226e , 0x22af , 0xf7bd , 0x226e , 0xd71b , 0xf7bd , 0xf7bd , 0xf7bd , 0x9557 , 0x226e , 0xf7bd , 0xf7bd , 0x8d16 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xef9d
},
{  0xe000 , 0xe000 , 0xe000 , 0xe000 , 0xe000 , 0xe000 , 0xf7bd , 0x194a , 0x194a , 0x194a , 0x194a , 0x194a , 0x194a , 0x194a , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x4bb2 , 0xf7bd , 0x226e , 0x22af , 0xf7bd , 0x226e , 0xd71b , 0xf7bd , 0xf7bd , 0xf7bd , 0x9557 , 0x226e , 0xf7bd , 0xf7bd , 0x8d16 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xef9d , 0xd000 , 0xd000 , 0xd000 , 0xffff , 0xd000 , 0xd000 , 0xf7bd , 0x194a , 0x194a , 0x194a , 0x194a , 0x194a , 0x194a , 0x194a , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xe77c , 0x226e , 0x226e , 0xd6fb , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x4371 , 0xadf8 , 0x226e
},
{  0xd000 , 0xd000 , 0xd000 , 0xffff , 0xd000 , 0xd000 , 0xf7bd , 0x194a , 0x194a , 0x194a , 0x194a , 0x194a , 0x194a , 0x194a , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xe77c , 0x226e , 0x226e , 0xd6fb , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x4371 , 0xadf8 , 0x226e , 0xc800 , 0xc800 , 0xc800 , 0xc800 , 0xc800 , 0xc800 , 0xf7bd , 0x194a , 0xb5f9 , 0x194a , 0x194a , 0x194a , 0xffff , 0x194a , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xc800 , 0xc800 , 0xc800 , 0xc800 , 0xc800 , 0xc800 , 0xf7bd , 0x194a , 0xb5f9 , 0x194a , 0x194a , 0x194a , 0xffff , 0x194a , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xc000 , 0xc000 , 0xc000 , 0xc000 , 0xc000 , 0xc000 , 0xf7bd , 0x194a , 0x194a , 0x194a , 0x194a , 0x194a , 0x194a , 0x194a , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xef7d
},
{  0xc000 , 0xc000 , 0xc000 , 0xc000 , 0xc000 , 0xc000 , 0xf7bd , 0x194a , 0x194a , 0x194a , 0x194a , 0x194a , 0x194a , 0x194a , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xef7d , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xe126 , 0xed14 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xe126 , 0xed14 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xe126 , 0xf755 , 0xf755 , 0xed34 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xe126 , 0xf755 , 0xf755 , 0xed34 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xe126 , 0xf755 , 0xf755 , 0xf755 , 0xf755 , 0xed75 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x74b5 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xef7c , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xe126 , 0xf755 , 0xf755 , 0xf755 , 0xf755 , 0xed75 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x74b5 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xef7c , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xe126 , 0xf755 , 0xf755 , 0xf755 , 0xf755 , 0xf755 , 0xf755 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xe75c , 0x226e , 0xceba , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0x226e , 0xe77c , 0xf7bd , 0x226e , 0x2aaf , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0x226e , 0xc69a , 0x226e
},
{  0xf7bd , 0xe126 , 0xf755 , 0xf755 , 0xf755 , 0xf755 , 0xf755 , 0xf755 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xe75c , 0x226e , 0xceba , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0x226e , 0xe77c , 0xf7bd , 0x226e , 0x2aaf , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0x226e , 0xc69a , 0x226e , 0xf7bd , 0xf7bd , 0xf755 , 0xf755 , 0xf755 , 0xf755 , 0xf755 , 0xf755 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xef9d , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf755 , 0xf755 , 0xf755 , 0xf755 , 0xf755 , 0xf755 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xef9d , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf755 , 0xebe4 , 0xebe4 , 0xa63d , 0xa63d , 0xf755 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf755 , 0xebe4 , 0xebe4 , 0xa63d , 0xa63d , 0xf755 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf755 , 0xebe4 , 0xebe4 , 0xed4b , 0x1e6f , 0xf755 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf755 , 0xebe4 , 0xebe4 , 0xed4b , 0x1e6f , 0xf755 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x7cd5 , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0x4b92 , 0x226e , 0xf7bd , 0xf7bd , 0x8d36 , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x5c13 , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x6413 , 0xf7bd , 0x32f0 , 0x228f
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x7cd5 , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0x4b92 , 0x226e , 0xf7bd , 0xf7bd , 0x8d36 , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x5c13 , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x6413 , 0xf7bd , 0x32f0 , 0x228f , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x53b2 , 0x226e , 0xf7bd , 0xf7bd , 0x53b2 , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0x2ad0 , 0x6c74 , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xa5b8 , 0xf7bd , 0xf7bd , 0x6413 , 0xf79d , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0x53b2 , 0x2a8f , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x53b2 , 0x226e , 0xf7bd , 0xf7bd , 0x53b2 , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0x2ad0 , 0x6c74 , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xa5b8 , 0xf7bd , 0xf7bd , 0x6413 , 0xf79d , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0x53b2 , 0x2a8f , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x3b51 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x3b51 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x8516 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x8516 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xceba , 0x226e , 0xc67a , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xef7c , 0x32f0 , 0x228f , 0xf7bd , 0x226e , 0x226e
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xceba , 0x226e , 0xc67a , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xef7c , 0x32f0 , 0x228f , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0xbe39 , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xceba , 0xb639 , 0x7cb5 , 0xadf8 , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0xc69a , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0xbe39 , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xceba , 0xb639 , 0x7cb5 , 0xadf8 , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0xc69a , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xef5d , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xefbd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xef5d , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xefbd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xf758 , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xdedc , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xf758 , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xdedc , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xce5b , 0x2a2f , 0xce5b , 0x2a2f , 0x2a8e , 0x3b2d , 0x8cf1 , 0x3b2d , 0xce5b , 0x2a2f , 0xce5b , 0xce5b , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x228f , 0xf7bd , 0xf7bd , 0xef7d , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xce5b , 0x2a2f , 0xce5b , 0x2a2f , 0x2a8e , 0x3b2d , 0x8cf1 , 0x3b2d , 0xce5b , 0x2a2f , 0xce5b , 0xce5b , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0x228f , 0xf7bd , 0xf7bd , 0xef7d , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xce7b , 0xce5b , 0xce5b , 0xce5b , 0xef37 , 0xf758 , 0xf738 , 0xf738 , 0xf738 , 0xf758 , 0xce5b , 0x5b93 , 0xce5b , 0xce5b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xce7b , 0xce5b , 0xce5b , 0xce5b , 0xef37 , 0xf758 , 0xf738 , 0xf738 , 0xf738 , 0xf758 , 0xce5b , 0x5b93 , 0xce5b , 0xce5b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xce5b , 0xce5b , 0xce5b , 0xf758 , 0xf758 , 0xf738 , 0xf738 , 0xf738 , 0xf738 , 0xf738 , 0xf758 , 0xce5b , 0xce5b , 0xce5b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xce5b , 0xce5b , 0xce5b , 0xf758 , 0xf758 , 0xf738 , 0xf738 , 0xf738 , 0xf738 , 0xf738 , 0xf758 , 0xce5b , 0xce5b , 0xce5b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xce5b , 0xce5b , 0xce5b , 0xf738 , 0xf738 , 0xef18 , 0xce5b , 0xce5b , 0xce5b , 0xf738 , 0xf738 , 0xce5b , 0xce5b , 0xce5b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xce5b , 0xce5b , 0xce5b , 0xf738 , 0xf738 , 0xef18 , 0xce5b , 0xce5b , 0xce5b , 0xf738 , 0xf738 , 0xce5b , 0xce5b , 0xce5b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x228f , 0xf7bd , 0x2aaf , 0x2aaf , 0x8cd7 , 0x2a2f , 0xce5b , 0xef57 , 0xe6d7 , 0x3270 , 0xb5b9 , 0xce5b , 0x94f7 , 0xf738 , 0x3b2d , 0xce5b , 0xce5b , 0x2a2f , 0xf7bd , 0xa5d8 , 0xe73c , 0xf7bd , 0x226f , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x2aaf , 0xe75c , 0xf7bd , 0xf7bd , 0x226e , 0x226e
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x228f , 0xf7bd , 0x2aaf , 0x2aaf , 0x8cd7 , 0x2a2f , 0xce5b , 0xef57 , 0xe6d7 , 0x3270 , 0xb5b9 , 0xce5b , 0x94f7 , 0xf738 , 0x3b2d , 0xce5b , 0xce5b , 0x2a2f , 0xf7bd , 0xa5d8 , 0xe73c , 0xf7bd , 0x226f , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x2aaf , 0xe75c , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0x226e , 0x5bb4 , 0x2a2f , 0xce5b , 0x3b2d , 0x434d , 0x2a2f , 0x2a2f , 0x2a2f , 0x7415 , 0xf738 , 0x3b2d , 0xce5b , 0xce5b , 0xce5b , 0x84f6 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xc69a , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0x226e , 0x226f
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0x226e , 0x5bb4 , 0x2a2f , 0xce5b , 0x3b2d , 0x434d , 0x2a2f , 0x2a2f , 0x2a2f , 0x7415 , 0xf738 , 0x3b2d , 0xce5b , 0xce5b , 0xce5b , 0x84f6 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xc69a , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0x226e , 0x226f , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xce5b , 0xce5b , 0xce5b , 0xf758 , 0xf738 , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xf738 , 0xf758 , 0xce5b , 0xce5b , 0xce5b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xce5b , 0xce5b , 0xce5b , 0xf758 , 0xf738 , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xf738 , 0xf758 , 0xce5b , 0xce5b , 0xce5b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xce5b , 0xce5b , 0xf758 , 0xf738 , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xf738 , 0xf758 , 0xce5b , 0xce5b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xce5b , 0xce5b , 0xf758 , 0xf738 , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xf738 , 0xf758 , 0xce5b , 0xce5b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf79d , 0xce5b , 0xf758 , 0xf758 , 0xf758 , 0xf758 , 0xf758 , 0xf758 , 0xf758 , 0xf758 , 0xce7a , 0xce5b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf79d , 0xce5b , 0xf758 , 0xf758 , 0xf758 , 0xf758 , 0xf758 , 0xf758 , 0xf758 , 0xf758 , 0xce7a , 0xce5b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xd71b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xef9d , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xf7bd , 0x226e , 0x228f , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x5bf3 , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xd71b , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xef9d , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xce5b , 0xf7bd , 0x226e , 0x228f , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x5bf3 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xce5b , 0x2a2f , 0xce5b , 0x2a2f , 0xce5b , 0xce5b , 0x226e , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xce5b , 0x2a2f , 0xce5b , 0x2a2f , 0xce5b , 0xce5b , 0x226e , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xc69a , 0xef7c , 0xae19 , 0xf7bd , 0xbe59 , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x32d0 , 0xf7bd , 0xe77c , 0xf7bd , 0xf7bd , 0x9597 , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0x6c94 , 0x226e , 0x6413 , 0x226e , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0x5bf3 , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xc69a , 0xef7c , 0xae19 , 0xf7bd , 0xbe59 , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x32d0 , 0xf7bd , 0xe77c , 0xf7bd , 0xf7bd , 0x9597 , 0x226e , 0xf7bd , 0x226e , 0x226e , 0x226e , 0x6c94 , 0x226e , 0x6413 , 0x226e , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0x5bf3 , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xb659 , 0x226e , 0x228f , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xef9d , 0xdf3c , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xb659 , 0x226e , 0x228f , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xef9d , 0xdf3c , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x3b31 , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xef9d , 0x226e
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x3b31 , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0x226e , 0xf7bd , 0x226e , 0xef9d , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xef9d , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xef9d , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x2ad0 , 0x226e , 0x226e , 0x226e , 0xf7bd , 0x6413 , 0x226e , 0x9d77 , 0x226e , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0x226e , 0x2ad0 , 0x226e , 0x226e , 0x226e , 0xf7bd , 0x6413 , 0x226e , 0x9d77 , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xe73c , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf79d , 0x6413 , 0x226e , 0xa5b8 , 0xf7bd , 0x226e
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xe73c , 0x226e , 0x226e , 0x226e , 0xf7bd , 0xf79d , 0x6413 , 0x226e , 0xa5b8 , 0xf7bd , 0x226e , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd
},
{  0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7bd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd
},
{  0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0xf7dd , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0
},
{  0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0
},
{  0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0
},
{  0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0
},
{  0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0
},
{  0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0
},
{  0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0 , 0x0
}
};
*/
//--------------------------------bitmAP----------------------------------------------------------------------------------------------------
// 'Hanuman_JI', 128x100px
const unsigned char bitImage[] PROGMEM = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0f, 0x00, 0x00, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2f, 0xbf, 0xe0, 0x00, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1e, 0xbf, 0xf0, 0x00, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1e, 0xff, 0xf8, 0x00, 0x07, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3e, 0xff, 0xfe, 0x00, 0x07, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3e, 0xff, 0xfe, 0x00, 0x07, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7e, 0xff, 0xff, 0x80, 0x07, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7e, 0xff, 0xff, 0x80, 0x07, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7e, 0xff, 0xff, 0xc0, 0x07, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7e, 0xfb, 0xff, 0xc0, 0x07, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7e, 0xfb, 0xff, 0xe0, 0x07, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7e, 0xfb, 0xff, 0xe0, 0x07, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x76, 0xff, 0xff, 0xe0, 0x07, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x76, 0xdf, 0xff, 0xe0, 0x05, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x76, 0xdf, 0xff, 0xe8, 0x03, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x76, 0xdf, 0xff, 0xe8, 0x00, 0x1f, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x76, 0xdf, 0xff, 0xfc, 0x00, 0x47, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7e, 0xf7, 0xff, 0xfc, 0x00, 0x37, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7e, 0xf3, 0xbf, 0xfc, 0x00, 0x1b, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7e, 0xf3, 0x78, 0xfe, 0x00, 0x1b, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7e, 0xf3, 0x70, 0xfe, 0x00, 0x0f, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfe, 0xf3, 0x4e, 0x3e, 0x00, 0x0f, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xba, 0xb9, 0x13, 0x9e, 0x00, 0x1f, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7a, 0xb8, 0x00, 0xfe, 0x00, 0x1f, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x3b, 0xb0, 0x03, 0xfe, 0x00, 0x5f, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x1c, 0x70, 0x1f, 0xfe, 0x00, 0x7f, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x0c, 0x70, 0x61, 0xbc, 0x00, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x61, 0x87, 0xe3, 0x0d, 0xfc, 0x1f, 0x7f, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x48, 0xe7, 0xc0, 0x0d, 0x78, 0x3b, 0xbf, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x2e, 0x33, 0xc0, 0xcf, 0x78, 0x60, 0xbf, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xe1, 0x07, 0x78, 0x40, 0xdf, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xe4, 0xfe, 0x30, 0x8f, 0xdf, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xc0, 0x78, 0x30, 0x8f, 0xdf, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xdc, 0x6f, 0xb0, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xff, 0x3f, 0xf0, 0xce, 0xbf, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xff, 0xcf, 0xf9, 0xcf, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xff, 0xff, 0xf9, 0x8f, 0x7f, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xff, 0xff, 0xf9, 0x0c, 0x1f, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xff, 0xff, 0xf9, 0x88, 0x0f, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xdf, 0x7f, 0xf9, 0xf0, 0x07, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0f, 0xef, 0xdf, 0xf8, 0xe0, 0x03, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xcf, 0xe3, 0x98, 0xc0, 0x00, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x1f, 0xf0, 0x81, 0x80, 0x33, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3c, 0x7f, 0xf8, 0x00, 0x80, 0x3f, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7e, 0xff, 0xf8, 0x00, 0x20, 0x00, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfe, 0xff, 0xfe, 0x02, 0x20, 0x00, 0x7f, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfe, 0xff, 0xfd, 0xc2, 0x10, 0x00, 0x7f, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfe, 0xff, 0xfd, 0xc2, 0x10, 0x00, 0x7f, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xfe, 0xff, 0xff, 0xc2, 0x10, 0x04, 0x3f, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfe, 0xff, 0xff, 0xc1, 0x20, 0x02, 0x7f, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x3e, 0xff, 0xff, 0x01, 0xe0, 0x01, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x0f, 0xfe, 0xff, 0xfc, 0x00, 0x00, 0x01, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0xfe, 0x7c, 0x3c, 0x00, 0x00, 0x01, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0d, 0x20, 0x1e, 0x00, 0x00, 0x10, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x8f, 0x1c, 0x00, 0x00, 0x19, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xff, 0x0c, 0x08, 0x00, 0x39, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3f, 0xff, 0x28, 0x08, 0x02, 0x33, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1f, 0xff, 0x28, 0x08, 0x02, 0x31, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x0f, 0xfe, 0x48, 0x08, 0x02, 0x10, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x87, 0xff, 0xc0, 0x0c, 0x00, 0x0f, 0xbf, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3f, 0xff, 0x80, 0x0c, 0x00, 0x07, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7f, 0x00, 0x0c, 0x00, 0x07, 0xdf, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x9b, 0x00, 0x1c, 0x00, 0x03, 0xdf, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 0x4e, 0x00, 0x1c, 0x00, 0x01, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1c, 0x00, 0x3c, 0x00, 0x01, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x00, 0x7c, 0x00, 0x01, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0x00, 0xfc, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x80, 0x01, 0xfd, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x00, 0x03, 0xfd, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0c, 0x00, 0x03, 0xfd, 0x80, 0x00, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x10, 0x17, 0xfb, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 0x03, 0xe7, 0xfb, 0x08, 0x00, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0xbf, 0xef, 0xf7, 0x83, 0x00, 0x07, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xff, 0xee, 0xff, 0x83, 0x80, 0x03, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xff, 0xdf, 0xff, 0x83, 0xe0, 0x01, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0xff, 0xbf, 0x7f, 0x05, 0xf8, 0x01, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xff, 0xff, 0x7f, 0x05, 0xfc, 0x00, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x07, 0xff, 0xff, 0x3e, 0x05, 0xfe, 0x00, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0f, 0xfe, 0xff, 0xbe, 0x05, 0xff, 0x80, 0x1f, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x1f, 0xff, 0xff, 0x9c, 0x05, 0xff, 0xc0, 0x0f, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3f, 0xf7, 0xff, 0x98, 0x0f, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7f, 0xff, 0xff, 0xc0, 0x0b, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0xff, 0xc0, 0x0b, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xff, 0xdf, 0xff, 0xc0, 0x0b, 0xff, 0xff, 0xfb, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xff, 0xff, 0x0f, 0x00, 0x0b, 0x0f, 0xff, 0xff, 0xff, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xff, 0xff, 0xe2, 0x00, 0x18, 0x7f, 0xff, 0xef, 0x7f, 0xff, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

#endif
